#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 2824
#define LARGE_STATE_COUNT 127
#define SYMBOL_COUNT 160
#define ALIAS_COUNT 1
#define TOKEN_COUNT 99
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 17
#define MAX_ALIAS_SEQUENCE_LENGTH 10

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_function = 21,
  anon_sym_LPAREN = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_PIPE_AMP = 25,
  anon_sym_AMP_AMP = 26,
  anon_sym_PIPE_PIPE = 27,
  anon_sym_BANG = 28,
  anon_sym_LBRACK = 29,
  anon_sym_RBRACK = 30,
  anon_sym_LBRACK_LBRACK = 31,
  anon_sym_RBRACK_RBRACK = 32,
  anon_sym_declare = 33,
  anon_sym_typeset = 34,
  anon_sym_export = 35,
  anon_sym_readonly = 36,
  anon_sym_local = 37,
  anon_sym_unset = 38,
  anon_sym_unsetenv = 39,
  anon_sym_EQ_TILDE = 40,
  anon_sym_EQ_EQ = 41,
  anon_sym_EQ = 42,
  anon_sym_PLUS_EQ = 43,
  anon_sym_LT = 44,
  anon_sym_GT = 45,
  anon_sym_GT_GT = 46,
  anon_sym_AMP_GT = 47,
  anon_sym_AMP_GT_GT = 48,
  anon_sym_LT_AMP = 49,
  anon_sym_GT_AMP = 50,
  anon_sym_GT_PIPE = 51,
  anon_sym_LT_LT = 52,
  anon_sym_LT_LT_DASH = 53,
  anon_sym_LT_LT_LT = 54,
  anon_sym_BANG_EQ = 55,
  anon_sym_PLUS = 56,
  anon_sym_DASH = 57,
  anon_sym_DASH_EQ = 58,
  anon_sym_LT_EQ = 59,
  anon_sym_GT_EQ = 60,
  anon_sym_QMARK = 61,
  anon_sym_COLON = 62,
  anon_sym_PLUS_PLUS = 63,
  anon_sym_DASH_DASH = 64,
  anon_sym_DOLLAR = 65,
  sym__special_character = 66,
  anon_sym_DQUOTE = 67,
  sym__string_content = 68,
  sym_raw_string = 69,
  sym_ansii_c_string = 70,
  anon_sym_POUND = 71,
  anon_sym_DOLLAR_LBRACE = 72,
  anon_sym_SLASH = 73,
  anon_sym_COLON_QMARK = 74,
  anon_sym_COLON_DASH = 75,
  anon_sym_PERCENT = 76,
  anon_sym_DOLLAR_LPAREN = 77,
  anon_sym_BQUOTE = 78,
  anon_sym_LT_LPAREN = 79,
  anon_sym_GT_LPAREN = 80,
  sym_comment = 81,
  aux_sym__simple_variable_name_token1 = 82,
  anon_sym_STAR = 83,
  anon_sym_AT = 84,
  anon_sym_0 = 85,
  anon_sym__ = 86,
  sym_test_operator = 87,
  anon_sym_AMP = 88,
  sym_heredoc_start = 89,
  sym__simple_heredoc_body = 90,
  sym__heredoc_body_beginning = 91,
  sym__heredoc_body_middle = 92,
  sym__heredoc_body_end = 93,
  sym_file_descriptor = 94,
  sym__empty_value = 95,
  sym__concat = 96,
  sym_variable_name = 97,
  sym_regex = 98,
  sym_program = 99,
  sym__statements = 100,
  aux_sym__statements2 = 101,
  sym__terminated_statement = 102,
  sym_redirected_statement = 103,
  sym_for_statement = 104,
  sym_c_style_for_statement = 105,
  sym_while_statement = 106,
  sym_do_group = 107,
  sym_if_statement = 108,
  sym_elif_clause = 109,
  sym_else_clause = 110,
  sym_case_statement = 111,
  sym_case_item = 112,
  sym_last_case_item = 113,
  sym_function_definition = 114,
  sym_compound_statement = 115,
  sym_subshell = 116,
  sym_pipeline = 117,
  sym_list = 118,
  sym_negated_command = 119,
  sym_test_command = 120,
  sym_declaration_command = 121,
  sym_unset_command = 122,
  sym_command = 123,
  sym_command_name = 124,
  sym_variable_assignment = 125,
  sym_subscript = 126,
  sym_file_redirect = 127,
  sym_heredoc_redirect = 128,
  sym_heredoc_body = 129,
  sym_herestring_redirect = 130,
  sym__expression = 131,
  sym_binary_expression = 132,
  sym_ternary_expression = 133,
  sym_unary_expression = 134,
  sym_postfix_expression = 135,
  sym_parenthesized_expression = 136,
  sym_concatenation = 137,
  sym_string = 138,
  sym_array = 139,
  sym_simple_expansion = 140,
  sym_string_expansion = 141,
  sym_expansion = 142,
  sym_command_substitution = 143,
  sym_process_substitution = 144,
  aux_sym__statements_repeat1 = 145,
  aux_sym_redirected_statement_repeat1 = 146,
  aux_sym_for_statement_repeat1 = 147,
  aux_sym_if_statement_repeat1 = 148,
  aux_sym_case_statement_repeat1 = 149,
  aux_sym_case_item_repeat1 = 150,
  aux_sym_declaration_command_repeat1 = 151,
  aux_sym_unset_command_repeat1 = 152,
  aux_sym_command_repeat1 = 153,
  aux_sym_command_repeat2 = 154,
  aux_sym_heredoc_body_repeat1 = 155,
  aux_sym__literal_repeat1 = 156,
  aux_sym_concatenation_repeat1 = 157,
  aux_sym_string_repeat1 = 158,
  aux_sym_expansion_repeat1 = 159,
  alias_sym_special_variable_name = 160,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK] = "?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON_QMARK] = ":?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
  [alias_sym_special_variable_name] = "special_variable_name",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
  [alias_sym_special_variable_name] = alias_sym_special_variable_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_special_variable_name] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_index = 8,
  field_initializer = 9,
  field_left = 10,
  field_name = 11,
  field_operator = 12,
  field_redirect = 13,
  field_right = 14,
  field_update = 15,
  field_value = 16,
  field_variable = 17,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[57] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 3},
  [35] = {.index = 39, .length = 3},
  [36] = {.index = 42, .length = 1},
  [37] = {.index = 42, .length = 1},
  [39] = {.index = 43, .length = 1},
  [40] = {.index = 44, .length = 2},
  [41] = {.index = 46, .length = 2},
  [42] = {.index = 48, .length = 2},
  [43] = {.index = 50, .length = 2},
  [44] = {.index = 52, .length = 2},
  [45] = {.index = 50, .length = 2},
  [46] = {.index = 54, .length = 2},
  [47] = {.index = 56, .length = 2},
  [48] = {.index = 58, .length = 3},
  [49] = {.index = 61, .length = 2},
  [50] = {.index = 63, .length = 3},
  [51] = {.index = 66, .length = 3},
  [52] = {.index = 69, .length = 3},
  [53] = {.index = 72, .length = 3},
  [54] = {.index = 75, .length = 3},
  [55] = {.index = 78, .length = 4},
  [56] = {.index = 82, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_value, 1},
  [33] =
    {field_body, 4},
    {field_name, 1},
  [35] =
    {field_body, 5},
  [36] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [39] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [42] =
    {field_value, 0},
  [43] =
    {field_body, 6},
  [44] =
    {field_body, 6},
    {field_update, 4},
  [46] =
    {field_body, 6},
    {field_condition, 3},
  [48] =
    {field_body, 6},
    {field_initializer, 2},
  [50] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [52] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [54] =
    {field_body, 7},
    {field_update, 4},
  [56] =
    {field_body, 7},
    {field_condition, 3},
  [58] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [61] =
    {field_body, 7},
    {field_initializer, 2},
  [63] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [66] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [69] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [72] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [75] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [78] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [82] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static TSSymbol ts_alias_sequences[57][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = alias_sym_special_variable_name,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = alias_sym_special_variable_name,
  },
  [30] = {
    [1] = sym_word,
  },
  [32] = {
    [3] = sym_word,
  },
  [37] = {
    [0] = sym_word,
  },
  [38] = {
    [4] = sym_word,
  },
  [45] = {
    [0] = sym_word,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(78)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == 'e') ADVANCE(250);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(99)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == 'i') ADVANCE(249);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(105)
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(80)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(90)
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == ']') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(100)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(84)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(83)
      if (lookahead == ']') ADVANCE(57);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(93)
      if (lookahead == ']') ADVANCE(221);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '(') ADVANCE(49);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(94)
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(95)
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(96)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 35:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(268);
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 42:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(223);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 43:
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(55);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(178);
      if (lookahead == '=') ADVANCE(172);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '[') ADVANCE(163);
      if (lookahead == '\\') SKIP(102)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 44:
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == ';') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(268);
      END_STATE();
    case 45:
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 46:
      if (lookahead == '\'') ADVANCE(228);
      if (lookahead != 0) ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(229);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(230);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 50:
      if (lookahead == '(') ADVANCE(239);
      END_STATE();
    case 51:
      if (lookahead == '(') ADVANCE(240);
      END_STATE();
    case 52:
      if (lookahead == ')') ADVANCE(140);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 54:
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 56:
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 57:
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 62:
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 63:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 64:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 65:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 66:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 67:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 68:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 69:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 70:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 71:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 72:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 73:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 74:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 75:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 76:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 77:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 78:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 79:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 80:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 81:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 82:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 83:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      END_STATE();
    case 84:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      END_STATE();
    case 85:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 86:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 87:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 88:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 89:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 90:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 91:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 92:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 93:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 94:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 95:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 96:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 97:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 98:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 99:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 100:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      END_STATE();
    case 101:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 102:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      END_STATE();
    case 103:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 104:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 105:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 106:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 107:
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 108:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(268);
      END_STATE();
    case 109:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(118)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 110:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(119)
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      END_STATE();
    case 111:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 112:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(112)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 113:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(113)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 114:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(114)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 115:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(115)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 116:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(116)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 117:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(117)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 118:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      END_STATE();
    case 119:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      END_STATE();
    case 120:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '\\') ADVANCE(67);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '-') ADVANCE(203);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(82);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(68);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(70);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '\\') ADVANCE(71);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '\\') ADVANCE(72);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(73);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(74);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(76);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(77);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(91);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(156);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(170);
      if (lookahead == '~') ADVANCE(168);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '<') ADVANCE(194);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '<') ADVANCE(194);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '<') ADVANCE(194);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(240);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(240);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '<') ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(214);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(213);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(215);
      if (lookahead == '=') ADVANCE(205);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(235);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '{') ADVANCE(232);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '{') ADVANCE(232);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(227);
      if (lookahead == '\\') ADVANCE(241);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(223);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(223);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(229);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(227);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(242);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'n') ADVANCE(137);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(38);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 72:
      if (lookahead == 'v') ADVANCE(75);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 117, .external_lex_state = 2},
  [2] = {.lex_state = 117, .external_lex_state = 2},
  [3] = {.lex_state = 117, .external_lex_state = 2},
  [4] = {.lex_state = 117, .external_lex_state = 2},
  [5] = {.lex_state = 117, .external_lex_state = 2},
  [6] = {.lex_state = 117, .external_lex_state = 2},
  [7] = {.lex_state = 117, .external_lex_state = 2},
  [8] = {.lex_state = 23, .external_lex_state = 2},
  [9] = {.lex_state = 23, .external_lex_state = 2},
  [10] = {.lex_state = 117, .external_lex_state = 2},
  [11] = {.lex_state = 23, .external_lex_state = 2},
  [12] = {.lex_state = 23, .external_lex_state = 2},
  [13] = {.lex_state = 117, .external_lex_state = 2},
  [14] = {.lex_state = 117, .external_lex_state = 2},
  [15] = {.lex_state = 117, .external_lex_state = 2},
  [16] = {.lex_state = 117, .external_lex_state = 2},
  [17] = {.lex_state = 117, .external_lex_state = 2},
  [18] = {.lex_state = 117, .external_lex_state = 2},
  [19] = {.lex_state = 117, .external_lex_state = 2},
  [20] = {.lex_state = 117, .external_lex_state = 2},
  [21] = {.lex_state = 117, .external_lex_state = 2},
  [22] = {.lex_state = 117, .external_lex_state = 2},
  [23] = {.lex_state = 117, .external_lex_state = 2},
  [24] = {.lex_state = 117, .external_lex_state = 2},
  [25] = {.lex_state = 117, .external_lex_state = 2},
  [26] = {.lex_state = 117, .external_lex_state = 2},
  [27] = {.lex_state = 117, .external_lex_state = 2},
  [28] = {.lex_state = 117, .external_lex_state = 2},
  [29] = {.lex_state = 117, .external_lex_state = 2},
  [30] = {.lex_state = 117, .external_lex_state = 2},
  [31] = {.lex_state = 24, .external_lex_state = 3},
  [32] = {.lex_state = 117, .external_lex_state = 2},
  [33] = {.lex_state = 117, .external_lex_state = 2},
  [34] = {.lex_state = 117, .external_lex_state = 2},
  [35] = {.lex_state = 117, .external_lex_state = 2},
  [36] = {.lex_state = 117, .external_lex_state = 2},
  [37] = {.lex_state = 117, .external_lex_state = 2},
  [38] = {.lex_state = 117, .external_lex_state = 2},
  [39] = {.lex_state = 117, .external_lex_state = 2},
  [40] = {.lex_state = 117, .external_lex_state = 2},
  [41] = {.lex_state = 24, .external_lex_state = 3},
  [42] = {.lex_state = 117, .external_lex_state = 2},
  [43] = {.lex_state = 117, .external_lex_state = 2},
  [44] = {.lex_state = 117, .external_lex_state = 2},
  [45] = {.lex_state = 117, .external_lex_state = 2},
  [46] = {.lex_state = 117, .external_lex_state = 2},
  [47] = {.lex_state = 117, .external_lex_state = 2},
  [48] = {.lex_state = 117, .external_lex_state = 2},
  [49] = {.lex_state = 117, .external_lex_state = 2},
  [50] = {.lex_state = 117, .external_lex_state = 2},
  [51] = {.lex_state = 117, .external_lex_state = 2},
  [52] = {.lex_state = 117, .external_lex_state = 2},
  [53] = {.lex_state = 117, .external_lex_state = 2},
  [54] = {.lex_state = 117, .external_lex_state = 2},
  [55] = {.lex_state = 117, .external_lex_state = 2},
  [56] = {.lex_state = 117, .external_lex_state = 2},
  [57] = {.lex_state = 117, .external_lex_state = 2},
  [58] = {.lex_state = 24, .external_lex_state = 3},
  [59] = {.lex_state = 117, .external_lex_state = 2},
  [60] = {.lex_state = 117, .external_lex_state = 2},
  [61] = {.lex_state = 117, .external_lex_state = 2},
  [62] = {.lex_state = 117, .external_lex_state = 2},
  [63] = {.lex_state = 117, .external_lex_state = 2},
  [64] = {.lex_state = 117, .external_lex_state = 2},
  [65] = {.lex_state = 117, .external_lex_state = 2},
  [66] = {.lex_state = 117, .external_lex_state = 2},
  [67] = {.lex_state = 117, .external_lex_state = 2},
  [68] = {.lex_state = 117, .external_lex_state = 2},
  [69] = {.lex_state = 117, .external_lex_state = 2},
  [70] = {.lex_state = 117, .external_lex_state = 2},
  [71] = {.lex_state = 117, .external_lex_state = 2},
  [72] = {.lex_state = 117, .external_lex_state = 2},
  [73] = {.lex_state = 117, .external_lex_state = 2},
  [74] = {.lex_state = 117, .external_lex_state = 2},
  [75] = {.lex_state = 117, .external_lex_state = 2},
  [76] = {.lex_state = 117, .external_lex_state = 2},
  [77] = {.lex_state = 117, .external_lex_state = 2},
  [78] = {.lex_state = 117, .external_lex_state = 2},
  [79] = {.lex_state = 117, .external_lex_state = 2},
  [80] = {.lex_state = 117, .external_lex_state = 2},
  [81] = {.lex_state = 117, .external_lex_state = 2},
  [82] = {.lex_state = 117, .external_lex_state = 2},
  [83] = {.lex_state = 117, .external_lex_state = 2},
  [84] = {.lex_state = 117, .external_lex_state = 2},
  [85] = {.lex_state = 117, .external_lex_state = 2},
  [86] = {.lex_state = 117, .external_lex_state = 2},
  [87] = {.lex_state = 117, .external_lex_state = 2},
  [88] = {.lex_state = 117, .external_lex_state = 2},
  [89] = {.lex_state = 117, .external_lex_state = 2},
  [90] = {.lex_state = 117, .external_lex_state = 2},
  [91] = {.lex_state = 117, .external_lex_state = 2},
  [92] = {.lex_state = 117, .external_lex_state = 2},
  [93] = {.lex_state = 117, .external_lex_state = 2},
  [94] = {.lex_state = 117, .external_lex_state = 2},
  [95] = {.lex_state = 117, .external_lex_state = 2},
  [96] = {.lex_state = 117, .external_lex_state = 2},
  [97] = {.lex_state = 117, .external_lex_state = 2},
  [98] = {.lex_state = 117, .external_lex_state = 2},
  [99] = {.lex_state = 117, .external_lex_state = 2},
  [100] = {.lex_state = 24, .external_lex_state = 3},
  [101] = {.lex_state = 117, .external_lex_state = 2},
  [102] = {.lex_state = 117, .external_lex_state = 2},
  [103] = {.lex_state = 117, .external_lex_state = 2},
  [104] = {.lex_state = 117, .external_lex_state = 2},
  [105] = {.lex_state = 117, .external_lex_state = 2},
  [106] = {.lex_state = 24, .external_lex_state = 3},
  [107] = {.lex_state = 117, .external_lex_state = 2},
  [108] = {.lex_state = 117, .external_lex_state = 2},
  [109] = {.lex_state = 117, .external_lex_state = 2},
  [110] = {.lex_state = 117, .external_lex_state = 2},
  [111] = {.lex_state = 117, .external_lex_state = 2},
  [112] = {.lex_state = 117, .external_lex_state = 2},
  [113] = {.lex_state = 117, .external_lex_state = 2},
  [114] = {.lex_state = 117, .external_lex_state = 2},
  [115] = {.lex_state = 117, .external_lex_state = 2},
  [116] = {.lex_state = 117, .external_lex_state = 2},
  [117] = {.lex_state = 117, .external_lex_state = 2},
  [118] = {.lex_state = 117, .external_lex_state = 2},
  [119] = {.lex_state = 117, .external_lex_state = 2},
  [120] = {.lex_state = 117, .external_lex_state = 2},
  [121] = {.lex_state = 117, .external_lex_state = 2},
  [122] = {.lex_state = 117, .external_lex_state = 2},
  [123] = {.lex_state = 117, .external_lex_state = 2},
  [124] = {.lex_state = 117, .external_lex_state = 2},
  [125] = {.lex_state = 117, .external_lex_state = 2},
  [126] = {.lex_state = 117, .external_lex_state = 2},
  [127] = {.lex_state = 117, .external_lex_state = 4},
  [128] = {.lex_state = 1, .external_lex_state = 5},
  [129] = {.lex_state = 111, .external_lex_state = 5},
  [130] = {.lex_state = 1, .external_lex_state = 5},
  [131] = {.lex_state = 111, .external_lex_state = 5},
  [132] = {.lex_state = 1, .external_lex_state = 5},
  [133] = {.lex_state = 111, .external_lex_state = 5},
  [134] = {.lex_state = 111, .external_lex_state = 5},
  [135] = {.lex_state = 111, .external_lex_state = 5},
  [136] = {.lex_state = 111, .external_lex_state = 5},
  [137] = {.lex_state = 112, .external_lex_state = 6},
  [138] = {.lex_state = 23, .external_lex_state = 4},
  [139] = {.lex_state = 112, .external_lex_state = 6},
  [140] = {.lex_state = 10, .external_lex_state = 6},
  [141] = {.lex_state = 111, .external_lex_state = 5},
  [142] = {.lex_state = 111, .external_lex_state = 5},
  [143] = {.lex_state = 23, .external_lex_state = 4},
  [144] = {.lex_state = 117, .external_lex_state = 4},
  [145] = {.lex_state = 113, .external_lex_state = 6},
  [146] = {.lex_state = 24, .external_lex_state = 7},
  [147] = {.lex_state = 12, .external_lex_state = 5},
  [148] = {.lex_state = 13, .external_lex_state = 6},
  [149] = {.lex_state = 117, .external_lex_state = 4},
  [150] = {.lex_state = 113, .external_lex_state = 6},
  [151] = {.lex_state = 114, .external_lex_state = 5},
  [152] = {.lex_state = 114, .external_lex_state = 5},
  [153] = {.lex_state = 117, .external_lex_state = 4},
  [154] = {.lex_state = 114, .external_lex_state = 5},
  [155] = {.lex_state = 117, .external_lex_state = 4},
  [156] = {.lex_state = 113, .external_lex_state = 6},
  [157] = {.lex_state = 12, .external_lex_state = 5},
  [158] = {.lex_state = 13, .external_lex_state = 6},
  [159] = {.lex_state = 113, .external_lex_state = 6},
  [160] = {.lex_state = 117, .external_lex_state = 4},
  [161] = {.lex_state = 113, .external_lex_state = 6},
  [162] = {.lex_state = 113, .external_lex_state = 6},
  [163] = {.lex_state = 13, .external_lex_state = 6},
  [164] = {.lex_state = 114, .external_lex_state = 5},
  [165] = {.lex_state = 113, .external_lex_state = 6},
  [166] = {.lex_state = 117, .external_lex_state = 4},
  [167] = {.lex_state = 113, .external_lex_state = 6},
  [168] = {.lex_state = 113, .external_lex_state = 6},
  [169] = {.lex_state = 117, .external_lex_state = 2},
  [170] = {.lex_state = 13, .external_lex_state = 6},
  [171] = {.lex_state = 113, .external_lex_state = 6},
  [172] = {.lex_state = 13, .external_lex_state = 6},
  [173] = {.lex_state = 117, .external_lex_state = 2},
  [174] = {.lex_state = 113, .external_lex_state = 6},
  [175] = {.lex_state = 113, .external_lex_state = 6},
  [176] = {.lex_state = 113, .external_lex_state = 6},
  [177] = {.lex_state = 114, .external_lex_state = 6},
  [178] = {.lex_state = 1, .external_lex_state = 6},
  [179] = {.lex_state = 1, .external_lex_state = 6},
  [180] = {.lex_state = 111, .external_lex_state = 6},
  [181] = {.lex_state = 1, .external_lex_state = 6},
  [182] = {.lex_state = 111, .external_lex_state = 6},
  [183] = {.lex_state = 111, .external_lex_state = 6},
  [184] = {.lex_state = 111, .external_lex_state = 6},
  [185] = {.lex_state = 111, .external_lex_state = 6},
  [186] = {.lex_state = 111, .external_lex_state = 6},
  [187] = {.lex_state = 117, .external_lex_state = 4},
  [188] = {.lex_state = 114, .external_lex_state = 6},
  [189] = {.lex_state = 117, .external_lex_state = 4},
  [190] = {.lex_state = 12, .external_lex_state = 6},
  [191] = {.lex_state = 113, .external_lex_state = 6},
  [192] = {.lex_state = 117, .external_lex_state = 4},
  [193] = {.lex_state = 117, .external_lex_state = 2},
  [194] = {.lex_state = 37, .external_lex_state = 2},
  [195] = {.lex_state = 23, .external_lex_state = 2},
  [196] = {.lex_state = 37, .external_lex_state = 2},
  [197] = {.lex_state = 117, .external_lex_state = 2},
  [198] = {.lex_state = 117, .external_lex_state = 2},
  [199] = {.lex_state = 111, .external_lex_state = 6},
  [200] = {.lex_state = 23, .external_lex_state = 2},
  [201] = {.lex_state = 23, .external_lex_state = 2},
  [202] = {.lex_state = 37, .external_lex_state = 2},
  [203] = {.lex_state = 117, .external_lex_state = 2},
  [204] = {.lex_state = 37, .external_lex_state = 2},
  [205] = {.lex_state = 23, .external_lex_state = 2},
  [206] = {.lex_state = 111, .external_lex_state = 6},
  [207] = {.lex_state = 117, .external_lex_state = 2},
  [208] = {.lex_state = 117, .external_lex_state = 2},
  [209] = {.lex_state = 117, .external_lex_state = 2},
  [210] = {.lex_state = 117, .external_lex_state = 2},
  [211] = {.lex_state = 24, .external_lex_state = 3},
  [212] = {.lex_state = 24, .external_lex_state = 3},
  [213] = {.lex_state = 117, .external_lex_state = 2},
  [214] = {.lex_state = 117, .external_lex_state = 2},
  [215] = {.lex_state = 117, .external_lex_state = 2},
  [216] = {.lex_state = 117, .external_lex_state = 2},
  [217] = {.lex_state = 117, .external_lex_state = 2},
  [218] = {.lex_state = 117, .external_lex_state = 2},
  [219] = {.lex_state = 115, .external_lex_state = 5},
  [220] = {.lex_state = 115, .external_lex_state = 5},
  [221] = {.lex_state = 115, .external_lex_state = 5},
  [222] = {.lex_state = 113, .external_lex_state = 8},
  [223] = {.lex_state = 115, .external_lex_state = 5},
  [224] = {.lex_state = 115, .external_lex_state = 5},
  [225] = {.lex_state = 16, .external_lex_state = 5},
  [226] = {.lex_state = 115, .external_lex_state = 5},
  [227] = {.lex_state = 115, .external_lex_state = 5},
  [228] = {.lex_state = 115, .external_lex_state = 5},
  [229] = {.lex_state = 16, .external_lex_state = 5},
  [230] = {.lex_state = 13, .external_lex_state = 8},
  [231] = {.lex_state = 113, .external_lex_state = 8},
  [232] = {.lex_state = 16, .external_lex_state = 5},
  [233] = {.lex_state = 16, .external_lex_state = 5},
  [234] = {.lex_state = 115, .external_lex_state = 5},
  [235] = {.lex_state = 13, .external_lex_state = 8},
  [236] = {.lex_state = 115, .external_lex_state = 5},
  [237] = {.lex_state = 115, .external_lex_state = 5},
  [238] = {.lex_state = 13, .external_lex_state = 8},
  [239] = {.lex_state = 111, .external_lex_state = 9},
  [240] = {.lex_state = 111, .external_lex_state = 9},
  [241] = {.lex_state = 113, .external_lex_state = 8},
  [242] = {.lex_state = 113, .external_lex_state = 8},
  [243] = {.lex_state = 1, .external_lex_state = 9},
  [244] = {.lex_state = 1, .external_lex_state = 9},
  [245] = {.lex_state = 113, .external_lex_state = 8},
  [246] = {.lex_state = 113, .external_lex_state = 8},
  [247] = {.lex_state = 111, .external_lex_state = 9},
  [248] = {.lex_state = 115, .external_lex_state = 5},
  [249] = {.lex_state = 111, .external_lex_state = 9},
  [250] = {.lex_state = 111, .external_lex_state = 9},
  [251] = {.lex_state = 113, .external_lex_state = 8},
  [252] = {.lex_state = 13, .external_lex_state = 8},
  [253] = {.lex_state = 115, .external_lex_state = 5},
  [254] = {.lex_state = 113, .external_lex_state = 8},
  [255] = {.lex_state = 115, .external_lex_state = 5},
  [256] = {.lex_state = 111, .external_lex_state = 9},
  [257] = {.lex_state = 115, .external_lex_state = 5},
  [258] = {.lex_state = 115, .external_lex_state = 5},
  [259] = {.lex_state = 113, .external_lex_state = 8},
  [260] = {.lex_state = 111, .external_lex_state = 9},
  [261] = {.lex_state = 13, .external_lex_state = 8},
  [262] = {.lex_state = 13, .external_lex_state = 8},
  [263] = {.lex_state = 113, .external_lex_state = 8},
  [264] = {.lex_state = 113, .external_lex_state = 8},
  [265] = {.lex_state = 111, .external_lex_state = 9},
  [266] = {.lex_state = 113, .external_lex_state = 8},
  [267] = {.lex_state = 111, .external_lex_state = 9},
  [268] = {.lex_state = 115, .external_lex_state = 5},
  [269] = {.lex_state = 1, .external_lex_state = 9},
  [270] = {.lex_state = 111, .external_lex_state = 9},
  [271] = {.lex_state = 115, .external_lex_state = 5},
  [272] = {.lex_state = 1, .external_lex_state = 9},
  [273] = {.lex_state = 113, .external_lex_state = 8},
  [274] = {.lex_state = 113, .external_lex_state = 8},
  [275] = {.lex_state = 1, .external_lex_state = 9},
  [276] = {.lex_state = 13, .external_lex_state = 8},
  [277] = {.lex_state = 111, .external_lex_state = 9},
  [278] = {.lex_state = 1, .external_lex_state = 9},
  [279] = {.lex_state = 113, .external_lex_state = 8},
  [280] = {.lex_state = 113, .external_lex_state = 8},
  [281] = {.lex_state = 113, .external_lex_state = 8},
  [282] = {.lex_state = 113, .external_lex_state = 8},
  [283] = {.lex_state = 113, .external_lex_state = 8},
  [284] = {.lex_state = 13, .external_lex_state = 8},
  [285] = {.lex_state = 113, .external_lex_state = 8},
  [286] = {.lex_state = 113, .external_lex_state = 8},
  [287] = {.lex_state = 113, .external_lex_state = 8},
  [288] = {.lex_state = 1, .external_lex_state = 9},
  [289] = {.lex_state = 13, .external_lex_state = 8},
  [290] = {.lex_state = 13, .external_lex_state = 8},
  [291] = {.lex_state = 113, .external_lex_state = 8},
  [292] = {.lex_state = 113, .external_lex_state = 8},
  [293] = {.lex_state = 113, .external_lex_state = 8},
  [294] = {.lex_state = 113, .external_lex_state = 8},
  [295] = {.lex_state = 113, .external_lex_state = 8},
  [296] = {.lex_state = 113, .external_lex_state = 8},
  [297] = {.lex_state = 13, .external_lex_state = 8},
  [298] = {.lex_state = 1, .external_lex_state = 9},
  [299] = {.lex_state = 1, .external_lex_state = 9},
  [300] = {.lex_state = 1, .external_lex_state = 9},
  [301] = {.lex_state = 13, .external_lex_state = 8},
  [302] = {.lex_state = 113, .external_lex_state = 8},
  [303] = {.lex_state = 113, .external_lex_state = 8},
  [304] = {.lex_state = 113, .external_lex_state = 8},
  [305] = {.lex_state = 113, .external_lex_state = 8},
  [306] = {.lex_state = 111, .external_lex_state = 9},
  [307] = {.lex_state = 1, .external_lex_state = 9},
  [308] = {.lex_state = 13, .external_lex_state = 8},
  [309] = {.lex_state = 13, .external_lex_state = 8},
  [310] = {.lex_state = 109, .external_lex_state = 6},
  [311] = {.lex_state = 111, .external_lex_state = 5},
  [312] = {.lex_state = 115, .external_lex_state = 9},
  [313] = {.lex_state = 113, .external_lex_state = 8},
  [314] = {.lex_state = 115, .external_lex_state = 9},
  [315] = {.lex_state = 13, .external_lex_state = 6},
  [316] = {.lex_state = 115, .external_lex_state = 9},
  [317] = {.lex_state = 113, .external_lex_state = 8},
  [318] = {.lex_state = 13, .external_lex_state = 8},
  [319] = {.lex_state = 111, .external_lex_state = 8},
  [320] = {.lex_state = 113, .external_lex_state = 8},
  [321] = {.lex_state = 1, .external_lex_state = 8},
  [322] = {.lex_state = 113, .external_lex_state = 8},
  [323] = {.lex_state = 111, .external_lex_state = 5},
  [324] = {.lex_state = 113, .external_lex_state = 8},
  [325] = {.lex_state = 113, .external_lex_state = 8},
  [326] = {.lex_state = 113, .external_lex_state = 8},
  [327] = {.lex_state = 113, .external_lex_state = 8},
  [328] = {.lex_state = 113, .external_lex_state = 8},
  [329] = {.lex_state = 113, .external_lex_state = 8},
  [330] = {.lex_state = 113, .external_lex_state = 8},
  [331] = {.lex_state = 113, .external_lex_state = 8},
  [332] = {.lex_state = 113, .external_lex_state = 8},
  [333] = {.lex_state = 113, .external_lex_state = 8},
  [334] = {.lex_state = 111, .external_lex_state = 5},
  [335] = {.lex_state = 113, .external_lex_state = 8},
  [336] = {.lex_state = 111, .external_lex_state = 9},
  [337] = {.lex_state = 111, .external_lex_state = 9},
  [338] = {.lex_state = 13, .external_lex_state = 8},
  [339] = {.lex_state = 13, .external_lex_state = 6},
  [340] = {.lex_state = 1, .external_lex_state = 8},
  [341] = {.lex_state = 13, .external_lex_state = 8},
  [342] = {.lex_state = 13, .external_lex_state = 8},
  [343] = {.lex_state = 13, .external_lex_state = 8},
  [344] = {.lex_state = 113, .external_lex_state = 6},
  [345] = {.lex_state = 111, .external_lex_state = 9},
  [346] = {.lex_state = 111, .external_lex_state = 9},
  [347] = {.lex_state = 111, .external_lex_state = 9},
  [348] = {.lex_state = 13, .external_lex_state = 8},
  [349] = {.lex_state = 13, .external_lex_state = 6},
  [350] = {.lex_state = 111, .external_lex_state = 9},
  [351] = {.lex_state = 111, .external_lex_state = 9},
  [352] = {.lex_state = 111, .external_lex_state = 9},
  [353] = {.lex_state = 111, .external_lex_state = 9},
  [354] = {.lex_state = 111, .external_lex_state = 9},
  [355] = {.lex_state = 111, .external_lex_state = 9},
  [356] = {.lex_state = 111, .external_lex_state = 9},
  [357] = {.lex_state = 113, .external_lex_state = 8},
  [358] = {.lex_state = 113, .external_lex_state = 8},
  [359] = {.lex_state = 111, .external_lex_state = 9},
  [360] = {.lex_state = 113, .external_lex_state = 8},
  [361] = {.lex_state = 113, .external_lex_state = 8},
  [362] = {.lex_state = 111, .external_lex_state = 9},
  [363] = {.lex_state = 113, .external_lex_state = 8},
  [364] = {.lex_state = 111, .external_lex_state = 9},
  [365] = {.lex_state = 113, .external_lex_state = 8},
  [366] = {.lex_state = 113, .external_lex_state = 8},
  [367] = {.lex_state = 111, .external_lex_state = 9},
  [368] = {.lex_state = 1, .external_lex_state = 8},
  [369] = {.lex_state = 1, .external_lex_state = 5},
  [370] = {.lex_state = 111, .external_lex_state = 9},
  [371] = {.lex_state = 111, .external_lex_state = 9},
  [372] = {.lex_state = 13, .external_lex_state = 8},
  [373] = {.lex_state = 13, .external_lex_state = 8},
  [374] = {.lex_state = 13, .external_lex_state = 6},
  [375] = {.lex_state = 16, .external_lex_state = 9},
  [376] = {.lex_state = 111, .external_lex_state = 9},
  [377] = {.lex_state = 111, .external_lex_state = 9},
  [378] = {.lex_state = 13, .external_lex_state = 8},
  [379] = {.lex_state = 111, .external_lex_state = 9},
  [380] = {.lex_state = 111, .external_lex_state = 9},
  [381] = {.lex_state = 111, .external_lex_state = 9},
  [382] = {.lex_state = 111, .external_lex_state = 9},
  [383] = {.lex_state = 113, .external_lex_state = 6},
  [384] = {.lex_state = 111, .external_lex_state = 9},
  [385] = {.lex_state = 111, .external_lex_state = 9},
  [386] = {.lex_state = 13, .external_lex_state = 8},
  [387] = {.lex_state = 13, .external_lex_state = 8},
  [388] = {.lex_state = 13, .external_lex_state = 8},
  [389] = {.lex_state = 13, .external_lex_state = 8},
  [390] = {.lex_state = 13, .external_lex_state = 8},
  [391] = {.lex_state = 13, .external_lex_state = 8},
  [392] = {.lex_state = 13, .external_lex_state = 8},
  [393] = {.lex_state = 13, .external_lex_state = 8},
  [394] = {.lex_state = 13, .external_lex_state = 8},
  [395] = {.lex_state = 111, .external_lex_state = 9},
  [396] = {.lex_state = 13, .external_lex_state = 8},
  [397] = {.lex_state = 111, .external_lex_state = 9},
  [398] = {.lex_state = 111, .external_lex_state = 9},
  [399] = {.lex_state = 1, .external_lex_state = 9},
  [400] = {.lex_state = 111, .external_lex_state = 9},
  [401] = {.lex_state = 1, .external_lex_state = 9},
  [402] = {.lex_state = 16, .external_lex_state = 9},
  [403] = {.lex_state = 1, .external_lex_state = 9},
  [404] = {.lex_state = 1, .external_lex_state = 5},
  [405] = {.lex_state = 16, .external_lex_state = 9},
  [406] = {.lex_state = 1, .external_lex_state = 9},
  [407] = {.lex_state = 111, .external_lex_state = 9},
  [408] = {.lex_state = 111, .external_lex_state = 9},
  [409] = {.lex_state = 1, .external_lex_state = 9},
  [410] = {.lex_state = 111, .external_lex_state = 9},
  [411] = {.lex_state = 111, .external_lex_state = 9},
  [412] = {.lex_state = 1, .external_lex_state = 9},
  [413] = {.lex_state = 111, .external_lex_state = 9},
  [414] = {.lex_state = 113, .external_lex_state = 8},
  [415] = {.lex_state = 1, .external_lex_state = 9},
  [416] = {.lex_state = 113, .external_lex_state = 8},
  [417] = {.lex_state = 113, .external_lex_state = 8},
  [418] = {.lex_state = 113, .external_lex_state = 6},
  [419] = {.lex_state = 111, .external_lex_state = 9},
  [420] = {.lex_state = 111, .external_lex_state = 9},
  [421] = {.lex_state = 111, .external_lex_state = 9},
  [422] = {.lex_state = 1, .external_lex_state = 9},
  [423] = {.lex_state = 111, .external_lex_state = 9},
  [424] = {.lex_state = 111, .external_lex_state = 8},
  [425] = {.lex_state = 111, .external_lex_state = 5},
  [426] = {.lex_state = 111, .external_lex_state = 8},
  [427] = {.lex_state = 113, .external_lex_state = 8},
  [428] = {.lex_state = 1, .external_lex_state = 9},
  [429] = {.lex_state = 111, .external_lex_state = 5},
  [430] = {.lex_state = 1, .external_lex_state = 9},
  [431] = {.lex_state = 1, .external_lex_state = 9},
  [432] = {.lex_state = 113, .external_lex_state = 8},
  [433] = {.lex_state = 1, .external_lex_state = 5},
  [434] = {.lex_state = 1, .external_lex_state = 9},
  [435] = {.lex_state = 111, .external_lex_state = 8},
  [436] = {.lex_state = 1, .external_lex_state = 9},
  [437] = {.lex_state = 1, .external_lex_state = 9},
  [438] = {.lex_state = 111, .external_lex_state = 8},
  [439] = {.lex_state = 111, .external_lex_state = 9},
  [440] = {.lex_state = 113, .external_lex_state = 8},
  [441] = {.lex_state = 111, .external_lex_state = 9},
  [442] = {.lex_state = 113, .external_lex_state = 8},
  [443] = {.lex_state = 111, .external_lex_state = 9},
  [444] = {.lex_state = 111, .external_lex_state = 9},
  [445] = {.lex_state = 1, .external_lex_state = 9},
  [446] = {.lex_state = 111, .external_lex_state = 8},
  [447] = {.lex_state = 113, .external_lex_state = 6},
  [448] = {.lex_state = 115, .external_lex_state = 9},
  [449] = {.lex_state = 111, .external_lex_state = 8},
  [450] = {.lex_state = 111, .external_lex_state = 9},
  [451] = {.lex_state = 1, .external_lex_state = 9},
  [452] = {.lex_state = 1, .external_lex_state = 9},
  [453] = {.lex_state = 115, .external_lex_state = 9},
  [454] = {.lex_state = 111, .external_lex_state = 9},
  [455] = {.lex_state = 113, .external_lex_state = 6},
  [456] = {.lex_state = 1, .external_lex_state = 9},
  [457] = {.lex_state = 115, .external_lex_state = 9},
  [458] = {.lex_state = 1, .external_lex_state = 9},
  [459] = {.lex_state = 111, .external_lex_state = 9},
  [460] = {.lex_state = 113, .external_lex_state = 6},
  [461] = {.lex_state = 1, .external_lex_state = 9},
  [462] = {.lex_state = 1, .external_lex_state = 8},
  [463] = {.lex_state = 111, .external_lex_state = 9},
  [464] = {.lex_state = 111, .external_lex_state = 9},
  [465] = {.lex_state = 113, .external_lex_state = 8},
  [466] = {.lex_state = 113, .external_lex_state = 8},
  [467] = {.lex_state = 113, .external_lex_state = 8},
  [468] = {.lex_state = 113, .external_lex_state = 8},
  [469] = {.lex_state = 113, .external_lex_state = 8},
  [470] = {.lex_state = 111, .external_lex_state = 9},
  [471] = {.lex_state = 111, .external_lex_state = 8},
  [472] = {.lex_state = 111, .external_lex_state = 5},
  [473] = {.lex_state = 113, .external_lex_state = 6},
  [474] = {.lex_state = 16, .external_lex_state = 9},
  [475] = {.lex_state = 111, .external_lex_state = 9},
  [476] = {.lex_state = 115, .external_lex_state = 9},
  [477] = {.lex_state = 115, .external_lex_state = 9},
  [478] = {.lex_state = 113, .external_lex_state = 6},
  [479] = {.lex_state = 16, .external_lex_state = 9},
  [480] = {.lex_state = 111, .external_lex_state = 6},
  [481] = {.lex_state = 16, .external_lex_state = 9},
  [482] = {.lex_state = 16, .external_lex_state = 9},
  [483] = {.lex_state = 16, .external_lex_state = 9},
  [484] = {.lex_state = 16, .external_lex_state = 9},
  [485] = {.lex_state = 16, .external_lex_state = 9},
  [486] = {.lex_state = 16, .external_lex_state = 9},
  [487] = {.lex_state = 16, .external_lex_state = 9},
  [488] = {.lex_state = 16, .external_lex_state = 9},
  [489] = {.lex_state = 16, .external_lex_state = 9},
  [490] = {.lex_state = 16, .external_lex_state = 9},
  [491] = {.lex_state = 16, .external_lex_state = 9},
  [492] = {.lex_state = 16, .external_lex_state = 9},
  [493] = {.lex_state = 16, .external_lex_state = 9},
  [494] = {.lex_state = 16, .external_lex_state = 9},
  [495] = {.lex_state = 16, .external_lex_state = 5},
  [496] = {.lex_state = 111, .external_lex_state = 6},
  [497] = {.lex_state = 16, .external_lex_state = 9},
  [498] = {.lex_state = 16, .external_lex_state = 9},
  [499] = {.lex_state = 16, .external_lex_state = 9},
  [500] = {.lex_state = 113, .external_lex_state = 6},
  [501] = {.lex_state = 1, .external_lex_state = 8},
  [502] = {.lex_state = 109, .external_lex_state = 6},
  [503] = {.lex_state = 1, .external_lex_state = 8},
  [504] = {.lex_state = 1, .external_lex_state = 8},
  [505] = {.lex_state = 1, .external_lex_state = 8},
  [506] = {.lex_state = 1, .external_lex_state = 8},
  [507] = {.lex_state = 1, .external_lex_state = 8},
  [508] = {.lex_state = 1, .external_lex_state = 8},
  [509] = {.lex_state = 1, .external_lex_state = 8},
  [510] = {.lex_state = 1, .external_lex_state = 8},
  [511] = {.lex_state = 115, .external_lex_state = 9},
  [512] = {.lex_state = 1, .external_lex_state = 8},
  [513] = {.lex_state = 1, .external_lex_state = 8},
  [514] = {.lex_state = 1, .external_lex_state = 8},
  [515] = {.lex_state = 1, .external_lex_state = 8},
  [516] = {.lex_state = 115, .external_lex_state = 9},
  [517] = {.lex_state = 1, .external_lex_state = 8},
  [518] = {.lex_state = 16, .external_lex_state = 9},
  [519] = {.lex_state = 1, .external_lex_state = 8},
  [520] = {.lex_state = 1, .external_lex_state = 8},
  [521] = {.lex_state = 1, .external_lex_state = 8},
  [522] = {.lex_state = 1, .external_lex_state = 6},
  [523] = {.lex_state = 115, .external_lex_state = 9},
  [524] = {.lex_state = 115, .external_lex_state = 9},
  [525] = {.lex_state = 1, .external_lex_state = 8},
  [526] = {.lex_state = 1, .external_lex_state = 8},
  [527] = {.lex_state = 1, .external_lex_state = 8},
  [528] = {.lex_state = 115, .external_lex_state = 9},
  [529] = {.lex_state = 115, .external_lex_state = 9},
  [530] = {.lex_state = 2, .external_lex_state = 6},
  [531] = {.lex_state = 115, .external_lex_state = 5},
  [532] = {.lex_state = 115, .external_lex_state = 9},
  [533] = {.lex_state = 115, .external_lex_state = 9},
  [534] = {.lex_state = 115, .external_lex_state = 9},
  [535] = {.lex_state = 115, .external_lex_state = 9},
  [536] = {.lex_state = 113, .external_lex_state = 6},
  [537] = {.lex_state = 115, .external_lex_state = 9},
  [538] = {.lex_state = 115, .external_lex_state = 9},
  [539] = {.lex_state = 115, .external_lex_state = 9},
  [540] = {.lex_state = 115, .external_lex_state = 9},
  [541] = {.lex_state = 115, .external_lex_state = 9},
  [542] = {.lex_state = 115, .external_lex_state = 9},
  [543] = {.lex_state = 111, .external_lex_state = 6},
  [544] = {.lex_state = 16, .external_lex_state = 9},
  [545] = {.lex_state = 38, .external_lex_state = 2},
  [546] = {.lex_state = 16, .external_lex_state = 9},
  [547] = {.lex_state = 38, .external_lex_state = 2},
  [548] = {.lex_state = 113, .external_lex_state = 6},
  [549] = {.lex_state = 115, .external_lex_state = 9},
  [550] = {.lex_state = 115, .external_lex_state = 9},
  [551] = {.lex_state = 16, .external_lex_state = 9},
  [552] = {.lex_state = 115, .external_lex_state = 9},
  [553] = {.lex_state = 16, .external_lex_state = 9},
  [554] = {.lex_state = 115, .external_lex_state = 9},
  [555] = {.lex_state = 1, .external_lex_state = 5},
  [556] = {.lex_state = 115, .external_lex_state = 9},
  [557] = {.lex_state = 16, .external_lex_state = 9},
  [558] = {.lex_state = 115, .external_lex_state = 9},
  [559] = {.lex_state = 115, .external_lex_state = 9},
  [560] = {.lex_state = 16, .external_lex_state = 9},
  [561] = {.lex_state = 115, .external_lex_state = 9},
  [562] = {.lex_state = 115, .external_lex_state = 9},
  [563] = {.lex_state = 115, .external_lex_state = 9},
  [564] = {.lex_state = 113, .external_lex_state = 6},
  [565] = {.lex_state = 115, .external_lex_state = 9},
  [566] = {.lex_state = 115, .external_lex_state = 9},
  [567] = {.lex_state = 115, .external_lex_state = 9},
  [568] = {.lex_state = 115, .external_lex_state = 9},
  [569] = {.lex_state = 115, .external_lex_state = 9},
  [570] = {.lex_state = 115, .external_lex_state = 9},
  [571] = {.lex_state = 38, .external_lex_state = 2},
  [572] = {.lex_state = 111, .external_lex_state = 5},
  [573] = {.lex_state = 115, .external_lex_state = 5},
  [574] = {.lex_state = 115, .external_lex_state = 9},
  [575] = {.lex_state = 115, .external_lex_state = 9},
  [576] = {.lex_state = 111, .external_lex_state = 6},
  [577] = {.lex_state = 113, .external_lex_state = 6},
  [578] = {.lex_state = 113, .external_lex_state = 6},
  [579] = {.lex_state = 115, .external_lex_state = 9},
  [580] = {.lex_state = 115, .external_lex_state = 9},
  [581] = {.lex_state = 13, .external_lex_state = 6},
  [582] = {.lex_state = 115, .external_lex_state = 9},
  [583] = {.lex_state = 38, .external_lex_state = 2},
  [584] = {.lex_state = 115, .external_lex_state = 5},
  [585] = {.lex_state = 115, .external_lex_state = 9},
  [586] = {.lex_state = 111, .external_lex_state = 8},
  [587] = {.lex_state = 115, .external_lex_state = 9},
  [588] = {.lex_state = 111, .external_lex_state = 8},
  [589] = {.lex_state = 111, .external_lex_state = 8},
  [590] = {.lex_state = 115, .external_lex_state = 9},
  [591] = {.lex_state = 111, .external_lex_state = 5},
  [592] = {.lex_state = 1, .external_lex_state = 6},
  [593] = {.lex_state = 1, .external_lex_state = 8},
  [594] = {.lex_state = 111, .external_lex_state = 8},
  [595] = {.lex_state = 1, .external_lex_state = 8},
  [596] = {.lex_state = 111, .external_lex_state = 8},
  [597] = {.lex_state = 111, .external_lex_state = 8},
  [598] = {.lex_state = 111, .external_lex_state = 8},
  [599] = {.lex_state = 111, .external_lex_state = 8},
  [600] = {.lex_state = 111, .external_lex_state = 8},
  [601] = {.lex_state = 111, .external_lex_state = 8},
  [602] = {.lex_state = 111, .external_lex_state = 8},
  [603] = {.lex_state = 111, .external_lex_state = 8},
  [604] = {.lex_state = 111, .external_lex_state = 8},
  [605] = {.lex_state = 111, .external_lex_state = 8},
  [606] = {.lex_state = 111, .external_lex_state = 8},
  [607] = {.lex_state = 13, .external_lex_state = 6},
  [608] = {.lex_state = 1, .external_lex_state = 5},
  [609] = {.lex_state = 111, .external_lex_state = 8},
  [610] = {.lex_state = 111, .external_lex_state = 8},
  [611] = {.lex_state = 111, .external_lex_state = 8},
  [612] = {.lex_state = 111, .external_lex_state = 8},
  [613] = {.lex_state = 113, .external_lex_state = 6},
  [614] = {.lex_state = 1, .external_lex_state = 5},
  [615] = {.lex_state = 111, .external_lex_state = 8},
  [616] = {.lex_state = 111, .external_lex_state = 8},
  [617] = {.lex_state = 111, .external_lex_state = 8},
  [618] = {.lex_state = 1, .external_lex_state = 8},
  [619] = {.lex_state = 111, .external_lex_state = 8},
  [620] = {.lex_state = 1, .external_lex_state = 8},
  [621] = {.lex_state = 111, .external_lex_state = 8},
  [622] = {.lex_state = 13, .external_lex_state = 6},
  [623] = {.lex_state = 111, .external_lex_state = 8},
  [624] = {.lex_state = 111, .external_lex_state = 8},
  [625] = {.lex_state = 1, .external_lex_state = 5},
  [626] = {.lex_state = 111, .external_lex_state = 5},
  [627] = {.lex_state = 111, .external_lex_state = 8},
  [628] = {.lex_state = 1, .external_lex_state = 8},
  [629] = {.lex_state = 111, .external_lex_state = 8},
  [630] = {.lex_state = 111, .external_lex_state = 8},
  [631] = {.lex_state = 111, .external_lex_state = 8},
  [632] = {.lex_state = 111, .external_lex_state = 8},
  [633] = {.lex_state = 115, .external_lex_state = 9},
  [634] = {.lex_state = 113, .external_lex_state = 6},
  [635] = {.lex_state = 115, .external_lex_state = 9},
  [636] = {.lex_state = 115, .external_lex_state = 9},
  [637] = {.lex_state = 111, .external_lex_state = 8},
  [638] = {.lex_state = 16, .external_lex_state = 5},
  [639] = {.lex_state = 115, .external_lex_state = 9},
  [640] = {.lex_state = 13, .external_lex_state = 6},
  [641] = {.lex_state = 115, .external_lex_state = 9},
  [642] = {.lex_state = 111, .external_lex_state = 5},
  [643] = {.lex_state = 111, .external_lex_state = 8},
  [644] = {.lex_state = 111, .external_lex_state = 8},
  [645] = {.lex_state = 111, .external_lex_state = 8},
  [646] = {.lex_state = 115, .external_lex_state = 9},
  [647] = {.lex_state = 1, .external_lex_state = 8},
  [648] = {.lex_state = 111, .external_lex_state = 5},
  [649] = {.lex_state = 111, .external_lex_state = 5},
  [650] = {.lex_state = 111, .external_lex_state = 8},
  [651] = {.lex_state = 111, .external_lex_state = 8},
  [652] = {.lex_state = 111, .external_lex_state = 8},
  [653] = {.lex_state = 111, .external_lex_state = 8},
  [654] = {.lex_state = 111, .external_lex_state = 8},
  [655] = {.lex_state = 111, .external_lex_state = 8},
  [656] = {.lex_state = 111, .external_lex_state = 5},
  [657] = {.lex_state = 111, .external_lex_state = 8},
  [658] = {.lex_state = 111, .external_lex_state = 8},
  [659] = {.lex_state = 111, .external_lex_state = 8},
  [660] = {.lex_state = 111, .external_lex_state = 8},
  [661] = {.lex_state = 111, .external_lex_state = 8},
  [662] = {.lex_state = 111, .external_lex_state = 8},
  [663] = {.lex_state = 111, .external_lex_state = 8},
  [664] = {.lex_state = 111, .external_lex_state = 8},
  [665] = {.lex_state = 111, .external_lex_state = 8},
  [666] = {.lex_state = 111, .external_lex_state = 8},
  [667] = {.lex_state = 111, .external_lex_state = 8},
  [668] = {.lex_state = 115, .external_lex_state = 9},
  [669] = {.lex_state = 115, .external_lex_state = 5},
  [670] = {.lex_state = 111, .external_lex_state = 5},
  [671] = {.lex_state = 16, .external_lex_state = 9},
  [672] = {.lex_state = 115, .external_lex_state = 9},
  [673] = {.lex_state = 115, .external_lex_state = 9},
  [674] = {.lex_state = 115, .external_lex_state = 9},
  [675] = {.lex_state = 115, .external_lex_state = 9},
  [676] = {.lex_state = 115, .external_lex_state = 9},
  [677] = {.lex_state = 115, .external_lex_state = 5},
  [678] = {.lex_state = 115, .external_lex_state = 5},
  [679] = {.lex_state = 16, .external_lex_state = 5},
  [680] = {.lex_state = 115, .external_lex_state = 5},
  [681] = {.lex_state = 16, .external_lex_state = 5},
  [682] = {.lex_state = 115, .external_lex_state = 5},
  [683] = {.lex_state = 16, .external_lex_state = 5},
  [684] = {.lex_state = 16, .external_lex_state = 5},
  [685] = {.lex_state = 111, .external_lex_state = 6},
  [686] = {.lex_state = 111, .external_lex_state = 6},
  [687] = {.lex_state = 1, .external_lex_state = 6},
  [688] = {.lex_state = 115, .external_lex_state = 5},
  [689] = {.lex_state = 115, .external_lex_state = 5},
  [690] = {.lex_state = 115, .external_lex_state = 5},
  [691] = {.lex_state = 115, .external_lex_state = 5},
  [692] = {.lex_state = 5, .external_lex_state = 10},
  [693] = {.lex_state = 21, .external_lex_state = 2},
  [694] = {.lex_state = 7, .external_lex_state = 10},
  [695] = {.lex_state = 7, .external_lex_state = 10},
  [696] = {.lex_state = 7, .external_lex_state = 10},
  [697] = {.lex_state = 7, .external_lex_state = 10},
  [698] = {.lex_state = 30},
  [699] = {.lex_state = 7, .external_lex_state = 10},
  [700] = {.lex_state = 7, .external_lex_state = 10},
  [701] = {.lex_state = 29, .external_lex_state = 11},
  [702] = {.lex_state = 29},
  [703] = {.lex_state = 36, .external_lex_state = 12},
  [704] = {.lex_state = 25, .external_lex_state = 13},
  [705] = {.lex_state = 35, .external_lex_state = 14},
  [706] = {.lex_state = 35, .external_lex_state = 14},
  [707] = {.lex_state = 35, .external_lex_state = 14},
  [708] = {.lex_state = 35, .external_lex_state = 14},
  [709] = {.lex_state = 36, .external_lex_state = 12},
  [710] = {.lex_state = 36, .external_lex_state = 12},
  [711] = {.lex_state = 36, .external_lex_state = 12},
  [712] = {.lex_state = 36, .external_lex_state = 12},
  [713] = {.lex_state = 35, .external_lex_state = 14},
  [714] = {.lex_state = 35, .external_lex_state = 14},
  [715] = {.lex_state = 35, .external_lex_state = 14},
  [716] = {.lex_state = 35, .external_lex_state = 14},
  [717] = {.lex_state = 35, .external_lex_state = 14},
  [718] = {.lex_state = 35, .external_lex_state = 14},
  [719] = {.lex_state = 35, .external_lex_state = 14},
  [720] = {.lex_state = 36, .external_lex_state = 12},
  [721] = {.lex_state = 36, .external_lex_state = 12},
  [722] = {.lex_state = 36, .external_lex_state = 12},
  [723] = {.lex_state = 36, .external_lex_state = 12},
  [724] = {.lex_state = 36, .external_lex_state = 12},
  [725] = {.lex_state = 36, .external_lex_state = 12},
  [726] = {.lex_state = 36, .external_lex_state = 12},
  [727] = {.lex_state = 25},
  [728] = {.lex_state = 25},
  [729] = {.lex_state = 35, .external_lex_state = 14},
  [730] = {.lex_state = 35, .external_lex_state = 14},
  [731] = {.lex_state = 36, .external_lex_state = 12},
  [732] = {.lex_state = 35, .external_lex_state = 14},
  [733] = {.lex_state = 35, .external_lex_state = 14},
  [734] = {.lex_state = 35, .external_lex_state = 14},
  [735] = {.lex_state = 36, .external_lex_state = 12},
  [736] = {.lex_state = 36, .external_lex_state = 12},
  [737] = {.lex_state = 35, .external_lex_state = 14},
  [738] = {.lex_state = 36, .external_lex_state = 12},
  [739] = {.lex_state = 36, .external_lex_state = 12},
  [740] = {.lex_state = 36, .external_lex_state = 12},
  [741] = {.lex_state = 35, .external_lex_state = 14},
  [742] = {.lex_state = 36, .external_lex_state = 12},
  [743] = {.lex_state = 36, .external_lex_state = 12},
  [744] = {.lex_state = 36, .external_lex_state = 12},
  [745] = {.lex_state = 35, .external_lex_state = 14},
  [746] = {.lex_state = 36, .external_lex_state = 12},
  [747] = {.lex_state = 36, .external_lex_state = 12},
  [748] = {.lex_state = 35, .external_lex_state = 14},
  [749] = {.lex_state = 35, .external_lex_state = 14},
  [750] = {.lex_state = 35, .external_lex_state = 14},
  [751] = {.lex_state = 35, .external_lex_state = 14},
  [752] = {.lex_state = 36, .external_lex_state = 12},
  [753] = {.lex_state = 36, .external_lex_state = 12},
  [754] = {.lex_state = 36, .external_lex_state = 12},
  [755] = {.lex_state = 35, .external_lex_state = 14},
  [756] = {.lex_state = 35, .external_lex_state = 14},
  [757] = {.lex_state = 35, .external_lex_state = 14},
  [758] = {.lex_state = 35, .external_lex_state = 14},
  [759] = {.lex_state = 35, .external_lex_state = 14},
  [760] = {.lex_state = 35, .external_lex_state = 14},
  [761] = {.lex_state = 36, .external_lex_state = 12},
  [762] = {.lex_state = 36, .external_lex_state = 12},
  [763] = {.lex_state = 36, .external_lex_state = 12},
  [764] = {.lex_state = 36, .external_lex_state = 12},
  [765] = {.lex_state = 36, .external_lex_state = 12},
  [766] = {.lex_state = 36, .external_lex_state = 12},
  [767] = {.lex_state = 36, .external_lex_state = 12},
  [768] = {.lex_state = 35, .external_lex_state = 14},
  [769] = {.lex_state = 35, .external_lex_state = 14},
  [770] = {.lex_state = 36, .external_lex_state = 12},
  [771] = {.lex_state = 35, .external_lex_state = 14},
  [772] = {.lex_state = 35, .external_lex_state = 14},
  [773] = {.lex_state = 25},
  [774] = {.lex_state = 36, .external_lex_state = 12},
  [775] = {.lex_state = 36, .external_lex_state = 12},
  [776] = {.lex_state = 35, .external_lex_state = 14},
  [777] = {.lex_state = 35, .external_lex_state = 14},
  [778] = {.lex_state = 36, .external_lex_state = 12},
  [779] = {.lex_state = 35, .external_lex_state = 14},
  [780] = {.lex_state = 35, .external_lex_state = 14},
  [781] = {.lex_state = 35, .external_lex_state = 14},
  [782] = {.lex_state = 36, .external_lex_state = 12},
  [783] = {.lex_state = 36, .external_lex_state = 12},
  [784] = {.lex_state = 36, .external_lex_state = 12},
  [785] = {.lex_state = 36, .external_lex_state = 12},
  [786] = {.lex_state = 35, .external_lex_state = 14},
  [787] = {.lex_state = 35, .external_lex_state = 14},
  [788] = {.lex_state = 35, .external_lex_state = 14},
  [789] = {.lex_state = 25},
  [790] = {.lex_state = 36, .external_lex_state = 12},
  [791] = {.lex_state = 36, .external_lex_state = 12},
  [792] = {.lex_state = 36, .external_lex_state = 12},
  [793] = {.lex_state = 36, .external_lex_state = 12},
  [794] = {.lex_state = 35, .external_lex_state = 14},
  [795] = {.lex_state = 35, .external_lex_state = 14},
  [796] = {.lex_state = 25},
  [797] = {.lex_state = 35, .external_lex_state = 14},
  [798] = {.lex_state = 35, .external_lex_state = 14},
  [799] = {.lex_state = 35, .external_lex_state = 14},
  [800] = {.lex_state = 35, .external_lex_state = 14},
  [801] = {.lex_state = 35, .external_lex_state = 14},
  [802] = {.lex_state = 35, .external_lex_state = 14},
  [803] = {.lex_state = 36, .external_lex_state = 12},
  [804] = {.lex_state = 36, .external_lex_state = 12},
  [805] = {.lex_state = 36, .external_lex_state = 12},
  [806] = {.lex_state = 36, .external_lex_state = 12},
  [807] = {.lex_state = 36, .external_lex_state = 12},
  [808] = {.lex_state = 35, .external_lex_state = 14},
  [809] = {.lex_state = 35, .external_lex_state = 14},
  [810] = {.lex_state = 36, .external_lex_state = 12},
  [811] = {.lex_state = 36, .external_lex_state = 12},
  [812] = {.lex_state = 35, .external_lex_state = 14},
  [813] = {.lex_state = 35, .external_lex_state = 14},
  [814] = {.lex_state = 36, .external_lex_state = 12},
  [815] = {.lex_state = 36, .external_lex_state = 12},
  [816] = {.lex_state = 36, .external_lex_state = 12},
  [817] = {.lex_state = 36, .external_lex_state = 12},
  [818] = {.lex_state = 36, .external_lex_state = 12},
  [819] = {.lex_state = 35, .external_lex_state = 14},
  [820] = {.lex_state = 35, .external_lex_state = 14},
  [821] = {.lex_state = 35, .external_lex_state = 14},
  [822] = {.lex_state = 35, .external_lex_state = 14},
  [823] = {.lex_state = 36, .external_lex_state = 12},
  [824] = {.lex_state = 36, .external_lex_state = 12},
  [825] = {.lex_state = 36, .external_lex_state = 12},
  [826] = {.lex_state = 36, .external_lex_state = 12},
  [827] = {.lex_state = 36, .external_lex_state = 12},
  [828] = {.lex_state = 35, .external_lex_state = 14},
  [829] = {.lex_state = 35, .external_lex_state = 14},
  [830] = {.lex_state = 35, .external_lex_state = 14},
  [831] = {.lex_state = 36, .external_lex_state = 12},
  [832] = {.lex_state = 35, .external_lex_state = 14},
  [833] = {.lex_state = 36, .external_lex_state = 12},
  [834] = {.lex_state = 36, .external_lex_state = 12},
  [835] = {.lex_state = 35, .external_lex_state = 14},
  [836] = {.lex_state = 36, .external_lex_state = 12},
  [837] = {.lex_state = 35, .external_lex_state = 14},
  [838] = {.lex_state = 35, .external_lex_state = 14},
  [839] = {.lex_state = 36, .external_lex_state = 12},
  [840] = {.lex_state = 35, .external_lex_state = 14},
  [841] = {.lex_state = 35, .external_lex_state = 14},
  [842] = {.lex_state = 35, .external_lex_state = 14},
  [843] = {.lex_state = 25, .external_lex_state = 13},
  [844] = {.lex_state = 35, .external_lex_state = 14},
  [845] = {.lex_state = 35, .external_lex_state = 14},
  [846] = {.lex_state = 35, .external_lex_state = 14},
  [847] = {.lex_state = 36, .external_lex_state = 12},
  [848] = {.lex_state = 36, .external_lex_state = 12},
  [849] = {.lex_state = 35, .external_lex_state = 14},
  [850] = {.lex_state = 36, .external_lex_state = 12},
  [851] = {.lex_state = 36, .external_lex_state = 12},
  [852] = {.lex_state = 35, .external_lex_state = 14},
  [853] = {.lex_state = 35, .external_lex_state = 14},
  [854] = {.lex_state = 35, .external_lex_state = 14},
  [855] = {.lex_state = 35, .external_lex_state = 14},
  [856] = {.lex_state = 36, .external_lex_state = 12},
  [857] = {.lex_state = 36, .external_lex_state = 12},
  [858] = {.lex_state = 36, .external_lex_state = 12},
  [859] = {.lex_state = 36, .external_lex_state = 12},
  [860] = {.lex_state = 35, .external_lex_state = 14},
  [861] = {.lex_state = 35, .external_lex_state = 14},
  [862] = {.lex_state = 35, .external_lex_state = 14},
  [863] = {.lex_state = 35, .external_lex_state = 14},
  [864] = {.lex_state = 36, .external_lex_state = 12},
  [865] = {.lex_state = 36, .external_lex_state = 12},
  [866] = {.lex_state = 36, .external_lex_state = 12},
  [867] = {.lex_state = 36, .external_lex_state = 12},
  [868] = {.lex_state = 36, .external_lex_state = 12},
  [869] = {.lex_state = 36, .external_lex_state = 12},
  [870] = {.lex_state = 25},
  [871] = {.lex_state = 36, .external_lex_state = 12},
  [872] = {.lex_state = 36, .external_lex_state = 12},
  [873] = {.lex_state = 35, .external_lex_state = 14},
  [874] = {.lex_state = 25},
  [875] = {.lex_state = 35, .external_lex_state = 14},
  [876] = {.lex_state = 25},
  [877] = {.lex_state = 35, .external_lex_state = 14},
  [878] = {.lex_state = 35, .external_lex_state = 14},
  [879] = {.lex_state = 25, .external_lex_state = 13},
  [880] = {.lex_state = 36, .external_lex_state = 12},
  [881] = {.lex_state = 36, .external_lex_state = 12},
  [882] = {.lex_state = 36, .external_lex_state = 12},
  [883] = {.lex_state = 36, .external_lex_state = 12},
  [884] = {.lex_state = 35, .external_lex_state = 14},
  [885] = {.lex_state = 35, .external_lex_state = 14},
  [886] = {.lex_state = 35, .external_lex_state = 14},
  [887] = {.lex_state = 35, .external_lex_state = 14},
  [888] = {.lex_state = 35, .external_lex_state = 14},
  [889] = {.lex_state = 35, .external_lex_state = 14},
  [890] = {.lex_state = 36, .external_lex_state = 12},
  [891] = {.lex_state = 36, .external_lex_state = 12},
  [892] = {.lex_state = 36, .external_lex_state = 12},
  [893] = {.lex_state = 36, .external_lex_state = 12},
  [894] = {.lex_state = 36, .external_lex_state = 12},
  [895] = {.lex_state = 35, .external_lex_state = 14},
  [896] = {.lex_state = 35, .external_lex_state = 14},
  [897] = {.lex_state = 35, .external_lex_state = 14},
  [898] = {.lex_state = 36, .external_lex_state = 12},
  [899] = {.lex_state = 36, .external_lex_state = 12},
  [900] = {.lex_state = 36, .external_lex_state = 12},
  [901] = {.lex_state = 36, .external_lex_state = 12},
  [902] = {.lex_state = 35, .external_lex_state = 14},
  [903] = {.lex_state = 35, .external_lex_state = 14},
  [904] = {.lex_state = 35, .external_lex_state = 14},
  [905] = {.lex_state = 35, .external_lex_state = 14},
  [906] = {.lex_state = 36, .external_lex_state = 12},
  [907] = {.lex_state = 36, .external_lex_state = 12},
  [908] = {.lex_state = 36, .external_lex_state = 12},
  [909] = {.lex_state = 36, .external_lex_state = 12},
  [910] = {.lex_state = 35, .external_lex_state = 14},
  [911] = {.lex_state = 35, .external_lex_state = 14},
  [912] = {.lex_state = 35, .external_lex_state = 14},
  [913] = {.lex_state = 35, .external_lex_state = 14},
  [914] = {.lex_state = 36, .external_lex_state = 12},
  [915] = {.lex_state = 36, .external_lex_state = 12},
  [916] = {.lex_state = 36, .external_lex_state = 12},
  [917] = {.lex_state = 36, .external_lex_state = 12},
  [918] = {.lex_state = 35, .external_lex_state = 14},
  [919] = {.lex_state = 35, .external_lex_state = 14},
  [920] = {.lex_state = 25, .external_lex_state = 13},
  [921] = {.lex_state = 35, .external_lex_state = 14},
  [922] = {.lex_state = 35, .external_lex_state = 14},
  [923] = {.lex_state = 25, .external_lex_state = 13},
  [924] = {.lex_state = 36, .external_lex_state = 14},
  [925] = {.lex_state = 36, .external_lex_state = 14},
  [926] = {.lex_state = 25},
  [927] = {.lex_state = 25},
  [928] = {.lex_state = 25},
  [929] = {.lex_state = 25},
  [930] = {.lex_state = 25},
  [931] = {.lex_state = 25},
  [932] = {.lex_state = 25},
  [933] = {.lex_state = 25},
  [934] = {.lex_state = 25},
  [935] = {.lex_state = 36, .external_lex_state = 14},
  [936] = {.lex_state = 25},
  [937] = {.lex_state = 36, .external_lex_state = 14},
  [938] = {.lex_state = 36, .external_lex_state = 14},
  [939] = {.lex_state = 36, .external_lex_state = 14},
  [940] = {.lex_state = 36, .external_lex_state = 14},
  [941] = {.lex_state = 36, .external_lex_state = 14},
  [942] = {.lex_state = 36, .external_lex_state = 14},
  [943] = {.lex_state = 25},
  [944] = {.lex_state = 36, .external_lex_state = 14},
  [945] = {.lex_state = 25},
  [946] = {.lex_state = 25},
  [947] = {.lex_state = 25},
  [948] = {.lex_state = 25},
  [949] = {.lex_state = 25},
  [950] = {.lex_state = 25},
  [951] = {.lex_state = 36, .external_lex_state = 14},
  [952] = {.lex_state = 36, .external_lex_state = 14},
  [953] = {.lex_state = 25},
  [954] = {.lex_state = 25},
  [955] = {.lex_state = 25},
  [956] = {.lex_state = 25},
  [957] = {.lex_state = 25},
  [958] = {.lex_state = 36, .external_lex_state = 14},
  [959] = {.lex_state = 36, .external_lex_state = 14},
  [960] = {.lex_state = 36, .external_lex_state = 14},
  [961] = {.lex_state = 36, .external_lex_state = 14},
  [962] = {.lex_state = 36, .external_lex_state = 14},
  [963] = {.lex_state = 36, .external_lex_state = 14},
  [964] = {.lex_state = 36, .external_lex_state = 14},
  [965] = {.lex_state = 36, .external_lex_state = 14},
  [966] = {.lex_state = 36, .external_lex_state = 14},
  [967] = {.lex_state = 36, .external_lex_state = 14},
  [968] = {.lex_state = 36, .external_lex_state = 14},
  [969] = {.lex_state = 36, .external_lex_state = 14},
  [970] = {.lex_state = 36, .external_lex_state = 14},
  [971] = {.lex_state = 36, .external_lex_state = 14},
  [972] = {.lex_state = 36, .external_lex_state = 14},
  [973] = {.lex_state = 36, .external_lex_state = 14},
  [974] = {.lex_state = 36, .external_lex_state = 14},
  [975] = {.lex_state = 36, .external_lex_state = 14},
  [976] = {.lex_state = 36, .external_lex_state = 14},
  [977] = {.lex_state = 36, .external_lex_state = 14},
  [978] = {.lex_state = 36, .external_lex_state = 14},
  [979] = {.lex_state = 36, .external_lex_state = 14},
  [980] = {.lex_state = 36, .external_lex_state = 14},
  [981] = {.lex_state = 36, .external_lex_state = 14},
  [982] = {.lex_state = 36, .external_lex_state = 14},
  [983] = {.lex_state = 36, .external_lex_state = 14},
  [984] = {.lex_state = 36, .external_lex_state = 14},
  [985] = {.lex_state = 36, .external_lex_state = 14},
  [986] = {.lex_state = 36, .external_lex_state = 14},
  [987] = {.lex_state = 36, .external_lex_state = 14},
  [988] = {.lex_state = 36, .external_lex_state = 14},
  [989] = {.lex_state = 36, .external_lex_state = 14},
  [990] = {.lex_state = 36, .external_lex_state = 14},
  [991] = {.lex_state = 36, .external_lex_state = 14},
  [992] = {.lex_state = 36, .external_lex_state = 14},
  [993] = {.lex_state = 36, .external_lex_state = 14},
  [994] = {.lex_state = 36, .external_lex_state = 14},
  [995] = {.lex_state = 36, .external_lex_state = 14},
  [996] = {.lex_state = 36, .external_lex_state = 14},
  [997] = {.lex_state = 25},
  [998] = {.lex_state = 36, .external_lex_state = 14},
  [999] = {.lex_state = 36, .external_lex_state = 14},
  [1000] = {.lex_state = 36, .external_lex_state = 14},
  [1001] = {.lex_state = 36, .external_lex_state = 14},
  [1002] = {.lex_state = 36, .external_lex_state = 14},
  [1003] = {.lex_state = 36, .external_lex_state = 14},
  [1004] = {.lex_state = 36, .external_lex_state = 14},
  [1005] = {.lex_state = 36, .external_lex_state = 14},
  [1006] = {.lex_state = 25},
  [1007] = {.lex_state = 36, .external_lex_state = 14},
  [1008] = {.lex_state = 36, .external_lex_state = 14},
  [1009] = {.lex_state = 36, .external_lex_state = 14},
  [1010] = {.lex_state = 36, .external_lex_state = 14},
  [1011] = {.lex_state = 36, .external_lex_state = 14},
  [1012] = {.lex_state = 36, .external_lex_state = 14},
  [1013] = {.lex_state = 36, .external_lex_state = 14},
  [1014] = {.lex_state = 36, .external_lex_state = 14},
  [1015] = {.lex_state = 36, .external_lex_state = 14},
  [1016] = {.lex_state = 36, .external_lex_state = 14},
  [1017] = {.lex_state = 36, .external_lex_state = 14},
  [1018] = {.lex_state = 36, .external_lex_state = 14},
  [1019] = {.lex_state = 36, .external_lex_state = 14},
  [1020] = {.lex_state = 36, .external_lex_state = 14},
  [1021] = {.lex_state = 36, .external_lex_state = 14},
  [1022] = {.lex_state = 36, .external_lex_state = 14},
  [1023] = {.lex_state = 36, .external_lex_state = 14},
  [1024] = {.lex_state = 36, .external_lex_state = 14},
  [1025] = {.lex_state = 36, .external_lex_state = 14},
  [1026] = {.lex_state = 36, .external_lex_state = 14},
  [1027] = {.lex_state = 36, .external_lex_state = 14},
  [1028] = {.lex_state = 36, .external_lex_state = 14},
  [1029] = {.lex_state = 36, .external_lex_state = 14},
  [1030] = {.lex_state = 36, .external_lex_state = 14},
  [1031] = {.lex_state = 36, .external_lex_state = 14},
  [1032] = {.lex_state = 36, .external_lex_state = 14},
  [1033] = {.lex_state = 36, .external_lex_state = 14},
  [1034] = {.lex_state = 36, .external_lex_state = 14},
  [1035] = {.lex_state = 36, .external_lex_state = 14},
  [1036] = {.lex_state = 36, .external_lex_state = 14},
  [1037] = {.lex_state = 36, .external_lex_state = 14},
  [1038] = {.lex_state = 36, .external_lex_state = 14},
  [1039] = {.lex_state = 36, .external_lex_state = 14},
  [1040] = {.lex_state = 36, .external_lex_state = 14},
  [1041] = {.lex_state = 36, .external_lex_state = 14},
  [1042] = {.lex_state = 36, .external_lex_state = 14},
  [1043] = {.lex_state = 36, .external_lex_state = 14},
  [1044] = {.lex_state = 36, .external_lex_state = 14},
  [1045] = {.lex_state = 36, .external_lex_state = 14},
  [1046] = {.lex_state = 36, .external_lex_state = 14},
  [1047] = {.lex_state = 36, .external_lex_state = 14},
  [1048] = {.lex_state = 36, .external_lex_state = 14},
  [1049] = {.lex_state = 36, .external_lex_state = 14},
  [1050] = {.lex_state = 36, .external_lex_state = 14},
  [1051] = {.lex_state = 36, .external_lex_state = 14},
  [1052] = {.lex_state = 36, .external_lex_state = 14},
  [1053] = {.lex_state = 36, .external_lex_state = 14},
  [1054] = {.lex_state = 36, .external_lex_state = 14},
  [1055] = {.lex_state = 36, .external_lex_state = 14},
  [1056] = {.lex_state = 36, .external_lex_state = 14},
  [1057] = {.lex_state = 36, .external_lex_state = 14},
  [1058] = {.lex_state = 36, .external_lex_state = 14},
  [1059] = {.lex_state = 36, .external_lex_state = 14},
  [1060] = {.lex_state = 36, .external_lex_state = 14},
  [1061] = {.lex_state = 36, .external_lex_state = 14},
  [1062] = {.lex_state = 36, .external_lex_state = 14},
  [1063] = {.lex_state = 36, .external_lex_state = 14},
  [1064] = {.lex_state = 36, .external_lex_state = 14},
  [1065] = {.lex_state = 36, .external_lex_state = 14},
  [1066] = {.lex_state = 36, .external_lex_state = 14},
  [1067] = {.lex_state = 36, .external_lex_state = 14},
  [1068] = {.lex_state = 36, .external_lex_state = 14},
  [1069] = {.lex_state = 36, .external_lex_state = 14},
  [1070] = {.lex_state = 36, .external_lex_state = 14},
  [1071] = {.lex_state = 36, .external_lex_state = 14},
  [1072] = {.lex_state = 36, .external_lex_state = 14},
  [1073] = {.lex_state = 36, .external_lex_state = 14},
  [1074] = {.lex_state = 36, .external_lex_state = 14},
  [1075] = {.lex_state = 36, .external_lex_state = 14},
  [1076] = {.lex_state = 36, .external_lex_state = 14},
  [1077] = {.lex_state = 36, .external_lex_state = 14},
  [1078] = {.lex_state = 36, .external_lex_state = 14},
  [1079] = {.lex_state = 36, .external_lex_state = 14},
  [1080] = {.lex_state = 36, .external_lex_state = 14},
  [1081] = {.lex_state = 36, .external_lex_state = 14},
  [1082] = {.lex_state = 36, .external_lex_state = 14},
  [1083] = {.lex_state = 36, .external_lex_state = 14},
  [1084] = {.lex_state = 36, .external_lex_state = 14},
  [1085] = {.lex_state = 36, .external_lex_state = 14},
  [1086] = {.lex_state = 36, .external_lex_state = 14},
  [1087] = {.lex_state = 36, .external_lex_state = 14},
  [1088] = {.lex_state = 36, .external_lex_state = 14},
  [1089] = {.lex_state = 36, .external_lex_state = 14},
  [1090] = {.lex_state = 36, .external_lex_state = 14},
  [1091] = {.lex_state = 36, .external_lex_state = 14},
  [1092] = {.lex_state = 36, .external_lex_state = 14},
  [1093] = {.lex_state = 36, .external_lex_state = 14},
  [1094] = {.lex_state = 36, .external_lex_state = 14},
  [1095] = {.lex_state = 36, .external_lex_state = 14},
  [1096] = {.lex_state = 36, .external_lex_state = 14},
  [1097] = {.lex_state = 36, .external_lex_state = 14},
  [1098] = {.lex_state = 36, .external_lex_state = 14},
  [1099] = {.lex_state = 36, .external_lex_state = 14},
  [1100] = {.lex_state = 36, .external_lex_state = 14},
  [1101] = {.lex_state = 36, .external_lex_state = 14},
  [1102] = {.lex_state = 36, .external_lex_state = 14},
  [1103] = {.lex_state = 36, .external_lex_state = 14},
  [1104] = {.lex_state = 36, .external_lex_state = 14},
  [1105] = {.lex_state = 36, .external_lex_state = 14},
  [1106] = {.lex_state = 36, .external_lex_state = 14},
  [1107] = {.lex_state = 36, .external_lex_state = 14},
  [1108] = {.lex_state = 36, .external_lex_state = 14},
  [1109] = {.lex_state = 36, .external_lex_state = 14},
  [1110] = {.lex_state = 36, .external_lex_state = 14},
  [1111] = {.lex_state = 36, .external_lex_state = 14},
  [1112] = {.lex_state = 36, .external_lex_state = 14},
  [1113] = {.lex_state = 36, .external_lex_state = 14},
  [1114] = {.lex_state = 36, .external_lex_state = 14},
  [1115] = {.lex_state = 36, .external_lex_state = 14},
  [1116] = {.lex_state = 25},
  [1117] = {.lex_state = 36, .external_lex_state = 14},
  [1118] = {.lex_state = 36, .external_lex_state = 14},
  [1119] = {.lex_state = 36, .external_lex_state = 14},
  [1120] = {.lex_state = 36, .external_lex_state = 14},
  [1121] = {.lex_state = 36, .external_lex_state = 14},
  [1122] = {.lex_state = 36, .external_lex_state = 14},
  [1123] = {.lex_state = 36, .external_lex_state = 14},
  [1124] = {.lex_state = 36, .external_lex_state = 14},
  [1125] = {.lex_state = 36, .external_lex_state = 14},
  [1126] = {.lex_state = 36, .external_lex_state = 14},
  [1127] = {.lex_state = 36, .external_lex_state = 14},
  [1128] = {.lex_state = 36, .external_lex_state = 14},
  [1129] = {.lex_state = 36, .external_lex_state = 14},
  [1130] = {.lex_state = 36, .external_lex_state = 14},
  [1131] = {.lex_state = 36, .external_lex_state = 14},
  [1132] = {.lex_state = 36, .external_lex_state = 14},
  [1133] = {.lex_state = 36, .external_lex_state = 14},
  [1134] = {.lex_state = 36, .external_lex_state = 14},
  [1135] = {.lex_state = 36, .external_lex_state = 14},
  [1136] = {.lex_state = 36, .external_lex_state = 14},
  [1137] = {.lex_state = 36, .external_lex_state = 14},
  [1138] = {.lex_state = 36, .external_lex_state = 14},
  [1139] = {.lex_state = 36, .external_lex_state = 14},
  [1140] = {.lex_state = 36, .external_lex_state = 14},
  [1141] = {.lex_state = 36, .external_lex_state = 14},
  [1142] = {.lex_state = 36, .external_lex_state = 14},
  [1143] = {.lex_state = 36, .external_lex_state = 14},
  [1144] = {.lex_state = 36, .external_lex_state = 14},
  [1145] = {.lex_state = 36, .external_lex_state = 14},
  [1146] = {.lex_state = 36, .external_lex_state = 14},
  [1147] = {.lex_state = 36, .external_lex_state = 14},
  [1148] = {.lex_state = 36, .external_lex_state = 14},
  [1149] = {.lex_state = 36, .external_lex_state = 14},
  [1150] = {.lex_state = 36, .external_lex_state = 14},
  [1151] = {.lex_state = 36, .external_lex_state = 14},
  [1152] = {.lex_state = 36, .external_lex_state = 14},
  [1153] = {.lex_state = 36, .external_lex_state = 14},
  [1154] = {.lex_state = 36, .external_lex_state = 14},
  [1155] = {.lex_state = 36, .external_lex_state = 14},
  [1156] = {.lex_state = 36, .external_lex_state = 14},
  [1157] = {.lex_state = 36, .external_lex_state = 14},
  [1158] = {.lex_state = 36, .external_lex_state = 14},
  [1159] = {.lex_state = 36, .external_lex_state = 14},
  [1160] = {.lex_state = 36, .external_lex_state = 14},
  [1161] = {.lex_state = 36, .external_lex_state = 14},
  [1162] = {.lex_state = 36, .external_lex_state = 14},
  [1163] = {.lex_state = 36, .external_lex_state = 14},
  [1164] = {.lex_state = 36, .external_lex_state = 14},
  [1165] = {.lex_state = 36, .external_lex_state = 14},
  [1166] = {.lex_state = 36, .external_lex_state = 14},
  [1167] = {.lex_state = 36, .external_lex_state = 14},
  [1168] = {.lex_state = 36, .external_lex_state = 14},
  [1169] = {.lex_state = 36, .external_lex_state = 14},
  [1170] = {.lex_state = 36, .external_lex_state = 14},
  [1171] = {.lex_state = 36, .external_lex_state = 14},
  [1172] = {.lex_state = 36, .external_lex_state = 14},
  [1173] = {.lex_state = 36, .external_lex_state = 14},
  [1174] = {.lex_state = 36, .external_lex_state = 14},
  [1175] = {.lex_state = 36, .external_lex_state = 14},
  [1176] = {.lex_state = 36, .external_lex_state = 14},
  [1177] = {.lex_state = 36, .external_lex_state = 14},
  [1178] = {.lex_state = 36, .external_lex_state = 14},
  [1179] = {.lex_state = 36, .external_lex_state = 14},
  [1180] = {.lex_state = 36, .external_lex_state = 14},
  [1181] = {.lex_state = 36, .external_lex_state = 14},
  [1182] = {.lex_state = 36, .external_lex_state = 14},
  [1183] = {.lex_state = 36, .external_lex_state = 14},
  [1184] = {.lex_state = 36, .external_lex_state = 14},
  [1185] = {.lex_state = 36, .external_lex_state = 14},
  [1186] = {.lex_state = 36, .external_lex_state = 14},
  [1187] = {.lex_state = 36, .external_lex_state = 14},
  [1188] = {.lex_state = 36, .external_lex_state = 14},
  [1189] = {.lex_state = 36, .external_lex_state = 14},
  [1190] = {.lex_state = 36, .external_lex_state = 14},
  [1191] = {.lex_state = 36, .external_lex_state = 14},
  [1192] = {.lex_state = 36, .external_lex_state = 14},
  [1193] = {.lex_state = 36, .external_lex_state = 14},
  [1194] = {.lex_state = 36, .external_lex_state = 14},
  [1195] = {.lex_state = 36, .external_lex_state = 14},
  [1196] = {.lex_state = 36, .external_lex_state = 14},
  [1197] = {.lex_state = 36, .external_lex_state = 14},
  [1198] = {.lex_state = 36, .external_lex_state = 14},
  [1199] = {.lex_state = 36, .external_lex_state = 14},
  [1200] = {.lex_state = 36, .external_lex_state = 14},
  [1201] = {.lex_state = 36, .external_lex_state = 14},
  [1202] = {.lex_state = 36, .external_lex_state = 14},
  [1203] = {.lex_state = 36, .external_lex_state = 14},
  [1204] = {.lex_state = 36, .external_lex_state = 14},
  [1205] = {.lex_state = 36, .external_lex_state = 14},
  [1206] = {.lex_state = 36, .external_lex_state = 14},
  [1207] = {.lex_state = 36, .external_lex_state = 14},
  [1208] = {.lex_state = 36, .external_lex_state = 14},
  [1209] = {.lex_state = 36, .external_lex_state = 14},
  [1210] = {.lex_state = 36, .external_lex_state = 14},
  [1211] = {.lex_state = 36, .external_lex_state = 14},
  [1212] = {.lex_state = 36, .external_lex_state = 14},
  [1213] = {.lex_state = 36, .external_lex_state = 14},
  [1214] = {.lex_state = 36, .external_lex_state = 14},
  [1215] = {.lex_state = 36, .external_lex_state = 14},
  [1216] = {.lex_state = 36, .external_lex_state = 14},
  [1217] = {.lex_state = 36, .external_lex_state = 14},
  [1218] = {.lex_state = 36, .external_lex_state = 14},
  [1219] = {.lex_state = 36, .external_lex_state = 14},
  [1220] = {.lex_state = 36, .external_lex_state = 14},
  [1221] = {.lex_state = 36, .external_lex_state = 14},
  [1222] = {.lex_state = 36, .external_lex_state = 14},
  [1223] = {.lex_state = 36, .external_lex_state = 14},
  [1224] = {.lex_state = 36, .external_lex_state = 14},
  [1225] = {.lex_state = 36, .external_lex_state = 14},
  [1226] = {.lex_state = 36, .external_lex_state = 14},
  [1227] = {.lex_state = 36, .external_lex_state = 14},
  [1228] = {.lex_state = 36, .external_lex_state = 14},
  [1229] = {.lex_state = 25},
  [1230] = {.lex_state = 36, .external_lex_state = 14},
  [1231] = {.lex_state = 36, .external_lex_state = 14},
  [1232] = {.lex_state = 36, .external_lex_state = 14},
  [1233] = {.lex_state = 36, .external_lex_state = 14},
  [1234] = {.lex_state = 36, .external_lex_state = 14},
  [1235] = {.lex_state = 36, .external_lex_state = 14},
  [1236] = {.lex_state = 36, .external_lex_state = 14},
  [1237] = {.lex_state = 36, .external_lex_state = 14},
  [1238] = {.lex_state = 36, .external_lex_state = 14},
  [1239] = {.lex_state = 36, .external_lex_state = 14},
  [1240] = {.lex_state = 25},
  [1241] = {.lex_state = 36, .external_lex_state = 14},
  [1242] = {.lex_state = 36, .external_lex_state = 14},
  [1243] = {.lex_state = 36, .external_lex_state = 14},
  [1244] = {.lex_state = 36, .external_lex_state = 14},
  [1245] = {.lex_state = 36, .external_lex_state = 14},
  [1246] = {.lex_state = 36, .external_lex_state = 14},
  [1247] = {.lex_state = 36, .external_lex_state = 14},
  [1248] = {.lex_state = 36, .external_lex_state = 14},
  [1249] = {.lex_state = 36, .external_lex_state = 14},
  [1250] = {.lex_state = 36, .external_lex_state = 14},
  [1251] = {.lex_state = 36, .external_lex_state = 14},
  [1252] = {.lex_state = 36, .external_lex_state = 14},
  [1253] = {.lex_state = 36, .external_lex_state = 14},
  [1254] = {.lex_state = 36, .external_lex_state = 14},
  [1255] = {.lex_state = 36, .external_lex_state = 14},
  [1256] = {.lex_state = 36, .external_lex_state = 14},
  [1257] = {.lex_state = 36, .external_lex_state = 14},
  [1258] = {.lex_state = 36, .external_lex_state = 14},
  [1259] = {.lex_state = 36, .external_lex_state = 14},
  [1260] = {.lex_state = 36, .external_lex_state = 14},
  [1261] = {.lex_state = 36, .external_lex_state = 14},
  [1262] = {.lex_state = 36, .external_lex_state = 14},
  [1263] = {.lex_state = 36, .external_lex_state = 14},
  [1264] = {.lex_state = 36, .external_lex_state = 14},
  [1265] = {.lex_state = 36, .external_lex_state = 14},
  [1266] = {.lex_state = 36, .external_lex_state = 14},
  [1267] = {.lex_state = 36, .external_lex_state = 14},
  [1268] = {.lex_state = 25},
  [1269] = {.lex_state = 36, .external_lex_state = 14},
  [1270] = {.lex_state = 36, .external_lex_state = 14},
  [1271] = {.lex_state = 36, .external_lex_state = 14},
  [1272] = {.lex_state = 36, .external_lex_state = 14},
  [1273] = {.lex_state = 36, .external_lex_state = 14},
  [1274] = {.lex_state = 36, .external_lex_state = 14},
  [1275] = {.lex_state = 36, .external_lex_state = 14},
  [1276] = {.lex_state = 25},
  [1277] = {.lex_state = 36, .external_lex_state = 14},
  [1278] = {.lex_state = 36, .external_lex_state = 14},
  [1279] = {.lex_state = 36, .external_lex_state = 14},
  [1280] = {.lex_state = 36, .external_lex_state = 14},
  [1281] = {.lex_state = 36, .external_lex_state = 14},
  [1282] = {.lex_state = 36, .external_lex_state = 14},
  [1283] = {.lex_state = 36, .external_lex_state = 14},
  [1284] = {.lex_state = 36, .external_lex_state = 14},
  [1285] = {.lex_state = 36, .external_lex_state = 14},
  [1286] = {.lex_state = 25},
  [1287] = {.lex_state = 36, .external_lex_state = 14},
  [1288] = {.lex_state = 36, .external_lex_state = 14},
  [1289] = {.lex_state = 36, .external_lex_state = 14},
  [1290] = {.lex_state = 36, .external_lex_state = 14},
  [1291] = {.lex_state = 36, .external_lex_state = 14},
  [1292] = {.lex_state = 36, .external_lex_state = 14},
  [1293] = {.lex_state = 36, .external_lex_state = 14},
  [1294] = {.lex_state = 36, .external_lex_state = 14},
  [1295] = {.lex_state = 36, .external_lex_state = 14},
  [1296] = {.lex_state = 36, .external_lex_state = 14},
  [1297] = {.lex_state = 36, .external_lex_state = 14},
  [1298] = {.lex_state = 36, .external_lex_state = 14},
  [1299] = {.lex_state = 36, .external_lex_state = 14},
  [1300] = {.lex_state = 36, .external_lex_state = 14},
  [1301] = {.lex_state = 36, .external_lex_state = 14},
  [1302] = {.lex_state = 36, .external_lex_state = 14},
  [1303] = {.lex_state = 36, .external_lex_state = 14},
  [1304] = {.lex_state = 36, .external_lex_state = 14},
  [1305] = {.lex_state = 36, .external_lex_state = 14},
  [1306] = {.lex_state = 36, .external_lex_state = 14},
  [1307] = {.lex_state = 36, .external_lex_state = 14},
  [1308] = {.lex_state = 36, .external_lex_state = 14},
  [1309] = {.lex_state = 36, .external_lex_state = 14},
  [1310] = {.lex_state = 36, .external_lex_state = 14},
  [1311] = {.lex_state = 36, .external_lex_state = 14},
  [1312] = {.lex_state = 36, .external_lex_state = 14},
  [1313] = {.lex_state = 36, .external_lex_state = 14},
  [1314] = {.lex_state = 36, .external_lex_state = 14},
  [1315] = {.lex_state = 36, .external_lex_state = 14},
  [1316] = {.lex_state = 36, .external_lex_state = 14},
  [1317] = {.lex_state = 36, .external_lex_state = 14},
  [1318] = {.lex_state = 36, .external_lex_state = 14},
  [1319] = {.lex_state = 20, .external_lex_state = 14},
  [1320] = {.lex_state = 110, .external_lex_state = 6},
  [1321] = {.lex_state = 110, .external_lex_state = 6},
  [1322] = {.lex_state = 110, .external_lex_state = 6},
  [1323] = {.lex_state = 110, .external_lex_state = 6},
  [1324] = {.lex_state = 110, .external_lex_state = 6},
  [1325] = {.lex_state = 110, .external_lex_state = 8},
  [1326] = {.lex_state = 110, .external_lex_state = 6},
  [1327] = {.lex_state = 110, .external_lex_state = 6},
  [1328] = {.lex_state = 110, .external_lex_state = 6},
  [1329] = {.lex_state = 110, .external_lex_state = 6},
  [1330] = {.lex_state = 110, .external_lex_state = 6},
  [1331] = {.lex_state = 110, .external_lex_state = 6},
  [1332] = {.lex_state = 110, .external_lex_state = 6},
  [1333] = {.lex_state = 17, .external_lex_state = 10},
  [1334] = {.lex_state = 110, .external_lex_state = 6},
  [1335] = {.lex_state = 38, .external_lex_state = 2},
  [1336] = {.lex_state = 110, .external_lex_state = 6},
  [1337] = {.lex_state = 110, .external_lex_state = 6},
  [1338] = {.lex_state = 110, .external_lex_state = 6},
  [1339] = {.lex_state = 110, .external_lex_state = 6},
  [1340] = {.lex_state = 110, .external_lex_state = 6},
  [1341] = {.lex_state = 110, .external_lex_state = 6},
  [1342] = {.lex_state = 6, .external_lex_state = 15},
  [1343] = {.lex_state = 110, .external_lex_state = 6},
  [1344] = {.lex_state = 110, .external_lex_state = 6},
  [1345] = {.lex_state = 110, .external_lex_state = 6},
  [1346] = {.lex_state = 110, .external_lex_state = 6},
  [1347] = {.lex_state = 110, .external_lex_state = 6},
  [1348] = {.lex_state = 110, .external_lex_state = 6},
  [1349] = {.lex_state = 110, .external_lex_state = 8},
  [1350] = {.lex_state = 110, .external_lex_state = 8},
  [1351] = {.lex_state = 38, .external_lex_state = 16},
  [1352] = {.lex_state = 110, .external_lex_state = 8},
  [1353] = {.lex_state = 110, .external_lex_state = 8},
  [1354] = {.lex_state = 110, .external_lex_state = 8},
  [1355] = {.lex_state = 110, .external_lex_state = 8},
  [1356] = {.lex_state = 116, .external_lex_state = 10},
  [1357] = {.lex_state = 110, .external_lex_state = 8},
  [1358] = {.lex_state = 110, .external_lex_state = 6},
  [1359] = {.lex_state = 38, .external_lex_state = 16},
  [1360] = {.lex_state = 38, .external_lex_state = 16},
  [1361] = {.lex_state = 116, .external_lex_state = 10},
  [1362] = {.lex_state = 110, .external_lex_state = 6},
  [1363] = {.lex_state = 110, .external_lex_state = 6},
  [1364] = {.lex_state = 110, .external_lex_state = 8},
  [1365] = {.lex_state = 110, .external_lex_state = 8},
  [1366] = {.lex_state = 110, .external_lex_state = 8},
  [1367] = {.lex_state = 6, .external_lex_state = 10},
  [1368] = {.lex_state = 110, .external_lex_state = 8},
  [1369] = {.lex_state = 110, .external_lex_state = 8},
  [1370] = {.lex_state = 110, .external_lex_state = 8},
  [1371] = {.lex_state = 38, .external_lex_state = 16},
  [1372] = {.lex_state = 116, .external_lex_state = 10},
  [1373] = {.lex_state = 110, .external_lex_state = 8},
  [1374] = {.lex_state = 110, .external_lex_state = 8},
  [1375] = {.lex_state = 110, .external_lex_state = 8},
  [1376] = {.lex_state = 110, .external_lex_state = 8},
  [1377] = {.lex_state = 110, .external_lex_state = 8},
  [1378] = {.lex_state = 110, .external_lex_state = 8},
  [1379] = {.lex_state = 110, .external_lex_state = 8},
  [1380] = {.lex_state = 110, .external_lex_state = 8},
  [1381] = {.lex_state = 6, .external_lex_state = 15},
  [1382] = {.lex_state = 6, .external_lex_state = 15},
  [1383] = {.lex_state = 110, .external_lex_state = 8},
  [1384] = {.lex_state = 110, .external_lex_state = 8},
  [1385] = {.lex_state = 110, .external_lex_state = 8},
  [1386] = {.lex_state = 38, .external_lex_state = 16},
  [1387] = {.lex_state = 110, .external_lex_state = 6},
  [1388] = {.lex_state = 110, .external_lex_state = 6},
  [1389] = {.lex_state = 6, .external_lex_state = 15},
  [1390] = {.lex_state = 110, .external_lex_state = 6},
  [1391] = {.lex_state = 110, .external_lex_state = 8},
  [1392] = {.lex_state = 110, .external_lex_state = 8},
  [1393] = {.lex_state = 110, .external_lex_state = 6},
  [1394] = {.lex_state = 6, .external_lex_state = 10},
  [1395] = {.lex_state = 110, .external_lex_state = 8},
  [1396] = {.lex_state = 110, .external_lex_state = 8},
  [1397] = {.lex_state = 110, .external_lex_state = 8},
  [1398] = {.lex_state = 110, .external_lex_state = 8},
  [1399] = {.lex_state = 110, .external_lex_state = 8},
  [1400] = {.lex_state = 110, .external_lex_state = 8},
  [1401] = {.lex_state = 110, .external_lex_state = 8},
  [1402] = {.lex_state = 110, .external_lex_state = 6},
  [1403] = {.lex_state = 41},
  [1404] = {.lex_state = 110, .external_lex_state = 6},
  [1405] = {.lex_state = 110, .external_lex_state = 6},
  [1406] = {.lex_state = 110, .external_lex_state = 6},
  [1407] = {.lex_state = 110, .external_lex_state = 6},
  [1408] = {.lex_state = 110, .external_lex_state = 6},
  [1409] = {.lex_state = 41},
  [1410] = {.lex_state = 41},
  [1411] = {.lex_state = 110, .external_lex_state = 8},
  [1412] = {.lex_state = 110, .external_lex_state = 8},
  [1413] = {.lex_state = 110, .external_lex_state = 6},
  [1414] = {.lex_state = 110, .external_lex_state = 6},
  [1415] = {.lex_state = 110, .external_lex_state = 6},
  [1416] = {.lex_state = 41},
  [1417] = {.lex_state = 41},
  [1418] = {.lex_state = 110, .external_lex_state = 6},
  [1419] = {.lex_state = 38, .external_lex_state = 16},
  [1420] = {.lex_state = 38, .external_lex_state = 16},
  [1421] = {.lex_state = 38, .external_lex_state = 16},
  [1422] = {.lex_state = 38, .external_lex_state = 16},
  [1423] = {.lex_state = 38, .external_lex_state = 16},
  [1424] = {.lex_state = 38, .external_lex_state = 16},
  [1425] = {.lex_state = 6, .external_lex_state = 15},
  [1426] = {.lex_state = 110, .external_lex_state = 6},
  [1427] = {.lex_state = 110, .external_lex_state = 6},
  [1428] = {.lex_state = 110, .external_lex_state = 6},
  [1429] = {.lex_state = 110, .external_lex_state = 6},
  [1430] = {.lex_state = 110, .external_lex_state = 6},
  [1431] = {.lex_state = 38, .external_lex_state = 16},
  [1432] = {.lex_state = 38, .external_lex_state = 16},
  [1433] = {.lex_state = 38, .external_lex_state = 16},
  [1434] = {.lex_state = 38, .external_lex_state = 16},
  [1435] = {.lex_state = 38, .external_lex_state = 16},
  [1436] = {.lex_state = 110, .external_lex_state = 8},
  [1437] = {.lex_state = 110, .external_lex_state = 6},
  [1438] = {.lex_state = 110, .external_lex_state = 6},
  [1439] = {.lex_state = 38, .external_lex_state = 16},
  [1440] = {.lex_state = 38, .external_lex_state = 16},
  [1441] = {.lex_state = 38, .external_lex_state = 16},
  [1442] = {.lex_state = 110, .external_lex_state = 6},
  [1443] = {.lex_state = 110, .external_lex_state = 6},
  [1444] = {.lex_state = 38, .external_lex_state = 16},
  [1445] = {.lex_state = 38, .external_lex_state = 16},
  [1446] = {.lex_state = 110, .external_lex_state = 6},
  [1447] = {.lex_state = 110, .external_lex_state = 6},
  [1448] = {.lex_state = 38, .external_lex_state = 16},
  [1449] = {.lex_state = 6, .external_lex_state = 10},
  [1450] = {.lex_state = 110, .external_lex_state = 8},
  [1451] = {.lex_state = 38, .external_lex_state = 16},
  [1452] = {.lex_state = 110, .external_lex_state = 6},
  [1453] = {.lex_state = 110, .external_lex_state = 8},
  [1454] = {.lex_state = 110, .external_lex_state = 6},
  [1455] = {.lex_state = 110, .external_lex_state = 6},
  [1456] = {.lex_state = 110, .external_lex_state = 6},
  [1457] = {.lex_state = 38, .external_lex_state = 16},
  [1458] = {.lex_state = 38, .external_lex_state = 16},
  [1459] = {.lex_state = 110, .external_lex_state = 8},
  [1460] = {.lex_state = 6, .external_lex_state = 15},
  [1461] = {.lex_state = 6, .external_lex_state = 15},
  [1462] = {.lex_state = 6, .external_lex_state = 15},
  [1463] = {.lex_state = 6, .external_lex_state = 15},
  [1464] = {.lex_state = 6, .external_lex_state = 15},
  [1465] = {.lex_state = 6, .external_lex_state = 15},
  [1466] = {.lex_state = 6, .external_lex_state = 15},
  [1467] = {.lex_state = 31, .external_lex_state = 17},
  [1468] = {.lex_state = 6, .external_lex_state = 15},
  [1469] = {.lex_state = 6, .external_lex_state = 15},
  [1470] = {.lex_state = 110, .external_lex_state = 6},
  [1471] = {.lex_state = 110, .external_lex_state = 6},
  [1472] = {.lex_state = 110, .external_lex_state = 6},
  [1473] = {.lex_state = 110, .external_lex_state = 6},
  [1474] = {.lex_state = 6, .external_lex_state = 15},
  [1475] = {.lex_state = 110, .external_lex_state = 6},
  [1476] = {.lex_state = 110, .external_lex_state = 6},
  [1477] = {.lex_state = 6, .external_lex_state = 15},
  [1478] = {.lex_state = 6, .external_lex_state = 15},
  [1479] = {.lex_state = 38, .external_lex_state = 16},
  [1480] = {.lex_state = 6, .external_lex_state = 15},
  [1481] = {.lex_state = 6, .external_lex_state = 15},
  [1482] = {.lex_state = 6, .external_lex_state = 15},
  [1483] = {.lex_state = 110, .external_lex_state = 6},
  [1484] = {.lex_state = 6, .external_lex_state = 15},
  [1485] = {.lex_state = 110, .external_lex_state = 6},
  [1486] = {.lex_state = 6, .external_lex_state = 15},
  [1487] = {.lex_state = 32, .external_lex_state = 17},
  [1488] = {.lex_state = 38, .external_lex_state = 16},
  [1489] = {.lex_state = 110, .external_lex_state = 6},
  [1490] = {.lex_state = 110, .external_lex_state = 6},
  [1491] = {.lex_state = 38, .external_lex_state = 16},
  [1492] = {.lex_state = 6, .external_lex_state = 15},
  [1493] = {.lex_state = 6, .external_lex_state = 15},
  [1494] = {.lex_state = 38, .external_lex_state = 2},
  [1495] = {.lex_state = 6, .external_lex_state = 15},
  [1496] = {.lex_state = 110, .external_lex_state = 6},
  [1497] = {.lex_state = 38, .external_lex_state = 16},
  [1498] = {.lex_state = 110, .external_lex_state = 8},
  [1499] = {.lex_state = 110, .external_lex_state = 6},
  [1500] = {.lex_state = 110, .external_lex_state = 8},
  [1501] = {.lex_state = 6, .external_lex_state = 15},
  [1502] = {.lex_state = 31, .external_lex_state = 17},
  [1503] = {.lex_state = 38, .external_lex_state = 16},
  [1504] = {.lex_state = 38, .external_lex_state = 16},
  [1505] = {.lex_state = 110, .external_lex_state = 8},
  [1506] = {.lex_state = 38, .external_lex_state = 16},
  [1507] = {.lex_state = 110, .external_lex_state = 6},
  [1508] = {.lex_state = 110, .external_lex_state = 6},
  [1509] = {.lex_state = 41},
  [1510] = {.lex_state = 6, .external_lex_state = 15},
  [1511] = {.lex_state = 110, .external_lex_state = 6},
  [1512] = {.lex_state = 41},
  [1513] = {.lex_state = 6, .external_lex_state = 15},
  [1514] = {.lex_state = 110, .external_lex_state = 6},
  [1515] = {.lex_state = 110, .external_lex_state = 6},
  [1516] = {.lex_state = 110, .external_lex_state = 6},
  [1517] = {.lex_state = 110, .external_lex_state = 6},
  [1518] = {.lex_state = 110, .external_lex_state = 6},
  [1519] = {.lex_state = 110, .external_lex_state = 6},
  [1520] = {.lex_state = 110, .external_lex_state = 6},
  [1521] = {.lex_state = 110, .external_lex_state = 6},
  [1522] = {.lex_state = 31, .external_lex_state = 17},
  [1523] = {.lex_state = 110, .external_lex_state = 6},
  [1524] = {.lex_state = 6, .external_lex_state = 15},
  [1525] = {.lex_state = 38, .external_lex_state = 2},
  [1526] = {.lex_state = 6, .external_lex_state = 15},
  [1527] = {.lex_state = 38, .external_lex_state = 2},
  [1528] = {.lex_state = 41},
  [1529] = {.lex_state = 110, .external_lex_state = 8},
  [1530] = {.lex_state = 110, .external_lex_state = 8},
  [1531] = {.lex_state = 31, .external_lex_state = 17},
  [1532] = {.lex_state = 31, .external_lex_state = 17},
  [1533] = {.lex_state = 38, .external_lex_state = 2},
  [1534] = {.lex_state = 31, .external_lex_state = 17},
  [1535] = {.lex_state = 38},
  [1536] = {.lex_state = 31, .external_lex_state = 17},
  [1537] = {.lex_state = 38, .external_lex_state = 2},
  [1538] = {.lex_state = 6, .external_lex_state = 10},
  [1539] = {.lex_state = 38, .external_lex_state = 2},
  [1540] = {.lex_state = 38, .external_lex_state = 2},
  [1541] = {.lex_state = 38},
  [1542] = {.lex_state = 38, .external_lex_state = 2},
  [1543] = {.lex_state = 31, .external_lex_state = 17},
  [1544] = {.lex_state = 38, .external_lex_state = 2},
  [1545] = {.lex_state = 38, .external_lex_state = 2},
  [1546] = {.lex_state = 31, .external_lex_state = 17},
  [1547] = {.lex_state = 31, .external_lex_state = 17},
  [1548] = {.lex_state = 38, .external_lex_state = 18},
  [1549] = {.lex_state = 31, .external_lex_state = 17},
  [1550] = {.lex_state = 110, .external_lex_state = 6},
  [1551] = {.lex_state = 38, .external_lex_state = 2},
  [1552] = {.lex_state = 31, .external_lex_state = 17},
  [1553] = {.lex_state = 31, .external_lex_state = 17},
  [1554] = {.lex_state = 33},
  [1555] = {.lex_state = 110, .external_lex_state = 8},
  [1556] = {.lex_state = 31, .external_lex_state = 17},
  [1557] = {.lex_state = 32},
  [1558] = {.lex_state = 110, .external_lex_state = 8},
  [1559] = {.lex_state = 110, .external_lex_state = 8},
  [1560] = {.lex_state = 6, .external_lex_state = 10},
  [1561] = {.lex_state = 31, .external_lex_state = 17},
  [1562] = {.lex_state = 38, .external_lex_state = 2},
  [1563] = {.lex_state = 110, .external_lex_state = 8},
  [1564] = {.lex_state = 33, .external_lex_state = 17},
  [1565] = {.lex_state = 38, .external_lex_state = 18},
  [1566] = {.lex_state = 31, .external_lex_state = 17},
  [1567] = {.lex_state = 38, .external_lex_state = 2},
  [1568] = {.lex_state = 38},
  [1569] = {.lex_state = 110, .external_lex_state = 8},
  [1570] = {.lex_state = 6, .external_lex_state = 10},
  [1571] = {.lex_state = 110, .external_lex_state = 8},
  [1572] = {.lex_state = 38},
  [1573] = {.lex_state = 38},
  [1574] = {.lex_state = 110, .external_lex_state = 8},
  [1575] = {.lex_state = 38, .external_lex_state = 2},
  [1576] = {.lex_state = 6, .external_lex_state = 10},
  [1577] = {.lex_state = 110, .external_lex_state = 8},
  [1578] = {.lex_state = 38},
  [1579] = {.lex_state = 38},
  [1580] = {.lex_state = 38, .external_lex_state = 2},
  [1581] = {.lex_state = 110, .external_lex_state = 8},
  [1582] = {.lex_state = 110, .external_lex_state = 8},
  [1583] = {.lex_state = 110, .external_lex_state = 8},
  [1584] = {.lex_state = 38, .external_lex_state = 2},
  [1585] = {.lex_state = 38, .external_lex_state = 2},
  [1586] = {.lex_state = 38, .external_lex_state = 18},
  [1587] = {.lex_state = 110, .external_lex_state = 8},
  [1588] = {.lex_state = 32},
  [1589] = {.lex_state = 110, .external_lex_state = 8},
  [1590] = {.lex_state = 6, .external_lex_state = 10},
  [1591] = {.lex_state = 31, .external_lex_state = 17},
  [1592] = {.lex_state = 38, .external_lex_state = 2},
  [1593] = {.lex_state = 38, .external_lex_state = 2},
  [1594] = {.lex_state = 31, .external_lex_state = 17},
  [1595] = {.lex_state = 38, .external_lex_state = 18},
  [1596] = {.lex_state = 38, .external_lex_state = 2},
  [1597] = {.lex_state = 38},
  [1598] = {.lex_state = 110, .external_lex_state = 8},
  [1599] = {.lex_state = 6, .external_lex_state = 10},
  [1600] = {.lex_state = 38, .external_lex_state = 2},
  [1601] = {.lex_state = 38, .external_lex_state = 2},
  [1602] = {.lex_state = 110, .external_lex_state = 8},
  [1603] = {.lex_state = 38, .external_lex_state = 2},
  [1604] = {.lex_state = 110, .external_lex_state = 8},
  [1605] = {.lex_state = 34, .external_lex_state = 19},
  [1606] = {.lex_state = 110, .external_lex_state = 8},
  [1607] = {.lex_state = 38, .external_lex_state = 18},
  [1608] = {.lex_state = 31, .external_lex_state = 17},
  [1609] = {.lex_state = 110, .external_lex_state = 8},
  [1610] = {.lex_state = 110, .external_lex_state = 8},
  [1611] = {.lex_state = 38, .external_lex_state = 2},
  [1612] = {.lex_state = 31, .external_lex_state = 17},
  [1613] = {.lex_state = 31, .external_lex_state = 17},
  [1614] = {.lex_state = 38, .external_lex_state = 2},
  [1615] = {.lex_state = 38, .external_lex_state = 2},
  [1616] = {.lex_state = 38, .external_lex_state = 2},
  [1617] = {.lex_state = 6, .external_lex_state = 10},
  [1618] = {.lex_state = 110, .external_lex_state = 8},
  [1619] = {.lex_state = 31, .external_lex_state = 17},
  [1620] = {.lex_state = 31, .external_lex_state = 17},
  [1621] = {.lex_state = 31, .external_lex_state = 17},
  [1622] = {.lex_state = 110, .external_lex_state = 8},
  [1623] = {.lex_state = 31, .external_lex_state = 17},
  [1624] = {.lex_state = 38, .external_lex_state = 2},
  [1625] = {.lex_state = 110, .external_lex_state = 8},
  [1626] = {.lex_state = 31, .external_lex_state = 17},
  [1627] = {.lex_state = 38, .external_lex_state = 18},
  [1628] = {.lex_state = 6, .external_lex_state = 10},
  [1629] = {.lex_state = 31, .external_lex_state = 17},
  [1630] = {.lex_state = 31, .external_lex_state = 17},
  [1631] = {.lex_state = 38, .external_lex_state = 2},
  [1632] = {.lex_state = 33, .external_lex_state = 17},
  [1633] = {.lex_state = 31, .external_lex_state = 17},
  [1634] = {.lex_state = 38, .external_lex_state = 2},
  [1635] = {.lex_state = 38, .external_lex_state = 2},
  [1636] = {.lex_state = 6, .external_lex_state = 10},
  [1637] = {.lex_state = 38, .external_lex_state = 2},
  [1638] = {.lex_state = 6, .external_lex_state = 10},
  [1639] = {.lex_state = 38, .external_lex_state = 18},
  [1640] = {.lex_state = 38, .external_lex_state = 2},
  [1641] = {.lex_state = 6, .external_lex_state = 10},
  [1642] = {.lex_state = 110, .external_lex_state = 8},
  [1643] = {.lex_state = 21},
  [1644] = {.lex_state = 110, .external_lex_state = 8},
  [1645] = {.lex_state = 6, .external_lex_state = 10},
  [1646] = {.lex_state = 31, .external_lex_state = 17},
  [1647] = {.lex_state = 31},
  [1648] = {.lex_state = 33, .external_lex_state = 17},
  [1649] = {.lex_state = 33, .external_lex_state = 17},
  [1650] = {.lex_state = 110, .external_lex_state = 6},
  [1651] = {.lex_state = 110, .external_lex_state = 6},
  [1652] = {.lex_state = 33, .external_lex_state = 17},
  [1653] = {.lex_state = 38},
  [1654] = {.lex_state = 110, .external_lex_state = 6},
  [1655] = {.lex_state = 38},
  [1656] = {.lex_state = 110, .external_lex_state = 6},
  [1657] = {.lex_state = 36, .external_lex_state = 20},
  [1658] = {.lex_state = 36, .external_lex_state = 20},
  [1659] = {.lex_state = 35, .external_lex_state = 20},
  [1660] = {.lex_state = 110, .external_lex_state = 6},
  [1661] = {.lex_state = 38},
  [1662] = {.lex_state = 110, .external_lex_state = 6},
  [1663] = {.lex_state = 33, .external_lex_state = 17},
  [1664] = {.lex_state = 33, .external_lex_state = 17},
  [1665] = {.lex_state = 110, .external_lex_state = 6},
  [1666] = {.lex_state = 33, .external_lex_state = 17},
  [1667] = {.lex_state = 34, .external_lex_state = 19},
  [1668] = {.lex_state = 38},
  [1669] = {.lex_state = 33, .external_lex_state = 17},
  [1670] = {.lex_state = 110, .external_lex_state = 6},
  [1671] = {.lex_state = 33, .external_lex_state = 17},
  [1672] = {.lex_state = 110, .external_lex_state = 6},
  [1673] = {.lex_state = 110, .external_lex_state = 6},
  [1674] = {.lex_state = 33, .external_lex_state = 17},
  [1675] = {.lex_state = 35, .external_lex_state = 20},
  [1676] = {.lex_state = 33},
  [1677] = {.lex_state = 35, .external_lex_state = 20},
  [1678] = {.lex_state = 38},
  [1679] = {.lex_state = 34, .external_lex_state = 19},
  [1680] = {.lex_state = 110, .external_lex_state = 6},
  [1681] = {.lex_state = 33, .external_lex_state = 17},
  [1682] = {.lex_state = 34, .external_lex_state = 11},
  [1683] = {.lex_state = 110, .external_lex_state = 6},
  [1684] = {.lex_state = 110, .external_lex_state = 6},
  [1685] = {.lex_state = 34, .external_lex_state = 11},
  [1686] = {.lex_state = 110, .external_lex_state = 6},
  [1687] = {.lex_state = 34, .external_lex_state = 19},
  [1688] = {.lex_state = 38, .external_lex_state = 2},
  [1689] = {.lex_state = 36, .external_lex_state = 20},
  [1690] = {.lex_state = 110, .external_lex_state = 6},
  [1691] = {.lex_state = 38, .external_lex_state = 2},
  [1692] = {.lex_state = 110, .external_lex_state = 6},
  [1693] = {.lex_state = 38},
  [1694] = {.lex_state = 33, .external_lex_state = 17},
  [1695] = {.lex_state = 33, .external_lex_state = 17},
  [1696] = {.lex_state = 110, .external_lex_state = 6},
  [1697] = {.lex_state = 110, .external_lex_state = 6},
  [1698] = {.lex_state = 33, .external_lex_state = 17},
  [1699] = {.lex_state = 33, .external_lex_state = 17},
  [1700] = {.lex_state = 110, .external_lex_state = 6},
  [1701] = {.lex_state = 110, .external_lex_state = 6},
  [1702] = {.lex_state = 110, .external_lex_state = 6},
  [1703] = {.lex_state = 33, .external_lex_state = 17},
  [1704] = {.lex_state = 110, .external_lex_state = 6},
  [1705] = {.lex_state = 33, .external_lex_state = 17},
  [1706] = {.lex_state = 110, .external_lex_state = 6},
  [1707] = {.lex_state = 33, .external_lex_state = 17},
  [1708] = {.lex_state = 33, .external_lex_state = 17},
  [1709] = {.lex_state = 110, .external_lex_state = 6},
  [1710] = {.lex_state = 33, .external_lex_state = 17},
  [1711] = {.lex_state = 110, .external_lex_state = 6},
  [1712] = {.lex_state = 33, .external_lex_state = 17},
  [1713] = {.lex_state = 110, .external_lex_state = 6},
  [1714] = {.lex_state = 38},
  [1715] = {.lex_state = 38},
  [1716] = {.lex_state = 38},
  [1717] = {.lex_state = 110, .external_lex_state = 6},
  [1718] = {.lex_state = 36, .external_lex_state = 20},
  [1719] = {.lex_state = 110, .external_lex_state = 6},
  [1720] = {.lex_state = 110, .external_lex_state = 6},
  [1721] = {.lex_state = 110, .external_lex_state = 6},
  [1722] = {.lex_state = 33, .external_lex_state = 17},
  [1723] = {.lex_state = 110, .external_lex_state = 6},
  [1724] = {.lex_state = 110, .external_lex_state = 6},
  [1725] = {.lex_state = 38},
  [1726] = {.lex_state = 110, .external_lex_state = 6},
  [1727] = {.lex_state = 110, .external_lex_state = 6},
  [1728] = {.lex_state = 33, .external_lex_state = 17},
  [1729] = {.lex_state = 38, .external_lex_state = 2},
  [1730] = {.lex_state = 33, .external_lex_state = 17},
  [1731] = {.lex_state = 33, .external_lex_state = 17},
  [1732] = {.lex_state = 33, .external_lex_state = 17},
  [1733] = {.lex_state = 33, .external_lex_state = 17},
  [1734] = {.lex_state = 33, .external_lex_state = 17},
  [1735] = {.lex_state = 33, .external_lex_state = 17},
  [1736] = {.lex_state = 38},
  [1737] = {.lex_state = 110, .external_lex_state = 6},
  [1738] = {.lex_state = 110, .external_lex_state = 6},
  [1739] = {.lex_state = 32},
  [1740] = {.lex_state = 35, .external_lex_state = 20},
  [1741] = {.lex_state = 38},
  [1742] = {.lex_state = 31},
  [1743] = {.lex_state = 110, .external_lex_state = 6},
  [1744] = {.lex_state = 31},
  [1745] = {.lex_state = 31},
  [1746] = {.lex_state = 33},
  [1747] = {.lex_state = 31},
  [1748] = {.lex_state = 110, .external_lex_state = 6},
  [1749] = {.lex_state = 31},
  [1750] = {.lex_state = 110, .external_lex_state = 6},
  [1751] = {.lex_state = 110, .external_lex_state = 6},
  [1752] = {.lex_state = 38},
  [1753] = {.lex_state = 110, .external_lex_state = 6},
  [1754] = {.lex_state = 110, .external_lex_state = 6},
  [1755] = {.lex_state = 110, .external_lex_state = 6},
  [1756] = {.lex_state = 110, .external_lex_state = 6},
  [1757] = {.lex_state = 38},
  [1758] = {.lex_state = 31},
  [1759] = {.lex_state = 38},
  [1760] = {.lex_state = 110, .external_lex_state = 6},
  [1761] = {.lex_state = 38},
  [1762] = {.lex_state = 35, .external_lex_state = 14},
  [1763] = {.lex_state = 38, .external_lex_state = 13},
  [1764] = {.lex_state = 39, .external_lex_state = 14},
  [1765] = {.lex_state = 38, .external_lex_state = 13},
  [1766] = {.lex_state = 39, .external_lex_state = 14},
  [1767] = {.lex_state = 39, .external_lex_state = 14},
  [1768] = {.lex_state = 39, .external_lex_state = 14},
  [1769] = {.lex_state = 35, .external_lex_state = 14},
  [1770] = {.lex_state = 39, .external_lex_state = 14},
  [1771] = {.lex_state = 38},
  [1772] = {.lex_state = 39, .external_lex_state = 14},
  [1773] = {.lex_state = 31},
  [1774] = {.lex_state = 39, .external_lex_state = 14},
  [1775] = {.lex_state = 39, .external_lex_state = 14},
  [1776] = {.lex_state = 35, .external_lex_state = 14},
  [1777] = {.lex_state = 39, .external_lex_state = 14},
  [1778] = {.lex_state = 39, .external_lex_state = 14},
  [1779] = {.lex_state = 31},
  [1780] = {.lex_state = 39, .external_lex_state = 14},
  [1781] = {.lex_state = 35, .external_lex_state = 14},
  [1782] = {.lex_state = 39, .external_lex_state = 14},
  [1783] = {.lex_state = 38, .external_lex_state = 13},
  [1784] = {.lex_state = 39, .external_lex_state = 14},
  [1785] = {.lex_state = 34, .external_lex_state = 19},
  [1786] = {.lex_state = 34, .external_lex_state = 19},
  [1787] = {.lex_state = 34, .external_lex_state = 19},
  [1788] = {.lex_state = 34, .external_lex_state = 19},
  [1789] = {.lex_state = 34, .external_lex_state = 19},
  [1790] = {.lex_state = 39, .external_lex_state = 14},
  [1791] = {.lex_state = 34, .external_lex_state = 19},
  [1792] = {.lex_state = 34, .external_lex_state = 19},
  [1793] = {.lex_state = 34, .external_lex_state = 19},
  [1794] = {.lex_state = 34, .external_lex_state = 19},
  [1795] = {.lex_state = 34, .external_lex_state = 19},
  [1796] = {.lex_state = 39, .external_lex_state = 14},
  [1797] = {.lex_state = 34, .external_lex_state = 19},
  [1798] = {.lex_state = 36, .external_lex_state = 20},
  [1799] = {.lex_state = 34, .external_lex_state = 19},
  [1800] = {.lex_state = 39, .external_lex_state = 14},
  [1801] = {.lex_state = 39, .external_lex_state = 14},
  [1802] = {.lex_state = 39, .external_lex_state = 14},
  [1803] = {.lex_state = 39, .external_lex_state = 14},
  [1804] = {.lex_state = 36, .external_lex_state = 20},
  [1805] = {.lex_state = 39, .external_lex_state = 14},
  [1806] = {.lex_state = 39, .external_lex_state = 14},
  [1807] = {.lex_state = 34, .external_lex_state = 19},
  [1808] = {.lex_state = 39, .external_lex_state = 14},
  [1809] = {.lex_state = 39, .external_lex_state = 14},
  [1810] = {.lex_state = 39, .external_lex_state = 14},
  [1811] = {.lex_state = 39, .external_lex_state = 14},
  [1812] = {.lex_state = 39, .external_lex_state = 14},
  [1813] = {.lex_state = 39, .external_lex_state = 14},
  [1814] = {.lex_state = 36, .external_lex_state = 14},
  [1815] = {.lex_state = 39, .external_lex_state = 14},
  [1816] = {.lex_state = 34, .external_lex_state = 19},
  [1817] = {.lex_state = 34, .external_lex_state = 19},
  [1818] = {.lex_state = 39, .external_lex_state = 14},
  [1819] = {.lex_state = 39, .external_lex_state = 14},
  [1820] = {.lex_state = 36, .external_lex_state = 20},
  [1821] = {.lex_state = 39, .external_lex_state = 14},
  [1822] = {.lex_state = 39, .external_lex_state = 14},
  [1823] = {.lex_state = 34, .external_lex_state = 19},
  [1824] = {.lex_state = 39, .external_lex_state = 14},
  [1825] = {.lex_state = 36, .external_lex_state = 20},
  [1826] = {.lex_state = 34, .external_lex_state = 19},
  [1827] = {.lex_state = 34, .external_lex_state = 19},
  [1828] = {.lex_state = 34, .external_lex_state = 19},
  [1829] = {.lex_state = 36, .external_lex_state = 20},
  [1830] = {.lex_state = 34, .external_lex_state = 19},
  [1831] = {.lex_state = 36, .external_lex_state = 20},
  [1832] = {.lex_state = 39, .external_lex_state = 14},
  [1833] = {.lex_state = 39, .external_lex_state = 14},
  [1834] = {.lex_state = 39, .external_lex_state = 14},
  [1835] = {.lex_state = 36, .external_lex_state = 20},
  [1836] = {.lex_state = 34, .external_lex_state = 19},
  [1837] = {.lex_state = 39, .external_lex_state = 14},
  [1838] = {.lex_state = 36, .external_lex_state = 20},
  [1839] = {.lex_state = 34, .external_lex_state = 11},
  [1840] = {.lex_state = 36, .external_lex_state = 20},
  [1841] = {.lex_state = 34, .external_lex_state = 19},
  [1842] = {.lex_state = 36, .external_lex_state = 20},
  [1843] = {.lex_state = 36, .external_lex_state = 20},
  [1844] = {.lex_state = 39, .external_lex_state = 14},
  [1845] = {.lex_state = 39, .external_lex_state = 14},
  [1846] = {.lex_state = 36, .external_lex_state = 20},
  [1847] = {.lex_state = 39, .external_lex_state = 14},
  [1848] = {.lex_state = 34, .external_lex_state = 19},
  [1849] = {.lex_state = 36, .external_lex_state = 20},
  [1850] = {.lex_state = 34, .external_lex_state = 19},
  [1851] = {.lex_state = 39, .external_lex_state = 14},
  [1852] = {.lex_state = 34, .external_lex_state = 19},
  [1853] = {.lex_state = 34, .external_lex_state = 19},
  [1854] = {.lex_state = 36, .external_lex_state = 20},
  [1855] = {.lex_state = 39, .external_lex_state = 14},
  [1856] = {.lex_state = 36, .external_lex_state = 20},
  [1857] = {.lex_state = 39, .external_lex_state = 14},
  [1858] = {.lex_state = 36, .external_lex_state = 20},
  [1859] = {.lex_state = 36, .external_lex_state = 20},
  [1860] = {.lex_state = 36, .external_lex_state = 14},
  [1861] = {.lex_state = 39, .external_lex_state = 14},
  [1862] = {.lex_state = 39, .external_lex_state = 14},
  [1863] = {.lex_state = 39, .external_lex_state = 14},
  [1864] = {.lex_state = 36, .external_lex_state = 20},
  [1865] = {.lex_state = 39, .external_lex_state = 14},
  [1866] = {.lex_state = 39, .external_lex_state = 14},
  [1867] = {.lex_state = 39, .external_lex_state = 14},
  [1868] = {.lex_state = 36, .external_lex_state = 20},
  [1869] = {.lex_state = 36, .external_lex_state = 20},
  [1870] = {.lex_state = 39, .external_lex_state = 14},
  [1871] = {.lex_state = 39, .external_lex_state = 14},
  [1872] = {.lex_state = 36, .external_lex_state = 20},
  [1873] = {.lex_state = 36, .external_lex_state = 20},
  [1874] = {.lex_state = 38},
  [1875] = {.lex_state = 39, .external_lex_state = 14},
  [1876] = {.lex_state = 36, .external_lex_state = 20},
  [1877] = {.lex_state = 36, .external_lex_state = 20},
  [1878] = {.lex_state = 36, .external_lex_state = 20},
  [1879] = {.lex_state = 36, .external_lex_state = 20},
  [1880] = {.lex_state = 34, .external_lex_state = 11},
  [1881] = {.lex_state = 38},
  [1882] = {.lex_state = 34, .external_lex_state = 11},
  [1883] = {.lex_state = 38},
  [1884] = {.lex_state = 33},
  [1885] = {.lex_state = 34, .external_lex_state = 11},
  [1886] = {.lex_state = 31},
  [1887] = {.lex_state = 31},
  [1888] = {.lex_state = 38},
  [1889] = {.lex_state = 38},
  [1890] = {.lex_state = 34, .external_lex_state = 11},
  [1891] = {.lex_state = 31},
  [1892] = {.lex_state = 31},
  [1893] = {.lex_state = 31},
  [1894] = {.lex_state = 33},
  [1895] = {.lex_state = 31},
  [1896] = {.lex_state = 33},
  [1897] = {.lex_state = 33},
  [1898] = {.lex_state = 31},
  [1899] = {.lex_state = 33},
  [1900] = {.lex_state = 34, .external_lex_state = 11},
  [1901] = {.lex_state = 31},
  [1902] = {.lex_state = 38},
  [1903] = {.lex_state = 33},
  [1904] = {.lex_state = 31},
  [1905] = {.lex_state = 36, .external_lex_state = 14},
  [1906] = {.lex_state = 31},
  [1907] = {.lex_state = 38},
  [1908] = {.lex_state = 38},
  [1909] = {.lex_state = 38},
  [1910] = {.lex_state = 34, .external_lex_state = 11},
  [1911] = {.lex_state = 38},
  [1912] = {.lex_state = 33},
  [1913] = {.lex_state = 38},
  [1914] = {.lex_state = 38},
  [1915] = {.lex_state = 31},
  [1916] = {.lex_state = 33},
  [1917] = {.lex_state = 31},
  [1918] = {.lex_state = 31},
  [1919] = {.lex_state = 31},
  [1920] = {.lex_state = 31},
  [1921] = {.lex_state = 31},
  [1922] = {.lex_state = 38},
  [1923] = {.lex_state = 33},
  [1924] = {.lex_state = 38},
  [1925] = {.lex_state = 38},
  [1926] = {.lex_state = 34, .external_lex_state = 11},
  [1927] = {.lex_state = 31},
  [1928] = {.lex_state = 31},
  [1929] = {.lex_state = 34, .external_lex_state = 11},
  [1930] = {.lex_state = 38},
  [1931] = {.lex_state = 33},
  [1932] = {.lex_state = 38},
  [1933] = {.lex_state = 40, .external_lex_state = 11},
  [1934] = {.lex_state = 3, .external_lex_state = 10},
  [1935] = {.lex_state = 40, .external_lex_state = 11},
  [1936] = {.lex_state = 116, .external_lex_state = 15},
  [1937] = {.lex_state = 38},
  [1938] = {.lex_state = 38},
  [1939] = {.lex_state = 38},
  [1940] = {.lex_state = 38},
  [1941] = {.lex_state = 38},
  [1942] = {.lex_state = 38},
  [1943] = {.lex_state = 38},
  [1944] = {.lex_state = 38},
  [1945] = {.lex_state = 38},
  [1946] = {.lex_state = 38},
  [1947] = {.lex_state = 38},
  [1948] = {.lex_state = 38},
  [1949] = {.lex_state = 38},
  [1950] = {.lex_state = 38},
  [1951] = {.lex_state = 38},
  [1952] = {.lex_state = 38},
  [1953] = {.lex_state = 38},
  [1954] = {.lex_state = 38},
  [1955] = {.lex_state = 38},
  [1956] = {.lex_state = 38},
  [1957] = {.lex_state = 38},
  [1958] = {.lex_state = 38},
  [1959] = {.lex_state = 38},
  [1960] = {.lex_state = 38},
  [1961] = {.lex_state = 38},
  [1962] = {.lex_state = 38},
  [1963] = {.lex_state = 38},
  [1964] = {.lex_state = 38},
  [1965] = {.lex_state = 38},
  [1966] = {.lex_state = 38},
  [1967] = {.lex_state = 38},
  [1968] = {.lex_state = 38},
  [1969] = {.lex_state = 38},
  [1970] = {.lex_state = 38},
  [1971] = {.lex_state = 38},
  [1972] = {.lex_state = 38},
  [1973] = {.lex_state = 38},
  [1974] = {.lex_state = 38},
  [1975] = {.lex_state = 116, .external_lex_state = 15},
  [1976] = {.lex_state = 38},
  [1977] = {.lex_state = 38},
  [1978] = {.lex_state = 116, .external_lex_state = 15},
  [1979] = {.lex_state = 38},
  [1980] = {.lex_state = 116, .external_lex_state = 15},
  [1981] = {.lex_state = 38},
  [1982] = {.lex_state = 38},
  [1983] = {.lex_state = 38},
  [1984] = {.lex_state = 38},
  [1985] = {.lex_state = 38},
  [1986] = {.lex_state = 38},
  [1987] = {.lex_state = 38},
  [1988] = {.lex_state = 38},
  [1989] = {.lex_state = 38},
  [1990] = {.lex_state = 38},
  [1991] = {.lex_state = 116, .external_lex_state = 15},
  [1992] = {.lex_state = 116, .external_lex_state = 15},
  [1993] = {.lex_state = 116, .external_lex_state = 15},
  [1994] = {.lex_state = 116, .external_lex_state = 10},
  [1995] = {.lex_state = 116, .external_lex_state = 15},
  [1996] = {.lex_state = 116, .external_lex_state = 15},
  [1997] = {.lex_state = 116, .external_lex_state = 15},
  [1998] = {.lex_state = 116, .external_lex_state = 15},
  [1999] = {.lex_state = 116, .external_lex_state = 15},
  [2000] = {.lex_state = 116, .external_lex_state = 15},
  [2001] = {.lex_state = 116, .external_lex_state = 15},
  [2002] = {.lex_state = 116, .external_lex_state = 10},
  [2003] = {.lex_state = 116, .external_lex_state = 15},
  [2004] = {.lex_state = 116, .external_lex_state = 15},
  [2005] = {.lex_state = 116, .external_lex_state = 15},
  [2006] = {.lex_state = 116, .external_lex_state = 15},
  [2007] = {.lex_state = 116, .external_lex_state = 15},
  [2008] = {.lex_state = 116, .external_lex_state = 15},
  [2009] = {.lex_state = 116, .external_lex_state = 15},
  [2010] = {.lex_state = 116, .external_lex_state = 15},
  [2011] = {.lex_state = 116, .external_lex_state = 15},
  [2012] = {.lex_state = 116, .external_lex_state = 15},
  [2013] = {.lex_state = 116, .external_lex_state = 15},
  [2014] = {.lex_state = 116, .external_lex_state = 15},
  [2015] = {.lex_state = 116, .external_lex_state = 15},
  [2016] = {.lex_state = 116, .external_lex_state = 15},
  [2017] = {.lex_state = 116, .external_lex_state = 15},
  [2018] = {.lex_state = 116, .external_lex_state = 15},
  [2019] = {.lex_state = 26, .external_lex_state = 19},
  [2020] = {.lex_state = 116, .external_lex_state = 10},
  [2021] = {.lex_state = 26},
  [2022] = {.lex_state = 38, .external_lex_state = 17},
  [2023] = {.lex_state = 38, .external_lex_state = 17},
  [2024] = {.lex_state = 38, .external_lex_state = 17},
  [2025] = {.lex_state = 26, .external_lex_state = 14},
  [2026] = {.lex_state = 38, .external_lex_state = 17},
  [2027] = {.lex_state = 26, .external_lex_state = 21},
  [2028] = {.lex_state = 26, .external_lex_state = 21},
  [2029] = {.lex_state = 26, .external_lex_state = 21},
  [2030] = {.lex_state = 26},
  [2031] = {.lex_state = 38, .external_lex_state = 17},
  [2032] = {.lex_state = 26},
  [2033] = {.lex_state = 38, .external_lex_state = 17},
  [2034] = {.lex_state = 26, .external_lex_state = 21},
  [2035] = {.lex_state = 26, .external_lex_state = 21},
  [2036] = {.lex_state = 26},
  [2037] = {.lex_state = 38, .external_lex_state = 17},
  [2038] = {.lex_state = 38, .external_lex_state = 17},
  [2039] = {.lex_state = 38, .external_lex_state = 17},
  [2040] = {.lex_state = 38, .external_lex_state = 17},
  [2041] = {.lex_state = 38, .external_lex_state = 17},
  [2042] = {.lex_state = 26, .external_lex_state = 21},
  [2043] = {.lex_state = 26, .external_lex_state = 21},
  [2044] = {.lex_state = 26},
  [2045] = {.lex_state = 38, .external_lex_state = 17},
  [2046] = {.lex_state = 38, .external_lex_state = 17},
  [2047] = {.lex_state = 38, .external_lex_state = 17},
  [2048] = {.lex_state = 38, .external_lex_state = 17},
  [2049] = {.lex_state = 38, .external_lex_state = 17},
  [2050] = {.lex_state = 26},
  [2051] = {.lex_state = 26, .external_lex_state = 21},
  [2052] = {.lex_state = 26, .external_lex_state = 21},
  [2053] = {.lex_state = 26, .external_lex_state = 21},
  [2054] = {.lex_state = 26},
  [2055] = {.lex_state = 26, .external_lex_state = 21},
  [2056] = {.lex_state = 26},
  [2057] = {.lex_state = 26},
  [2058] = {.lex_state = 26},
  [2059] = {.lex_state = 26, .external_lex_state = 21},
  [2060] = {.lex_state = 26},
  [2061] = {.lex_state = 38, .external_lex_state = 17},
  [2062] = {.lex_state = 26, .external_lex_state = 21},
  [2063] = {.lex_state = 26, .external_lex_state = 21},
  [2064] = {.lex_state = 26},
  [2065] = {.lex_state = 26},
  [2066] = {.lex_state = 26, .external_lex_state = 21},
  [2067] = {.lex_state = 26, .external_lex_state = 21},
  [2068] = {.lex_state = 26, .external_lex_state = 21},
  [2069] = {.lex_state = 26},
  [2070] = {.lex_state = 26},
  [2071] = {.lex_state = 26, .external_lex_state = 21},
  [2072] = {.lex_state = 26},
  [2073] = {.lex_state = 38, .external_lex_state = 17},
  [2074] = {.lex_state = 38, .external_lex_state = 17},
  [2075] = {.lex_state = 38, .external_lex_state = 17},
  [2076] = {.lex_state = 38, .external_lex_state = 17},
  [2077] = {.lex_state = 38, .external_lex_state = 17},
  [2078] = {.lex_state = 26, .external_lex_state = 21},
  [2079] = {.lex_state = 26, .external_lex_state = 21},
  [2080] = {.lex_state = 38, .external_lex_state = 17},
  [2081] = {.lex_state = 38, .external_lex_state = 17},
  [2082] = {.lex_state = 38, .external_lex_state = 17},
  [2083] = {.lex_state = 26},
  [2084] = {.lex_state = 38},
  [2085] = {.lex_state = 26, .external_lex_state = 21},
  [2086] = {.lex_state = 26},
  [2087] = {.lex_state = 38, .external_lex_state = 17},
  [2088] = {.lex_state = 38, .external_lex_state = 17},
  [2089] = {.lex_state = 26},
  [2090] = {.lex_state = 26},
  [2091] = {.lex_state = 26, .external_lex_state = 21},
  [2092] = {.lex_state = 26},
  [2093] = {.lex_state = 26},
  [2094] = {.lex_state = 26},
  [2095] = {.lex_state = 38},
  [2096] = {.lex_state = 38, .external_lex_state = 17},
  [2097] = {.lex_state = 26, .external_lex_state = 21},
  [2098] = {.lex_state = 26, .external_lex_state = 21},
  [2099] = {.lex_state = 26, .external_lex_state = 21},
  [2100] = {.lex_state = 26, .external_lex_state = 21},
  [2101] = {.lex_state = 26},
  [2102] = {.lex_state = 26},
  [2103] = {.lex_state = 38, .external_lex_state = 17},
  [2104] = {.lex_state = 38, .external_lex_state = 17},
  [2105] = {.lex_state = 27},
  [2106] = {.lex_state = 27},
  [2107] = {.lex_state = 27},
  [2108] = {.lex_state = 27},
  [2109] = {.lex_state = 27},
  [2110] = {.lex_state = 27},
  [2111] = {.lex_state = 27},
  [2112] = {.lex_state = 27},
  [2113] = {.lex_state = 27},
  [2114] = {.lex_state = 38},
  [2115] = {.lex_state = 27},
  [2116] = {.lex_state = 41},
  [2117] = {.lex_state = 27},
  [2118] = {.lex_state = 27},
  [2119] = {.lex_state = 27},
  [2120] = {.lex_state = 27},
  [2121] = {.lex_state = 27},
  [2122] = {.lex_state = 27},
  [2123] = {.lex_state = 41},
  [2124] = {.lex_state = 41},
  [2125] = {.lex_state = 27},
  [2126] = {.lex_state = 27},
  [2127] = {.lex_state = 27},
  [2128] = {.lex_state = 27},
  [2129] = {.lex_state = 27},
  [2130] = {.lex_state = 27},
  [2131] = {.lex_state = 27},
  [2132] = {.lex_state = 27},
  [2133] = {.lex_state = 27},
  [2134] = {.lex_state = 27},
  [2135] = {.lex_state = 27},
  [2136] = {.lex_state = 27},
  [2137] = {.lex_state = 27},
  [2138] = {.lex_state = 27},
  [2139] = {.lex_state = 27},
  [2140] = {.lex_state = 27},
  [2141] = {.lex_state = 41},
  [2142] = {.lex_state = 27},
  [2143] = {.lex_state = 27},
  [2144] = {.lex_state = 27},
  [2145] = {.lex_state = 27},
  [2146] = {.lex_state = 41},
  [2147] = {.lex_state = 27},
  [2148] = {.lex_state = 27},
  [2149] = {.lex_state = 27},
  [2150] = {.lex_state = 27},
  [2151] = {.lex_state = 27},
  [2152] = {.lex_state = 27},
  [2153] = {.lex_state = 27},
  [2154] = {.lex_state = 27},
  [2155] = {.lex_state = 27},
  [2156] = {.lex_state = 41},
  [2157] = {.lex_state = 27},
  [2158] = {.lex_state = 27},
  [2159] = {.lex_state = 27},
  [2160] = {.lex_state = 43, .external_lex_state = 21},
  [2161] = {.lex_state = 43, .external_lex_state = 21},
  [2162] = {.lex_state = 43, .external_lex_state = 21},
  [2163] = {.lex_state = 43, .external_lex_state = 21},
  [2164] = {.lex_state = 43, .external_lex_state = 21},
  [2165] = {.lex_state = 43, .external_lex_state = 21},
  [2166] = {.lex_state = 28},
  [2167] = {.lex_state = 43, .external_lex_state = 21},
  [2168] = {.lex_state = 43, .external_lex_state = 21},
  [2169] = {.lex_state = 43, .external_lex_state = 21},
  [2170] = {.lex_state = 38},
  [2171] = {.lex_state = 43, .external_lex_state = 21},
  [2172] = {.lex_state = 43, .external_lex_state = 21},
  [2173] = {.lex_state = 43, .external_lex_state = 21},
  [2174] = {.lex_state = 43, .external_lex_state = 21},
  [2175] = {.lex_state = 38},
  [2176] = {.lex_state = 38},
  [2177] = {.lex_state = 43, .external_lex_state = 21},
  [2178] = {.lex_state = 43, .external_lex_state = 21},
  [2179] = {.lex_state = 43, .external_lex_state = 21},
  [2180] = {.lex_state = 43, .external_lex_state = 21},
  [2181] = {.lex_state = 43, .external_lex_state = 21},
  [2182] = {.lex_state = 43, .external_lex_state = 21},
  [2183] = {.lex_state = 43, .external_lex_state = 21},
  [2184] = {.lex_state = 38},
  [2185] = {.lex_state = 43, .external_lex_state = 21},
  [2186] = {.lex_state = 43, .external_lex_state = 21},
  [2187] = {.lex_state = 43, .external_lex_state = 21},
  [2188] = {.lex_state = 38},
  [2189] = {.lex_state = 43, .external_lex_state = 21},
  [2190] = {.lex_state = 43, .external_lex_state = 21},
  [2191] = {.lex_state = 38},
  [2192] = {.lex_state = 43, .external_lex_state = 21},
  [2193] = {.lex_state = 42},
  [2194] = {.lex_state = 42},
  [2195] = {.lex_state = 42},
  [2196] = {.lex_state = 42},
  [2197] = {.lex_state = 42},
  [2198] = {.lex_state = 42},
  [2199] = {.lex_state = 42},
  [2200] = {.lex_state = 42},
  [2201] = {.lex_state = 42},
  [2202] = {.lex_state = 42},
  [2203] = {.lex_state = 42},
  [2204] = {.lex_state = 42},
  [2205] = {.lex_state = 42},
  [2206] = {.lex_state = 42},
  [2207] = {.lex_state = 42},
  [2208] = {.lex_state = 42},
  [2209] = {.lex_state = 42},
  [2210] = {.lex_state = 42},
  [2211] = {.lex_state = 42},
  [2212] = {.lex_state = 42},
  [2213] = {.lex_state = 42},
  [2214] = {.lex_state = 42},
  [2215] = {.lex_state = 42},
  [2216] = {.lex_state = 42},
  [2217] = {.lex_state = 42},
  [2218] = {.lex_state = 42},
  [2219] = {.lex_state = 42},
  [2220] = {.lex_state = 42},
  [2221] = {.lex_state = 42},
  [2222] = {.lex_state = 42},
  [2223] = {.lex_state = 42},
  [2224] = {.lex_state = 42},
  [2225] = {.lex_state = 42},
  [2226] = {.lex_state = 42},
  [2227] = {.lex_state = 31, .external_lex_state = 22},
  [2228] = {.lex_state = 42},
  [2229] = {.lex_state = 42},
  [2230] = {.lex_state = 42},
  [2231] = {.lex_state = 42},
  [2232] = {.lex_state = 31, .external_lex_state = 22},
  [2233] = {.lex_state = 26},
  [2234] = {.lex_state = 42},
  [2235] = {.lex_state = 42},
  [2236] = {.lex_state = 42},
  [2237] = {.lex_state = 31, .external_lex_state = 22},
  [2238] = {.lex_state = 31, .external_lex_state = 22},
  [2239] = {.lex_state = 42},
  [2240] = {.lex_state = 42},
  [2241] = {.lex_state = 42},
  [2242] = {.lex_state = 42},
  [2243] = {.lex_state = 42},
  [2244] = {.lex_state = 31, .external_lex_state = 22},
  [2245] = {.lex_state = 42},
  [2246] = {.lex_state = 42},
  [2247] = {.lex_state = 42},
  [2248] = {.lex_state = 43},
  [2249] = {.lex_state = 43},
  [2250] = {.lex_state = 117},
  [2251] = {.lex_state = 117},
  [2252] = {.lex_state = 117},
  [2253] = {.lex_state = 117},
  [2254] = {.lex_state = 43},
  [2255] = {.lex_state = 117},
  [2256] = {.lex_state = 4, .external_lex_state = 15},
  [2257] = {.lex_state = 43},
  [2258] = {.lex_state = 117},
  [2259] = {.lex_state = 42, .external_lex_state = 17},
  [2260] = {.lex_state = 4, .external_lex_state = 15},
  [2261] = {.lex_state = 4, .external_lex_state = 15},
  [2262] = {.lex_state = 4, .external_lex_state = 10},
  [2263] = {.lex_state = 42, .external_lex_state = 17},
  [2264] = {.lex_state = 42, .external_lex_state = 17},
  [2265] = {.lex_state = 4, .external_lex_state = 10},
  [2266] = {.lex_state = 42, .external_lex_state = 17},
  [2267] = {.lex_state = 42, .external_lex_state = 17},
  [2268] = {.lex_state = 42, .external_lex_state = 17},
  [2269] = {.lex_state = 42, .external_lex_state = 17},
  [2270] = {.lex_state = 4, .external_lex_state = 10},
  [2271] = {.lex_state = 4, .external_lex_state = 15},
  [2272] = {.lex_state = 42, .external_lex_state = 17},
  [2273] = {.lex_state = 4, .external_lex_state = 15},
  [2274] = {.lex_state = 42, .external_lex_state = 17},
  [2275] = {.lex_state = 4, .external_lex_state = 10},
  [2276] = {.lex_state = 42, .external_lex_state = 17},
  [2277] = {.lex_state = 42, .external_lex_state = 17},
  [2278] = {.lex_state = 4, .external_lex_state = 10},
  [2279] = {.lex_state = 42, .external_lex_state = 17},
  [2280] = {.lex_state = 42, .external_lex_state = 17},
  [2281] = {.lex_state = 4, .external_lex_state = 10},
  [2282] = {.lex_state = 42, .external_lex_state = 17},
  [2283] = {.lex_state = 42, .external_lex_state = 17},
  [2284] = {.lex_state = 42, .external_lex_state = 17},
  [2285] = {.lex_state = 42, .external_lex_state = 17},
  [2286] = {.lex_state = 42, .external_lex_state = 17},
  [2287] = {.lex_state = 42, .external_lex_state = 17},
  [2288] = {.lex_state = 42, .external_lex_state = 17},
  [2289] = {.lex_state = 42, .external_lex_state = 17},
  [2290] = {.lex_state = 42, .external_lex_state = 17},
  [2291] = {.lex_state = 37},
  [2292] = {.lex_state = 4, .external_lex_state = 15},
  [2293] = {.lex_state = 4, .external_lex_state = 15},
  [2294] = {.lex_state = 4, .external_lex_state = 15},
  [2295] = {.lex_state = 4, .external_lex_state = 15},
  [2296] = {.lex_state = 4, .external_lex_state = 15},
  [2297] = {.lex_state = 4, .external_lex_state = 15},
  [2298] = {.lex_state = 4, .external_lex_state = 15},
  [2299] = {.lex_state = 42},
  [2300] = {.lex_state = 4, .external_lex_state = 15},
  [2301] = {.lex_state = 4, .external_lex_state = 15},
  [2302] = {.lex_state = 4, .external_lex_state = 15},
  [2303] = {.lex_state = 37},
  [2304] = {.lex_state = 42},
  [2305] = {.lex_state = 31, .external_lex_state = 22},
  [2306] = {.lex_state = 4, .external_lex_state = 15},
  [2307] = {.lex_state = 4, .external_lex_state = 15},
  [2308] = {.lex_state = 31, .external_lex_state = 22},
  [2309] = {.lex_state = 31, .external_lex_state = 22},
  [2310] = {.lex_state = 31, .external_lex_state = 22},
  [2311] = {.lex_state = 4, .external_lex_state = 15},
  [2312] = {.lex_state = 37},
  [2313] = {.lex_state = 4, .external_lex_state = 15},
  [2314] = {.lex_state = 31, .external_lex_state = 22},
  [2315] = {.lex_state = 4, .external_lex_state = 10},
  [2316] = {.lex_state = 31, .external_lex_state = 22},
  [2317] = {.lex_state = 31, .external_lex_state = 22},
  [2318] = {.lex_state = 4, .external_lex_state = 15},
  [2319] = {.lex_state = 31, .external_lex_state = 22},
  [2320] = {.lex_state = 31, .external_lex_state = 22},
  [2321] = {.lex_state = 31, .external_lex_state = 22},
  [2322] = {.lex_state = 4, .external_lex_state = 15},
  [2323] = {.lex_state = 4, .external_lex_state = 15},
  [2324] = {.lex_state = 31, .external_lex_state = 22},
  [2325] = {.lex_state = 4, .external_lex_state = 15},
  [2326] = {.lex_state = 4, .external_lex_state = 15},
  [2327] = {.lex_state = 4, .external_lex_state = 15},
  [2328] = {.lex_state = 4, .external_lex_state = 15},
  [2329] = {.lex_state = 31, .external_lex_state = 22},
  [2330] = {.lex_state = 4, .external_lex_state = 15},
  [2331] = {.lex_state = 4, .external_lex_state = 15},
  [2332] = {.lex_state = 4, .external_lex_state = 15},
  [2333] = {.lex_state = 31, .external_lex_state = 22},
  [2334] = {.lex_state = 31, .external_lex_state = 22},
  [2335] = {.lex_state = 31, .external_lex_state = 22},
  [2336] = {.lex_state = 31, .external_lex_state = 22},
  [2337] = {.lex_state = 31, .external_lex_state = 22},
  [2338] = {.lex_state = 37},
  [2339] = {.lex_state = 31, .external_lex_state = 22},
  [2340] = {.lex_state = 4, .external_lex_state = 15},
  [2341] = {.lex_state = 31, .external_lex_state = 22},
  [2342] = {.lex_state = 31, .external_lex_state = 22},
  [2343] = {.lex_state = 4, .external_lex_state = 15},
  [2344] = {.lex_state = 116, .external_lex_state = 10},
  [2345] = {.lex_state = 116, .external_lex_state = 10},
  [2346] = {.lex_state = 44},
  [2347] = {.lex_state = 44},
  [2348] = {.lex_state = 116, .external_lex_state = 10},
  [2349] = {.lex_state = 44},
  [2350] = {.lex_state = 4, .external_lex_state = 10},
  [2351] = {.lex_state = 38, .external_lex_state = 17},
  [2352] = {.lex_state = 44},
  [2353] = {.lex_state = 37},
  [2354] = {.lex_state = 44},
  [2355] = {.lex_state = 44},
  [2356] = {.lex_state = 44},
  [2357] = {.lex_state = 4, .external_lex_state = 10},
  [2358] = {.lex_state = 4, .external_lex_state = 10},
  [2359] = {.lex_state = 116, .external_lex_state = 10},
  [2360] = {.lex_state = 44},
  [2361] = {.lex_state = 38},
  [2362] = {.lex_state = 44},
  [2363] = {.lex_state = 4, .external_lex_state = 10},
  [2364] = {.lex_state = 116, .external_lex_state = 10},
  [2365] = {.lex_state = 44},
  [2366] = {.lex_state = 116, .external_lex_state = 10},
  [2367] = {.lex_state = 44},
  [2368] = {.lex_state = 116, .external_lex_state = 10},
  [2369] = {.lex_state = 44},
  [2370] = {.lex_state = 44},
  [2371] = {.lex_state = 4, .external_lex_state = 10},
  [2372] = {.lex_state = 38},
  [2373] = {.lex_state = 116, .external_lex_state = 10},
  [2374] = {.lex_state = 116, .external_lex_state = 10},
  [2375] = {.lex_state = 44},
  [2376] = {.lex_state = 117, .external_lex_state = 17},
  [2377] = {.lex_state = 44},
  [2378] = {.lex_state = 4, .external_lex_state = 10},
  [2379] = {.lex_state = 44},
  [2380] = {.lex_state = 117, .external_lex_state = 17},
  [2381] = {.lex_state = 44},
  [2382] = {.lex_state = 116, .external_lex_state = 10},
  [2383] = {.lex_state = 116, .external_lex_state = 10},
  [2384] = {.lex_state = 38},
  [2385] = {.lex_state = 116, .external_lex_state = 10},
  [2386] = {.lex_state = 116, .external_lex_state = 10},
  [2387] = {.lex_state = 44},
  [2388] = {.lex_state = 117, .external_lex_state = 17},
  [2389] = {.lex_state = 34, .external_lex_state = 19},
  [2390] = {.lex_state = 34, .external_lex_state = 19},
  [2391] = {.lex_state = 44},
  [2392] = {.lex_state = 34, .external_lex_state = 19},
  [2393] = {.lex_state = 44},
  [2394] = {.lex_state = 44},
  [2395] = {.lex_state = 44},
  [2396] = {.lex_state = 116, .external_lex_state = 10},
  [2397] = {.lex_state = 116, .external_lex_state = 10},
  [2398] = {.lex_state = 39, .external_lex_state = 20},
  [2399] = {.lex_state = 34, .external_lex_state = 19},
  [2400] = {.lex_state = 44},
  [2401] = {.lex_state = 117, .external_lex_state = 17},
  [2402] = {.lex_state = 116, .external_lex_state = 10},
  [2403] = {.lex_state = 116, .external_lex_state = 10},
  [2404] = {.lex_state = 44},
  [2405] = {.lex_state = 44},
  [2406] = {.lex_state = 116, .external_lex_state = 10},
  [2407] = {.lex_state = 44},
  [2408] = {.lex_state = 116, .external_lex_state = 10},
  [2409] = {.lex_state = 116, .external_lex_state = 10},
  [2410] = {.lex_state = 44},
  [2411] = {.lex_state = 44},
  [2412] = {.lex_state = 116, .external_lex_state = 10},
  [2413] = {.lex_state = 44},
  [2414] = {.lex_state = 44},
  [2415] = {.lex_state = 44},
  [2416] = {.lex_state = 116, .external_lex_state = 10},
  [2417] = {.lex_state = 44},
  [2418] = {.lex_state = 117},
  [2419] = {.lex_state = 34, .external_lex_state = 19},
  [2420] = {.lex_state = 117},
  [2421] = {.lex_state = 24, .external_lex_state = 20},
  [2422] = {.lex_state = 24, .external_lex_state = 20},
  [2423] = {.lex_state = 24, .external_lex_state = 20},
  [2424] = {.lex_state = 39, .external_lex_state = 14},
  [2425] = {.lex_state = 39, .external_lex_state = 14},
  [2426] = {.lex_state = 24, .external_lex_state = 20},
  [2427] = {.lex_state = 24, .external_lex_state = 20},
  [2428] = {.lex_state = 24, .external_lex_state = 20},
  [2429] = {.lex_state = 39, .external_lex_state = 14},
  [2430] = {.lex_state = 24, .external_lex_state = 20},
  [2431] = {.lex_state = 39, .external_lex_state = 14},
  [2432] = {.lex_state = 24, .external_lex_state = 20},
  [2433] = {.lex_state = 39, .external_lex_state = 14},
  [2434] = {.lex_state = 39, .external_lex_state = 14},
  [2435] = {.lex_state = 39, .external_lex_state = 14},
  [2436] = {.lex_state = 24, .external_lex_state = 20},
  [2437] = {.lex_state = 24, .external_lex_state = 20},
  [2438] = {.lex_state = 39, .external_lex_state = 14},
  [2439] = {.lex_state = 24, .external_lex_state = 20},
  [2440] = {.lex_state = 117},
  [2441] = {.lex_state = 39, .external_lex_state = 14},
  [2442] = {.lex_state = 24, .external_lex_state = 20},
  [2443] = {.lex_state = 24, .external_lex_state = 20},
  [2444] = {.lex_state = 43},
  [2445] = {.lex_state = 39, .external_lex_state = 14},
  [2446] = {.lex_state = 24, .external_lex_state = 20},
  [2447] = {.lex_state = 39, .external_lex_state = 14},
  [2448] = {.lex_state = 39, .external_lex_state = 14},
  [2449] = {.lex_state = 39, .external_lex_state = 14},
  [2450] = {.lex_state = 43},
  [2451] = {.lex_state = 24, .external_lex_state = 20},
  [2452] = {.lex_state = 39, .external_lex_state = 14},
  [2453] = {.lex_state = 43},
  [2454] = {.lex_state = 39, .external_lex_state = 14},
  [2455] = {.lex_state = 39, .external_lex_state = 14},
  [2456] = {.lex_state = 24, .external_lex_state = 20},
  [2457] = {.lex_state = 24, .external_lex_state = 20},
  [2458] = {.lex_state = 24, .external_lex_state = 20},
  [2459] = {.lex_state = 117},
  [2460] = {.lex_state = 39, .external_lex_state = 14},
  [2461] = {.lex_state = 39, .external_lex_state = 14},
  [2462] = {.lex_state = 24, .external_lex_state = 20},
  [2463] = {.lex_state = 39, .external_lex_state = 14},
  [2464] = {.lex_state = 24, .external_lex_state = 20},
  [2465] = {.lex_state = 24, .external_lex_state = 20},
  [2466] = {.lex_state = 39, .external_lex_state = 14},
  [2467] = {.lex_state = 43},
  [2468] = {.lex_state = 39, .external_lex_state = 14},
  [2469] = {.lex_state = 39, .external_lex_state = 14},
  [2470] = {.lex_state = 39, .external_lex_state = 14},
  [2471] = {.lex_state = 24, .external_lex_state = 20},
  [2472] = {.lex_state = 43},
  [2473] = {.lex_state = 24, .external_lex_state = 20},
  [2474] = {.lex_state = 24, .external_lex_state = 20},
  [2475] = {.lex_state = 39, .external_lex_state = 14},
  [2476] = {.lex_state = 24, .external_lex_state = 20},
  [2477] = {.lex_state = 39, .external_lex_state = 14},
  [2478] = {.lex_state = 34, .external_lex_state = 19},
  [2479] = {.lex_state = 43},
  [2480] = {.lex_state = 24, .external_lex_state = 20},
  [2481] = {.lex_state = 39, .external_lex_state = 14},
  [2482] = {.lex_state = 24, .external_lex_state = 20},
  [2483] = {.lex_state = 39, .external_lex_state = 14},
  [2484] = {.lex_state = 24, .external_lex_state = 20},
  [2485] = {.lex_state = 39, .external_lex_state = 14},
  [2486] = {.lex_state = 43, .external_lex_state = 17},
  [2487] = {.lex_state = 34, .external_lex_state = 19},
  [2488] = {.lex_state = 24, .external_lex_state = 20},
  [2489] = {.lex_state = 39, .external_lex_state = 14},
  [2490] = {.lex_state = 39, .external_lex_state = 14},
  [2491] = {.lex_state = 39, .external_lex_state = 14},
  [2492] = {.lex_state = 39, .external_lex_state = 14},
  [2493] = {.lex_state = 24, .external_lex_state = 20},
  [2494] = {.lex_state = 43},
  [2495] = {.lex_state = 34, .external_lex_state = 19},
  [2496] = {.lex_state = 39, .external_lex_state = 14},
  [2497] = {.lex_state = 24, .external_lex_state = 20},
  [2498] = {.lex_state = 24, .external_lex_state = 20},
  [2499] = {.lex_state = 24, .external_lex_state = 20},
  [2500] = {.lex_state = 24, .external_lex_state = 20},
  [2501] = {.lex_state = 39, .external_lex_state = 14},
  [2502] = {.lex_state = 39, .external_lex_state = 14},
  [2503] = {.lex_state = 24, .external_lex_state = 20},
  [2504] = {.lex_state = 39, .external_lex_state = 14},
  [2505] = {.lex_state = 39, .external_lex_state = 14},
  [2506] = {.lex_state = 117},
  [2507] = {.lex_state = 24, .external_lex_state = 20},
  [2508] = {.lex_state = 117},
  [2509] = {.lex_state = 39, .external_lex_state = 14},
  [2510] = {.lex_state = 39, .external_lex_state = 14},
  [2511] = {.lex_state = 24, .external_lex_state = 20},
  [2512] = {.lex_state = 39, .external_lex_state = 14},
  [2513] = {.lex_state = 24, .external_lex_state = 20},
  [2514] = {.lex_state = 24, .external_lex_state = 20},
  [2515] = {.lex_state = 24, .external_lex_state = 20},
  [2516] = {.lex_state = 43, .external_lex_state = 17},
  [2517] = {.lex_state = 24, .external_lex_state = 20},
  [2518] = {.lex_state = 39, .external_lex_state = 14},
  [2519] = {.lex_state = 24, .external_lex_state = 20},
  [2520] = {.lex_state = 24, .external_lex_state = 20},
  [2521] = {.lex_state = 39, .external_lex_state = 14},
  [2522] = {.lex_state = 39, .external_lex_state = 14},
  [2523] = {.lex_state = 43, .external_lex_state = 17},
  [2524] = {.lex_state = 24, .external_lex_state = 20},
  [2525] = {.lex_state = 39, .external_lex_state = 14},
  [2526] = {.lex_state = 39, .external_lex_state = 14},
  [2527] = {.lex_state = 24, .external_lex_state = 20},
  [2528] = {.lex_state = 24, .external_lex_state = 20},
  [2529] = {.lex_state = 39, .external_lex_state = 14},
  [2530] = {.lex_state = 24, .external_lex_state = 20},
  [2531] = {.lex_state = 39, .external_lex_state = 14},
  [2532] = {.lex_state = 43, .external_lex_state = 17},
  [2533] = {.lex_state = 117},
  [2534] = {.lex_state = 24, .external_lex_state = 20},
  [2535] = {.lex_state = 39, .external_lex_state = 14},
  [2536] = {.lex_state = 39, .external_lex_state = 14},
  [2537] = {.lex_state = 24, .external_lex_state = 20},
  [2538] = {.lex_state = 39, .external_lex_state = 14},
  [2539] = {.lex_state = 39, .external_lex_state = 14},
  [2540] = {.lex_state = 39, .external_lex_state = 14},
  [2541] = {.lex_state = 24, .external_lex_state = 20},
  [2542] = {.lex_state = 24, .external_lex_state = 20},
  [2543] = {.lex_state = 24, .external_lex_state = 20},
  [2544] = {.lex_state = 39, .external_lex_state = 14},
  [2545] = {.lex_state = 24, .external_lex_state = 20},
  [2546] = {.lex_state = 24, .external_lex_state = 20},
  [2547] = {.lex_state = 24, .external_lex_state = 20},
  [2548] = {.lex_state = 43},
  [2549] = {.lex_state = 43},
  [2550] = {.lex_state = 43},
  [2551] = {.lex_state = 43},
  [2552] = {.lex_state = 43},
  [2553] = {.lex_state = 43},
  [2554] = {.lex_state = 43},
  [2555] = {.lex_state = 43},
  [2556] = {.lex_state = 37},
  [2557] = {.lex_state = 43},
  [2558] = {.lex_state = 24, .external_lex_state = 20},
  [2559] = {.lex_state = 117},
  [2560] = {.lex_state = 43},
  [2561] = {.lex_state = 43},
  [2562] = {.lex_state = 43},
  [2563] = {.lex_state = 43},
  [2564] = {.lex_state = 43},
  [2565] = {.lex_state = 43},
  [2566] = {.lex_state = 43},
  [2567] = {.lex_state = 31},
  [2568] = {.lex_state = 24, .external_lex_state = 20},
  [2569] = {.lex_state = 43},
  [2570] = {.lex_state = 43},
  [2571] = {.lex_state = 43},
  [2572] = {.lex_state = 24, .external_lex_state = 20},
  [2573] = {.lex_state = 37},
  [2574] = {.lex_state = 43},
  [2575] = {.lex_state = 39, .external_lex_state = 14},
  [2576] = {.lex_state = 43},
  [2577] = {.lex_state = 43},
  [2578] = {.lex_state = 43},
  [2579] = {.lex_state = 43},
  [2580] = {.lex_state = 43},
  [2581] = {.lex_state = 34, .external_lex_state = 19},
  [2582] = {.lex_state = 43},
  [2583] = {.lex_state = 43},
  [2584] = {.lex_state = 43},
  [2585] = {.lex_state = 43},
  [2586] = {.lex_state = 43},
  [2587] = {.lex_state = 43},
  [2588] = {.lex_state = 37},
  [2589] = {.lex_state = 43},
  [2590] = {.lex_state = 34, .external_lex_state = 19},
  [2591] = {.lex_state = 31},
  [2592] = {.lex_state = 43},
  [2593] = {.lex_state = 43},
  [2594] = {.lex_state = 43},
  [2595] = {.lex_state = 43},
  [2596] = {.lex_state = 31},
  [2597] = {.lex_state = 43},
  [2598] = {.lex_state = 43},
  [2599] = {.lex_state = 37},
  [2600] = {.lex_state = 43},
  [2601] = {.lex_state = 24, .external_lex_state = 20},
  [2602] = {.lex_state = 24, .external_lex_state = 20},
  [2603] = {.lex_state = 43},
  [2604] = {.lex_state = 43},
  [2605] = {.lex_state = 24, .external_lex_state = 20},
  [2606] = {.lex_state = 24, .external_lex_state = 20},
  [2607] = {.lex_state = 43},
  [2608] = {.lex_state = 24, .external_lex_state = 20},
  [2609] = {.lex_state = 24, .external_lex_state = 20},
  [2610] = {.lex_state = 24, .external_lex_state = 20},
  [2611] = {.lex_state = 43},
  [2612] = {.lex_state = 43},
  [2613] = {.lex_state = 43},
  [2614] = {.lex_state = 37},
  [2615] = {.lex_state = 24, .external_lex_state = 20},
  [2616] = {.lex_state = 43},
  [2617] = {.lex_state = 43},
  [2618] = {.lex_state = 24, .external_lex_state = 20},
  [2619] = {.lex_state = 43},
  [2620] = {.lex_state = 24, .external_lex_state = 20},
  [2621] = {.lex_state = 24, .external_lex_state = 20},
  [2622] = {.lex_state = 43},
  [2623] = {.lex_state = 24, .external_lex_state = 20},
  [2624] = {.lex_state = 24, .external_lex_state = 20},
  [2625] = {.lex_state = 43},
  [2626] = {.lex_state = 43},
  [2627] = {.lex_state = 24, .external_lex_state = 20},
  [2628] = {.lex_state = 24, .external_lex_state = 20},
  [2629] = {.lex_state = 43},
  [2630] = {.lex_state = 24, .external_lex_state = 20},
  [2631] = {.lex_state = 43},
  [2632] = {.lex_state = 43},
  [2633] = {.lex_state = 43},
  [2634] = {.lex_state = 31},
  [2635] = {.lex_state = 43},
  [2636] = {.lex_state = 43},
  [2637] = {.lex_state = 43},
  [2638] = {.lex_state = 43},
  [2639] = {.lex_state = 43},
  [2640] = {.lex_state = 43},
  [2641] = {.lex_state = 24, .external_lex_state = 20},
  [2642] = {.lex_state = 43},
  [2643] = {.lex_state = 43},
  [2644] = {.lex_state = 24, .external_lex_state = 20},
  [2645] = {.lex_state = 32},
  [2646] = {.lex_state = 24, .external_lex_state = 20},
  [2647] = {.lex_state = 37},
  [2648] = {.lex_state = 24, .external_lex_state = 20},
  [2649] = {.lex_state = 32},
  [2650] = {.lex_state = 24, .external_lex_state = 20},
  [2651] = {.lex_state = 37},
  [2652] = {.lex_state = 24, .external_lex_state = 20},
  [2653] = {.lex_state = 34, .external_lex_state = 11},
  [2654] = {.lex_state = 24, .external_lex_state = 14},
  [2655] = {.lex_state = 31},
  [2656] = {.lex_state = 31},
  [2657] = {.lex_state = 31},
  [2658] = {.lex_state = 31},
  [2659] = {.lex_state = 37},
  [2660] = {.lex_state = 31},
  [2661] = {.lex_state = 31},
  [2662] = {.lex_state = 24, .external_lex_state = 14},
  [2663] = {.lex_state = 24, .external_lex_state = 14},
  [2664] = {.lex_state = 117},
  [2665] = {.lex_state = 37},
  [2666] = {.lex_state = 24, .external_lex_state = 14},
  [2667] = {.lex_state = 24, .external_lex_state = 14},
  [2668] = {.lex_state = 117},
  [2669] = {.lex_state = 31},
  [2670] = {.lex_state = 117},
  [2671] = {.lex_state = 24, .external_lex_state = 14},
  [2672] = {.lex_state = 37},
  [2673] = {.lex_state = 24, .external_lex_state = 14},
  [2674] = {.lex_state = 31},
  [2675] = {.lex_state = 117},
  [2676] = {.lex_state = 31},
  [2677] = {.lex_state = 117},
  [2678] = {.lex_state = 117},
  [2679] = {.lex_state = 117},
  [2680] = {.lex_state = 117},
  [2681] = {.lex_state = 37},
  [2682] = {.lex_state = 117},
  [2683] = {.lex_state = 117},
  [2684] = {.lex_state = 24, .external_lex_state = 14},
  [2685] = {.lex_state = 31},
  [2686] = {.lex_state = 117},
  [2687] = {.lex_state = 24, .external_lex_state = 14},
  [2688] = {.lex_state = 117},
  [2689] = {.lex_state = 117},
  [2690] = {.lex_state = 117},
  [2691] = {.lex_state = 24, .external_lex_state = 14},
  [2692] = {.lex_state = 117},
  [2693] = {.lex_state = 24, .external_lex_state = 14},
  [2694] = {.lex_state = 117},
  [2695] = {.lex_state = 117},
  [2696] = {.lex_state = 31},
  [2697] = {.lex_state = 24, .external_lex_state = 14},
  [2698] = {.lex_state = 117},
  [2699] = {.lex_state = 117},
  [2700] = {.lex_state = 117},
  [2701] = {.lex_state = 24, .external_lex_state = 14},
  [2702] = {.lex_state = 24, .external_lex_state = 14},
  [2703] = {.lex_state = 117},
  [2704] = {.lex_state = 117},
  [2705] = {.lex_state = 117},
  [2706] = {.lex_state = 31},
  [2707] = {.lex_state = 117},
  [2708] = {.lex_state = 24, .external_lex_state = 14},
  [2709] = {.lex_state = 24, .external_lex_state = 14},
  [2710] = {.lex_state = 117},
  [2711] = {.lex_state = 31},
  [2712] = {.lex_state = 37},
  [2713] = {.lex_state = 37},
  [2714] = {.lex_state = 24, .external_lex_state = 14},
  [2715] = {.lex_state = 24, .external_lex_state = 14},
  [2716] = {.lex_state = 117},
  [2717] = {.lex_state = 117},
  [2718] = {.lex_state = 24, .external_lex_state = 14},
  [2719] = {.lex_state = 117},
  [2720] = {.lex_state = 117, .external_lex_state = 23},
  [2721] = {.lex_state = 117},
  [2722] = {.lex_state = 117},
  [2723] = {.lex_state = 24, .external_lex_state = 14},
  [2724] = {.lex_state = 117},
  [2725] = {.lex_state = 117},
  [2726] = {.lex_state = 24, .external_lex_state = 14},
  [2727] = {.lex_state = 24, .external_lex_state = 14},
  [2728] = {.lex_state = 117},
  [2729] = {.lex_state = 117},
  [2730] = {.lex_state = 117},
  [2731] = {.lex_state = 117},
  [2732] = {.lex_state = 117},
  [2733] = {.lex_state = 24, .external_lex_state = 14},
  [2734] = {.lex_state = 117},
  [2735] = {.lex_state = 117},
  [2736] = {.lex_state = 24, .external_lex_state = 14},
  [2737] = {.lex_state = 117},
  [2738] = {.lex_state = 24, .external_lex_state = 14},
  [2739] = {.lex_state = 37},
  [2740] = {.lex_state = 34, .external_lex_state = 11},
  [2741] = {.lex_state = 34, .external_lex_state = 11},
  [2742] = {.lex_state = 24, .external_lex_state = 14},
  [2743] = {.lex_state = 24, .external_lex_state = 14},
  [2744] = {.lex_state = 117},
  [2745] = {.lex_state = 117},
  [2746] = {.lex_state = 117},
  [2747] = {.lex_state = 117},
  [2748] = {.lex_state = 24, .external_lex_state = 14},
  [2749] = {.lex_state = 24, .external_lex_state = 14},
  [2750] = {.lex_state = 24, .external_lex_state = 14},
  [2751] = {.lex_state = 117},
  [2752] = {.lex_state = 117},
  [2753] = {.lex_state = 24, .external_lex_state = 14},
  [2754] = {.lex_state = 117},
  [2755] = {.lex_state = 117},
  [2756] = {.lex_state = 117},
  [2757] = {.lex_state = 117},
  [2758] = {.lex_state = 117},
  [2759] = {.lex_state = 117},
  [2760] = {.lex_state = 117},
  [2761] = {.lex_state = 37},
  [2762] = {.lex_state = 34, .external_lex_state = 11},
  [2763] = {.lex_state = 117},
  [2764] = {.lex_state = 24, .external_lex_state = 14},
  [2765] = {.lex_state = 117},
  [2766] = {.lex_state = 117},
  [2767] = {.lex_state = 117},
  [2768] = {.lex_state = 24, .external_lex_state = 14},
  [2769] = {.lex_state = 117},
  [2770] = {.lex_state = 117, .external_lex_state = 23},
  [2771] = {.lex_state = 117},
  [2772] = {.lex_state = 117},
  [2773] = {.lex_state = 24, .external_lex_state = 14},
  [2774] = {.lex_state = 117},
  [2775] = {.lex_state = 24, .external_lex_state = 14},
  [2776] = {.lex_state = 117},
  [2777] = {.lex_state = 24, .external_lex_state = 14},
  [2778] = {.lex_state = 24, .external_lex_state = 14},
  [2779] = {.lex_state = 117},
  [2780] = {.lex_state = 24, .external_lex_state = 14},
  [2781] = {.lex_state = 24, .external_lex_state = 14},
  [2782] = {.lex_state = 24, .external_lex_state = 14},
  [2783] = {.lex_state = 24, .external_lex_state = 14},
  [2784] = {.lex_state = 117},
  [2785] = {.lex_state = 117},
  [2786] = {.lex_state = 117},
  [2787] = {.lex_state = 117},
  [2788] = {.lex_state = 117},
  [2789] = {.lex_state = 24, .external_lex_state = 14},
  [2790] = {.lex_state = 37},
  [2791] = {.lex_state = 31},
  [2792] = {.lex_state = 24, .external_lex_state = 14},
  [2793] = {.lex_state = 117},
  [2794] = {.lex_state = 117},
  [2795] = {.lex_state = 117},
  [2796] = {.lex_state = 117},
  [2797] = {.lex_state = 117},
  [2798] = {.lex_state = 24, .external_lex_state = 14},
  [2799] = {.lex_state = 37},
  [2800] = {.lex_state = 117},
  [2801] = {.lex_state = 117},
  [2802] = {.lex_state = 24, .external_lex_state = 14},
  [2803] = {.lex_state = 24, .external_lex_state = 14},
  [2804] = {.lex_state = 24, .external_lex_state = 14},
  [2805] = {.lex_state = 24, .external_lex_state = 14},
  [2806] = {.lex_state = 117},
  [2807] = {.lex_state = 117},
  [2808] = {.lex_state = 117},
  [2809] = {.lex_state = 117},
  [2810] = {.lex_state = 31},
  [2811] = {.lex_state = 31},
  [2812] = {.lex_state = 117},
  [2813] = {.lex_state = 117},
  [2814] = {.lex_state = 117},
  [2815] = {.lex_state = 117},
  [2816] = {.lex_state = 117},
  [2817] = {.lex_state = 24, .external_lex_state = 14},
  [2818] = {.lex_state = 24, .external_lex_state = 14},
  [2819] = {.lex_state = 117},
  [2820] = {.lex_state = 24, .external_lex_state = 14},
  [2821] = {.lex_state = 24, .external_lex_state = 14},
  [2822] = {.lex_state = 117},
  [2823] = {.lex_state = 37},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_regex] = true,
  },
  [14] = {
    [ts_external_token_RBRACE] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__concat] = true,
  },
  [18] = {
    [ts_external_token__empty_value] = true,
  },
  [19] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2786),
    [sym__statements] = STATE(2785),
    [sym_redirected_statement] = STATE(1330),
    [sym_for_statement] = STATE(1330),
    [sym_c_style_for_statement] = STATE(1330),
    [sym_while_statement] = STATE(1330),
    [sym_if_statement] = STATE(1330),
    [sym_case_statement] = STATE(1330),
    [sym_function_definition] = STATE(1330),
    [sym_compound_statement] = STATE(1330),
    [sym_subshell] = STATE(1330),
    [sym_pipeline] = STATE(1330),
    [sym_list] = STATE(1330),
    [sym_negated_command] = STATE(1330),
    [sym_test_command] = STATE(1330),
    [sym_declaration_command] = STATE(1330),
    [sym_unset_command] = STATE(1330),
    [sym_command] = STATE(1330),
    [sym_command_name] = STATE(168),
    [sym_variable_assignment] = STATE(223),
    [sym_subscript] = STATE(2625),
    [sym_file_redirect] = STATE(571),
    [sym_concatenation] = STATE(564),
    [sym_string] = STATE(246),
    [sym_simple_expansion] = STATE(246),
    [sym_string_expansion] = STATE(246),
    [sym_expansion] = STATE(246),
    [sym_command_substitution] = STATE(246),
    [sym_process_substitution] = STATE(246),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(571),
    [aux_sym__literal_repeat1] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [2] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_elif_clause] = STATE(2312),
    [sym_else_clause] = STATE(2712),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_if_statement_repeat1] = STATE(2312),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_elif_clause] = STATE(2291),
    [sym_else_clause] = STATE(2681),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_if_statement_repeat1] = STATE(2291),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(3),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_elif_clause] = STATE(2338),
    [sym_else_clause] = STATE(2739),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_if_statement_repeat1] = STATE(2338),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(2),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_elif_clause] = STATE(2303),
    [sym_else_clause] = STATE(2790),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_if_statement_repeat1] = STATE(2303),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_done] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_fi] = ACTIONS(131),
    [anon_sym_elif] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_GT_PIPE] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [7] = {
    [aux_sym__statements2] = STATE(10),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(199),
    [anon_sym_elif] = ACTIONS(199),
    [anon_sym_else] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [8] = {
    [sym__statements] = STATE(2567),
    [sym_redirected_statement] = STATE(1334),
    [sym_for_statement] = STATE(1334),
    [sym_c_style_for_statement] = STATE(1334),
    [sym_while_statement] = STATE(1334),
    [sym_if_statement] = STATE(1334),
    [sym_case_statement] = STATE(1334),
    [sym_function_definition] = STATE(1334),
    [sym_compound_statement] = STATE(1334),
    [sym_subshell] = STATE(1334),
    [sym_pipeline] = STATE(1334),
    [sym_list] = STATE(1334),
    [sym_negated_command] = STATE(1334),
    [sym_test_command] = STATE(1334),
    [sym_declaration_command] = STATE(1334),
    [sym_unset_command] = STATE(1334),
    [sym_command] = STATE(1334),
    [sym_command_name] = STATE(172),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2589),
    [sym_file_redirect] = STATE(583),
    [sym_concatenation] = STATE(581),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(116),
    [aux_sym_command_repeat1] = STATE(583),
    [aux_sym__literal_repeat1] = STATE(374),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(203),
    [anon_sym_SEMI_SEMI] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [9] = {
    [sym__statements] = STATE(2591),
    [sym_redirected_statement] = STATE(1334),
    [sym_for_statement] = STATE(1334),
    [sym_c_style_for_statement] = STATE(1334),
    [sym_while_statement] = STATE(1334),
    [sym_if_statement] = STATE(1334),
    [sym_case_statement] = STATE(1334),
    [sym_function_definition] = STATE(1334),
    [sym_compound_statement] = STATE(1334),
    [sym_subshell] = STATE(1334),
    [sym_pipeline] = STATE(1334),
    [sym_list] = STATE(1334),
    [sym_negated_command] = STATE(1334),
    [sym_test_command] = STATE(1334),
    [sym_declaration_command] = STATE(1334),
    [sym_unset_command] = STATE(1334),
    [sym_command] = STATE(1334),
    [sym_command_name] = STATE(172),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2589),
    [sym_file_redirect] = STATE(583),
    [sym_concatenation] = STATE(581),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(116),
    [aux_sym_command_repeat1] = STATE(583),
    [aux_sym__literal_repeat1] = STATE(374),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(231),
    [anon_sym_SEMI_SEMI] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [10] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(235),
    [anon_sym_elif] = ACTIONS(235),
    [anon_sym_else] = ACTIONS(235),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [11] = {
    [sym__statements] = STATE(2634),
    [sym_redirected_statement] = STATE(1334),
    [sym_for_statement] = STATE(1334),
    [sym_c_style_for_statement] = STATE(1334),
    [sym_while_statement] = STATE(1334),
    [sym_if_statement] = STATE(1334),
    [sym_case_statement] = STATE(1334),
    [sym_function_definition] = STATE(1334),
    [sym_compound_statement] = STATE(1334),
    [sym_subshell] = STATE(1334),
    [sym_pipeline] = STATE(1334),
    [sym_list] = STATE(1334),
    [sym_negated_command] = STATE(1334),
    [sym_test_command] = STATE(1334),
    [sym_declaration_command] = STATE(1334),
    [sym_unset_command] = STATE(1334),
    [sym_command] = STATE(1334),
    [sym_command_name] = STATE(172),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2589),
    [sym_file_redirect] = STATE(583),
    [sym_concatenation] = STATE(581),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(116),
    [aux_sym_command_repeat1] = STATE(583),
    [aux_sym__literal_repeat1] = STATE(374),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(237),
    [anon_sym_SEMI_SEMI] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [12] = {
    [sym__statements] = STATE(2596),
    [sym_redirected_statement] = STATE(1334),
    [sym_for_statement] = STATE(1334),
    [sym_c_style_for_statement] = STATE(1334),
    [sym_while_statement] = STATE(1334),
    [sym_if_statement] = STATE(1334),
    [sym_case_statement] = STATE(1334),
    [sym_function_definition] = STATE(1334),
    [sym_compound_statement] = STATE(1334),
    [sym_subshell] = STATE(1334),
    [sym_pipeline] = STATE(1334),
    [sym_list] = STATE(1334),
    [sym_negated_command] = STATE(1334),
    [sym_test_command] = STATE(1334),
    [sym_declaration_command] = STATE(1334),
    [sym_unset_command] = STATE(1334),
    [sym_command] = STATE(1334),
    [sym_command_name] = STATE(172),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2589),
    [sym_file_redirect] = STATE(583),
    [sym_concatenation] = STATE(581),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(116),
    [aux_sym_command_repeat1] = STATE(583),
    [aux_sym__literal_repeat1] = STATE(374),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(241),
    [anon_sym_SEMI_SEMI] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [13] = {
    [sym__statements] = STATE(2737),
    [sym_redirected_statement] = STATE(1390),
    [sym_for_statement] = STATE(1390),
    [sym_c_style_for_statement] = STATE(1390),
    [sym_while_statement] = STATE(1390),
    [sym_if_statement] = STATE(1390),
    [sym_case_statement] = STATE(1390),
    [sym_function_definition] = STATE(1390),
    [sym_compound_statement] = STATE(1390),
    [sym_subshell] = STATE(1390),
    [sym_pipeline] = STATE(1390),
    [sym_list] = STATE(1390),
    [sym_negated_command] = STATE(1390),
    [sym_test_command] = STATE(1390),
    [sym_declaration_command] = STATE(1390),
    [sym_unset_command] = STATE(1390),
    [sym_command] = STATE(1390),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [14] = {
    [sym__statements] = STATE(2705),
    [sym_redirected_statement] = STATE(1390),
    [sym_for_statement] = STATE(1390),
    [sym_c_style_for_statement] = STATE(1390),
    [sym_while_statement] = STATE(1390),
    [sym_if_statement] = STATE(1390),
    [sym_case_statement] = STATE(1390),
    [sym_function_definition] = STATE(1390),
    [sym_compound_statement] = STATE(1390),
    [sym_subshell] = STATE(1390),
    [sym_pipeline] = STATE(1390),
    [sym_list] = STATE(1390),
    [sym_negated_command] = STATE(1390),
    [sym_test_command] = STATE(1390),
    [sym_declaration_command] = STATE(1390),
    [sym_unset_command] = STATE(1390),
    [sym_command] = STATE(1390),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [15] = {
    [sym__statements] = STATE(2703),
    [sym_redirected_statement] = STATE(1390),
    [sym_for_statement] = STATE(1390),
    [sym_c_style_for_statement] = STATE(1390),
    [sym_while_statement] = STATE(1390),
    [sym_if_statement] = STATE(1390),
    [sym_case_statement] = STATE(1390),
    [sym_function_definition] = STATE(1390),
    [sym_compound_statement] = STATE(1390),
    [sym_subshell] = STATE(1390),
    [sym_pipeline] = STATE(1390),
    [sym_list] = STATE(1390),
    [sym_negated_command] = STATE(1390),
    [sym_test_command] = STATE(1390),
    [sym_declaration_command] = STATE(1390),
    [sym_unset_command] = STATE(1390),
    [sym_command] = STATE(1390),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [16] = {
    [sym__statements] = STATE(2700),
    [sym_redirected_statement] = STATE(1390),
    [sym_for_statement] = STATE(1390),
    [sym_c_style_for_statement] = STATE(1390),
    [sym_while_statement] = STATE(1390),
    [sym_if_statement] = STATE(1390),
    [sym_case_statement] = STATE(1390),
    [sym_function_definition] = STATE(1390),
    [sym_compound_statement] = STATE(1390),
    [sym_subshell] = STATE(1390),
    [sym_pipeline] = STATE(1390),
    [sym_list] = STATE(1390),
    [sym_negated_command] = STATE(1390),
    [sym_test_command] = STATE(1390),
    [sym_declaration_command] = STATE(1390),
    [sym_unset_command] = STATE(1390),
    [sym_command] = STATE(1390),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [17] = {
    [sym__statements] = STATE(2754),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [18] = {
    [sym__statements] = STATE(2795),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(255),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [19] = {
    [sym__statements] = STATE(2774),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [sym__statements] = STATE(2695),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(2747),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1600),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [sym__statements] = STATE(2699),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1624),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [sym__statements] = STATE(2769),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [sym__statements] = STATE(2729),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1533),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [25] = {
    [sym__statements] = STATE(2725),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [sym__statements] = STATE(2724),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [27] = {
    [sym__statements] = STATE(2754),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym__statements] = STATE(2771),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [sym__statements] = STATE(2772),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1580),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(2784),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [aux_sym__statements2] = STATE(58),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(257),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [sym__statements] = STATE(2719),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(2787),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [sym__statements] = STATE(2722),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1634),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [37] = {
    [sym__statements] = STATE(2734),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [38] = {
    [sym__statements] = STATE(2788),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1539),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [sym__statements] = STATE(2807),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(2813),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [aux_sym__statements2] = STATE(41),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(257),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_GT_PIPE] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [42] = {
    [sym__statements] = STATE(2816),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1562),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(2801),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(2794),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(2793),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1596),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(2760),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(2758),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(2756),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1601),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(2731),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [sym__statements] = STATE(2795),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [sym__statements] = STATE(2730),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(2728),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1640),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(2710),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(2707),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(2704),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1631),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(2683),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [sym__statements] = STATE(2682),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [aux_sym__statements2] = STATE(41),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(257),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [sym__statements] = STATE(2677),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1615),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [sym__statements] = STATE(2779),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1593),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [sym__statements] = STATE(2668),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(2678),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [sym__statements] = STATE(2680),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1592),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [sym__statements] = STATE(2776),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [sym__statements] = STATE(2744),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [sym__statements] = STATE(2745),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [68] = {
    [aux_sym__statements2] = STATE(35),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(275),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [aux_sym__statements2] = STATE(64),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [sym__statements] = STATE(2746),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(2755),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [sym__statements] = STATE(2759),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1551),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [sym__statements] = STATE(2688),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1616),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [sym__statements] = STATE(2692),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(2809),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [aux_sym__statements2] = STATE(36),
    [sym_redirected_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_c_style_for_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_compound_statement] = STATE(1393),
    [sym_subshell] = STATE(1393),
    [sym_pipeline] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_negated_command] = STATE(1393),
    [sym_test_command] = STATE(1393),
    [sym_declaration_command] = STATE(1393),
    [sym_unset_command] = STATE(1393),
    [sym_command] = STATE(1393),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(279),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(2812),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [sym__statements] = STATE(2694),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(2815),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1542),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(2670),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(2808),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [sym__statements] = STATE(2732),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1614),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [sym__statements] = STATE(2806),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1544),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [sym__statements] = STATE(2735),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [85] = {
    [sym__statements] = STATE(2765),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1585),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [sym__statements] = STATE(2690),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [87] = {
    [sym__statements] = STATE(2689),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [sym__statements] = STATE(2686),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1575),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(2814),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym__statements] = STATE(2675),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [91] = {
    [sym__statements] = STATE(2766),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [sym__statements] = STATE(2767),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(2698),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [sym__statements] = STATE(2796),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1537),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [sym__statements] = STATE(2679),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1611),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [sym__statements] = STATE(2797),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(2716),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [sym__statements] = STATE(2717),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1637),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [sym__statements] = STATE(2800),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [aux_sym__statements2] = STATE(106),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(257),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(2819),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1584),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [sym__statements] = STATE(2822),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(2751),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(2763),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(2757),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(1603),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [aux_sym__statements2] = STATE(41),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(257),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [107] = {
    [sym__statements] = STATE(2752),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(248),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [108] = {
    [sym__terminated_statement] = STATE(2588),
    [sym_redirected_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_c_style_for_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_if_statement] = STATE(1388),
    [sym_case_statement] = STATE(1388),
    [sym_function_definition] = STATE(1388),
    [sym_compound_statement] = STATE(1388),
    [sym_subshell] = STATE(1388),
    [sym_pipeline] = STATE(1388),
    [sym_list] = STATE(1388),
    [sym_negated_command] = STATE(1388),
    [sym_test_command] = STATE(1388),
    [sym_declaration_command] = STATE(1388),
    [sym_unset_command] = STATE(1388),
    [sym_command] = STATE(1388),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [sym__terminated_statement] = STATE(2761),
    [sym_redirected_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_c_style_for_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_if_statement] = STATE(1388),
    [sym_case_statement] = STATE(1388),
    [sym_function_definition] = STATE(1388),
    [sym_compound_statement] = STATE(1388),
    [sym_subshell] = STATE(1388),
    [sym_pipeline] = STATE(1388),
    [sym_list] = STATE(1388),
    [sym_negated_command] = STATE(1388),
    [sym_test_command] = STATE(1388),
    [sym_declaration_command] = STATE(1388),
    [sym_unset_command] = STATE(1388),
    [sym_command] = STATE(1388),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym_redirected_statement] = STATE(1362),
    [sym_for_statement] = STATE(1362),
    [sym_c_style_for_statement] = STATE(1362),
    [sym_while_statement] = STATE(1362),
    [sym_if_statement] = STATE(1362),
    [sym_case_statement] = STATE(1362),
    [sym_function_definition] = STATE(1362),
    [sym_compound_statement] = STATE(1362),
    [sym_subshell] = STATE(1362),
    [sym_pipeline] = STATE(1362),
    [sym_list] = STATE(1362),
    [sym_negated_command] = STATE(1362),
    [sym_test_command] = STATE(1362),
    [sym_declaration_command] = STATE(1362),
    [sym_unset_command] = STATE(1362),
    [sym_command] = STATE(1362),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(288),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(291),
    [anon_sym_while] = ACTIONS(294),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(300),
    [anon_sym_function] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(306),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_BANG] = ACTIONS(312),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(318),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(324),
    [anon_sym_unsetenv] = ACTIONS(324),
    [anon_sym_LT] = ACTIONS(327),
    [anon_sym_GT] = ACTIONS(327),
    [anon_sym_GT_GT] = ACTIONS(330),
    [anon_sym_AMP_GT] = ACTIONS(327),
    [anon_sym_AMP_GT_GT] = ACTIONS(330),
    [anon_sym_LT_AMP] = ACTIONS(330),
    [anon_sym_GT_AMP] = ACTIONS(330),
    [anon_sym_GT_PIPE] = ACTIONS(330),
    [anon_sym_DOLLAR] = ACTIONS(333),
    [sym__special_character] = ACTIONS(336),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_raw_string] = ACTIONS(342),
    [sym_ansii_c_string] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(345),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(348),
    [anon_sym_BQUOTE] = ACTIONS(351),
    [anon_sym_LT_LPAREN] = ACTIONS(354),
    [anon_sym_GT_LPAREN] = ACTIONS(354),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(357),
    [sym_variable_name] = ACTIONS(360),
  },
  [111] = {
    [sym__terminated_statement] = STATE(2647),
    [sym_redirected_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_c_style_for_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_if_statement] = STATE(1388),
    [sym_case_statement] = STATE(1388),
    [sym_function_definition] = STATE(1388),
    [sym_compound_statement] = STATE(1388),
    [sym_subshell] = STATE(1388),
    [sym_pipeline] = STATE(1388),
    [sym_list] = STATE(1388),
    [sym_negated_command] = STATE(1388),
    [sym_test_command] = STATE(1388),
    [sym_declaration_command] = STATE(1388),
    [sym_unset_command] = STATE(1388),
    [sym_command] = STATE(1388),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [112] = {
    [sym_redirected_statement] = STATE(1323),
    [sym_for_statement] = STATE(1323),
    [sym_c_style_for_statement] = STATE(1323),
    [sym_while_statement] = STATE(1323),
    [sym_if_statement] = STATE(1323),
    [sym_case_statement] = STATE(1323),
    [sym_function_definition] = STATE(1323),
    [sym_compound_statement] = STATE(1323),
    [sym_subshell] = STATE(1323),
    [sym_pipeline] = STATE(1323),
    [sym_list] = STATE(1323),
    [sym_negated_command] = STATE(1323),
    [sym_test_command] = STATE(1323),
    [sym_declaration_command] = STATE(1323),
    [sym_unset_command] = STATE(1323),
    [sym_command] = STATE(1323),
    [sym_command_name] = STATE(168),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2625),
    [sym_file_redirect] = STATE(571),
    [sym_concatenation] = STATE(564),
    [sym_string] = STATE(246),
    [sym_simple_expansion] = STATE(246),
    [sym_string_expansion] = STATE(246),
    [sym_expansion] = STATE(246),
    [sym_command_substitution] = STATE(246),
    [sym_process_substitution] = STATE(246),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(571),
    [aux_sym__literal_repeat1] = STATE(473),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [113] = {
    [sym_redirected_statement] = STATE(1358),
    [sym_for_statement] = STATE(1358),
    [sym_c_style_for_statement] = STATE(1358),
    [sym_while_statement] = STATE(1358),
    [sym_if_statement] = STATE(1358),
    [sym_case_statement] = STATE(1358),
    [sym_function_definition] = STATE(1358),
    [sym_compound_statement] = STATE(1358),
    [sym_subshell] = STATE(1358),
    [sym_pipeline] = STATE(1358),
    [sym_list] = STATE(1358),
    [sym_negated_command] = STATE(1358),
    [sym_test_command] = STATE(1358),
    [sym_declaration_command] = STATE(1358),
    [sym_unset_command] = STATE(1358),
    [sym_command] = STATE(1358),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(255),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [114] = {
    [sym_redirected_statement] = STATE(1337),
    [sym_for_statement] = STATE(1337),
    [sym_c_style_for_statement] = STATE(1337),
    [sym_while_statement] = STATE(1337),
    [sym_if_statement] = STATE(1337),
    [sym_case_statement] = STATE(1337),
    [sym_function_definition] = STATE(1337),
    [sym_compound_statement] = STATE(1337),
    [sym_subshell] = STATE(1337),
    [sym_pipeline] = STATE(1337),
    [sym_list] = STATE(1337),
    [sym_negated_command] = STATE(1337),
    [sym_test_command] = STATE(1337),
    [sym_declaration_command] = STATE(1337),
    [sym_unset_command] = STATE(1337),
    [sym_command] = STATE(1337),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(271),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [115] = {
    [sym__terminated_statement] = STATE(2713),
    [sym_redirected_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_c_style_for_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_if_statement] = STATE(1388),
    [sym_case_statement] = STATE(1388),
    [sym_function_definition] = STATE(1388),
    [sym_compound_statement] = STATE(1388),
    [sym_subshell] = STATE(1388),
    [sym_pipeline] = STATE(1388),
    [sym_list] = STATE(1388),
    [sym_negated_command] = STATE(1388),
    [sym_test_command] = STATE(1388),
    [sym_declaration_command] = STATE(1388),
    [sym_unset_command] = STATE(1388),
    [sym_command] = STATE(1388),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [116] = {
    [sym_redirected_statement] = STATE(1336),
    [sym_for_statement] = STATE(1336),
    [sym_c_style_for_statement] = STATE(1336),
    [sym_while_statement] = STATE(1336),
    [sym_if_statement] = STATE(1336),
    [sym_case_statement] = STATE(1336),
    [sym_function_definition] = STATE(1336),
    [sym_compound_statement] = STATE(1336),
    [sym_subshell] = STATE(1336),
    [sym_pipeline] = STATE(1336),
    [sym_list] = STATE(1336),
    [sym_negated_command] = STATE(1336),
    [sym_test_command] = STATE(1336),
    [sym_declaration_command] = STATE(1336),
    [sym_unset_command] = STATE(1336),
    [sym_command] = STATE(1336),
    [sym_command_name] = STATE(172),
    [sym_variable_assignment] = STATE(229),
    [sym_subscript] = STATE(2589),
    [sym_file_redirect] = STATE(583),
    [sym_concatenation] = STATE(581),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(583),
    [aux_sym__literal_repeat1] = STATE(374),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [117] = {
    [sym__terminated_statement] = STATE(2665),
    [sym_redirected_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_c_style_for_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_if_statement] = STATE(1388),
    [sym_case_statement] = STATE(1388),
    [sym_function_definition] = STATE(1388),
    [sym_compound_statement] = STATE(1388),
    [sym_subshell] = STATE(1388),
    [sym_pipeline] = STATE(1388),
    [sym_list] = STATE(1388),
    [sym_negated_command] = STATE(1388),
    [sym_test_command] = STATE(1388),
    [sym_declaration_command] = STATE(1388),
    [sym_unset_command] = STATE(1388),
    [sym_command] = STATE(1388),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [118] = {
    [sym_redirected_statement] = STATE(1331),
    [sym_for_statement] = STATE(1331),
    [sym_c_style_for_statement] = STATE(1331),
    [sym_while_statement] = STATE(1331),
    [sym_if_statement] = STATE(1331),
    [sym_case_statement] = STATE(1331),
    [sym_function_definition] = STATE(1331),
    [sym_compound_statement] = STATE(1331),
    [sym_subshell] = STATE(1331),
    [sym_pipeline] = STATE(1331),
    [sym_list] = STATE(1331),
    [sym_negated_command] = STATE(1331),
    [sym_test_command] = STATE(1331),
    [sym_declaration_command] = STATE(1331),
    [sym_unset_command] = STATE(1331),
    [sym_command] = STATE(1331),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(224),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [119] = {
    [sym_redirected_statement] = STATE(1321),
    [sym_for_statement] = STATE(1321),
    [sym_c_style_for_statement] = STATE(1321),
    [sym_while_statement] = STATE(1321),
    [sym_if_statement] = STATE(1321),
    [sym_case_statement] = STATE(1321),
    [sym_function_definition] = STATE(1321),
    [sym_compound_statement] = STATE(1321),
    [sym_subshell] = STATE(1321),
    [sym_pipeline] = STATE(1321),
    [sym_list] = STATE(1321),
    [sym_negated_command] = STATE(1321),
    [sym_test_command] = STATE(1321),
    [sym_declaration_command] = STATE(1321),
    [sym_unset_command] = STATE(1321),
    [sym_command] = STATE(1321),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [120] = {
    [sym_redirected_statement] = STATE(1340),
    [sym_for_statement] = STATE(1340),
    [sym_c_style_for_statement] = STATE(1340),
    [sym_while_statement] = STATE(1340),
    [sym_if_statement] = STATE(1340),
    [sym_case_statement] = STATE(1340),
    [sym_function_definition] = STATE(1340),
    [sym_compound_statement] = STATE(1340),
    [sym_subshell] = STATE(1340),
    [sym_pipeline] = STATE(1340),
    [sym_list] = STATE(1340),
    [sym_negated_command] = STATE(1340),
    [sym_test_command] = STATE(1340),
    [sym_declaration_command] = STATE(1340),
    [sym_unset_command] = STATE(1340),
    [sym_command] = STATE(1340),
    [sym_command_name] = STATE(168),
    [sym_variable_assignment] = STATE(228),
    [sym_subscript] = STATE(2625),
    [sym_file_redirect] = STATE(571),
    [sym_concatenation] = STATE(564),
    [sym_string] = STATE(246),
    [sym_simple_expansion] = STATE(246),
    [sym_string_expansion] = STATE(246),
    [sym_expansion] = STATE(246),
    [sym_command_substitution] = STATE(246),
    [sym_process_substitution] = STATE(246),
    [aux_sym_command_repeat1] = STATE(571),
    [aux_sym__literal_repeat1] = STATE(473),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [121] = {
    [sym_redirected_statement] = STATE(1321),
    [sym_for_statement] = STATE(1321),
    [sym_c_style_for_statement] = STATE(1321),
    [sym_while_statement] = STATE(1321),
    [sym_if_statement] = STATE(1321),
    [sym_case_statement] = STATE(1321),
    [sym_function_definition] = STATE(1321),
    [sym_compound_statement] = STATE(1321),
    [sym_subshell] = STATE(1321),
    [sym_pipeline] = STATE(1321),
    [sym_list] = STATE(1321),
    [sym_negated_command] = STATE(1321),
    [sym_test_command] = STATE(1321),
    [sym_declaration_command] = STATE(1321),
    [sym_unset_command] = STATE(1321),
    [sym_command] = STATE(1321),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(226),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [122] = {
    [sym_redirected_statement] = STATE(1341),
    [sym_for_statement] = STATE(1341),
    [sym_c_style_for_statement] = STATE(1341),
    [sym_while_statement] = STATE(1341),
    [sym_if_statement] = STATE(1341),
    [sym_case_statement] = STATE(1341),
    [sym_function_definition] = STATE(1341),
    [sym_compound_statement] = STATE(1341),
    [sym_subshell] = STATE(1341),
    [sym_pipeline] = STATE(1341),
    [sym_list] = STATE(1341),
    [sym_negated_command] = STATE(1341),
    [sym_test_command] = STATE(1341),
    [sym_declaration_command] = STATE(1341),
    [sym_unset_command] = STATE(1341),
    [sym_command] = STATE(1341),
    [sym_command_name] = STATE(168),
    [sym_variable_assignment] = STATE(220),
    [sym_subscript] = STATE(2625),
    [sym_file_redirect] = STATE(571),
    [sym_concatenation] = STATE(564),
    [sym_string] = STATE(246),
    [sym_simple_expansion] = STATE(246),
    [sym_string_expansion] = STATE(246),
    [sym_expansion] = STATE(246),
    [sym_command_substitution] = STATE(246),
    [sym_process_substitution] = STATE(246),
    [aux_sym_command_repeat1] = STATE(571),
    [aux_sym__literal_repeat1] = STATE(473),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [123] = {
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(175),
    [sym_variable_assignment] = STATE(237),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(545),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(545),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [124] = {
    [sym_redirected_statement] = STATE(1328),
    [sym_for_statement] = STATE(1328),
    [sym_c_style_for_statement] = STATE(1328),
    [sym_while_statement] = STATE(1328),
    [sym_if_statement] = STATE(1328),
    [sym_case_statement] = STATE(1328),
    [sym_function_definition] = STATE(1328),
    [sym_compound_statement] = STATE(1328),
    [sym_subshell] = STATE(1328),
    [sym_pipeline] = STATE(1328),
    [sym_list] = STATE(1328),
    [sym_negated_command] = STATE(1328),
    [sym_test_command] = STATE(1328),
    [sym_declaration_command] = STATE(1328),
    [sym_unset_command] = STATE(1328),
    [sym_command] = STATE(1328),
    [sym_command_name] = STATE(172),
    [sym_variable_assignment] = STATE(232),
    [sym_subscript] = STATE(2589),
    [sym_file_redirect] = STATE(583),
    [sym_concatenation] = STATE(581),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym_command_repeat1] = STATE(583),
    [aux_sym__literal_repeat1] = STATE(374),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [125] = {
    [sym_redirected_statement] = STATE(1345),
    [sym_for_statement] = STATE(1345),
    [sym_c_style_for_statement] = STATE(1345),
    [sym_while_statement] = STATE(1345),
    [sym_if_statement] = STATE(1345),
    [sym_case_statement] = STATE(1345),
    [sym_function_definition] = STATE(1345),
    [sym_compound_statement] = STATE(1345),
    [sym_subshell] = STATE(1345),
    [sym_pipeline] = STATE(1345),
    [sym_list] = STATE(1345),
    [sym_negated_command] = STATE(1345),
    [sym_test_command] = STATE(1345),
    [sym_declaration_command] = STATE(1345),
    [sym_unset_command] = STATE(1345),
    [sym_command] = STATE(1345),
    [sym_command_name] = STATE(172),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2589),
    [sym_file_redirect] = STATE(583),
    [sym_concatenation] = STATE(581),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym_command_repeat1] = STATE(583),
    [aux_sym__literal_repeat1] = STATE(374),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [126] = {
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(145),
    [sym_variable_assignment] = STATE(221),
    [sym_subscript] = STATE(2632),
    [sym_file_redirect] = STATE(547),
    [sym_concatenation] = STATE(548),
    [sym_string] = STATE(242),
    [sym_simple_expansion] = STATE(242),
    [sym_string_expansion] = STATE(242),
    [sym_expansion] = STATE(242),
    [sym_command_substitution] = STATE(242),
    [sym_process_substitution] = STATE(242),
    [aux_sym_command_repeat1] = STATE(547),
    [aux_sym__literal_repeat1] = STATE(418),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    STATE(2383), 1,
      sym_heredoc_body,
    ACTIONS(269), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [60] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(375), 1,
      sym__special_character,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(383), 1,
      anon_sym_BQUOTE,
    ACTIONS(387), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(389), 1,
      sym_variable_name,
    STATE(369), 1,
      aux_sym__literal_repeat1,
    STATE(2579), 1,
      sym_subscript,
    ACTIONS(369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(367), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(244), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(371), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DOLLAR,
    ACTIONS(399), 1,
      sym__special_character,
    ACTIONS(401), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(405), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(407), 1,
      anon_sym_BQUOTE,
    ACTIONS(411), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(413), 1,
      sym_variable_name,
    STATE(425), 1,
      aux_sym__literal_repeat1,
    STATE(2598), 1,
      sym_subscript,
    ACTIONS(393), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(409), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(391), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(131), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(395), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [222] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_DOLLAR,
    ACTIONS(425), 1,
      sym__special_character,
    ACTIONS(428), 1,
      anon_sym_DQUOTE,
    ACTIONS(431), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(434), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(437), 1,
      anon_sym_BQUOTE,
    ACTIONS(443), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(446), 1,
      sym_variable_name,
    STATE(369), 1,
      aux_sym__literal_repeat1,
    STATE(2579), 1,
      sym_subscript,
    ACTIONS(418), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(440), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(415), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(244), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(420), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [303] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DOLLAR,
    ACTIONS(399), 1,
      sym__special_character,
    ACTIONS(401), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(405), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(407), 1,
      anon_sym_BQUOTE,
    ACTIONS(413), 1,
      sym_variable_name,
    ACTIONS(449), 1,
      aux_sym__simple_variable_name_token1,
    STATE(425), 1,
      aux_sym__literal_repeat1,
    STATE(2598), 1,
      sym_subscript,
    ACTIONS(369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(409), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(391), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(136), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(371), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(375), 1,
      sym__special_character,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(383), 1,
      anon_sym_BQUOTE,
    ACTIONS(389), 1,
      sym_variable_name,
    ACTIONS(451), 1,
      aux_sym__simple_variable_name_token1,
    STATE(369), 1,
      aux_sym__literal_repeat1,
    STATE(2579), 1,
      sym_subscript,
    ACTIONS(385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(393), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(367), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(128), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(244), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(395), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 1,
      anon_sym_DOLLAR,
    ACTIONS(459), 1,
      sym__special_character,
    ACTIONS(462), 1,
      anon_sym_DQUOTE,
    ACTIONS(465), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(471), 1,
      anon_sym_BQUOTE,
    ACTIONS(477), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(480), 1,
      sym_variable_name,
    STATE(472), 1,
      aux_sym__literal_repeat1,
    STATE(2612), 1,
      sym_subscript,
    ACTIONS(474), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(418), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(453), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(133), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(256), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(420), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym_DOLLAR,
    ACTIONS(487), 1,
      sym__special_character,
    ACTIONS(489), 1,
      anon_sym_DQUOTE,
    ACTIONS(491), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(493), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(495), 1,
      anon_sym_BQUOTE,
    ACTIONS(499), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(501), 1,
      sym_variable_name,
    STATE(472), 1,
      aux_sym__literal_repeat1,
    STATE(2612), 1,
      sym_subscript,
    ACTIONS(497), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(369), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(483), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(133), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(256), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(371), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [627] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym_DOLLAR,
    ACTIONS(487), 1,
      sym__special_character,
    ACTIONS(489), 1,
      anon_sym_DQUOTE,
    ACTIONS(491), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(493), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(495), 1,
      anon_sym_BQUOTE,
    ACTIONS(501), 1,
      sym_variable_name,
    ACTIONS(503), 1,
      aux_sym__simple_variable_name_token1,
    STATE(472), 1,
      aux_sym__literal_repeat1,
    STATE(2612), 1,
      sym_subscript,
    ACTIONS(497), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(393), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(483), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(256), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(395), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [708] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(508), 1,
      anon_sym_DOLLAR,
    ACTIONS(511), 1,
      sym__special_character,
    ACTIONS(514), 1,
      anon_sym_DQUOTE,
    ACTIONS(517), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(520), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(523), 1,
      anon_sym_BQUOTE,
    ACTIONS(529), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(532), 1,
      sym_variable_name,
    STATE(425), 1,
      aux_sym__literal_repeat1,
    STATE(2598), 1,
      sym_subscript,
    ACTIONS(418), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(526), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(505), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(136), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(420), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [789] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(543), 1,
      sym_raw_string,
    STATE(361), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(539), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(545), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [851] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(551), 1,
      anon_sym_esac,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    STATE(2378), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [913] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(559), 1,
      sym_raw_string,
    STATE(468), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(555), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(561), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(567), 1,
      sym_raw_string,
    STATE(308), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(563), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(569), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DOLLAR,
    ACTIONS(399), 1,
      sym__special_character,
    ACTIONS(401), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(405), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(413), 1,
      sym_variable_name,
    ACTIONS(449), 1,
      aux_sym__simple_variable_name_token1,
    STATE(425), 1,
      aux_sym__literal_repeat1,
    STATE(2598), 1,
      sym_subscript,
    ACTIONS(369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(409), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(391), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(136), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(371), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [1115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DOLLAR,
    ACTIONS(399), 1,
      sym__special_character,
    ACTIONS(401), 1,
      anon_sym_DQUOTE,
    ACTIONS(403), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(405), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(413), 1,
      sym_variable_name,
    ACTIONS(571), 1,
      aux_sym__simple_variable_name_token1,
    STATE(425), 1,
      aux_sym__literal_repeat1,
    STATE(2598), 1,
      sym_subscript,
    ACTIONS(393), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(409), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(391), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(141), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(395), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [1193] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(573), 1,
      anon_sym_esac,
    ACTIONS(575), 1,
      anon_sym_SEMI_SEMI,
    STATE(2363), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1255] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(575), 1,
      anon_sym_SEMI_SEMI,
    STATE(2397), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1314] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(589), 1,
      anon_sym_BQUOTE,
    STATE(156), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(581), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1391] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    STATE(2396), 1,
      sym_heredoc_body,
    ACTIONS(269), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_DQUOTE,
    ACTIONS(597), 1,
      sym_raw_string,
    STATE(560), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(593), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(599), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(613), 1,
      anon_sym_BQUOTE,
    STATE(158), 1,
      aux_sym_command_repeat2,
    STATE(349), 1,
      aux_sym__literal_repeat1,
    STATE(607), 1,
      sym_concatenation,
    ACTIONS(603), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(607), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(276), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(605), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1586] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    STATE(2374), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(589), 1,
      anon_sym_BQUOTE,
    STATE(161), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(603), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(605), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_DQUOTE,
    ACTIONS(619), 1,
      sym_raw_string,
    STATE(475), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(617), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(621), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1783] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_DQUOTE,
    ACTIONS(627), 1,
      sym_raw_string,
    STATE(566), 1,
      sym_string,
    ACTIONS(537), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(623), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(629), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1844] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(575), 1,
      anon_sym_RPAREN,
    STATE(2345), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1903] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_DQUOTE,
    ACTIONS(635), 1,
      sym_raw_string,
    STATE(511), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(631), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(637), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1964] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    STATE(2385), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2023] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(589), 1,
      anon_sym_BQUOTE,
    STATE(161), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(639), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(641), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    ACTIONS(645), 1,
      sym_raw_string,
    STATE(278), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(643), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(647), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      anon_sym_DOLLAR,
    ACTIONS(662), 1,
      sym__special_character,
    ACTIONS(665), 1,
      anon_sym_DQUOTE,
    ACTIONS(668), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(671), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(674), 1,
      anon_sym_BQUOTE,
    STATE(158), 1,
      aux_sym_command_repeat2,
    STATE(349), 1,
      aux_sym__literal_repeat1,
    STATE(607), 1,
      sym_concatenation,
    ACTIONS(652), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(656), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(677), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(649), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(276), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(654), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2238] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(686), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(688), 1,
      anon_sym_BQUOTE,
    STATE(165), 1,
      aux_sym_command_repeat2,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(577), 1,
      sym_concatenation,
    ACTIONS(682), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(690), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(639), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(680), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(641), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2315] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(692), 1,
      sym__simple_heredoc_body,
    ACTIONS(694), 1,
      sym__heredoc_body_beginning,
    STATE(2368), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2374] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_DOLLAR,
    ACTIONS(705), 1,
      sym__special_character,
    ACTIONS(708), 1,
      anon_sym_DQUOTE,
    ACTIONS(711), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(714), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(717), 1,
      anon_sym_BQUOTE,
    STATE(161), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(652), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(699), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(720), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(696), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(654), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(589), 1,
      anon_sym_BQUOTE,
    STATE(150), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2528] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(613), 1,
      anon_sym_BQUOTE,
    STATE(148), 1,
      aux_sym_command_repeat2,
    STATE(349), 1,
      aux_sym__literal_repeat1,
    STATE(607), 1,
      sym_concatenation,
    ACTIONS(607), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(276), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      sym_raw_string,
    STATE(359), 1,
      sym_string,
    ACTIONS(537), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(727), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(731), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2666] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_DOLLAR,
    ACTIONS(742), 1,
      sym__special_character,
    ACTIONS(745), 1,
      anon_sym_DQUOTE,
    ACTIONS(748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(751), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(754), 1,
      anon_sym_BQUOTE,
    STATE(165), 1,
      aux_sym_command_repeat2,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(577), 1,
      sym_concatenation,
    ACTIONS(736), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(757), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(652), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(733), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(654), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2743] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(575), 1,
      ts_builtin_sym_end,
    ACTIONS(692), 1,
      sym__simple_heredoc_body,
    ACTIONS(694), 1,
      sym__heredoc_body_beginning,
    STATE(2364), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2802] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(686), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(688), 1,
      anon_sym_BQUOTE,
    STATE(165), 1,
      aux_sym_command_repeat2,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(577), 1,
      sym_concatenation,
    ACTIONS(682), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(690), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(603), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(680), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(605), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(686), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(688), 1,
      anon_sym_BQUOTE,
    STATE(159), 1,
      aux_sym_command_repeat2,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(577), 1,
      sym_concatenation,
    ACTIONS(682), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(690), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(579), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(680), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(581), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2956] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(762), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(760), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(613), 1,
      anon_sym_BQUOTE,
    STATE(158), 1,
      aux_sym_command_repeat2,
    STATE(349), 1,
      aux_sym__literal_repeat1,
    STATE(607), 1,
      sym_concatenation,
    ACTIONS(607), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(639), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(276), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(641), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3084] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(684), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(686), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(688), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(460), 1,
      aux_sym__literal_repeat1,
    STATE(577), 1,
      sym_concatenation,
    ACTIONS(682), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(690), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(680), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(723), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(565), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(613), 1,
      anon_sym_BQUOTE,
    STATE(170), 1,
      aux_sym_command_repeat2,
    STATE(349), 1,
      aux_sym__literal_repeat1,
    STATE(607), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(607), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(276), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(581), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3238] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(269), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3289] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(161), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(639), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(641), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3363] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(174), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(581), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3437] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(191), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(768), 1,
      sym_raw_string,
    STATE(631), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(764), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(770), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3571] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_DOLLAR,
    ACTIONS(782), 1,
      sym__special_character,
    ACTIONS(785), 1,
      anon_sym_DQUOTE,
    ACTIONS(788), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(791), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(794), 1,
      anon_sym_BQUOTE,
    ACTIONS(800), 1,
      aux_sym__simple_variable_name_token1,
    STATE(592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(775), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(797), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(178), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(772), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(368), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(777), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3645] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_DOLLAR,
    ACTIONS(811), 1,
      sym__special_character,
    ACTIONS(813), 1,
      anon_sym_DQUOTE,
    ACTIONS(815), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(817), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(819), 1,
      anon_sym_BQUOTE,
    ACTIONS(823), 1,
      aux_sym__simple_variable_name_token1,
    STATE(592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(805), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(821), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(803), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(368), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(807), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3719] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 1,
      anon_sym_DOLLAR,
    ACTIONS(831), 1,
      sym__special_character,
    ACTIONS(834), 1,
      anon_sym_DQUOTE,
    ACTIONS(837), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(840), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(843), 1,
      anon_sym_BQUOTE,
    ACTIONS(849), 1,
      aux_sym__simple_variable_name_token1,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(846), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(180), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(775), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(825), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(471), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(777), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3793] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_DOLLAR,
    ACTIONS(811), 1,
      sym__special_character,
    ACTIONS(813), 1,
      anon_sym_DQUOTE,
    ACTIONS(815), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(817), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(819), 1,
      anon_sym_BQUOTE,
    ACTIONS(856), 1,
      aux_sym__simple_variable_name_token1,
    STATE(592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(821), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(852), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(178), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(803), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(368), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(854), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3867] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_DOLLAR,
    ACTIONS(862), 1,
      sym__special_character,
    ACTIONS(864), 1,
      anon_sym_DQUOTE,
    ACTIONS(866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(870), 1,
      anon_sym_BQUOTE,
    ACTIONS(874), 1,
      aux_sym__simple_variable_name_token1,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(852), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(872), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(183), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(858), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(854), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3941] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(879), 1,
      anon_sym_DOLLAR,
    ACTIONS(882), 1,
      sym__special_character,
    ACTIONS(885), 1,
      anon_sym_DQUOTE,
    ACTIONS(888), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(891), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(894), 1,
      anon_sym_BQUOTE,
    ACTIONS(900), 1,
      aux_sym__simple_variable_name_token1,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(775), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(897), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(183), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(876), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(777), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4015] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(905), 1,
      anon_sym_DOLLAR,
    ACTIONS(907), 1,
      sym__special_character,
    ACTIONS(909), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(911), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(913), 1,
      anon_sym_BQUOTE,
    ACTIONS(917), 1,
      aux_sym__simple_variable_name_token1,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(915), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(185), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(805), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(903), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(471), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(807), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4089] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(905), 1,
      anon_sym_DOLLAR,
    ACTIONS(907), 1,
      sym__special_character,
    ACTIONS(909), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(911), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(913), 1,
      anon_sym_BQUOTE,
    ACTIONS(919), 1,
      aux_sym__simple_variable_name_token1,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(915), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(180), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(852), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(903), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(471), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(854), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4163] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_DOLLAR,
    ACTIONS(862), 1,
      sym__special_character,
    ACTIONS(864), 1,
      anon_sym_DQUOTE,
    ACTIONS(866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(870), 1,
      anon_sym_BQUOTE,
    ACTIONS(921), 1,
      aux_sym__simple_variable_name_token1,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(805), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(872), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(182), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(858), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(807), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4237] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_BQUOTE,
    STATE(2344), 1,
      sym_heredoc_body,
    ACTIONS(549), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      anon_sym_DQUOTE,
    ACTIONS(925), 1,
      sym_raw_string,
    STATE(586), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(923), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(927), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4355] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(575), 1,
      anon_sym_BQUOTE,
    STATE(2373), 1,
      sym_heredoc_body,
    ACTIONS(549), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4413] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_DQUOTE,
    ACTIONS(931), 1,
      sym_raw_string,
    STATE(647), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(929), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(933), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4473] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(161), 1,
      aux_sym_command_repeat2,
    STATE(447), 1,
      aux_sym__literal_repeat1,
    STATE(536), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(603), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(605), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4547] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    STATE(2386), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4603] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(939), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(937), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4654] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_variable_name,
    STATE(145), 1,
      sym_command_name,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    STATE(548), 1,
      sym_concatenation,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(547), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1499), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4745] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_esac,
    ACTIONS(575), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4798] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_variable_name,
    STATE(172), 1,
      sym_command_name,
    STATE(374), 1,
      aux_sym__literal_repeat1,
    STATE(581), 1,
      sym_concatenation,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(219), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(583), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1499), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4889] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(575), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4940] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(937), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4991] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_DOLLAR,
    ACTIONS(862), 1,
      sym__special_character,
    ACTIONS(864), 1,
      anon_sym_DQUOTE,
    ACTIONS(866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(874), 1,
      aux_sym__simple_variable_name_token1,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(852), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(872), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(183), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(858), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(854), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5062] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(945), 1,
      anon_sym_esac,
    ACTIONS(937), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5115] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(947), 1,
      anon_sym_esac,
    ACTIONS(937), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5168] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_variable_name,
    STATE(175), 1,
      sym_command_name,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    STATE(548), 1,
      sym_concatenation,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(545), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1499), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5259] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5310] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(941), 1,
      sym_variable_name,
    STATE(168), 1,
      sym_command_name,
    STATE(473), 1,
      aux_sym__literal_repeat1,
    STATE(564), 1,
      sym_concatenation,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(571), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1727), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(246), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5401] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_esac,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5454] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_DOLLAR,
    ACTIONS(862), 1,
      sym__special_character,
    ACTIONS(864), 1,
      anon_sym_DQUOTE,
    ACTIONS(866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(949), 1,
      aux_sym__simple_variable_name_token1,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(805), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(872), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(199), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(858), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(807), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5525] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      ts_builtin_sym_end,
    ACTIONS(937), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5575] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(939), 1,
      ts_builtin_sym_end,
    ACTIONS(937), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5625] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5675] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(575), 1,
      ts_builtin_sym_end,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5725] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(762), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(760), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5773] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(269), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5821] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5868] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(937), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5917] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(937), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5966] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(937), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(935), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6013] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_BQUOTE,
    ACTIONS(549), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6062] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_BQUOTE,
    ACTIONS(549), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6111] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_LF,
    ACTIONS(959), 1,
      anon_sym_RPAREN,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(955), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(969), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(973), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1332), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(971), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6225] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(971), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      sym__concat,
    STATE(245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(975), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(977), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6329] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      ts_builtin_sym_end,
    ACTIONS(985), 1,
      anon_sym_LF,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(973), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(989), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(987), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1332), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6390] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(995), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(997), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6451] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LF,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(959), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1001), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1329), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      sym_variable_name,
    ACTIONS(1009), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1011), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6563] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1013), 1,
      anon_sym_LF,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(973), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(989), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1015), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1332), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      sym_variable_name,
    ACTIONS(1009), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1332), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1011), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6675] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1017), 1,
      anon_sym_LF,
    ACTIONS(551), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1019), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1329), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_LPAREN,
    ACTIONS(1023), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(975), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(977), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_LPAREN,
    ACTIONS(1025), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(975), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(977), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      sym_variable_name,
    ACTIONS(1009), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1329), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1011), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6889] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_LF,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1329), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(971), 9,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      sym_variable_name,
    ACTIONS(1009), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1011), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(975), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(977), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7040] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(955), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7100] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_LF,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1029), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(971), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1031), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      sym__concat,
    STATE(247), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1044), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1031), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(975), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(977), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1048), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1056), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1054), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      sym__concat,
    STATE(264), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1044), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 1,
      sym__concat,
    STATE(245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(975), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(977), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1060), 1,
      sym__concat,
    STATE(247), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7632] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      anon_sym_BQUOTE,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1063), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1029), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1067), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1065), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1048), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(260), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1048), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      sym__concat,
    STATE(251), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7884] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      sym__concat,
    STATE(251), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1044), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7990] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1086), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(997), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1056), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1054), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8098] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1088), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1090), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8156] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1092), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1094), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 1,
      sym__concat,
    STATE(245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1031), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1044), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1098), 1,
      sym__concat,
    STATE(262), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1044), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      sym__concat,
    STATE(262), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      sym__concat,
    STATE(264), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 1,
      sym__concat,
    STATE(245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1106), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1108), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(260), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8646] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1110), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1112), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1044), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(260), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1056), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1054), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8800] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_BQUOTE,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1116), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(967), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1029), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1067), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1118), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      sym__concat,
    STATE(254), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1106), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1108), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 1,
      sym__concat,
    STATE(245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1106), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1108), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1123), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1127), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1143), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1147), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1151), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1163), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1167), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1175), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1175), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1179), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1179), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1167), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1151), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1195), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1163), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1183), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10519] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DQUOTE,
    ACTIONS(1203), 1,
      sym_raw_string,
    STATE(1355), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1199), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1205), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [10572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 1,
      sym__special_character,
    STATE(429), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1209), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym__concat,
    STATE(316), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1076), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1035), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 1,
      sym__special_character,
    STATE(339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1218), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1044), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1226), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      sym__concat,
    STATE(449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1195), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      sym__concat,
    STATE(340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1044), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1151), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1209), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1240), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1244), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1163), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1147), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1143), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1179), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1248), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1135), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__special_character,
    STATE(339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1248), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      sym__concat,
    STATE(340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1244), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1240), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      sym__special_character,
    STATE(344), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1248), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1139), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1143), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1147), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 1,
      sym__special_character,
    STATE(339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1270), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1268), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1175), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1167), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1226), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1226), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1167), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 1,
      sym__concat,
    STATE(321), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1274), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1272), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      sym__special_character,
    STATE(404), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1278), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1195), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1195), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 1,
      sym__special_character,
    STATE(339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1286), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1284), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    STATE(402), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1048), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1179), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1244), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1240), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      sym__special_character,
    STATE(455), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1218), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1151), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1175), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1163), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1147), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1143), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1195), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1123), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1226), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 1,
      sym__concat,
    STATE(405), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1044), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 1,
      sym__special_character,
    STATE(404), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1248), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      sym__concat,
    STATE(405), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1035), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1244), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1240), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1175), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1163), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1147), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1151), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__special_character,
    STATE(344), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1286), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1284), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1143), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1195), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1302), 1,
      sym__concat,
    STATE(435), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1044), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1280), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1278), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      sym__concat,
    STATE(449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1274), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1272), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1240), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 1,
      sym__special_character,
    STATE(429), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1248), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1244), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      sym__special_character,
    STATE(404), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1209), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      sym__concat,
    STATE(435), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1175), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 1,
      sym__concat,
    STATE(424), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1179), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1240), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1244), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1163), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 1,
      sym__concat,
    STATE(446), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__special_character,
    STATE(344), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1270), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1268), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 1,
      sym__concat,
    STATE(448), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      sym__concat,
    STATE(446), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1044), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1226), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1147), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1143), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      sym__concat,
    STATE(477), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1048), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1183), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      sym__special_character,
    STATE(455), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1248), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1139), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym__concat,
    STATE(316), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1048), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1135), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1151), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      sym__special_character,
    STATE(455), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1270), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1268), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 1,
      sym__concat,
    STATE(321), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1179), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1167), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1226), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1167), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 1,
      sym__concat,
    STATE(424), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1274), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1272), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 1,
      sym__special_character,
    STATE(429), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1280), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1278), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      sym__special_character,
    STATE(455), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1286), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1284), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    STATE(402), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1076), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1127), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      sym__concat,
    STATE(477), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      sym__concat,
    STATE(448), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1044), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__special_character,
    STATE(344), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1218), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      sym__special_character,
    STATE(480), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1248), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1143), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1147), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1163), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1175), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1187), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1191), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1195), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1240), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1244), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      sym__special_character,
    STATE(495), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1248), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 1,
      sym__special_character,
    STATE(496), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1248), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1226), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1031), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 1,
      anon_sym_DQUOTE,
    ACTIONS(1340), 1,
      sym_raw_string,
    STATE(1610), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1336), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1342), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [19006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1143), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1147), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1163), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1175), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1195), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1175), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1240), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1244), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      sym__special_character,
    STATE(522), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1248), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1167), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1035), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1226), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1163), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DQUOTE,
    ACTIONS(1203), 1,
      sym_raw_string,
    STATE(1355), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1199), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1205), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [20196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      sym__special_character,
    STATE(669), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1209), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1179), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1108), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1195), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1151), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1240), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      sym__special_character,
    STATE(496), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1351), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1349), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20792] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_variable_name,
    ACTIONS(1355), 1,
      sym__special_character,
    STATE(176), 1,
      sym_command_name,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    STATE(548), 1,
      sym_concatenation,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1335), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [20866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1151), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20908] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_variable_name,
    ACTIONS(1355), 1,
      sym__special_character,
    STATE(162), 1,
      sym_command_name,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    STATE(548), 1,
      sym_concatenation,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1335), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [20982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(977), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1244), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1179), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1226), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1035), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1167), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1151), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1179), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1167), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(977), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1147), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1143), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21948] = 19,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(941), 1,
      sym_variable_name,
    ACTIONS(1357), 1,
      sym__special_character,
    STATE(171), 1,
      sym_command_name,
    STATE(473), 1,
      aux_sym__literal_repeat1,
    STATE(564), 1,
      sym_concatenation,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1335), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(246), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1361), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      sym__special_character,
    STATE(573), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1248), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1226), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 1,
      sym__special_character,
    STATE(480), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1351), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1349), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1108), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1244), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(977), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1240), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22492] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_variable_name,
    ACTIONS(1368), 1,
      sym__special_character,
    STATE(163), 1,
      sym_command_name,
    STATE(374), 1,
      aux_sym__literal_repeat1,
    STATE(581), 1,
      sym_concatenation,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(219), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1335), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 1,
      sym__special_character,
    STATE(573), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1209), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1167), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1195), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1374), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      sym__special_character,
    STATE(522), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1351), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1349), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1179), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1151), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1151), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1143), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1147), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1163), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1175), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1108), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1361), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1195), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1374), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1151), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1179), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1240), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1035), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1244), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1179), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1048), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1167), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1167), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1226), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1191), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1031), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1187), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      sym__special_character,
    STATE(495), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1209), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1031), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1361), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1226), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1175), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1374), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1244), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1240), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1195), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1048), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1175), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1163), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1147), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1143), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1163), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      sym__special_character,
    STATE(669), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1248), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1048), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1147), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1143), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1361), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1076), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1374), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1048), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1374), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1374), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1361), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1361), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1076), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1048), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1048), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_raw_string,
    STATE(1486), 1,
      sym_string,
    ACTIONS(1383), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1389), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [27152] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
    ACTIONS(1395), 1,
      sym_raw_string,
    ACTIONS(1397), 1,
      anon_sym_POUND,
    STATE(1420), 1,
      sym_string,
    ACTIONS(535), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      sym_word,
    ACTIONS(1391), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(1399), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 15,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [27204] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(1411), 1,
      sym__special_character,
    ACTIONS(1413), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_BQUOTE,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1407), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1419), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1401), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1403), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1560), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27268] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(1411), 1,
      sym__special_character,
    ACTIONS(1413), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_BQUOTE,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1407), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1419), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1401), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1421), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1645), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27332] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(1411), 1,
      sym__special_character,
    ACTIONS(1413), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_BQUOTE,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1407), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1419), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1401), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1423), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1617), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27396] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(1411), 1,
      sym__special_character,
    ACTIONS(1413), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_BQUOTE,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1407), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1419), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1401), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1425), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1570), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27460] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_raw_string,
    STATE(1532), 1,
      sym_string,
    ACTIONS(1427), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1437), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1429), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1435), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(537), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27514] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(1411), 1,
      sym__special_character,
    ACTIONS(1413), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_BQUOTE,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1407), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1419), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1401), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1439), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1538), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27578] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1405), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(1411), 1,
      sym__special_character,
    ACTIONS(1413), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_BQUOTE,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1407), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1419), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1401), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1441), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1641), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(1449), 1,
      sym_raw_string,
    STATE(1852), 1,
      sym_string,
    ACTIONS(1443), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1453), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1445), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1451), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(537), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27694] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1461), 1,
      sym_raw_string,
    STATE(1681), 1,
      sym_string,
    ACTIONS(1455), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1465), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1457), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1463), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(537), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27746] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1469), 1,
      anon_sym_RBRACE,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1481), 1,
      anon_sym_POUND,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1491), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1092), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1471), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27811] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_word,
    ACTIONS(1495), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_BANG,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1501), 1,
      sym__special_character,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1513), 1,
      sym_test_operator,
    ACTIONS(1515), 1,
      sym_regex,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1503), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1897), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27876] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1517), 1,
      anon_sym_RBRACE,
    ACTIONS(1521), 1,
      anon_sym_POUND,
    ACTIONS(1523), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1132), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1519), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27941] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(1529), 1,
      anon_sym_POUND,
    ACTIONS(1531), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1131), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1527), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1533), 1,
      anon_sym_RBRACE,
    ACTIONS(1537), 1,
      anon_sym_POUND,
    ACTIONS(1539), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1130), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1535), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28071] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(1545), 1,
      anon_sym_POUND,
    ACTIONS(1547), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1129), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1543), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28136] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
    ACTIONS(1553), 1,
      anon_sym_POUND,
    ACTIONS(1555), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1127), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1551), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(1545), 1,
      anon_sym_POUND,
    ACTIONS(1557), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1129), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1543), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1559), 1,
      anon_sym_RBRACE,
    ACTIONS(1563), 1,
      anon_sym_POUND,
    ACTIONS(1565), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1124), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1561), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28331] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(1571), 1,
      anon_sym_POUND,
    ACTIONS(1573), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1122), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1569), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1575), 1,
      anon_sym_RBRACE,
    ACTIONS(1579), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1118), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1577), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1583), 1,
      anon_sym_RBRACE,
    ACTIONS(1587), 1,
      anon_sym_POUND,
    ACTIONS(1589), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1117), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1585), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28526] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1591), 1,
      anon_sym_RBRACE,
    ACTIONS(1595), 1,
      anon_sym_POUND,
    ACTIONS(1597), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1115), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1593), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28591] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1599), 1,
      anon_sym_RBRACE,
    ACTIONS(1603), 1,
      anon_sym_POUND,
    ACTIONS(1605), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1085), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1601), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1607), 1,
      anon_sym_RBRACE,
    ACTIONS(1611), 1,
      anon_sym_POUND,
    ACTIONS(1613), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1113), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1609), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1615), 1,
      anon_sym_RBRACE,
    ACTIONS(1619), 1,
      anon_sym_POUND,
    ACTIONS(1621), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1083), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1617), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28786] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(1627), 1,
      anon_sym_POUND,
    ACTIONS(1629), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1081), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1625), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28851] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1631), 1,
      anon_sym_RBRACE,
    ACTIONS(1635), 1,
      anon_sym_POUND,
    ACTIONS(1637), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1079), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1633), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28916] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(1627), 1,
      anon_sym_POUND,
    ACTIONS(1639), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1081), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1625), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28981] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    ACTIONS(1645), 1,
      anon_sym_POUND,
    ACTIONS(1647), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1111), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1643), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29046] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1607), 1,
      anon_sym_RBRACE,
    ACTIONS(1611), 1,
      anon_sym_POUND,
    ACTIONS(1649), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1113), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1609), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29111] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1651), 1,
      anon_sym_RBRACE,
    ACTIONS(1655), 1,
      anon_sym_POUND,
    ACTIONS(1657), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1076), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1653), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29176] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1659), 1,
      anon_sym_RBRACE,
    ACTIONS(1663), 1,
      anon_sym_POUND,
    ACTIONS(1665), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1108), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1661), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29241] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(1671), 1,
      anon_sym_POUND,
    ACTIONS(1673), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1106), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29306] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1677), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1928), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29371] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    ACTIONS(1699), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1892), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29436] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1701), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_POUND,
    ACTIONS(1707), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1102), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1703), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29501] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    ACTIONS(1713), 1,
      anon_sym_POUND,
    ACTIONS(1715), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1032), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1711), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29566] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(1721), 1,
      anon_sym_POUND,
    ACTIONS(1723), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1074), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1719), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29631] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1725), 1,
      anon_sym_RBRACE,
    ACTIONS(1729), 1,
      anon_sym_POUND,
    ACTIONS(1731), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1100), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1727), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29696] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1733), 1,
      anon_sym_RBRACE,
    ACTIONS(1737), 1,
      anon_sym_POUND,
    ACTIONS(1739), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1143), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1735), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29761] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1741), 1,
      anon_sym_RBRACE,
    ACTIONS(1745), 1,
      anon_sym_POUND,
    ACTIONS(1747), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1099), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1743), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29826] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1749), 1,
      anon_sym_RBRACE,
    ACTIONS(1753), 1,
      anon_sym_POUND,
    ACTIONS(1755), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1097), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1751), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29891] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1741), 1,
      anon_sym_RBRACE,
    ACTIONS(1745), 1,
      anon_sym_POUND,
    ACTIONS(1757), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1099), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1743), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29956] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1759), 1,
      anon_sym_RBRACE,
    ACTIONS(1763), 1,
      anon_sym_POUND,
    ACTIONS(1765), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1067), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      anon_sym_RBRACE,
    ACTIONS(1771), 1,
      anon_sym_POUND,
    ACTIONS(1773), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1141), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1769), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30086] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(1779), 1,
      anon_sym_POUND,
    ACTIONS(1781), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1161), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30151] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1733), 1,
      anon_sym_RBRACE,
    ACTIONS(1737), 1,
      anon_sym_POUND,
    ACTIONS(1783), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1143), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1735), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1785), 1,
      anon_sym_RBRACE,
    ACTIONS(1789), 1,
      anon_sym_POUND,
    ACTIONS(1791), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1066), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1787), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30281] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    ACTIONS(1797), 1,
      anon_sym_POUND,
    ACTIONS(1799), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1094), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1795), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30346] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1801), 1,
      anon_sym_RBRACE,
    ACTIONS(1805), 1,
      anon_sym_POUND,
    ACTIONS(1807), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1138), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1803), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30411] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    ACTIONS(1813), 1,
      anon_sym_POUND,
    ACTIONS(1815), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1136), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1811), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30476] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1817), 1,
      anon_sym_RBRACE,
    ACTIONS(1821), 1,
      anon_sym_POUND,
    ACTIONS(1823), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1087), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1819), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30541] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1825), 1,
      anon_sym_RBRACE,
    ACTIONS(1829), 1,
      anon_sym_POUND,
    ACTIONS(1831), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1157), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1827), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(1837), 1,
      anon_sym_POUND,
    ACTIONS(1839), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30671] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(1845), 1,
      anon_sym_POUND,
    ACTIONS(1847), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1065), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30736] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    ACTIONS(1853), 1,
      anon_sym_POUND,
    ACTIONS(1855), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1144), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1851), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30801] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      anon_sym_POUND,
    ACTIONS(1863), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1145), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1859), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30866] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(1869), 1,
      anon_sym_POUND,
    ACTIONS(1871), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1146), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1867), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30931] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(1877), 1,
      anon_sym_POUND,
    ACTIONS(1879), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1151), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1875), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30996] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1881), 1,
      anon_sym_RBRACE,
    ACTIONS(1885), 1,
      anon_sym_POUND,
    ACTIONS(1887), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1153), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1883), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31061] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1158), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1891), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31126] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1897), 1,
      anon_sym_RBRACE,
    ACTIONS(1901), 1,
      anon_sym_POUND,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1101), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1899), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31191] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1905), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1158), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1891), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(1911), 1,
      anon_sym_POUND,
    ACTIONS(1913), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1064), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1909), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31321] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    ACTIONS(1919), 1,
      anon_sym_POUND,
    ACTIONS(1921), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1160), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1917), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31386] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(1927), 1,
      anon_sym_POUND,
    ACTIONS(1929), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1163), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1925), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31451] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_POUND,
    ACTIONS(1937), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1165), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1933), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31516] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1943), 1,
      anon_sym_POUND,
    ACTIONS(1945), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1062), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1941), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31581] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(1911), 1,
      anon_sym_POUND,
    ACTIONS(1947), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1064), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1909), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31646] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(1953), 1,
      anon_sym_POUND,
    ACTIONS(1955), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1169), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1951), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31711] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(1961), 1,
      anon_sym_POUND,
    ACTIONS(1963), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1171), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31776] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_RBRACE,
    ACTIONS(1969), 1,
      anon_sym_POUND,
    ACTIONS(1971), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1059), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1967), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31841] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      anon_sym_POUND,
    ACTIONS(1979), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1176), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31906] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(1985), 1,
      anon_sym_POUND,
    ACTIONS(1987), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1174), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1983), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31971] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      anon_sym_POUND,
    ACTIONS(1989), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1176), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32036] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1991), 1,
      anon_sym_RBRACE,
    ACTIONS(1995), 1,
      anon_sym_POUND,
    ACTIONS(1997), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1177), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1993), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32101] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(2003), 1,
      anon_sym_POUND,
    ACTIONS(2005), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1057), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2001), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32166] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(2011), 1,
      anon_sym_POUND,
    ACTIONS(2013), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2009), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32231] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2019), 1,
      anon_sym_POUND,
    ACTIONS(2021), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1179), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32296] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    ACTIONS(2023), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1904), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [32361] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(2029), 1,
      anon_sym_POUND,
    ACTIONS(2031), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2027), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32426] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    ACTIONS(2037), 1,
      anon_sym_POUND,
    ACTIONS(2039), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1185), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2035), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32491] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2041), 1,
      anon_sym_RBRACE,
    ACTIONS(2045), 1,
      anon_sym_POUND,
    ACTIONS(2047), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1191), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2043), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32556] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2049), 1,
      anon_sym_RBRACE,
    ACTIONS(2053), 1,
      anon_sym_POUND,
    ACTIONS(2055), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1053), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2051), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32621] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2057), 1,
      anon_sym_RBRACE,
    ACTIONS(2061), 1,
      anon_sym_POUND,
    ACTIONS(2063), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2059), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32686] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2065), 1,
      anon_sym_RBRACE,
    ACTIONS(2069), 1,
      anon_sym_POUND,
    ACTIONS(2071), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2067), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32751] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2073), 1,
      anon_sym_RBRACE,
    ACTIONS(2077), 1,
      anon_sym_POUND,
    ACTIONS(2079), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1051), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2075), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32816] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2081), 1,
      anon_sym_RBRACE,
    ACTIONS(2085), 1,
      anon_sym_POUND,
    ACTIONS(2087), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1050), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2083), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32881] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(2093), 1,
      anon_sym_POUND,
    ACTIONS(2095), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1048), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2091), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32946] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2081), 1,
      anon_sym_RBRACE,
    ACTIONS(2085), 1,
      anon_sym_POUND,
    ACTIONS(2097), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1050), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2083), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33011] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    ACTIONS(2103), 1,
      anon_sym_POUND,
    ACTIONS(2105), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1044), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2101), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33076] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_POUND,
    ACTIONS(2113), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1042), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2109), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(2119), 1,
      anon_sym_POUND,
    ACTIONS(2121), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1036), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2117), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33206] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2127), 1,
      anon_sym_POUND,
    ACTIONS(2129), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1035), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2125), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33271] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    ACTIONS(2135), 1,
      anon_sym_POUND,
    ACTIONS(2137), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1034), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2133), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33336] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    ACTIONS(2139), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1915), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [33401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    ACTIONS(2145), 1,
      anon_sym_POUND,
    ACTIONS(2147), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1030), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2143), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33466] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    ACTIONS(1713), 1,
      anon_sym_POUND,
    ACTIONS(2149), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1032), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1711), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33531] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2151), 1,
      anon_sym_RBRACE,
    ACTIONS(2155), 1,
      anon_sym_POUND,
    ACTIONS(2157), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1027), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2153), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
    ACTIONS(2163), 1,
      anon_sym_POUND,
    ACTIONS(2165), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1025), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2161), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33661] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(1837), 1,
      anon_sym_POUND,
    ACTIONS(2167), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33726] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(2173), 1,
      anon_sym_POUND,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1021), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2171), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33791] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    ACTIONS(2177), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1887), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [33856] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      anon_sym_POUND,
    ACTIONS(2185), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1020), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33921] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(2191), 1,
      anon_sym_POUND,
    ACTIONS(2193), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(935), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2189), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33986] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2199), 1,
      anon_sym_POUND,
    ACTIONS(2201), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1019), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2197), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34051] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2203), 1,
      anon_sym_RBRACE,
    ACTIONS(2207), 1,
      anon_sym_POUND,
    ACTIONS(2209), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2205), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34116] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    ACTIONS(2215), 1,
      anon_sym_POUND,
    ACTIONS(2217), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1018), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2213), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34181] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    ACTIONS(2223), 1,
      anon_sym_POUND,
    ACTIONS(2225), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1193), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2221), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34246] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
    ACTIONS(2231), 1,
      anon_sym_POUND,
    ACTIONS(2233), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2229), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34311] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2235), 1,
      anon_sym_RBRACE,
    ACTIONS(2239), 1,
      anon_sym_POUND,
    ACTIONS(2241), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1016), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2237), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34376] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    ACTIONS(2215), 1,
      anon_sym_POUND,
    ACTIONS(2243), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1018), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2213), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34441] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    ACTIONS(2249), 1,
      anon_sym_POUND,
    ACTIONS(2251), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1013), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2247), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34506] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2257), 1,
      anon_sym_POUND,
    ACTIONS(2259), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1011), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34571] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2261), 1,
      anon_sym_RBRACE,
    ACTIONS(2265), 1,
      anon_sym_POUND,
    ACTIONS(2267), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1004), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2263), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34636] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2269), 1,
      anon_sym_RBRACE,
    ACTIONS(2273), 1,
      anon_sym_POUND,
    ACTIONS(2275), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1003), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2271), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34701] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2277), 1,
      anon_sym_RBRACE,
    ACTIONS(2281), 1,
      anon_sym_POUND,
    ACTIONS(2283), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2279), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34766] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    ACTIONS(2289), 1,
      anon_sym_POUND,
    ACTIONS(2291), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2287), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2293), 1,
      anon_sym_RBRACE,
    ACTIONS(2297), 1,
      anon_sym_POUND,
    ACTIONS(2299), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1002), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2295), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34896] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(2305), 1,
      anon_sym_POUND,
    ACTIONS(2307), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1001), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2303), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34961] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
    ACTIONS(2313), 1,
      anon_sym_POUND,
    ACTIONS(2315), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(999), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2311), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35026] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(2305), 1,
      anon_sym_POUND,
    ACTIONS(2317), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1001), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2303), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35091] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2319), 1,
      anon_sym_RBRACE,
    ACTIONS(2323), 1,
      anon_sym_POUND,
    ACTIONS(2325), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1202), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2321), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35156] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    ACTIONS(2331), 1,
      anon_sym_POUND,
    ACTIONS(2333), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(995), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2329), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35221] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_POUND,
    ACTIONS(2341), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(993), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35286] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2343), 1,
      anon_sym_RBRACE,
    ACTIONS(2347), 1,
      anon_sym_POUND,
    ACTIONS(2349), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(987), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2345), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35351] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2351), 1,
      anon_sym_RBRACE,
    ACTIONS(2355), 1,
      anon_sym_POUND,
    ACTIONS(2357), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(986), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2353), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35416] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2359), 1,
      anon_sym_RBRACE,
    ACTIONS(2363), 1,
      anon_sym_POUND,
    ACTIONS(2365), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(985), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2361), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35481] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2367), 1,
      anon_sym_RBRACE,
    ACTIONS(2371), 1,
      anon_sym_POUND,
    ACTIONS(2373), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(983), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2369), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2375), 1,
      anon_sym_RBRACE,
    ACTIONS(2379), 1,
      anon_sym_POUND,
    ACTIONS(2381), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(981), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2377), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35611] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2367), 1,
      anon_sym_RBRACE,
    ACTIONS(2371), 1,
      anon_sym_POUND,
    ACTIONS(2383), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(983), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2369), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35676] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    ACTIONS(2389), 1,
      anon_sym_POUND,
    ACTIONS(2391), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1069), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2387), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35741] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2393), 1,
      anon_sym_RBRACE,
    ACTIONS(2397), 1,
      anon_sym_POUND,
    ACTIONS(2399), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(978), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2395), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35806] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(2405), 1,
      anon_sym_POUND,
    ACTIONS(2407), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(976), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2403), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35871] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    ACTIONS(2289), 1,
      anon_sym_POUND,
    ACTIONS(2409), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2287), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2411), 1,
      anon_sym_RBRACE,
    ACTIONS(2415), 1,
      anon_sym_POUND,
    ACTIONS(2417), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1205), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2413), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36001] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2419), 1,
      anon_sym_RBRACE,
    ACTIONS(2423), 1,
      anon_sym_POUND,
    ACTIONS(2425), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2421), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36066] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(2431), 1,
      anon_sym_POUND,
    ACTIONS(2433), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1082), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2429), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36131] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2435), 1,
      anon_sym_RBRACE,
    ACTIONS(2439), 1,
      anon_sym_POUND,
    ACTIONS(2441), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1207), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2437), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36196] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2443), 1,
      anon_sym_RBRACE,
    ACTIONS(2447), 1,
      anon_sym_POUND,
    ACTIONS(2449), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2445), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36261] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(2455), 1,
      anon_sym_POUND,
    ACTIONS(2457), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1216), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2453), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36326] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(2463), 1,
      anon_sym_POUND,
    ACTIONS(2465), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(972), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2461), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36391] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(2471), 1,
      anon_sym_POUND,
    ACTIONS(2473), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1221), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2469), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36456] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    ACTIONS(2389), 1,
      anon_sym_POUND,
    ACTIONS(2475), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1069), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2387), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36521] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2477), 1,
      anon_sym_RBRACE,
    ACTIONS(2481), 1,
      anon_sym_POUND,
    ACTIONS(2483), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1068), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2479), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36586] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    ACTIONS(2489), 1,
      anon_sym_POUND,
    ACTIONS(2491), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1219), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2487), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36651] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2493), 1,
      anon_sym_RBRACE,
    ACTIONS(2497), 1,
      anon_sym_POUND,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(971), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2495), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36716] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2501), 1,
      anon_sym_RBRACE,
    ACTIONS(2505), 1,
      anon_sym_POUND,
    ACTIONS(2507), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(970), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36781] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(2471), 1,
      anon_sym_POUND,
    ACTIONS(2509), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1221), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2469), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36846] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_word,
    ACTIONS(1407), 1,
      anon_sym_BANG,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(2511), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      sym__special_character,
    ACTIONS(2515), 1,
      anon_sym_DQUOTE,
    ACTIONS(2519), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2521), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2523), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      sym_test_operator,
    ACTIONS(2529), 1,
      sym_regex,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2517), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2525), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1636), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36911] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2531), 1,
      anon_sym_RBRACE,
    ACTIONS(2535), 1,
      anon_sym_POUND,
    ACTIONS(2537), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1222), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2533), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36976] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2539), 1,
      anon_sym_RBRACE,
    ACTIONS(2543), 1,
      anon_sym_POUND,
    ACTIONS(2545), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1223), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2541), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37041] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2547), 1,
      anon_sym_RBRACE,
    ACTIONS(2551), 1,
      anon_sym_POUND,
    ACTIONS(2553), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2549), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37106] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2555), 1,
      anon_sym_RBRACE,
    ACTIONS(2559), 1,
      anon_sym_POUND,
    ACTIONS(2561), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2557), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37171] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2563), 1,
      anon_sym_RBRACE,
    ACTIONS(2567), 1,
      anon_sym_POUND,
    ACTIONS(2569), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1234), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2565), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37236] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(2575), 1,
      anon_sym_POUND,
    ACTIONS(2577), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(969), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2573), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37301] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2579), 1,
      anon_sym_RBRACE,
    ACTIONS(2583), 1,
      anon_sym_POUND,
    ACTIONS(2585), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2581), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37366] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2587), 1,
      anon_sym_RBRACE,
    ACTIONS(2591), 1,
      anon_sym_POUND,
    ACTIONS(2593), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1238), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2589), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37431] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2579), 1,
      anon_sym_RBRACE,
    ACTIONS(2583), 1,
      anon_sym_POUND,
    ACTIONS(2595), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2581), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37496] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2597), 1,
      anon_sym_RBRACE,
    ACTIONS(2601), 1,
      anon_sym_POUND,
    ACTIONS(2603), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1243), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2599), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37561] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    ACTIONS(2609), 1,
      anon_sym_POUND,
    ACTIONS(2611), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2607), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37626] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    ACTIONS(2617), 1,
      anon_sym_POUND,
    ACTIONS(2619), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1246), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2615), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37691] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    ACTIONS(2625), 1,
      anon_sym_POUND,
    ACTIONS(2627), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1252), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2623), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37756] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2629), 1,
      anon_sym_RBRACE,
    ACTIONS(2633), 1,
      anon_sym_POUND,
    ACTIONS(2635), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2631), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37821] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(2641), 1,
      anon_sym_POUND,
    ACTIONS(2643), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1259), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2639), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37886] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(2649), 1,
      anon_sym_POUND,
    ACTIONS(2651), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1257), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2647), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37951] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(2641), 1,
      anon_sym_POUND,
    ACTIONS(2653), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1259), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2639), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38016] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    ACTIONS(2659), 1,
      anon_sym_POUND,
    ACTIONS(2661), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2657), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38081] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2663), 1,
      anon_sym_RBRACE,
    ACTIONS(2667), 1,
      anon_sym_POUND,
    ACTIONS(2669), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1261), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2665), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(2675), 1,
      anon_sym_POUND,
    ACTIONS(2677), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2673), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38211] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_POUND,
    ACTIONS(2685), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1270), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2681), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38276] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2691), 1,
      anon_sym_POUND,
    ACTIONS(2693), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(967), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2689), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38341] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      anon_sym_POUND,
    ACTIONS(2701), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1272), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38406] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(2575), 1,
      anon_sym_POUND,
    ACTIONS(2703), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(969), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2573), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38471] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    ACTIONS(2709), 1,
      anon_sym_POUND,
    ACTIONS(2711), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(964), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2707), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38536] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    ACTIONS(2717), 1,
      anon_sym_POUND,
    ACTIONS(2719), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(962), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2715), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38601] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    ACTIONS(2721), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1919), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38666] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      anon_sym_POUND,
    ACTIONS(2729), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1295), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2725), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38731] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    ACTIONS(2735), 1,
      anon_sym_POUND,
    ACTIONS(2737), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1279), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2733), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38796] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      anon_sym_POUND,
    ACTIONS(2739), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1295), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2725), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38861] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    ACTIONS(2741), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1918), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38926] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    ACTIONS(2747), 1,
      anon_sym_POUND,
    ACTIONS(2749), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1296), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2745), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38991] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    ACTIONS(2751), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1917), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [39056] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_POUND,
    ACTIONS(2759), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1297), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2755), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39121] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    ACTIONS(2765), 1,
      anon_sym_POUND,
    ACTIONS(2767), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1299), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2763), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39186] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    ACTIONS(2769), 1,
      sym_regex,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1745), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [39251] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    ACTIONS(2775), 1,
      anon_sym_POUND,
    ACTIONS(2777), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2773), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39316] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    ACTIONS(2783), 1,
      anon_sym_POUND,
    ACTIONS(2785), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1307), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2781), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39381] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(2791), 1,
      anon_sym_POUND,
    ACTIONS(2793), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1312), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2789), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39446] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1310), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2797), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39511] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(2791), 1,
      anon_sym_POUND,
    ACTIONS(2803), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1312), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2789), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39576] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2805), 1,
      anon_sym_RBRACE,
    ACTIONS(2809), 1,
      anon_sym_POUND,
    ACTIONS(2811), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1313), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2807), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39641] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2813), 1,
      anon_sym_RBRACE,
    ACTIONS(2817), 1,
      anon_sym_POUND,
    ACTIONS(2819), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1314), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2815), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39706] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2821), 1,
      anon_sym_RBRACE,
    ACTIONS(2825), 1,
      anon_sym_POUND,
    ACTIONS(2827), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1315), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2823), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39771] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2829), 1,
      anon_sym_RBRACE,
    ACTIONS(2833), 1,
      anon_sym_POUND,
    ACTIONS(2835), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1037), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2831), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39836] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2837), 1,
      anon_sym_RBRACE,
    ACTIONS(2841), 1,
      anon_sym_POUND,
    ACTIONS(2843), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(984), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2839), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39901] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(2849), 1,
      anon_sym_POUND,
    ACTIONS(2851), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1302), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2847), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39966] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2853), 1,
      anon_sym_RBRACE,
    ACTIONS(2857), 1,
      anon_sym_POUND,
    ACTIONS(2859), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1298), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2855), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40031] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    ACTIONS(2865), 1,
      anon_sym_POUND,
    ACTIONS(2867), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1290), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2863), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40096] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2873), 1,
      anon_sym_POUND,
    ACTIONS(2875), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40161] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(2881), 1,
      anon_sym_POUND,
    ACTIONS(2883), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1156), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2879), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40226] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_POUND,
    ACTIONS(2891), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1289), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40291] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    ACTIONS(2897), 1,
      anon_sym_POUND,
    ACTIONS(2899), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1288), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2895), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40356] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2901), 1,
      anon_sym_RBRACE,
    ACTIONS(2905), 1,
      anon_sym_POUND,
    ACTIONS(2907), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1287), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2903), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40421] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(2913), 1,
      anon_sym_POUND,
    ACTIONS(2915), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1282), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2911), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40486] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2917), 1,
      anon_sym_RBRACE,
    ACTIONS(2921), 1,
      anon_sym_POUND,
    ACTIONS(2923), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1277), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2919), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40551] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2925), 1,
      anon_sym_RBRACE,
    ACTIONS(2929), 1,
      anon_sym_POUND,
    ACTIONS(2931), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2927), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40616] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
    ACTIONS(2937), 1,
      anon_sym_POUND,
    ACTIONS(2939), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2935), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40681] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2925), 1,
      anon_sym_RBRACE,
    ACTIONS(2929), 1,
      anon_sym_POUND,
    ACTIONS(2941), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2927), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40746] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2947), 1,
      anon_sym_POUND,
    ACTIONS(2949), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1250), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2945), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40811] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2951), 1,
      anon_sym_RBRACE,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2953), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40876] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2959), 1,
      anon_sym_RBRACE,
    ACTIONS(2963), 1,
      anon_sym_POUND,
    ACTIONS(2965), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2961), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40941] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(2971), 1,
      anon_sym_POUND,
    ACTIONS(2973), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2969), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2975), 1,
      anon_sym_RBRACE,
    ACTIONS(2979), 1,
      anon_sym_POUND,
    ACTIONS(2981), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1213), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2977), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41071] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2983), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2989), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1045), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41136] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      anon_sym_RBRACE,
    ACTIONS(2995), 1,
      anon_sym_POUND,
    ACTIONS(2997), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1114), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2993), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2983), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2999), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1045), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3001), 1,
      anon_sym_RBRACE,
    ACTIONS(3005), 1,
      anon_sym_POUND,
    ACTIONS(3007), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1039), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3003), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41331] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3013), 1,
      anon_sym_POUND,
    ACTIONS(3015), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1033), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3011), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3017), 1,
      anon_sym_RBRACE,
    ACTIONS(3021), 1,
      anon_sym_POUND,
    ACTIONS(3023), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1007), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3019), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    ACTIONS(3029), 1,
      anon_sym_POUND,
    ACTIONS(3031), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(959), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3027), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41526] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3033), 1,
      anon_sym_RBRACE,
    ACTIONS(3037), 1,
      anon_sym_POUND,
    ACTIONS(3039), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(951), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3035), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41591] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    ACTIONS(3045), 1,
      anon_sym_POUND,
    ACTIONS(3047), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(939), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3043), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    ACTIONS(3053), 1,
      anon_sym_POUND,
    ACTIONS(3055), 1,
      sym_regex,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(941), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3051), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    ACTIONS(3045), 1,
      anon_sym_POUND,
    ACTIONS(3057), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(939), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3043), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41786] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3059), 1,
      anon_sym_RBRACE,
    ACTIONS(3063), 1,
      anon_sym_POUND,
    ACTIONS(3065), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(938), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3061), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41851] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(2769), 1,
      sym_regex,
    ACTIONS(3067), 1,
      anon_sym_BANG,
    ACTIONS(3069), 1,
      sym__special_character,
    ACTIONS(3071), 1,
      sym_test_operator,
    STATE(1744), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1745), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41916] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    ACTIONS(3077), 1,
      anon_sym_POUND,
    ACTIONS(3079), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(937), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3075), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41981] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    ACTIONS(2865), 1,
      anon_sym_POUND,
    ACTIONS(3081), 1,
      anon_sym_SLASH,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1290), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2863), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42046] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3085), 1,
      anon_sym_LPAREN,
    ACTIONS(3087), 1,
      anon_sym_BANG,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3091), 1,
      sym__special_character,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 1,
      sym_test_operator,
    ACTIONS(3105), 1,
      sym_regex,
    STATE(1682), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3093), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1667), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1926), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42111] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    ACTIONS(3111), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1150), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3109), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42235] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3085), 1,
      anon_sym_LPAREN,
    ACTIONS(3087), 1,
      anon_sym_BANG,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3091), 1,
      sym__special_character,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 1,
      sym_test_operator,
    STATE(1682), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3093), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1667), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1900), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42297] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3085), 1,
      anon_sym_LPAREN,
    ACTIONS(3087), 1,
      anon_sym_BANG,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3091), 1,
      sym__special_character,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 1,
      sym_test_operator,
    STATE(1682), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3093), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1667), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1926), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42359] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3085), 1,
      anon_sym_LPAREN,
    ACTIONS(3087), 1,
      anon_sym_BANG,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3091), 1,
      sym__special_character,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 1,
      sym_test_operator,
    STATE(1682), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3093), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1667), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1882), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42421] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1920), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42483] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1927), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42545] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3085), 1,
      anon_sym_LPAREN,
    ACTIONS(3087), 1,
      anon_sym_BANG,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3091), 1,
      sym__special_character,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 1,
      sym_test_operator,
    STATE(1682), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3093), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1667), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1910), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42607] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_BANG,
    ACTIONS(3069), 1,
      sym__special_character,
    ACTIONS(3071), 1,
      sym_test_operator,
    STATE(1744), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1895), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42669] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_BANG,
    ACTIONS(3069), 1,
      sym__special_character,
    ACTIONS(3071), 1,
      sym_test_operator,
    STATE(1744), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1745), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42731] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_word,
    ACTIONS(1495), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_BANG,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1501), 1,
      sym__special_character,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1513), 1,
      sym_test_operator,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1503), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1896), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42793] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42855] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1779), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42979] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3033), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43041] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43103] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    ACTIONS(3123), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(988), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3121), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    ACTIONS(3029), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(959), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3027), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43289] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_BANG,
    ACTIONS(3069), 1,
      sym__special_character,
    ACTIONS(3071), 1,
      sym_test_operator,
    STATE(1744), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1758), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(989), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3127), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43413] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1901), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43475] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_word,
    ACTIONS(1495), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_BANG,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1501), 1,
      sym__special_character,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1513), 1,
      sym_test_operator,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1503), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1884), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43537] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1745), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43599] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1898), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43661] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_word,
    ACTIONS(1495), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_BANG,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1501), 1,
      sym__special_character,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1513), 1,
      sym_test_operator,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1503), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1923), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43723] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1886), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43785] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
    ACTIONS(3135), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1005), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3133), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43909] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1893), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43971] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_word,
    ACTIONS(1495), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_BANG,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1501), 1,
      sym__special_character,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1513), 1,
      sym_test_operator,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1503), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1916), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [44033] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_BANG,
    ACTIONS(3069), 1,
      sym__special_character,
    ACTIONS(3071), 1,
      sym_test_operator,
    STATE(1744), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1906), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [44095] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3085), 1,
      anon_sym_LPAREN,
    ACTIONS(3087), 1,
      anon_sym_BANG,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3091), 1,
      sym__special_character,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 1,
      sym_test_operator,
    STATE(1682), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3093), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1667), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1929), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [44157] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1891), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [44219] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3137), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44281] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44343] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44405] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3141), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44529] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(958), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3145), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44591] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44653] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3149), 1,
      anon_sym_RBRACE,
    ACTIONS(3153), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(960), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3151), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    ACTIONS(2717), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(962), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2715), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44777] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    ACTIONS(3159), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(961), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3157), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45025] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3161), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3163), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45335] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
    ACTIONS(3171), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(973), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3169), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    ACTIONS(3177), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(974), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3175), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(2405), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(976), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2403), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    ACTIONS(3183), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(975), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2393), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2367), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2375), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3187), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46265] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3191), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46389] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    ACTIONS(3199), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(990), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3197), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(3205), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(991), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3203), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46637] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_word,
    ACTIONS(1407), 1,
      anon_sym_BANG,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(2511), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      sym__special_character,
    ACTIONS(2515), 1,
      anon_sym_DQUOTE,
    ACTIONS(2519), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2521), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2523), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      sym_test_operator,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2517), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2525), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1636), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(993), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    ACTIONS(3211), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(992), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3209), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46885] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2309), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3213), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47195] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_BANG,
    ACTIONS(3069), 1,
      sym__special_character,
    ACTIONS(3071), 1,
      sym_test_operator,
    STATE(1744), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1921), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
    ACTIONS(3225), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1008), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3223), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    ACTIONS(3231), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1009), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3229), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2257), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1011), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3233), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      anon_sym_RBRACE,
    ACTIONS(3237), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1010), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3235), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2235), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3239), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    ACTIONS(3249), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1022), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3247), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48559] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    ACTIONS(3255), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1023), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3253), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
    ACTIONS(2163), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1025), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2161), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    ACTIONS(3261), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1024), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3259), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2983), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2151), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2975), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3265), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3267), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    ACTIONS(3273), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1038), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3271), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49551] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    ACTIONS(3279), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1040), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3277), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1042), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2109), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49799] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    ACTIONS(3285), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1041), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3283), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49923] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2081), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50109] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50171] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3289), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    ACTIONS(3297), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1054), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3295), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50481] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50543] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    ACTIONS(3303), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1055), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3301), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(2003), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1057), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2001), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    ACTIONS(3309), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1056), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3307), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50791] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50853] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50977] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51039] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1825), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51101] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3311), 1,
      anon_sym_RBRACE,
    ACTIONS(3315), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(925), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3313), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3317), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3319), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51349] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3321), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51411] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51473] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(3327), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1071), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3325), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51535] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3329), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_RBRACE,
    ACTIONS(3333), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1072), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3331), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51659] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(1721), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1074), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1719), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51721] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    ACTIONS(3339), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1073), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51907] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3311), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1651), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52031] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3341), 1,
      sym_word,
    ACTIONS(3344), 1,
      anon_sym_RBRACE,
    ACTIONS(3349), 1,
      anon_sym_DOLLAR,
    ACTIONS(3352), 1,
      sym__special_character,
    ACTIONS(3355), 1,
      anon_sym_DQUOTE,
    ACTIONS(3361), 1,
      anon_sym_POUND,
    ACTIONS(3364), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3367), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3370), 1,
      anon_sym_BQUOTE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3358), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3373), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3346), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52093] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(1779), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1161), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1631), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    ACTIONS(3380), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1233), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3378), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3382), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3384), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3386), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    ACTIONS(3392), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1089), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3390), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3394), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3394), 1,
      anon_sym_RBRACE,
    ACTIONS(3398), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1090), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3396), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52775] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1469), 1,
      anon_sym_RBRACE,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1481), 1,
      anon_sym_POUND,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1092), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1471), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3400), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52899] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3400), 1,
      anon_sym_RBRACE,
    ACTIONS(3404), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1091), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3402), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1469), 1,
      anon_sym_RBRACE,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53023] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53085] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1741), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1749), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53209] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3406), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53271] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3408), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53333] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3410), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53395] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3412), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53457] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3412), 1,
      anon_sym_RBRACE,
    ACTIONS(3416), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1103), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3414), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53519] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3418), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3418), 1,
      anon_sym_RBRACE,
    ACTIONS(3422), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1104), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3420), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53643] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(1671), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1106), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53705] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3424), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53767] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3424), 1,
      anon_sym_RBRACE,
    ACTIONS(3428), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1105), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3426), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53829] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53891] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53953] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1659), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54015] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1675), 1,
      sym_word,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_BANG,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1685), 1,
      sym__special_character,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      sym_test_operator,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1687), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1758), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54077] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1607), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54139] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54201] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3430), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3432), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3434), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54387] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3436), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3436), 1,
      anon_sym_RBRACE,
    ACTIONS(3440), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1119), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3438), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3442), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3442), 1,
      anon_sym_RBRACE,
    ACTIONS(3446), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1120), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3444), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(1571), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1122), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1569), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54697] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3448), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54759] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_RBRACE,
    ACTIONS(3452), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1121), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3450), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54821] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54883] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1559), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54945] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55069] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3454), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55131] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3456), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55193] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3458), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55255] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3460), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55317] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3460), 1,
      anon_sym_RBRACE,
    ACTIONS(3464), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1133), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3462), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55379] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3466), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55441] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3466), 1,
      anon_sym_RBRACE,
    ACTIONS(3470), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1134), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3468), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55503] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    ACTIONS(1813), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1136), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1811), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55565] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    ACTIONS(3476), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1135), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3474), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55689] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55751] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1801), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55813] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1733), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55875] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55937] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3478), 1,
      anon_sym_RBRACE,
    ACTIONS(3482), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1208), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3480), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3484), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56061] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3486), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56123] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3488), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56185] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3490), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3490), 1,
      anon_sym_RBRACE,
    ACTIONS(3494), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1148), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3492), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56309] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3496), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56371] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3496), 1,
      anon_sym_RBRACE,
    ACTIONS(3500), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1149), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3498), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56433] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(1877), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1151), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1875), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56495] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56557] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3478), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56619] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56681] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3502), 1,
      anon_sym_RBRACE,
    ACTIONS(3506), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1209), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3504), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1881), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56805] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3502), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56867] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(2971), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2969), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56991] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3508), 1,
      anon_sym_RBRACE,
    ACTIONS(3512), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3510), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3514), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3516), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3518), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57301] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3520), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57363] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3520), 1,
      anon_sym_RBRACE,
    ACTIONS(3524), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1166), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3522), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3526), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57487] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3526), 1,
      anon_sym_RBRACE,
    ACTIONS(3530), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3528), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57549] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(1953), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1169), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1951), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57611] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3532), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57673] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3532), 1,
      anon_sym_RBRACE,
    ACTIONS(3536), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1168), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3534), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57735] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3538), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3540), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58107] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3542), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58169] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3544), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58231] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3544), 1,
      anon_sym_RBRACE,
    ACTIONS(3548), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1180), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3546), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3550), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3550), 1,
      anon_sym_RBRACE,
    ACTIONS(3554), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1181), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3552), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(2029), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2027), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58479] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3556), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3556), 1,
      anon_sym_RBRACE,
    ACTIONS(3560), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3558), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58727] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2057), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3562), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3564), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58975] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3566), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3568), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3568), 1,
      anon_sym_RBRACE,
    ACTIONS(3572), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1194), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3570), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3574), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3574), 1,
      anon_sym_RBRACE,
    ACTIONS(3578), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3576), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
    ACTIONS(2231), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2229), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3580), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3580), 1,
      anon_sym_RBRACE,
    ACTIONS(3584), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3582), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2277), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2319), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3586), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3588), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3590), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3592), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3594), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3508), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60091] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3596), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3596), 1,
      anon_sym_RBRACE,
    ACTIONS(3600), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3598), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60215] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3602), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3602), 1,
      anon_sym_RBRACE,
    ACTIONS(3606), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3604), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60339] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2443), 1,
      anon_sym_RBRACE,
    ACTIONS(2447), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2445), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60401] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3608), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60463] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3608), 1,
      anon_sym_RBRACE,
    ACTIONS(3612), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3610), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2443), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60587] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60649] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60711] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60773] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3614), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60835] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3616), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60897] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3618), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60959] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3620), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61021] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_word,
    ACTIONS(1495), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_BANG,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1501), 1,
      sym__special_character,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1513), 1,
      sym_test_operator,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1503), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1903), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61083] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
    ACTIONS(3626), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1239), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3624), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3620), 1,
      anon_sym_RBRACE,
    ACTIONS(3630), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1225), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3628), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61269] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3632), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
    ACTIONS(3638), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3636), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2555), 1,
      anon_sym_RBRACE,
    ACTIONS(2559), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2557), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61517] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3640), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3642), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3644), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61703] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_word,
    ACTIONS(1407), 1,
      anon_sym_BANG,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(2511), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      sym__special_character,
    ACTIONS(2515), 1,
      anon_sym_DQUOTE,
    ACTIONS(2519), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2521), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2523), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      sym_test_operator,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2517), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2525), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1576), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61765] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3642), 1,
      anon_sym_RBRACE,
    ACTIONS(3648), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3646), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61827] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2555), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2563), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2579), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62013] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2587), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62137] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2925), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62199] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3650), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62261] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62323] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2917), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62385] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3654), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62447] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3656), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3656), 1,
      anon_sym_RBRACE,
    ACTIONS(3660), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3658), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62571] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3662), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62633] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3662), 1,
      anon_sym_RBRACE,
    ACTIONS(3666), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1249), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3664), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62695] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    ACTIONS(2625), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1252), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2623), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62757] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3668), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3668), 1,
      anon_sym_RBRACE,
    ACTIONS(3672), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3670), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62881] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62943] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2629), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3674), 1,
      anon_sym_RBRACE,
    ACTIONS(3678), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1283), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3676), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63253] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3680), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63315] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3682), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63377] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3674), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63439] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_word,
    ACTIONS(1495), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_BANG,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1501), 1,
      sym__special_character,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1513), 1,
      sym_test_operator,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1503), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1897), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63501] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3684), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63625] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    ACTIONS(3690), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3688), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63687] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3692), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3692), 1,
      anon_sym_RBRACE,
    ACTIONS(3696), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1266), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3694), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(2913), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1282), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2911), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3698), 1,
      anon_sym_RBRACE,
    ACTIONS(3702), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1284), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3700), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63935] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1401), 1,
      sym_word,
    ACTIONS(1407), 1,
      anon_sym_BANG,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(2511), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      sym__special_character,
    ACTIONS(2515), 1,
      anon_sym_DQUOTE,
    ACTIONS(2519), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2521), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2523), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      sym_test_operator,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2517), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2525), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1599), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3698), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1270), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2681), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3704), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3704), 1,
      anon_sym_RBRACE,
    ACTIONS(3708), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1269), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3706), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64245] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3710), 1,
      anon_sym_RBRACE,
    ACTIONS(3714), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1285), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3712), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3710), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3716), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3718), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64493] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3720), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64555] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym_word,
    ACTIONS(1495), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_BANG,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1501), 1,
      sym__special_character,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1513), 1,
      sym_test_operator,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1503), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1912), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64679] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64741] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2853), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
    ACTIONS(3726), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1318), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3724), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64989] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(2849), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1302), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2847), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65051] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3728), 1,
      anon_sym_RBRACE,
    ACTIONS(3732), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1317), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3730), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65175] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3728), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65361] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
    ACTIONS(3740), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1316), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3738), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3742), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3744), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3746), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3746), 1,
      anon_sym_RBRACE,
    ACTIONS(3750), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3748), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3752), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3752), 1,
      anon_sym_RBRACE,
    ACTIONS(3756), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3754), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    ACTIONS(2775), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2773), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3758), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3758), 1,
      anon_sym_RBRACE,
    ACTIONS(3762), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3760), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3764), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3766), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      sym_word,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1475), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3768), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1479), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1658), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66601] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(3772), 1,
      sym_raw_string,
    ACTIONS(3774), 1,
      anon_sym_POUND,
    STATE(1798), 1,
      sym_string,
    ACTIONS(3770), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3776), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(537), 7,
      anon_sym_RBRACE,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [66648] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3791), 1,
      sym_file_descriptor,
    ACTIONS(3785), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1320), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3782), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3780), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1011), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66728] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3794), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1320), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3796), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66772] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1013), 1,
      anon_sym_LF,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(973), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(989), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1015), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1332), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3802), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym__special_character,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3806), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3808), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__concat,
    STATE(1354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym__special_character,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3814), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3816), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(969), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(971), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1329), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1011), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [67004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3794), 1,
      anon_sym_LF,
    ACTIONS(3820), 1,
      sym_file_descriptor,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1348), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3796), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3818), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67047] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      ts_builtin_sym_end,
    ACTIONS(985), 1,
      anon_sym_LF,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(973), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(989), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(987), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1332), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3802), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67096] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(995), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(997), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3794), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1344), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3796), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3802), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_LF,
    ACTIONS(3824), 1,
      anon_sym_DQUOTE,
    ACTIONS(3826), 1,
      sym_raw_string,
    STATE(1993), 1,
      sym_string,
    ACTIONS(3822), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(3828), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 11,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [67231] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LF,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3820), 1,
      sym_file_descriptor,
    ACTIONS(959), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1001), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1329), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3818), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67280] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3838), 1,
      anon_sym_DOLLAR,
    ACTIONS(3840), 1,
      sym_file_descriptor,
    ACTIONS(3843), 1,
      sym_variable_name,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(3832), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    STATE(1335), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(3835), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3830), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67325] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1017), 1,
      anon_sym_LF,
    ACTIONS(3820), 1,
      sym_file_descriptor,
    ACTIONS(551), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1019), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1329), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3818), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67374] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_BQUOTE,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1116), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1029), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1067), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1118), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym__special_character,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3848), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      sym__special_character,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1248), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1332), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1011), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [67532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(969), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1332), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(971), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [67569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      sym__concat,
    STATE(1389), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [67604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      anon_sym_BQUOTE,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1063), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1029), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1067), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1065), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67653] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3864), 1,
      sym_file_descriptor,
    ACTIONS(3778), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3858), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1344), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3780), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3855), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1329), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(971), 17,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [67733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1029), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(971), 17,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67770] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_LF,
    ACTIONS(959), 1,
      anon_sym_RPAREN,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(955), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67819] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3870), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3873), 1,
      sym_file_descriptor,
    ACTIONS(3785), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1348), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3780), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3867), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 1,
      sym__concat,
    STATE(1349), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1035), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67931] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__concat,
    STATE(1359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3881), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3879), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1035), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1167), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 1,
      sym__concat,
    STATE(1349), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1044), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68099] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_LF,
    ACTIONS(3894), 1,
      anon_sym_DOLLAR,
    ACTIONS(3897), 1,
      sym__special_character,
    ACTIONS(3900), 1,
      anon_sym_DQUOTE,
    ACTIONS(3903), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3906), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3909), 1,
      anon_sym_BQUOTE,
    STATE(1994), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3912), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3887), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3892), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [68189] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1086), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(997), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68237] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym__concat,
    STATE(1360), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1044), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1042), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68273] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3919), 1,
      sym__concat,
    STATE(1360), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1037), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68309] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_DQUOTE,
    ACTIONS(3924), 1,
      anon_sym_LF,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR,
    ACTIONS(3930), 1,
      sym__special_character,
    ACTIONS(3932), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3934), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3936), 1,
      anon_sym_BQUOTE,
    STATE(1994), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3938), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3922), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3926), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68363] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1151), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3940), 1,
      sym__special_character,
    STATE(1367), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1226), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1244), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68667] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__concat,
    STATE(1359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1078), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68703] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_DQUOTE,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR,
    ACTIONS(3930), 1,
      sym__special_character,
    ACTIONS(3932), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3934), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3936), 1,
      anon_sym_BQUOTE,
    ACTIONS(3943), 1,
      anon_sym_LF,
    STATE(1994), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3938), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3922), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3945), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__concat,
    STATE(1505), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1076), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [68793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1240), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1179), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__concat,
    STATE(1354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3879), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3881), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1195), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__concat,
    STATE(1354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3947), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3949), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      sym__concat,
    STATE(1381), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3853), 1,
      sym__concat,
    STATE(1389), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3954), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69189] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__concat,
    STATE(1359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3947), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69225] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1088), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1090), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [69271] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1092), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1094), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [69317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      sym__concat,
    STATE(1381), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1044), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69351] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [69399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1175), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69463] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1110), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(961), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(963), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1112), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [69509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 1,
      sym__special_character,
    STATE(1367), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1147), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1143), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__concat,
    STATE(1354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3962), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3964), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3966), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3968), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69802] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3972), 1,
      anon_sym_esac,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2676), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1579), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3978), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3980), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3982), 1,
      sym__special_character,
    STATE(1405), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1248), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3985), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3987), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3989), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3991), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3993), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3995), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70018] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(3997), 1,
      anon_sym_esac,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2711), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1568), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70075] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(3999), 1,
      anon_sym_esac,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2696), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1541), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 1,
      sym__concat,
    STATE(1411), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4004), 1,
      sym__concat,
    STATE(1411), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1044), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4008), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4012), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4016), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70295] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(4018), 1,
      anon_sym_esac,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2655), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1597), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70352] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(4020), 1,
      anon_sym_esac,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2685), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1535), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4024), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70440] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1125), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70471] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1129), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70502] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1226), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1228), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70533] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1167), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1169), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70564] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1257), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70595] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1035), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1037), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      sym__concat,
    ACTIONS(1157), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4028), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4032), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4036), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4040), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4044), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70812] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1181), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70843] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1244), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1246), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70874] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1240), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1242), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70905] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1238), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70936] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1238), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__concat,
    STATE(1505), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3879), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3881), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4048), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4050), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4052), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71064] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1185), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71095] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1195), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1197), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71126] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1193), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4054), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4056), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4060), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71219] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1189), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71250] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1155), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      sym__special_character,
    STATE(1405), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3814), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3816), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4066), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71347] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1159), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [71407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3962), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3964), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71442] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1171), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4070), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__concat,
    STATE(1505), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3947), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3949), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3964), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4074), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4078), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71632] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1177), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71663] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1165), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__concat,
    STATE(1505), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3962), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3964), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 1,
      sym__concat,
    ACTIONS(1131), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      sym__concat,
    ACTIONS(1135), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      sym__concat,
    ACTIONS(1139), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      sym__concat,
    ACTIONS(1143), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 1,
      sym__concat,
    ACTIONS(1147), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      sym__concat,
    ACTIONS(1163), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 1,
      sym__concat,
    ACTIONS(1175), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71946] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4080), 1,
      sym__concat,
    STATE(1467), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1037), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [71981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym__concat,
    ACTIONS(1173), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      sym__concat,
    ACTIONS(1161), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4083), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4085), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4089), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4093), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4097), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym__concat,
    ACTIONS(1187), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4101), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4105), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      sym__concat,
    ACTIONS(1191), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__concat,
    ACTIONS(1195), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72322] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1147), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1149), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      sym__concat,
    ACTIONS(1236), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      sym__concat,
    ACTIONS(1236), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      sym__concat,
    ACTIONS(1240), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4109), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      sym__concat,
    ACTIONS(1244), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4113), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 1,
      sym__concat,
    ACTIONS(1127), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72570] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4115), 1,
      sym__concat,
    STATE(1522), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1078), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [72605] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1143), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1145), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4119), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      sym__special_character,
    STATE(1405), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3848), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72702] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1141), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      sym__concat,
    ACTIONS(1255), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      sym__concat,
    ACTIONS(1226), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72795] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4121), 1,
      sym__special_character,
    STATE(1494), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1250), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      sym__concat,
    ACTIONS(1123), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4124), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4126), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72892] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1137), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3879), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3881), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4130), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3947), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3949), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__concat,
    ACTIONS(1167), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73055] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4115), 1,
      sym__concat,
    STATE(1522), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3954), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4132), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73090] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1133), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73121] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1151), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1153), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      sym__concat,
    STATE(1349), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1044), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73187] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__concat,
    STATE(1359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1048), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1050), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3881), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3949), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73284] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(4136), 1,
      anon_sym_esac,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2657), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1572), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      sym__concat,
    ACTIONS(1183), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4140), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73403] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(4142), 1,
      anon_sym_esac,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2658), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1573), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      sym__concat,
    ACTIONS(1151), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4146), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4150), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4152), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4154), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4158), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4160), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4162), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4164), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4166), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 1,
      sym__special_character,
    STATE(1405), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3806), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3808), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4168), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4170), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73743] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4172), 1,
      sym__concat,
    STATE(1467), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1044), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1042), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4176), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym__concat,
    ACTIONS(1035), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73840] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      sym__special_character,
    STATE(1494), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3848), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3846), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym__concat,
    ACTIONS(1179), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73906] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      sym__special_character,
    STATE(1494), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3808), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3806), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73941] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(4180), 1,
      anon_sym_esac,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2674), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3976), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1578), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1035), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1179), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74058] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1226), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1228), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74088] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1129), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74118] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74150] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74180] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2696), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3976), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74232] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1155), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74262] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4186), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4188), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [74330] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74362] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3881), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3879), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74392] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2706), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3976), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74444] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74476] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74506] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74538] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3947), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74568] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1167), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74598] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74628] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_LPAREN,
    ACTIONS(4206), 1,
      anon_sym_DOLLAR,
    ACTIONS(4208), 1,
      sym__special_character,
    ACTIONS(4210), 1,
      anon_sym_DQUOTE,
    ACTIONS(4212), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4216), 1,
      anon_sym_BQUOTE,
    ACTIONS(4220), 1,
      sym__empty_value,
    STATE(638), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4218), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(681), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4202), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(375), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74680] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1141), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1076), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [74740] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74772] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4115), 1,
      sym__concat,
    STATE(1522), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1078), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74806] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1165), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74836] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4224), 1,
      sym__special_character,
    STATE(1554), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1250), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74900] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1193), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74930] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4227), 1,
      sym__special_character,
    STATE(1557), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1250), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4230), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4188), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75060] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75090] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1143), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75152] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4234), 1,
      sym__concat,
    STATE(1671), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1078), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [75186] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      sym__special_character,
    ACTIONS(4242), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4248), 1,
      anon_sym_BQUOTE,
    ACTIONS(4252), 1,
      sym__empty_value,
    STATE(433), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4250), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(625), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4236), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(243), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75238] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1125), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75268] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      sym__special_character,
    STATE(1494), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1207), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75302] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2791), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3976), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1147), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4254), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4188), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1163), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75450] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2669), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3976), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75502] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2661), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3976), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1175), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75584] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4258), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4188), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75682] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2657), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3976), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75734] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2658), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3976), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75786] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4260), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75908] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75940] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75972] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DOLLAR,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    ACTIONS(4270), 1,
      sym__special_character,
    ACTIONS(4272), 1,
      anon_sym_DQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4276), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4278), 1,
      anon_sym_BQUOTE,
    ACTIONS(4282), 1,
      sym__empty_value,
    STATE(323), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4280), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(656), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4266), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(250), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76054] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4286), 1,
      sym__special_character,
    STATE(1557), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4284), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1195), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [76146] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1195), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1197), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76176] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76208] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76240] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1185), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76270] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_LPAREN,
    ACTIONS(4298), 1,
      anon_sym_DOLLAR,
    ACTIONS(4300), 1,
      sym__special_character,
    ACTIONS(4302), 1,
      anon_sym_DQUOTE,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4306), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_BQUOTE,
    ACTIONS(4312), 1,
      sym__empty_value,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4310), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(691), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4294), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(453), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76322] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76354] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2372), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym_concatenation,
    STATE(2711), 1,
      sym_last_case_item,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3976), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4316), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [76464] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76496] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76558] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1240), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76620] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(1679), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1078), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1244), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76684] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
    ACTIONS(4328), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_DOLLAR,
    ACTIONS(4332), 1,
      sym__special_character,
    ACTIONS(4334), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4336), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4338), 1,
      anon_sym_BQUOTE,
    ACTIONS(4342), 1,
      sym__empty_value,
    STATE(1567), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4340), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1729), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4326), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1506), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76736] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1137), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1255), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76826] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4344), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76858] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1143), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1145), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76888] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1133), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76918] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4346), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76950] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76982] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4352), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4188), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1226), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77080] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1151), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77110] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77140] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1147), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1149), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77200] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77230] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1167), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77292] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1240), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1242), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77322] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym_DOLLAR,
    ACTIONS(4358), 1,
      anon_sym_LPAREN,
    ACTIONS(4360), 1,
      sym__special_character,
    ACTIONS(4362), 1,
      anon_sym_DQUOTE,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_BQUOTE,
    ACTIONS(4372), 1,
      sym__empty_value,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4370), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(670), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4356), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(249), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [77402] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77432] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1181), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77462] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77494] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym__concat,
    STATE(1632), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1037), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77528] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1035), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1037), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77558] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77590] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1078), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4383), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [77648] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4383), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [77708] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4389), 1,
      anon_sym_LPAREN,
    ACTIONS(4391), 1,
      anon_sym_DOLLAR,
    ACTIONS(4393), 1,
      sym__special_character,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    ACTIONS(4397), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4399), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4401), 1,
      anon_sym_BQUOTE,
    ACTIONS(4405), 1,
      sym__empty_value,
    STATE(531), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4403), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(690), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(457), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77760] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4407), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(967), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4409), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4188), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77858] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      sym_word,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4415), 1,
      sym_raw_string,
    ACTIONS(4417), 1,
      anon_sym_POUND,
    STATE(2061), 1,
      sym_string,
    ACTIONS(4411), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(4419), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 8,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1151), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4421), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4188), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77966] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1171), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77996] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4288), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4423), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78025] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1185), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78054] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1151), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4044), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4040), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78141] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1181), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78170] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_RPAREN,
    ACTIONS(4428), 1,
      anon_sym_DOLLAR,
    ACTIONS(4431), 1,
      sym__special_character,
    ACTIONS(4434), 1,
      anon_sym_DQUOTE,
    ACTIONS(4437), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4440), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4443), 1,
      anon_sym_BQUOTE,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4446), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4425), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3966), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3968), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78248] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4451), 1,
      anon_sym_RPAREN,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4050), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4052), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      sym__concat,
    STATE(1718), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1078), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      sym__concat,
    STATE(1718), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4467), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4469), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4475), 1,
      sym__concat,
    ACTIONS(4471), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4473), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4036), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78452] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4477), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1655), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4150), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78530] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1125), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78559] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1035), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1037), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3978), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3980), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78617] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1226), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1228), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78646] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(1679), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3954), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4132), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78679] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4479), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1678), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78728] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1167), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3985), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3987), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78786] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4481), 1,
      sym__concat,
    STATE(1632), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1044), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1042), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4176), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4076), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4078), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78877] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 1,
      sym__concat,
    ACTIONS(4483), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4485), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78937] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__special_character,
    STATE(1554), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4284), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 1,
      sym__concat,
    ACTIONS(4491), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4493), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79001] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4497), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79050] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4499), 1,
      sym__concat,
    STATE(1687), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1044), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1042), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3964), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79112] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1129), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79141] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4501), 1,
      sym__special_character,
    STATE(1685), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4284), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4060), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4048), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79232] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4503), 1,
      sym__special_character,
    STATE(1685), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1250), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4152), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4154), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79294] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4506), 1,
      sym__concat,
    STATE(1687), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1037), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79327] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1361), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1359), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4509), 1,
      sym__concat,
    STATE(1689), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1037), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4032), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79418] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1374), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1372), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4074), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79476] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4512), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79525] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1244), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79554] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1240), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1242), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3989), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3991), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3881), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79641] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79670] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4101), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4028), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3949), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79786] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1195), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1197), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4083), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4085), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79844] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1193), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4109), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79902] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79931] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1155), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4119), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79989] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4158), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80047] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1171), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4089), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80105] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4514), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1693), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80154] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4516), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80203] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4518), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1725), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4093), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1689), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1044), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1042), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4164), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4166), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4070), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3993), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3995), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80401] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4234), 1,
      sym__concat,
    STATE(1671), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3954), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4132), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4124), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4126), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4066), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80492] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4522), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4140), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4130), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80599] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80628] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1048), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1050), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80657] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1165), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80686] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1147), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1149), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80715] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1143), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1145), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80744] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1141), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80773] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1137), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80802] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1133), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80831] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4524), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1759), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4008), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4097), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80938] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1078), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [80967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      sym__concat,
    ACTIONS(4526), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4528), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80998] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4538), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DQUOTE,
    ACTIONS(4544), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4547), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4550), 1,
      anon_sym_BQUOTE,
    STATE(2361), 1,
      aux_sym__literal_repeat1,
    STATE(2506), 1,
      sym_concatenation,
    ACTIONS(4553), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1741), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4532), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2380), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81047] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4556), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4146), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81105] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4558), 1,
      sym__special_character,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4284), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81138] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4383), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81167] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1078), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [81196] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4383), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4105), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81254] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4562), 1,
      sym__special_character,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1250), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4024), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4160), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4162), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81345] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4565), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1715), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4016), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4054), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4056), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4168), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4170), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4012), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81510] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4567), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81559] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4316), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4569), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81588] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4571), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4113), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81666] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4455), 1,
      sym__special_character,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4573), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1757), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4449), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2022), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4575), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4577), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81743] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(1368), 1,
      sym__special_character,
    ACTIONS(4581), 1,
      sym_regex,
    STATE(315), 1,
      aux_sym__literal_repeat1,
    STATE(640), 1,
      sym_concatenation,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81791] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2452), 1,
      aux_sym__literal_repeat1,
    STATE(2780), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4583), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2451), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81839] = 13,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__special_character,
    ACTIONS(4601), 1,
      sym_regex,
    STATE(383), 1,
      aux_sym__literal_repeat1,
    STATE(634), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81887] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2445), 1,
      aux_sym__literal_repeat1,
    STATE(2671), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4603), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2446), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81935] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2539), 1,
      aux_sym__literal_repeat1,
    STATE(2820), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4605), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2546), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81983] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2425), 1,
      aux_sym__literal_repeat1,
    STATE(2803), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4607), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4609), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4611), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82059] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2502), 1,
      aux_sym__literal_repeat1,
    STATE(2817), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4613), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2517), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82107] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR,
    ACTIONS(4617), 1,
      sym__special_character,
    ACTIONS(4619), 1,
      anon_sym_DQUOTE,
    ACTIONS(4621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4623), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4625), 1,
      anon_sym_BQUOTE,
    STATE(1994), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1361), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82153] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2510), 1,
      aux_sym__literal_repeat1,
    STATE(2714), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4629), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2464), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82201] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1078), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82229] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2483), 1,
      aux_sym__literal_repeat1,
    STATE(2805), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4631), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2422), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82277] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2429), 1,
      aux_sym__literal_repeat1,
    STATE(2802), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4633), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2428), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4473), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82353] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2434), 1,
      aux_sym__literal_repeat1,
    STATE(2798), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4635), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82401] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2441), 1,
      aux_sym__literal_repeat1,
    STATE(2789), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4637), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2439), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82449] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4639), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COLON,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [82485] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2460), 1,
      aux_sym__literal_repeat1,
    STATE(2777), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4651), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4528), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82561] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2424), 1,
      aux_sym__literal_repeat1,
    STATE(2804), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4653), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2423), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82609] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1355), 1,
      sym__special_character,
    ACTIONS(4657), 1,
      sym_regex,
    STATE(478), 1,
      aux_sym__literal_repeat1,
    STATE(500), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4655), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82657] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2531), 1,
      aux_sym__literal_repeat1,
    STATE(2736), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4659), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82705] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1137), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82733] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1141), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82761] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1143), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1145), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82789] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1147), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1149), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82817] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1165), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82845] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2448), 1,
      aux_sym__literal_repeat1,
    STATE(2775), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4661), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2497), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82893] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82921] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1171), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82949] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82977] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1155), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83005] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83033] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2431), 1,
      aux_sym__literal_repeat1,
    STATE(2697), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4663), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2515), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83081] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1129), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83137] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1193), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83165] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2491), 1,
      aux_sym__literal_repeat1,
    STATE(2818), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2503), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83213] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2455), 1,
      aux_sym__literal_repeat1,
    STATE(2778), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4667), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2457), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83261] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2285), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2536), 1,
      aux_sym__literal_repeat1,
    STATE(2726), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4669), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2542), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83309] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2469), 1,
      aux_sym__literal_repeat1,
    STATE(2773), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4671), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2474), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1169), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83385] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2461), 1,
      aux_sym__literal_repeat1,
    STATE(2666), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4673), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2437), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83433] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
    STATE(2764), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4675), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2488), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83481] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1195), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1197), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83509] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2438), 1,
      aux_sym__literal_repeat1,
    STATE(2792), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4677), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2436), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83557] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2481), 1,
      aux_sym__literal_repeat1,
    STATE(2662), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4679), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2432), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83605] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2518), 1,
      aux_sym__literal_repeat1,
    STATE(2821), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4681), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2543), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83653] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2501), 1,
      aux_sym__literal_repeat1,
    STATE(2753), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4683), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2499), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83701] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2449), 1,
      aux_sym__literal_repeat1,
    STATE(2673), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4685), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2443), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83749] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2433), 1,
      aux_sym__literal_repeat1,
    STATE(2654), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4687), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2427), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      sym__special_character,
    STATE(1814), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1250), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83829] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2435), 1,
      aux_sym__literal_repeat1,
    STATE(2667), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4692), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2442), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83877] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1185), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83905] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1151), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83933] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2454), 1,
      aux_sym__literal_repeat1,
    STATE(2684), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4694), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2456), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83981] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2466), 1,
      aux_sym__literal_repeat1,
    STATE(2782), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4696), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2430), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1037), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84057] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2492), 1,
      aux_sym__literal_repeat1,
    STATE(2749), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4698), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2513), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84105] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2463), 1,
      aux_sym__literal_repeat1,
    STATE(2687), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4700), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2462), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84153] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1257), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84181] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2477), 1,
      aux_sym__literal_repeat1,
    STATE(2663), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4702), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1181), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84257] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84285] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1240), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1242), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84313] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1153), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84369] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1181), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1185), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84425] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2529), 1,
      aux_sym__literal_repeat1,
    STATE(2742), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4704), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2528), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84473] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2470), 1,
      aux_sym__literal_repeat1,
    STATE(2691), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4706), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2473), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84521] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2983), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2489), 1,
      aux_sym__literal_repeat1,
    STATE(2702), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4708), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2484), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1133), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84597] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1035), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1037), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84625] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2447), 1,
      aux_sym__literal_repeat1,
    STATE(2781), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4710), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1137), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84701] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1078), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1141), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84757] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1133), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1145), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1149), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84841] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2475), 1,
      aux_sym__literal_repeat1,
    STATE(2768), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4712), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2482), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84889] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2512), 1,
      aux_sym__literal_repeat1,
    STATE(2748), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4714), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2519), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1165), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84965] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2468), 1,
      aux_sym__literal_repeat1,
    STATE(2693), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4716), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2480), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85013] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1167), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1177), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85069] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1226), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1228), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85097] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2522), 1,
      aux_sym__literal_repeat1,
    STATE(2783), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4718), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2514), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85145] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1129), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85173] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1125), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1171), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85229] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2535), 1,
      aux_sym__literal_repeat1,
    STATE(2733), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4720), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2534), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1125), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85305] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2925), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2526), 1,
      aux_sym__literal_repeat1,
    STATE(2743), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4722), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2527), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1228), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1159), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 1,
      sym__special_character,
    STATE(1814), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4724), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4726), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85441] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2538), 1,
      aux_sym__literal_repeat1,
    STATE(2727), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4730), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2537), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85489] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2509), 1,
      aux_sym__literal_repeat1,
    STATE(2750), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4732), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2511), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85537] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2504), 1,
      aux_sym__literal_repeat1,
    STATE(2709), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4734), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2500), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1257), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85613] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2579), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2485), 1,
      aux_sym__literal_repeat1,
    STATE(2701), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4736), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2493), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85661] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1607), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2544), 1,
      aux_sym__literal_repeat1,
    STATE(2718), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4738), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2545), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85709] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2525), 1,
      aux_sym__literal_repeat1,
    STATE(2738), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4740), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2530), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1155), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1189), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85813] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2521), 1,
      aux_sym__literal_repeat1,
    STATE(2715), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4742), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2524), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85861] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2540), 1,
      aux_sym__literal_repeat1,
    STATE(2723), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4744), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2541), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1193), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1197), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85965] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR,
    ACTIONS(4617), 1,
      sym__special_character,
    ACTIONS(4619), 1,
      anon_sym_DQUOTE,
    ACTIONS(4621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4623), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4625), 1,
      anon_sym_BQUOTE,
    STATE(1994), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1372), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86011] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4587), 1,
      sym__special_character,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    STATE(2496), 1,
      aux_sym__literal_repeat1,
    STATE(2708), 1,
      sym_concatenation,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4746), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2498), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1246), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1242), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1236), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1238), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1236), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1238), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86171] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4556), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86198] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
    ACTIONS(4330), 1,
      anon_sym_DOLLAR,
    ACTIONS(4332), 1,
      sym__special_character,
    ACTIONS(4334), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4336), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4338), 1,
      anon_sym_BQUOTE,
    STATE(1527), 1,
      aux_sym__literal_repeat1,
    STATE(1545), 1,
      sym_concatenation,
    ACTIONS(4340), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4748), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1386), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86243] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4639), 1,
      anon_sym_RBRACK,
    ACTIONS(4756), 1,
      anon_sym_QMARK,
    ACTIONS(4752), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4758), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4754), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4750), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86278] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_DOLLAR,
    ACTIONS(4764), 1,
      sym__special_character,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    STATE(1338), 1,
      aux_sym__literal_repeat1,
    STATE(1507), 1,
      sym_concatenation,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86323] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_RPAREN,
    ACTIONS(4784), 1,
      anon_sym_QMARK,
    ACTIONS(4780), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4786), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4782), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4778), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86358] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4288), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4423), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86385] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4788), 1,
      anon_sym_COLON,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86420] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4790), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86455] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_DOLLAR,
    ACTIONS(4796), 1,
      sym__special_character,
    ACTIONS(4798), 1,
      anon_sym_DQUOTE,
    ACTIONS(4800), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4802), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4804), 1,
      anon_sym_BQUOTE,
    STATE(2275), 1,
      aux_sym__literal_repeat1,
    STATE(2350), 1,
      sym_concatenation,
    ACTIONS(4806), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4792), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86500] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_DOLLAR,
    ACTIONS(4812), 1,
      sym__special_character,
    ACTIONS(4814), 1,
      anon_sym_DQUOTE,
    ACTIONS(4816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4820), 1,
      anon_sym_BQUOTE,
    STATE(1490), 1,
      aux_sym__literal_repeat1,
    STATE(1697), 1,
      sym_concatenation,
    ACTIONS(4822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4808), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1498), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86545] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4383), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86572] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4824), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86607] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4826), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86642] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86677] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4288), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4423), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86704] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4838), 1,
      anon_sym_QMARK,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4834), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4836), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4830), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86739] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_QMARK,
    ACTIONS(4840), 1,
      anon_sym_RPAREN,
    ACTIONS(4780), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4786), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4782), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4778), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86774] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4383), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86801] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86836] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4383), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86863] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4316), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4569), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86890] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4844), 1,
      anon_sym_COLON,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86925] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_DOLLAR,
    ACTIONS(4796), 1,
      sym__special_character,
    ACTIONS(4798), 1,
      anon_sym_DQUOTE,
    ACTIONS(4800), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4802), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4804), 1,
      anon_sym_BQUOTE,
    STATE(2270), 1,
      aux_sym__literal_repeat1,
    STATE(2371), 1,
      sym_concatenation,
    ACTIONS(4806), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4846), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2271), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86970] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4316), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4569), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86997] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4848), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1078), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87059] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4838), 1,
      anon_sym_QMARK,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4834), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4836), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4830), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87094] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_DOLLAR,
    ACTIONS(4812), 1,
      sym__special_character,
    ACTIONS(4814), 1,
      anon_sym_DQUOTE,
    ACTIONS(4816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4820), 1,
      anon_sym_BQUOTE,
    STATE(1520), 1,
      aux_sym__literal_repeat1,
    STATE(1702), 1,
      sym_concatenation,
    ACTIONS(4822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4850), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1500), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87139] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3974), 1,
      sym__special_character,
    STATE(2384), 1,
      aux_sym__literal_repeat1,
    STATE(2559), 1,
      sym_concatenation,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4852), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2388), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87184] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_DOLLAR,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    ACTIONS(4856), 1,
      sym__special_character,
    STATE(1338), 1,
      aux_sym__literal_repeat1,
    STATE(1507), 1,
      sym_concatenation,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4854), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1436), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87229] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_QMARK,
    ACTIONS(4832), 1,
      anon_sym_RBRACK,
    ACTIONS(4752), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4758), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4754), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4750), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87264] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_DOLLAR,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    ACTIONS(4856), 1,
      sym__special_character,
    STATE(1324), 1,
      aux_sym__literal_repeat1,
    STATE(1508), 1,
      sym_concatenation,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4858), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1453), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87309] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4639), 1,
      anon_sym_RPAREN,
    ACTIONS(4784), 1,
      anon_sym_QMARK,
    ACTIONS(4780), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4786), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4782), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4778), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87344] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_DOLLAR,
    ACTIONS(4812), 1,
      sym__special_character,
    ACTIONS(4814), 1,
      anon_sym_DQUOTE,
    ACTIONS(4816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4820), 1,
      anon_sym_BQUOTE,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    STATE(1680), 1,
      sym_concatenation,
    ACTIONS(4822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4860), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87389] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_DOLLAR,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    ACTIONS(4856), 1,
      sym__special_character,
    STATE(1326), 1,
      aux_sym__literal_repeat1,
    STATE(1454), 1,
      sym_concatenation,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4862), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87434] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4864), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87469] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_QMARK,
    ACTIONS(4866), 1,
      anon_sym_RPAREN,
    ACTIONS(4780), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4786), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4782), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4778), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87504] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4868), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87539] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4870), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87574] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4872), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87609] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4874), 1,
      anon_sym_COLON,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87644] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4639), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4838), 1,
      anon_sym_QMARK,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4834), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4836), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4830), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87679] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_DOLLAR,
    ACTIONS(4764), 1,
      sym__special_character,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    STATE(1324), 1,
      aux_sym__literal_repeat1,
    STATE(1508), 1,
      sym_concatenation,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4876), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1380), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87724] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_QMARK,
    ACTIONS(4878), 1,
      anon_sym_RPAREN,
    ACTIONS(4780), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4786), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4782), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4778), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87759] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(4882), 1,
      sym__special_character,
    STATE(2390), 1,
      aux_sym__literal_repeat1,
    STATE(2590), 1,
      sym_concatenation,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2478), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87804] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_DOLLAR,
    ACTIONS(4764), 1,
      sym__special_character,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    STATE(1326), 1,
      aux_sym__literal_repeat1,
    STATE(1454), 1,
      sym_concatenation,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87849] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4383), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [87876] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4832), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87911] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_QMARK,
    ACTIONS(4886), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4643), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4649), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4645), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4641), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87946] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_QMARK,
    ACTIONS(4824), 1,
      anon_sym_RBRACK,
    ACTIONS(4752), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4758), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4754), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4750), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87981] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(4882), 1,
      sym__special_character,
    STATE(2392), 1,
      aux_sym__literal_repeat1,
    STATE(2581), 1,
      sym_concatenation,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2495), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88026] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4556), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [88053] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
    ACTIONS(4330), 1,
      anon_sym_DOLLAR,
    ACTIONS(4332), 1,
      sym__special_character,
    ACTIONS(4334), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4336), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4338), 1,
      anon_sym_BQUOTE,
    STATE(1525), 1,
      aux_sym__literal_repeat1,
    STATE(1540), 1,
      sym_concatenation,
    ACTIONS(4340), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4890), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1351), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88098] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(4894), 1,
      anon_sym_RBRACK,
    ACTIONS(4896), 1,
      sym__special_character,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4892), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1836), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_LF,
    ACTIONS(4900), 1,
      anon_sym_DQUOTE,
    ACTIONS(4902), 1,
      sym_raw_string,
    STATE(2292), 1,
      sym_string,
    ACTIONS(535), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4898), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(4904), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [88176] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(4896), 1,
      sym__special_character,
    ACTIONS(4906), 1,
      anon_sym_RBRACK,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4892), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1836), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 1,
      anon_sym_LF,
    ACTIONS(4908), 1,
      sym__concat,
    STATE(1978), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1044), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88247] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_DOLLAR,
    ACTIONS(4814), 1,
      anon_sym_DQUOTE,
    ACTIONS(4816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4820), 1,
      anon_sym_BQUOTE,
    ACTIONS(4822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4910), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1529), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88284] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4912), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1633), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88321] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4248), 1,
      anon_sym_BQUOTE,
    ACTIONS(4916), 1,
      anon_sym_DOLLAR,
    ACTIONS(4250), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(288), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88358] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4920), 1,
      anon_sym_DOLLAR,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4918), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2080), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88395] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4922), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(335), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88432] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_DQUOTE,
    ACTIONS(4212), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4216), 1,
      anon_sym_BQUOTE,
    ACTIONS(4926), 1,
      anon_sym_DOLLAR,
    ACTIONS(4218), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4924), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88469] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(4928), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4922), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(335), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88506] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_DQUOTE,
    ACTIONS(2519), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2521), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2523), 1,
      anon_sym_BQUOTE,
    ACTIONS(4932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2525), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4930), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1524), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88543] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4892), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1836), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88580] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    ACTIONS(4936), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4934), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1352), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88617] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(4242), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4248), 1,
      anon_sym_BQUOTE,
    ACTIONS(4250), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(288), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88654] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(4940), 1,
      anon_sym_DOLLAR,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4938), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1664), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88691] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_DOLLAR,
    ACTIONS(4944), 1,
      anon_sym_DQUOTE,
    ACTIONS(4946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4950), 1,
      anon_sym_BQUOTE,
    ACTIONS(4952), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4942), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(589), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88728] = 9,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4954), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(442), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88765] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_DQUOTE,
    ACTIONS(4816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4820), 1,
      anon_sym_BQUOTE,
    ACTIONS(4956), 1,
      anon_sym_DOLLAR,
    ACTIONS(4822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4910), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1529), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88802] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_DQUOTE,
    ACTIONS(4946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4950), 1,
      anon_sym_BQUOTE,
    ACTIONS(4958), 1,
      anon_sym_DOLLAR,
    ACTIONS(4952), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4942), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(589), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88839] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
    ACTIONS(4334), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4336), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4338), 1,
      anon_sym_BQUOTE,
    ACTIONS(4962), 1,
      anon_sym_DOLLAR,
    ACTIONS(4340), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4960), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1424), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88876] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(4964), 1,
      anon_sym_DOLLAR,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4892), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1836), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88913] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_DOLLAR,
    ACTIONS(4302), 1,
      anon_sym_DQUOTE,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4306), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_BQUOTE,
    ACTIONS(4310), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4966), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(562), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88950] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOLLAR,
    ACTIONS(4972), 1,
      anon_sym_DQUOTE,
    ACTIONS(4974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4976), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4978), 1,
      anon_sym_BQUOTE,
    ACTIONS(4980), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4968), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(624), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88987] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_DQUOTE,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_BQUOTE,
    ACTIONS(4984), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4982), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89024] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4391), 1,
      anon_sym_DOLLAR,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    ACTIONS(4397), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4399), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4401), 1,
      anon_sym_BQUOTE,
    ACTIONS(4403), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4986), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(524), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89061] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1693), 1,
      anon_sym_BQUOTE,
    ACTIONS(4988), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4912), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1633), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89098] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_DQUOTE,
    ACTIONS(4800), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4802), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4804), 1,
      anon_sym_BQUOTE,
    ACTIONS(4992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4806), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4990), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2343), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89135] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym_DOLLAR,
    ACTIONS(4362), 1,
      anon_sym_DQUOTE,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_BQUOTE,
    ACTIONS(4370), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4982), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89172] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_DOLLAR,
    ACTIONS(4798), 1,
      anon_sym_DQUOTE,
    ACTIONS(4800), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4802), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4804), 1,
      anon_sym_BQUOTE,
    ACTIONS(4806), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4990), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2343), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89209] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4994), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(289), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89246] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_DOLLAR,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4996), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2602), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89283] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(5000), 1,
      anon_sym_DOLLAR,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4998), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1820), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89320] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1499), 1,
      anon_sym_DOLLAR,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4938), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1664), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89357] = 9,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5002), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4954), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(442), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89394] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_DOLLAR,
    ACTIONS(4210), 1,
      anon_sym_DQUOTE,
    ACTIONS(4212), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4214), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4216), 1,
      anon_sym_BQUOTE,
    ACTIONS(4218), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4924), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89431] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DOLLAR,
    ACTIONS(2515), 1,
      anon_sym_DQUOTE,
    ACTIONS(2519), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2521), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2523), 1,
      anon_sym_BQUOTE,
    ACTIONS(2525), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4930), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1524), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89468] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(4591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_BQUOTE,
    ACTIONS(5004), 1,
      anon_sym_DOLLAR,
    ACTIONS(4597), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4996), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2602), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89505] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR,
    ACTIONS(4619), 1,
      anon_sym_DQUOTE,
    ACTIONS(4621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4623), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4625), 1,
      anon_sym_BQUOTE,
    ACTIONS(4627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5006), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89542] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DOLLAR,
    ACTIONS(4272), 1,
      anon_sym_DQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4276), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4278), 1,
      anon_sym_BQUOTE,
    ACTIONS(4280), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5008), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(464), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89579] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(5010), 1,
      anon_sym_DOLLAR,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4938), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1664), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89616] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5014), 1,
      anon_sym_DOLLAR,
    ACTIONS(5016), 1,
      anon_sym_DQUOTE,
    ACTIONS(5018), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5020), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5022), 1,
      anon_sym_BQUOTE,
    ACTIONS(5024), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5012), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(620), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LF,
    ACTIONS(5026), 1,
      sym__concat,
    STATE(1936), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89682] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(3095), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BQUOTE,
    ACTIONS(5028), 1,
      anon_sym_DOLLAR,
    ACTIONS(3101), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4892), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1836), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89719] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_DOLLAR,
    ACTIONS(5016), 1,
      anon_sym_DQUOTE,
    ACTIONS(5018), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5020), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5022), 1,
      anon_sym_BQUOTE,
    ACTIONS(5024), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5012), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(620), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_LF,
    ACTIONS(5030), 1,
      sym__concat,
    STATE(1978), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89785] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4619), 1,
      anon_sym_DQUOTE,
    ACTIONS(4621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4623), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4625), 1,
      anon_sym_BQUOTE,
    ACTIONS(5033), 1,
      anon_sym_DOLLAR,
    ACTIONS(4627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5006), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2000), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      sym__concat,
    ACTIONS(5037), 1,
      anon_sym_LF,
    STATE(1936), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5035), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89851] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    ACTIONS(4463), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4918), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2080), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89888] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_DOLLAR,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1485), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4998), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1820), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89925] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    ACTIONS(5039), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4934), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1352), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89962] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_DQUOTE,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4306), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_BQUOTE,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR,
    ACTIONS(4310), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4966), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(562), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89999] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
    ACTIONS(4330), 1,
      anon_sym_DOLLAR,
    ACTIONS(4334), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4336), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4338), 1,
      anon_sym_BQUOTE,
    ACTIONS(4340), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4960), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1424), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90036] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_DOLLAR,
    ACTIONS(4972), 1,
      anon_sym_DQUOTE,
    ACTIONS(4974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4976), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4978), 1,
      anon_sym_BQUOTE,
    ACTIONS(4980), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4968), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(624), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90073] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4994), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(289), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90110] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_DQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4276), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4278), 1,
      anon_sym_BQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DOLLAR,
    ACTIONS(4280), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5008), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(464), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90147] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    ACTIONS(4397), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4399), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4401), 1,
      anon_sym_BQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DOLLAR,
    ACTIONS(4403), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4986), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(524), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90184] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_DOLLAR,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    ACTIONS(4774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4934), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1352), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1244), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 1,
      anon_sym_LF,
    ACTIONS(5053), 1,
      sym__special_character,
    STATE(2002), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5049), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1143), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1167), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1147), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1163), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1035), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1226), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LF,
    ACTIONS(5055), 1,
      sym__special_character,
    STATE(2002), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1175), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1179), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1240), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1151), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1195), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90901] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(1449), 1,
      sym_raw_string,
    STATE(1852), 1,
      sym_string,
    ACTIONS(537), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1453), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1451), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1445), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LF,
    ACTIONS(1076), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90957] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1461), 1,
      sym_raw_string,
    STATE(1681), 1,
      sym_string,
    ACTIONS(537), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1465), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1463), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1457), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90990] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5058), 1,
      sym__concat,
    STATE(2023), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5037), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91016] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1044), 1,
      anon_sym_DOLLAR,
    ACTIONS(5060), 1,
      sym__concat,
    STATE(2026), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91042] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 1,
      anon_sym_DOLLAR,
    ACTIONS(5058), 1,
      sym__concat,
    STATE(2023), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_RBRACE,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(5064), 1,
      sym_raw_string,
    STATE(2572), 1,
      sym_string,
    ACTIONS(5068), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5066), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5062), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91100] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5070), 1,
      sym__concat,
    STATE(2026), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1037), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91126] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 1,
      anon_sym_RBRACE,
    ACTIONS(5083), 1,
      sym_variable_name,
    STATE(797), 1,
      sym_subscript,
    ACTIONS(5075), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5081), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5077), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5079), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_RBRACE,
    ACTIONS(5095), 1,
      sym_variable_name,
    STATE(830), 1,
      sym_subscript,
    ACTIONS(5087), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5093), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5089), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5091), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 1,
      anon_sym_RBRACE,
    ACTIONS(5107), 1,
      sym_variable_name,
    STATE(755), 1,
      sym_subscript,
    ACTIONS(5099), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5105), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5101), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5103), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 1,
      anon_sym_DQUOTE,
    ACTIONS(5111), 1,
      sym_raw_string,
    STATE(631), 1,
      sym_string,
    ACTIONS(5113), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(770), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5109), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91248] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR,
    ACTIONS(1133), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    ACTIONS(5117), 1,
      sym_raw_string,
    STATE(511), 1,
      sym_string,
    ACTIONS(5119), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(637), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5115), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91298] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_DOLLAR,
    ACTIONS(1137), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_RBRACE,
    ACTIONS(5131), 1,
      sym_variable_name,
    STATE(904), 1,
      sym_subscript,
    ACTIONS(5123), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5129), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5125), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5127), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_RBRACE,
    ACTIONS(5143), 1,
      sym_variable_name,
    STATE(877), 1,
      sym_subscript,
    ACTIONS(5135), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5141), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5137), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5139), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91381] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_DQUOTE,
    ACTIONS(5147), 1,
      sym_raw_string,
    STATE(566), 1,
      sym_string,
    ACTIONS(5149), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(629), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5145), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91410] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR,
    ACTIONS(1141), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91431] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR,
    ACTIONS(1145), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91452] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_DOLLAR,
    ACTIONS(1149), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91473] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_DOLLAR,
    ACTIONS(1165), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91494] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_DOLLAR,
    ACTIONS(1177), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91515] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_RBRACE,
    ACTIONS(5161), 1,
      sym_variable_name,
    STATE(820), 1,
      sym_subscript,
    ACTIONS(5153), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5159), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5155), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5157), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91546] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_RBRACE,
    ACTIONS(5173), 1,
      sym_variable_name,
    STATE(854), 1,
      sym_subscript,
    ACTIONS(5165), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5167), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5169), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_DQUOTE,
    ACTIONS(5177), 1,
      sym_raw_string,
    STATE(2292), 1,
      sym_string,
    ACTIONS(5179), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(4904), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5175), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91606] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR,
    ACTIONS(1171), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91627] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1159), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91648] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_DOLLAR,
    ACTIONS(1155), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91669] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_DOLLAR,
    ACTIONS(1189), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91690] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOLLAR,
    ACTIONS(1193), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91711] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_DQUOTE,
    ACTIONS(5183), 1,
      sym_raw_string,
    STATE(586), 1,
      sym_string,
    ACTIONS(5185), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(927), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5181), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_RBRACE,
    ACTIONS(5197), 1,
      sym_variable_name,
    STATE(809), 1,
      sym_subscript,
    ACTIONS(5189), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5195), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5191), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5193), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91771] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_RBRACE,
    ACTIONS(5209), 1,
      sym_variable_name,
    STATE(771), 1,
      sym_subscript,
    ACTIONS(5201), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5207), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5203), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5205), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91802] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 1,
      anon_sym_RBRACE,
    ACTIONS(5221), 1,
      sym_variable_name,
    STATE(714), 1,
      sym_subscript,
    ACTIONS(5213), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5219), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5215), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5217), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4619), 1,
      anon_sym_DQUOTE,
    ACTIONS(5225), 1,
      sym_raw_string,
    STATE(1993), 1,
      sym_string,
    ACTIONS(5227), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(3828), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5223), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_RBRACE,
    ACTIONS(5239), 1,
      sym_variable_name,
    STATE(840), 1,
      sym_subscript,
    ACTIONS(5231), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5237), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5233), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5235), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91893] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_raw_string,
    STATE(1532), 1,
      sym_string,
    ACTIONS(1437), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1435), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1429), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91922] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_DQUOTE,
    ACTIONS(5243), 1,
      sym_raw_string,
    STATE(560), 1,
      sym_string,
    ACTIONS(5245), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(599), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5241), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91951] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_DQUOTE,
    ACTIONS(1449), 1,
      sym_raw_string,
    STATE(1852), 1,
      sym_string,
    ACTIONS(1453), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1451), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1445), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91980] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_RBRACE,
    ACTIONS(5257), 1,
      sym_variable_name,
    STATE(921), 1,
      sym_subscript,
    ACTIONS(5249), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5255), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5251), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5253), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_DQUOTE,
    ACTIONS(5261), 1,
      sym_raw_string,
    STATE(1486), 1,
      sym_string,
    ACTIONS(5263), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1389), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5259), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92040] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_DOLLAR,
    ACTIONS(1129), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92061] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_RBRACE,
    ACTIONS(5275), 1,
      sym_variable_name,
    STATE(845), 1,
      sym_subscript,
    ACTIONS(5267), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5273), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5269), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5271), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_RBRACE,
    ACTIONS(5287), 1,
      sym_variable_name,
    STATE(779), 1,
      sym_subscript,
    ACTIONS(5279), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5285), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5281), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5283), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92123] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      sym_raw_string,
    STATE(1355), 1,
      sym_string,
    ACTIONS(5293), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1205), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5289), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92152] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(5297), 1,
      sym_raw_string,
    STATE(308), 1,
      sym_string,
    ACTIONS(5299), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(569), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5295), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92181] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 1,
      anon_sym_RBRACE,
    ACTIONS(5311), 1,
      sym_variable_name,
    STATE(716), 1,
      sym_subscript,
    ACTIONS(5303), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5309), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5305), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5307), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_RBRACE,
    ACTIONS(5323), 1,
      sym_variable_name,
    STATE(896), 1,
      sym_subscript,
    ACTIONS(5315), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5321), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5317), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5319), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_RBRACE,
    ACTIONS(5335), 1,
      sym_variable_name,
    STATE(912), 1,
      sym_subscript,
    ACTIONS(5327), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5333), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5329), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5331), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(5339), 1,
      sym_raw_string,
    STATE(361), 1,
      sym_string,
    ACTIONS(5341), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(545), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5337), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(5345), 1,
      sym_raw_string,
    STATE(468), 1,
      sym_string,
    ACTIONS(5347), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(561), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5343), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92332] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      anon_sym_RBRACE,
    ACTIONS(5359), 1,
      sym_variable_name,
    STATE(706), 1,
      sym_subscript,
    ACTIONS(5351), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5357), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5353), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5355), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_DQUOTE,
    ACTIONS(4415), 1,
      sym_raw_string,
    STATE(2061), 1,
      sym_string,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(4419), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4417), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92392] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(1238), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92413] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_DOLLAR,
    ACTIONS(1169), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92434] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(1238), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92455] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1240), 1,
      anon_sym_DOLLAR,
    ACTIONS(1242), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92476] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1244), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92497] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_RBRACE,
    ACTIONS(5373), 1,
      sym_variable_name,
    STATE(800), 1,
      sym_subscript,
    ACTIONS(5365), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5371), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5367), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5369), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      anon_sym_RBRACE,
    ACTIONS(5385), 1,
      sym_variable_name,
    STATE(888), 1,
      sym_subscript,
    ACTIONS(5377), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5383), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5379), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5381), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92559] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_DOLLAR,
    ACTIONS(1037), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92580] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_DOLLAR,
    ACTIONS(1197), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92601] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DOLLAR,
    ACTIONS(1181), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92622] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_DQUOTE,
    ACTIONS(5389), 1,
      sym_raw_string,
    STATE(475), 1,
      sym_string,
    ACTIONS(5391), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(621), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5387), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92651] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_DOLLAR,
    ACTIONS(5393), 1,
      sym__special_character,
    STATE(2095), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5051), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92676] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym_RBRACE,
    ACTIONS(5405), 1,
      sym_variable_name,
    STATE(862), 1,
      sym_subscript,
    ACTIONS(5397), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5403), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5399), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5401), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92707] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
    ACTIONS(1395), 1,
      sym_raw_string,
    STATE(1420), 1,
      sym_string,
    ACTIONS(5407), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1399), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1397), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92736] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOLLAR,
    ACTIONS(1257), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92757] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1151), 1,
      anon_sym_DOLLAR,
    ACTIONS(1153), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    ACTIONS(3772), 1,
      sym_raw_string,
    STATE(1798), 1,
      sym_string,
    ACTIONS(5409), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(3776), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(3774), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5016), 1,
      anon_sym_DQUOTE,
    ACTIONS(5413), 1,
      sym_raw_string,
    STATE(647), 1,
      sym_string,
    ACTIONS(5415), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(933), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5411), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_RBRACE,
    ACTIONS(5427), 1,
      sym_variable_name,
    STATE(759), 1,
      sym_subscript,
    ACTIONS(5419), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5425), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5421), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5423), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_DQUOTE,
    ACTIONS(5431), 1,
      sym_raw_string,
    STATE(278), 1,
      sym_string,
    ACTIONS(5433), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(647), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5429), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92896] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_DQUOTE,
    ACTIONS(5437), 1,
      sym_raw_string,
    STATE(359), 1,
      sym_string,
    ACTIONS(5439), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(731), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5435), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_DQUOTE,
    ACTIONS(5443), 1,
      sym_raw_string,
    STATE(1610), 1,
      sym_string,
    ACTIONS(5445), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1342), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5441), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92954] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1248), 1,
      anon_sym_DOLLAR,
    ACTIONS(5447), 1,
      sym__special_character,
    STATE(2095), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92979] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1226), 1,
      anon_sym_DOLLAR,
    ACTIONS(1228), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 1,
      anon_sym_RBRACE,
    ACTIONS(5460), 1,
      sym_variable_name,
    STATE(787), 1,
      sym_subscript,
    ACTIONS(5452), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5458), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5454), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5456), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93031] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 1,
      anon_sym_RBRACE,
    ACTIONS(5472), 1,
      sym_variable_name,
    STATE(741), 1,
      sym_subscript,
    ACTIONS(5464), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5470), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5466), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5468), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 1,
      anon_sym_RBRACE,
    ACTIONS(5484), 1,
      sym_variable_name,
    STATE(886), 1,
      sym_subscript,
    ACTIONS(5476), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5482), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5478), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5480), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93093] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 1,
      anon_sym_RBRACE,
    ACTIONS(5496), 1,
      sym_variable_name,
    STATE(750), 1,
      sym_subscript,
    ACTIONS(5488), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5494), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5490), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5492), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      anon_sym_DQUOTE,
    ACTIONS(5064), 1,
      sym_raw_string,
    STATE(2572), 1,
      sym_string,
    ACTIONS(5068), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5066), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5062), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [93153] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_DQUOTE,
    ACTIONS(1461), 1,
      sym_raw_string,
    STATE(1681), 1,
      sym_string,
    ACTIONS(1465), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1463), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1457), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [93182] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93203] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR,
    ACTIONS(1185), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 1,
      anon_sym_DQUOTE,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5506), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5510), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5512), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5514), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5516), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5518), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5520), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93440] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 1,
      anon_sym_DOLLAR,
    ACTIONS(1078), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5522), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93484] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5526), 1,
      anon_sym_esac,
    ACTIONS(5524), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5528), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5530), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5532), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5534), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5536), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5538), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5540), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93650] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5544), 1,
      anon_sym_esac,
    ACTIONS(5542), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5546), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93672] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_esac,
    ACTIONS(5548), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5552), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5554), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5558), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5560), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5562), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5564), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5566), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5568), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5570), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5572), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5576), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5578), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5580), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5582), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5584), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94078] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym_esac,
    ACTIONS(5586), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5590), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5592), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5594), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5596), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5598), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94196] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5602), 1,
      anon_sym_esac,
    ACTIONS(5600), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5604), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5606), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5608), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5610), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5612), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5614), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5616), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5618), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5620), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5622), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94434] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_esac,
    ACTIONS(5624), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5628), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5630), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5632), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5634), 1,
      anon_sym_DQUOTE,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94528] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1583), 1,
      anon_sym_RBRACE,
    ACTIONS(5642), 1,
      sym_variable_name,
    STATE(717), 1,
      sym_subscript,
    ACTIONS(5640), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5636), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5638), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94555] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(5650), 1,
      sym_variable_name,
    STATE(733), 1,
      sym_subscript,
    ACTIONS(5648), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5644), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5646), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94582] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_RBRACE,
    ACTIONS(5658), 1,
      sym_variable_name,
    STATE(734), 1,
      sym_subscript,
    ACTIONS(5656), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5652), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5654), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94609] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(5666), 1,
      sym_variable_name,
    STATE(873), 1,
      sym_subscript,
    ACTIONS(5664), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5660), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5662), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94636] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_RBRACE,
    ACTIONS(5674), 1,
      sym_variable_name,
    STATE(822), 1,
      sym_subscript,
    ACTIONS(5672), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5668), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5670), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94663] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(5682), 1,
      sym_variable_name,
    STATE(801), 1,
      sym_subscript,
    ACTIONS(5680), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5676), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5678), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym__string_content,
    ACTIONS(5498), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5504), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [94711] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2663), 1,
      anon_sym_RBRACE,
    ACTIONS(5690), 1,
      sym_variable_name,
    STATE(860), 1,
      sym_subscript,
    ACTIONS(5688), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5684), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5686), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94738] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    ACTIONS(5698), 1,
      sym_variable_name,
    STATE(852), 1,
      sym_subscript,
    ACTIONS(5696), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5692), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5694), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94765] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    ACTIONS(5706), 1,
      sym_variable_name,
    STATE(922), 1,
      sym_subscript,
    ACTIONS(5704), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5700), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5702), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94792] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_DOLLAR,
    ACTIONS(5628), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94811] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_RBRACE,
    ACTIONS(5714), 1,
      sym_variable_name,
    STATE(902), 1,
      sym_subscript,
    ACTIONS(5712), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5708), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5710), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94838] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_RBRACE,
    ACTIONS(5722), 1,
      sym_variable_name,
    STATE(757), 1,
      sym_subscript,
    ACTIONS(5720), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5716), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5718), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94865] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    ACTIONS(5730), 1,
      sym_variable_name,
    STATE(918), 1,
      sym_subscript,
    ACTIONS(5728), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5724), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5726), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94892] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2829), 1,
      anon_sym_RBRACE,
    ACTIONS(5738), 1,
      sym_variable_name,
    STATE(837), 1,
      sym_subscript,
    ACTIONS(5736), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5732), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5734), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94919] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5586), 1,
      anon_sym_DOLLAR,
    ACTIONS(5590), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94938] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_DOLLAR,
    ACTIONS(5552), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94957] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_RBRACE,
    ACTIONS(5746), 1,
      sym_variable_name,
    STATE(813), 1,
      sym_subscript,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5740), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5742), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94984] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2539), 1,
      anon_sym_RBRACE,
    ACTIONS(5754), 1,
      sym_variable_name,
    STATE(842), 1,
      sym_subscript,
    ACTIONS(5752), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5748), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5750), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95011] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(5762), 1,
      sym_variable_name,
    STATE(730), 1,
      sym_subscript,
    ACTIONS(5760), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5756), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5758), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95038] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(5770), 1,
      sym_variable_name,
    STATE(708), 1,
      sym_subscript,
    ACTIONS(5768), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5764), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5766), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95065] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_RBRACE,
    ACTIONS(5778), 1,
      sym_variable_name,
    STATE(719), 1,
      sym_subscript,
    ACTIONS(5776), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5772), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5774), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95092] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_RBRACE,
    ACTIONS(5786), 1,
      sym_variable_name,
    STATE(884), 1,
      sym_subscript,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5780), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5782), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95119] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(5794), 1,
      sym_variable_name,
    STATE(768), 1,
      sym_subscript,
    ACTIONS(5792), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5788), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5790), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95146] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5600), 1,
      anon_sym_DOLLAR,
    ACTIONS(5604), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95165] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(5802), 1,
      sym_variable_name,
    STATE(756), 1,
      sym_subscript,
    ACTIONS(5800), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5796), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5798), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95192] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_RBRACE,
    ACTIONS(5810), 1,
      sym_variable_name,
    STATE(781), 1,
      sym_subscript,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5804), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5806), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95219] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(5818), 1,
      sym_variable_name,
    STATE(910), 1,
      sym_subscript,
    ACTIONS(5816), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5812), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5814), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95246] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5542), 1,
      anon_sym_DOLLAR,
    ACTIONS(5546), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95265] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2493), 1,
      anon_sym_RBRACE,
    ACTIONS(5826), 1,
      sym_variable_name,
    STATE(849), 1,
      sym_subscript,
    ACTIONS(5824), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5820), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5822), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95292] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_RBRACE,
    ACTIONS(5834), 1,
      sym_variable_name,
    STATE(828), 1,
      sym_subscript,
    ACTIONS(5832), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5828), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5830), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95319] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5524), 1,
      anon_sym_DOLLAR,
    ACTIONS(5528), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95338] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_RBRACE,
    ACTIONS(5842), 1,
      sym_variable_name,
    STATE(794), 1,
      sym_subscript,
    ACTIONS(5840), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5836), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5838), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95365] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      anon_sym_DQUOTE,
    ACTIONS(5844), 1,
      anon_sym_DOLLAR,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95395] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5854), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5856), 1,
      anon_sym_DOLLAR,
    ACTIONS(5858), 1,
      anon_sym_DQUOTE,
    STATE(2228), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95455] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5860), 1,
      anon_sym_DOLLAR,
    ACTIONS(5862), 1,
      anon_sym_DQUOTE,
    STATE(2221), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5864), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95515] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5866), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95545] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5868), 1,
      anon_sym_DOLLAR,
    ACTIONS(5870), 1,
      anon_sym_DQUOTE,
    STATE(2219), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95575] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5872), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95605] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5874), 1,
      anon_sym_DOLLAR,
    ACTIONS(5876), 1,
      anon_sym_DQUOTE,
    STATE(2204), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95635] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5878), 1,
      anon_sym_DOLLAR,
    ACTIONS(5880), 1,
      anon_sym_DQUOTE,
    STATE(2198), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5882), 1,
      anon_sym_DOLLAR,
    ACTIONS(5884), 1,
      anon_sym_DQUOTE,
    STATE(2207), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95695] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5576), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5886), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5888), 1,
      anon_sym_DOLLAR,
    ACTIONS(5890), 1,
      anon_sym_DQUOTE,
    STATE(2240), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95755] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5892), 1,
      anon_sym_DOLLAR,
    ACTIONS(5894), 1,
      anon_sym_DQUOTE,
    STATE(2200), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5896), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 1,
      anon_sym_DOLLAR,
    ACTIONS(5901), 1,
      anon_sym_DQUOTE,
    ACTIONS(5903), 1,
      sym__string_content,
    ACTIONS(5906), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5909), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5912), 1,
      anon_sym_BQUOTE,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5915), 1,
      anon_sym_DOLLAR,
    ACTIONS(5917), 1,
      anon_sym_DQUOTE,
    STATE(2211), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5919), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5921), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5923), 1,
      anon_sym_DOLLAR,
    ACTIONS(5925), 1,
      anon_sym_DQUOTE,
    STATE(2223), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95965] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5927), 1,
      anon_sym_DOLLAR,
    ACTIONS(5929), 1,
      anon_sym_DQUOTE,
    STATE(2231), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95995] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5931), 1,
      anon_sym_DOLLAR,
    ACTIONS(5933), 1,
      anon_sym_DQUOTE,
    STATE(2193), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96025] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5935), 1,
      anon_sym_DOLLAR,
    ACTIONS(5937), 1,
      anon_sym_DQUOTE,
    STATE(2197), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96055] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5939), 1,
      anon_sym_DOLLAR,
    ACTIONS(5941), 1,
      anon_sym_DQUOTE,
    STATE(2220), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96085] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5943), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5945), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96145] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5947), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5560), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5949), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5951), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96235] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5953), 1,
      anon_sym_DOLLAR,
    ACTIONS(5955), 1,
      anon_sym_DQUOTE,
    STATE(2234), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5957), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96295] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5959), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96325] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5961), 1,
      anon_sym_DOLLAR,
    ACTIONS(5963), 1,
      anon_sym_DQUOTE,
    STATE(2236), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96355] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5965), 1,
      anon_sym_DOLLAR,
    ACTIONS(5967), 1,
      anon_sym_DQUOTE,
    STATE(2210), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96385] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_DOLLAR,
    ACTIONS(5971), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5975), 1,
      anon_sym_BQUOTE,
    ACTIONS(5977), 1,
      sym__heredoc_body_middle,
    ACTIONS(5979), 1,
      sym__heredoc_body_end,
    STATE(2232), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [96413] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5981), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96443] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DOLLAR,
    ACTIONS(5985), 1,
      anon_sym_DQUOTE,
    STATE(2224), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96473] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DOLLAR,
    ACTIONS(5989), 1,
      anon_sym_DQUOTE,
    STATE(2235), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(5991), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96533] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_DOLLAR,
    ACTIONS(5971), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5975), 1,
      anon_sym_BQUOTE,
    ACTIONS(5993), 1,
      sym__heredoc_body_middle,
    ACTIONS(5995), 1,
      sym__heredoc_body_end,
    STATE(2244), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [96561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6001), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5999), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5997), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [96581] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6003), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6005), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5536), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6007), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96671] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_DOLLAR,
    ACTIONS(5971), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5975), 1,
      anon_sym_BQUOTE,
    ACTIONS(6009), 1,
      sym__heredoc_body_middle,
    ACTIONS(6011), 1,
      sym__heredoc_body_end,
    STATE(2238), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [96699] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_DOLLAR,
    ACTIONS(5971), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5975), 1,
      anon_sym_BQUOTE,
    ACTIONS(5993), 1,
      sym__heredoc_body_middle,
    ACTIONS(6013), 1,
      sym__heredoc_body_end,
    STATE(2244), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [96727] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6015), 1,
      anon_sym_DOLLAR,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    STATE(2218), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96757] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5618), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6019), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96787] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6021), 1,
      anon_sym_DOLLAR,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    STATE(2243), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96817] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6025), 1,
      anon_sym_DOLLAR,
    ACTIONS(6027), 1,
      anon_sym_DQUOTE,
    STATE(2217), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96847] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6029), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96877] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_DOLLAR,
    ACTIONS(6034), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6037), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6040), 1,
      anon_sym_BQUOTE,
    ACTIONS(6043), 1,
      sym__heredoc_body_middle,
    ACTIONS(6046), 1,
      sym__heredoc_body_end,
    STATE(2244), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [96905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6050), 1,
      anon_sym_DOLLAR,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    STATE(2194), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96965] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      sym__string_content,
    ACTIONS(5848), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_BQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR,
    ACTIONS(6056), 1,
      anon_sym_DQUOTE,
    STATE(2245), 1,
      aux_sym_string_repeat1,
    STATE(2276), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96995] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6058), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6060), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [97011] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6062), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6064), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [97027] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1684), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [97051] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1426), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [97075] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1437), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [97099] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1701), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [97123] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6066), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6068), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [97139] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LPAREN,
    STATE(1717), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [97163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LF,
    ACTIONS(6072), 1,
      sym__concat,
    STATE(2261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [97183] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6074), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6076), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [97199] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6078), 1,
      anon_sym_LPAREN,
    STATE(1472), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [97223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      sym__concat,
    ACTIONS(1240), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6072), 1,
      sym__concat,
    ACTIONS(6080), 1,
      anon_sym_LF,
    ACTIONS(6082), 1,
      anon_sym_in,
    STATE(2261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6084), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 1,
      anon_sym_LF,
    ACTIONS(6086), 1,
      sym__concat,
    STATE(2273), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1044), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6088), 1,
      anon_sym_LF,
    ACTIONS(6090), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      sym__concat,
    ACTIONS(1163), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      sym__concat,
    ACTIONS(1143), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_LF,
    ACTIONS(6094), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      sym__concat,
    ACTIONS(1139), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      sym__concat,
    ACTIONS(1157), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      sym__concat,
    ACTIONS(1135), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 1,
      sym__concat,
    ACTIONS(1131), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97398] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6096), 1,
      anon_sym_LF,
    ACTIONS(6098), 1,
      anon_sym_in,
    ACTIONS(6102), 1,
      sym__special_character,
    STATE(2281), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6100), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6072), 1,
      sym__concat,
    ACTIONS(6104), 1,
      anon_sym_LF,
    ACTIONS(6106), 1,
      anon_sym_in,
    STATE(2261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6108), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      sym__concat,
    ACTIONS(1244), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_LF,
    ACTIONS(6110), 1,
      sym__concat,
    STATE(2273), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      sym__concat,
    ACTIONS(1236), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6102), 1,
      sym__special_character,
    ACTIONS(6113), 1,
      anon_sym_LF,
    ACTIONS(6115), 1,
      anon_sym_in,
    STATE(2281), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6117), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6121), 1,
      sym__concat,
    ACTIONS(6119), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 1,
      sym__concat,
    ACTIONS(1147), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LF,
    ACTIONS(6125), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [97555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      sym__concat,
    ACTIONS(1236), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      sym__concat,
    ACTIONS(1255), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_LF,
    ACTIONS(6127), 1,
      sym__special_character,
    STATE(2281), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1248), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__concat,
    ACTIONS(1195), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      sym__concat,
    ACTIONS(1191), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym__concat,
    ACTIONS(1187), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      sym__concat,
    ACTIONS(1161), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym__concat,
    ACTIONS(1173), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 1,
      sym__concat,
    ACTIONS(1175), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      sym__concat,
    ACTIONS(1226), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      sym__concat,
    ACTIONS(1123), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__concat,
    ACTIONS(5901), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97739] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6132), 1,
      anon_sym_fi,
    ACTIONS(6134), 1,
      anon_sym_elif,
    ACTIONS(6136), 1,
      anon_sym_else,
    STATE(2659), 1,
      sym_else_clause,
    STATE(2353), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1226), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1195), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1240), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5901), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1167), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1151), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97911] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_elif,
    ACTIONS(6136), 1,
      anon_sym_else,
    ACTIONS(6138), 1,
      anon_sym_fi,
    STATE(2712), 1,
      sym_else_clause,
    STATE(2353), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6140), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97943] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_DOLLAR,
    ACTIONS(1189), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1236), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97985] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOLLAR,
    ACTIONS(1257), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97999] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR,
    ACTIONS(1133), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98013] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_DOLLAR,
    ACTIONS(1155), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98041] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_elif,
    ACTIONS(6136), 1,
      anon_sym_else,
    ACTIONS(6142), 1,
      anon_sym_fi,
    STATE(2823), 1,
      sym_else_clause,
    STATE(2353), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [98061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1179), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98075] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1240), 1,
      anon_sym_DOLLAR,
    ACTIONS(1242), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LF,
    ACTIONS(1076), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [98103] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR,
    ACTIONS(1141), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98117] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1244), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1147), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98145] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR,
    ACTIONS(1145), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98159] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_DOLLAR,
    ACTIONS(1149), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98173] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1226), 1,
      anon_sym_DOLLAR,
    ACTIONS(1228), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1255), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1163), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98215] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1159), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1244), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98285] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(1238), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1143), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1175), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98341] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_DOLLAR,
    ACTIONS(1177), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98355] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_DOLLAR,
    ACTIONS(1197), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98369] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_DOLLAR,
    ACTIONS(1137), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98383] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98397] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(1238), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98411] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_elif,
    ACTIONS(6136), 1,
      anon_sym_else,
    ACTIONS(6144), 1,
      anon_sym_fi,
    STATE(2681), 1,
      sym_else_clause,
    STATE(2353), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [98431] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_DOLLAR,
    ACTIONS(1165), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98459] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOLLAR,
    ACTIONS(1193), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98473] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR,
    ACTIONS(1171), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [98487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1035), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_BQUOTE,
    ACTIONS(6146), 1,
      anon_sym_LF,
    ACTIONS(6148), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_RPAREN,
    ACTIONS(6150), 1,
      anon_sym_LF,
    ACTIONS(6152), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98531] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_SEMI,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1407), 2,
      sym_do_group,
      sym_compound_statement,
  [98548] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    ACTIONS(6158), 1,
      anon_sym_SEMI,
    STATE(1406), 2,
      sym_do_group,
      sym_compound_statement,
  [98565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6125), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98578] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    ACTIONS(6160), 1,
      anon_sym_SEMI,
    STATE(1404), 2,
      sym_do_group,
      sym_compound_statement,
  [98595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_LF,
    ACTIONS(6082), 1,
      anon_sym_in,
    ACTIONS(6084), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98610] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4234), 1,
      sym__concat,
    STATE(2401), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [98625] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    ACTIONS(6162), 1,
      anon_sym_SEMI,
    STATE(1489), 2,
      sym_do_group,
      sym_compound_statement,
  [98642] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6166), 1,
      anon_sym_elif,
    ACTIONS(6164), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2353), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [98657] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    ACTIONS(6169), 1,
      anon_sym_SEMI,
    STATE(1514), 2,
      sym_do_group,
      sym_compound_statement,
  [98674] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    ACTIONS(6171), 1,
      anon_sym_SEMI,
    STATE(1518), 2,
      sym_do_group,
      sym_compound_statement,
  [98691] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6173), 1,
      anon_sym_SEMI,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1686), 2,
      sym_do_group,
      sym_compound_statement,
  [98708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6177), 1,
      anon_sym_LF,
    ACTIONS(6179), 1,
      anon_sym_in,
    ACTIONS(6181), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 1,
      anon_sym_LF,
    ACTIONS(6185), 1,
      anon_sym_in,
    ACTIONS(6187), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6088), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6090), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98751] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    ACTIONS(6189), 1,
      anon_sym_SEMI,
    STATE(1696), 2,
      sym_do_group,
      sym_compound_statement,
  [98768] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__special_character,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6193), 1,
      anon_sym_RPAREN,
    STATE(1554), 1,
      aux_sym__literal_repeat1,
    STATE(2418), 1,
      aux_sym_case_item_repeat1,
  [98787] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    ACTIONS(6195), 1,
      anon_sym_SEMI,
    STATE(1516), 2,
      sym_do_group,
      sym_compound_statement,
  [98804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_LF,
    ACTIONS(945), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6199), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [98819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      ts_builtin_sym_end,
    ACTIONS(6201), 1,
      anon_sym_LF,
    ACTIONS(6203), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98834] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    ACTIONS(6205), 1,
      anon_sym_SEMI,
    STATE(1665), 2,
      sym_do_group,
      sym_compound_statement,
  [98851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6092), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6094), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98864] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    ACTIONS(6207), 1,
      anon_sym_SEMI,
    STATE(1743), 2,
      sym_do_group,
      sym_compound_statement,
  [98881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      ts_builtin_sym_end,
    ACTIONS(6209), 1,
      anon_sym_LF,
    ACTIONS(6211), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98896] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    ACTIONS(6213), 1,
      anon_sym_SEMI,
    STATE(1709), 2,
      sym_do_group,
      sym_compound_statement,
  [98913] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    ACTIONS(6215), 1,
      anon_sym_SEMI,
    STATE(1670), 2,
      sym_do_group,
      sym_compound_statement,
  [98930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6104), 1,
      anon_sym_LF,
    ACTIONS(6106), 1,
      anon_sym_in,
    ACTIONS(6108), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98945] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__special_character,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6217), 1,
      anon_sym_RPAREN,
    STATE(1554), 1,
      aux_sym__literal_repeat1,
    STATE(2533), 1,
      aux_sym_case_item_repeat1,
  [98964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_BQUOTE,
    ACTIONS(6219), 1,
      anon_sym_LF,
    ACTIONS(6221), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_RPAREN,
    ACTIONS(6223), 1,
      anon_sym_LF,
    ACTIONS(6225), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98994] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    ACTIONS(6227), 1,
      anon_sym_SEMI,
    STATE(1750), 2,
      sym_do_group,
      sym_compound_statement,
  [99011] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4234), 1,
      sym__concat,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_concatenation_repeat1,
    STATE(2420), 1,
      aux_sym_case_item_repeat1,
  [99030] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    ACTIONS(6231), 1,
      anon_sym_SEMI,
    STATE(1751), 2,
      sym_do_group,
      sym_compound_statement,
  [99047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 1,
      anon_sym_LF,
    ACTIONS(573), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6235), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [99062] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    ACTIONS(6237), 1,
      anon_sym_SEMI,
    STATE(1418), 2,
      sym_do_group,
      sym_compound_statement,
  [99079] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4234), 1,
      sym__concat,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6239), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_concatenation_repeat1,
    STATE(2440), 1,
      aux_sym_case_item_repeat1,
  [99098] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1517), 2,
      sym_do_group,
      sym_compound_statement,
  [99112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym_LF,
    ACTIONS(6243), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LF,
    ACTIONS(6247), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99136] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__special_character,
    STATE(1554), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6249), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [99150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6223), 1,
      anon_sym_LF,
    ACTIONS(6225), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [99164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6251), 1,
      anon_sym_LF,
    ACTIONS(6253), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99176] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1700), 2,
      sym_do_group,
      sym_compound_statement,
  [99190] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4234), 1,
      sym__concat,
    STATE(2401), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6255), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [99204] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6257), 1,
      sym__special_character,
    STATE(2389), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1250), 2,
      sym__concat,
      anon_sym_RBRACK,
  [99218] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6260), 1,
      anon_sym_RBRACK,
    ACTIONS(6262), 1,
      sym__special_character,
    ACTIONS(6264), 1,
      sym__concat,
    STATE(2389), 1,
      aux_sym__literal_repeat1,
  [99234] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1662), 2,
      sym_do_group,
      sym_compound_statement,
  [99248] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6262), 1,
      sym__special_character,
    ACTIONS(6266), 1,
      anon_sym_RBRACK,
    ACTIONS(6268), 1,
      sym__concat,
    STATE(2389), 1,
      aux_sym__literal_repeat1,
  [99264] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1719), 2,
      sym_do_group,
      sym_compound_statement,
  [99278] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1475), 2,
      sym_do_group,
      sym_compound_statement,
  [99292] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1483), 2,
      sym_do_group,
      sym_compound_statement,
  [99306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_LF,
    ACTIONS(6272), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6150), 1,
      anon_sym_LF,
    ACTIONS(6152), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [99332] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym__special_character,
    ACTIONS(1078), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99348] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym__special_character,
    STATE(2419), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1078), 2,
      sym__concat,
      anon_sym_RBRACK,
  [99362] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1720), 2,
      sym_do_group,
      sym_compound_statement,
  [99376] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6276), 1,
      sym__concat,
    STATE(1632), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1042), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [99390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 1,
      anon_sym_LF,
    ACTIONS(6280), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 1,
      anon_sym_LF,
    ACTIONS(6284), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99414] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1511), 2,
      sym_do_group,
      sym_compound_statement,
  [99428] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1726), 2,
      sym_do_group,
      sym_compound_statement,
  [99442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 1,
      anon_sym_LF,
    ACTIONS(6288), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99454] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1452), 2,
      sym_do_group,
      sym_compound_statement,
  [99468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 1,
      anon_sym_LF,
    ACTIONS(6292), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 1,
      anon_sym_LF,
    ACTIONS(6296), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99492] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1711), 2,
      sym_do_group,
      sym_compound_statement,
  [99506] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1519), 2,
      sym_do_group,
      sym_compound_statement,
  [99520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 1,
      anon_sym_LF,
    ACTIONS(6300), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99532] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1515), 2,
      sym_do_group,
      sym_compound_statement,
  [99546] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1706), 2,
      sym_do_group,
      sym_compound_statement,
  [99560] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1408), 2,
      sym_do_group,
      sym_compound_statement,
  [99574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LF,
    ACTIONS(6304), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [99586] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1721), 2,
      sym_do_group,
      sym_compound_statement,
  [99600] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6306), 1,
      anon_sym_RPAREN,
    STATE(2508), 1,
      aux_sym_case_item_repeat1,
  [99613] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1042), 1,
      anon_sym_RBRACK,
    ACTIONS(6308), 1,
      sym__concat,
    STATE(1687), 1,
      aux_sym_concatenation_repeat1,
  [99626] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6310), 1,
      anon_sym_RPAREN,
    STATE(2508), 1,
      aux_sym_case_item_repeat1,
  [99639] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99652] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99665] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99678] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6312), 1,
      anon_sym_RBRACE,
    ACTIONS(6314), 1,
      sym__special_character,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99691] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6316), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99704] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99717] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99730] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99743] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6318), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99756] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99769] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6320), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99782] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99795] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6322), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99808] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6324), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99821] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6326), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99834] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99847] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99860] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6328), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99873] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3520), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99886] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_RPAREN,
    STATE(2508), 1,
      aux_sym_case_item_repeat1,
  [99899] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6332), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99912] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99925] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99938] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99949] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6338), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99962] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [99975] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6340), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [99988] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6342), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100001] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6344), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100014] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6346), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100025] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100038] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6348), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100051] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6350), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100062] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6352), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100075] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6354), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100088] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100101] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100114] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100127] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6229), 1,
      anon_sym_RPAREN,
    STATE(2420), 1,
      aux_sym_case_item_repeat1,
  [100140] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6356), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100153] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6358), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100166] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100179] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6360), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100192] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100205] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100218] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6362), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100231] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6364), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100242] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6366), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100255] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6368), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100268] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6370), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100281] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1037), 1,
      anon_sym_RBRACE,
    ACTIONS(6372), 1,
      sym__concat,
    STATE(2471), 1,
      aux_sym_concatenation_repeat1,
  [100294] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100305] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100318] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100331] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6377), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100344] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100357] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6379), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100370] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6381), 1,
      anon_sym_RBRACK,
    ACTIONS(6383), 1,
      sym__concat,
    STATE(2419), 1,
      aux_sym_concatenation_repeat1,
  [100383] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6385), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100394] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100407] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6387), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100420] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100433] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6389), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100446] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100459] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6391), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100472] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6393), 1,
      sym__concat,
    ACTIONS(4493), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100483] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym__special_character,
    ACTIONS(1078), 2,
      sym__concat,
      anon_sym_RBRACK,
  [100494] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100507] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6395), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100520] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6397), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100533] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6399), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100546] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6401), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100559] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100572] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6403), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100583] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6405), 1,
      anon_sym_RBRACK,
    ACTIONS(6407), 1,
      sym__concat,
    STATE(2419), 1,
      aux_sym_concatenation_repeat1,
  [100596] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6409), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100609] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100622] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100635] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100648] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100661] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6411), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100674] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6413), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100687] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100700] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6415), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100713] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_RBRACE,
    ACTIONS(6417), 1,
      sym__special_character,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100726] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6239), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      aux_sym_case_item_repeat1,
  [100739] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1042), 1,
      anon_sym_RBRACE,
    ACTIONS(6420), 1,
      sym__concat,
    STATE(2471), 1,
      aux_sym_concatenation_repeat1,
  [100752] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6425), 1,
      anon_sym_RPAREN,
    STATE(2508), 1,
      aux_sym_case_item_repeat1,
  [100765] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6427), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100778] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6429), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100791] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100804] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6431), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100817] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100830] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100843] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3490), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100856] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6433), 1,
      sym__concat,
    ACTIONS(4485), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100867] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100880] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6435), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100893] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100906] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100919] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6437), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100932] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6439), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100945] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6441), 1,
      sym__concat,
    ACTIONS(4528), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100956] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [100969] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6443), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100982] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6445), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [100995] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101008] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101021] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6447), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [101034] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101047] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6449), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [101060] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6451), 1,
      sym__concat,
    ACTIONS(4473), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101071] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_PIPE,
    ACTIONS(6453), 1,
      anon_sym_RPAREN,
    STATE(2508), 1,
      aux_sym_case_item_repeat1,
  [101084] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101097] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6455), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [101110] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6457), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [101123] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101136] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6459), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [101149] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6461), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [101162] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6463), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [101175] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101188] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101201] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101214] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym__special_character,
    ACTIONS(6465), 1,
      anon_sym_RBRACE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
  [101227] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101240] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(6274), 1,
      sym__concat,
    STATE(2507), 1,
      aux_sym_concatenation_repeat1,
  [101253] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101261] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_EQ,
  [101271] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6471), 1,
      anon_sym_EQ,
  [101281] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4473), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101289] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6473), 1,
      anon_sym_EQ,
  [101299] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      anon_sym_EQ,
  [101309] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6477), 1,
      anon_sym_EQ,
  [101319] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 1,
      anon_sym_EQ,
  [101329] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6481), 1,
      anon_sym_EQ,
  [101339] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1760), 1,
      sym_do_group,
  [101349] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_EQ,
  [101359] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1238), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101367] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6255), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [101375] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6485), 1,
      anon_sym_EQ,
  [101385] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6487), 1,
      anon_sym_EQ,
  [101395] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_EQ,
  [101405] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6491), 1,
      anon_sym_EQ,
  [101415] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101423] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6493), 1,
      anon_sym_EQ,
  [101433] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 1,
      anon_sym_EQ,
  [101443] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(239), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6497), 1,
      anon_sym_esac,
  [101453] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1246), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101461] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_EQ,
  [101471] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_EQ,
  [101481] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      anon_sym_EQ,
  [101491] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101499] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1447), 1,
      sym_do_group,
  [101509] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6505), 1,
      anon_sym_EQ,
  [101519] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym__special_character,
    ACTIONS(1078), 1,
      anon_sym_RBRACE,
  [101529] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6507), 1,
      anon_sym_EQ,
  [101539] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6509), 1,
      anon_sym_EQ,
  [101549] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_EQ,
  [101559] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6403), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101567] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_EQ,
  [101577] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6405), 1,
      anon_sym_RBRACK,
    ACTIONS(6515), 1,
      sym__concat,
  [101587] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6517), 1,
      anon_sym_EQ,
  [101597] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4611), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101605] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6519), 1,
      anon_sym_EQ,
  [101615] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_EQ,
  [101625] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_EQ,
  [101635] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6525), 1,
      anon_sym_EQ,
  [101645] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1738), 1,
      sym_do_group,
  [101655] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6385), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101663] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6381), 1,
      anon_sym_RBRACK,
    ACTIONS(6527), 1,
      sym__concat,
  [101673] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6529), 1,
      anon_sym_esac,
  [101683] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6531), 1,
      anon_sym_EQ,
  [101693] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6533), 1,
      anon_sym_EQ,
  [101703] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_EQ,
  [101713] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6537), 1,
      anon_sym_EQ,
  [101723] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6539), 1,
      anon_sym_esac,
    ACTIONS(6541), 1,
      anon_sym_SEMI_SEMI,
  [101733] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_EQ,
  [101743] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6375), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101751] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_do,
    STATE(1724), 1,
      sym_do_group,
  [101761] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101769] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101777] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1037), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101785] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6545), 1,
      anon_sym_EQ,
  [101795] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6547), 1,
      anon_sym_EQ,
  [101805] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101813] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101821] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6549), 1,
      anon_sym_EQ,
  [101831] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101839] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101847] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101855] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6551), 1,
      anon_sym_EQ,
  [101865] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6350), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101873] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6553), 1,
      anon_sym_EQ,
  [101883] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1485), 1,
      sym_do_group,
  [101893] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101901] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6555), 1,
      anon_sym_EQ,
  [101911] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6557), 1,
      anon_sym_EQ,
  [101921] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101929] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6336), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101937] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101945] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101953] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6559), 1,
      anon_sym_EQ,
  [101963] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101971] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101979] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6364), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101987] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6561), 1,
      anon_sym_EQ,
  [101997] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102005] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102013] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6563), 1,
      anon_sym_EQ,
  [102023] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1228), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102031] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6565), 1,
      anon_sym_EQ,
  [102041] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6346), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [102049] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6567), 1,
      anon_sym_EQ,
  [102059] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6569), 1,
      anon_sym_esac,
    ACTIONS(6571), 1,
      anon_sym_SEMI_SEMI,
  [102069] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6573), 1,
      anon_sym_EQ,
  [102079] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6575), 1,
      anon_sym_EQ,
  [102089] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6577), 1,
      anon_sym_EQ,
  [102099] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6579), 1,
      anon_sym_EQ,
  [102109] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6581), 1,
      anon_sym_EQ,
  [102119] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_EQ,
  [102129] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102137] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6585), 1,
      anon_sym_EQ,
  [102147] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_LBRACK,
    ACTIONS(6587), 1,
      anon_sym_EQ,
  [102157] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1193), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102165] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6589), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6591), 1,
      aux_sym__simple_variable_name_token1,
  [102175] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1197), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102183] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6156), 1,
      anon_sym_do,
    STATE(1473), 1,
      sym_do_group,
  [102193] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102201] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6593), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6595), 1,
      aux_sym__simple_variable_name_token1,
  [102211] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1238), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102219] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6597), 2,
      anon_sym_do,
      anon_sym_then,
  [102227] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1242), 2,
      sym__concat,
      anon_sym_RBRACE,
  [102235] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_RBRACK,
  [102242] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_RBRACE,
  [102249] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6601), 1,
      anon_sym_esac,
  [102256] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6603), 1,
      anon_sym_in,
  [102263] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6605), 1,
      anon_sym_esac,
  [102270] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6607), 1,
      anon_sym_esac,
  [102277] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_fi,
  [102284] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6611), 1,
      anon_sym_in,
  [102291] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6613), 1,
      anon_sym_esac,
  [102298] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
  [102305] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_RBRACE,
  [102312] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_RPAREN,
  [102319] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym_then,
  [102326] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_RBRACE,
  [102333] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RBRACE,
  [102340] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_RPAREN,
  [102347] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_esac,
  [102354] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6623), 1,
      anon_sym_RPAREN,
  [102361] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
  [102368] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6625), 1,
      sym_word,
  [102375] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_RBRACE,
  [102382] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym_esac,
  [102389] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_BQUOTE,
  [102396] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym_esac,
  [102403] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_RPAREN,
  [102410] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
  [102417] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4344), 1,
      anon_sym_RPAREN,
  [102424] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_RPAREN,
  [102431] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6132), 1,
      anon_sym_fi,
  [102438] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_BQUOTE,
  [102445] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6637), 1,
      anon_sym_RPAREN,
  [102452] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
  [102459] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_esac,
  [102466] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_RPAREN,
  [102473] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
  [102480] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_RPAREN,
  [102487] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_BQUOTE,
  [102494] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym_RPAREN,
  [102501] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
  [102508] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_BQUOTE,
  [102515] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_RBRACE,
  [102522] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6647), 1,
      anon_sym_RPAREN,
  [102529] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6649), 1,
      anon_sym_RPAREN,
  [102536] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6651), 1,
      anon_sym_esac,
  [102543] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3490), 1,
      anon_sym_RBRACE,
  [102550] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_BQUOTE,
  [102557] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_RPAREN,
  [102564] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6655), 1,
      anon_sym_SEMI_SEMI,
  [102571] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_RBRACE,
  [102578] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
  [102585] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_SEMI_SEMI,
  [102592] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_RPAREN,
  [102599] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(251), 1,
      anon_sym_SEMI_SEMI,
  [102606] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6659), 1,
      anon_sym_esac,
  [102613] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_BQUOTE,
  [102620] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
  [102627] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
  [102634] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_RPAREN,
  [102641] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6665), 1,
      anon_sym_esac,
  [102648] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6142), 1,
      anon_sym_fi,
  [102655] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_then,
  [102662] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
  [102669] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
  [102676] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6669), 1,
      anon_sym_BQUOTE,
  [102683] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_RPAREN,
  [102690] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1667), 1,
      anon_sym_RBRACE,
  [102697] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6671), 1,
      anon_sym_BQUOTE,
  [102704] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6673), 1,
      sym_heredoc_start,
  [102711] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6675), 1,
      anon_sym_RPAREN,
  [102718] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_RPAREN,
  [102725] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_RBRACE,
  [102732] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6677), 1,
      anon_sym_RPAREN,
  [102739] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_BQUOTE,
  [102746] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_RBRACE,
  [102753] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_RBRACE,
  [102760] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4407), 1,
      anon_sym_RPAREN,
  [102767] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_RPAREN,
  [102774] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_BQUOTE,
  [102781] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6683), 1,
      anon_sym_RPAREN,
  [102788] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4346), 1,
      anon_sym_RPAREN,
  [102795] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
  [102802] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6685), 1,
      anon_sym_BQUOTE,
  [102809] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_RPAREN,
  [102816] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
  [102823] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(249), 1,
      anon_sym_SEMI_SEMI,
  [102830] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_RBRACE,
  [102837] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym_fi,
  [102844] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_RBRACK,
  [102851] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_RBRACK,
  [102858] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
  [102865] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
  [102872] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6691), 1,
      anon_sym_RPAREN,
  [102879] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6693), 1,
      anon_sym_BQUOTE,
  [102886] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym_RPAREN,
  [102893] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
  [102900] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_RBRACE,
  [102907] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
  [102914] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
  [102921] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6697), 1,
      anon_sym_RPAREN,
  [102928] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_BQUOTE,
  [102935] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
  [102942] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_RPAREN,
  [102949] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_BQUOTE,
  [102956] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_RPAREN,
  [102963] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_RPAREN,
  [102970] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_BQUOTE,
  [102977] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_RPAREN,
  [102984] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_RPAREN,
  [102991] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_then,
  [102998] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_RBRACK,
  [103005] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6711), 1,
      anon_sym_RPAREN,
  [103012] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
  [103019] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_RPAREN,
  [103026] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6713), 1,
      anon_sym_BQUOTE,
  [103033] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6715), 1,
      anon_sym_RPAREN,
  [103040] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
  [103047] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6717), 1,
      anon_sym_RPAREN,
  [103054] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6719), 1,
      sym_heredoc_start,
  [103061] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6721), 1,
      anon_sym_BQUOTE,
  [103068] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4260), 1,
      anon_sym_RPAREN,
  [103075] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
  [103082] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_RPAREN,
  [103089] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_RBRACE,
  [103096] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6725), 1,
      anon_sym_BQUOTE,
  [103103] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
  [103110] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
  [103117] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
  [103124] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
  [103131] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
  [103138] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
  [103145] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
  [103152] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6727), 1,
      anon_sym_RPAREN,
  [103159] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6729), 1,
      ts_builtin_sym_end,
  [103166] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6731), 1,
      ts_builtin_sym_end,
  [103173] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6733), 1,
      anon_sym_BQUOTE,
  [103180] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_RPAREN,
  [103187] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3520), 1,
      anon_sym_RBRACE,
  [103194] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6138), 1,
      anon_sym_fi,
  [103201] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym_esac,
  [103208] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
  [103215] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_RPAREN,
  [103222] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_BQUOTE,
  [103229] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_RPAREN,
  [103236] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_RPAREN,
  [103243] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_BQUOTE,
  [103250] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
  [103257] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6743), 1,
      sym_word,
  [103264] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_RPAREN,
  [103271] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6747), 1,
      anon_sym_RPAREN,
  [103278] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
  [103285] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
  [103292] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
  [103299] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_RBRACE,
  [103306] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_RPAREN,
  [103313] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6749), 1,
      anon_sym_RPAREN,
  [103320] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6751), 1,
      anon_sym_BQUOTE,
  [103327] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_RPAREN,
  [103334] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6755), 1,
      anon_sym_in,
  [103341] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_in,
  [103348] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6759), 1,
      anon_sym_BQUOTE,
  [103355] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_BQUOTE,
  [103362] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_RPAREN,
  [103369] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
  [103376] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_RPAREN,
  [103383] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_RBRACE,
  [103390] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
  [103397] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_RPAREN,
  [103404] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
  [103411] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
  [103418] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_BQUOTE,
  [103425] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_fi,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(127)] = 0,
  [SMALL_STATE(128)] = 60,
  [SMALL_STATE(129)] = 141,
  [SMALL_STATE(130)] = 222,
  [SMALL_STATE(131)] = 303,
  [SMALL_STATE(132)] = 384,
  [SMALL_STATE(133)] = 465,
  [SMALL_STATE(134)] = 546,
  [SMALL_STATE(135)] = 627,
  [SMALL_STATE(136)] = 708,
  [SMALL_STATE(137)] = 789,
  [SMALL_STATE(138)] = 851,
  [SMALL_STATE(139)] = 913,
  [SMALL_STATE(140)] = 975,
  [SMALL_STATE(141)] = 1037,
  [SMALL_STATE(142)] = 1115,
  [SMALL_STATE(143)] = 1193,
  [SMALL_STATE(144)] = 1255,
  [SMALL_STATE(145)] = 1314,
  [SMALL_STATE(146)] = 1391,
  [SMALL_STATE(147)] = 1448,
  [SMALL_STATE(148)] = 1509,
  [SMALL_STATE(149)] = 1586,
  [SMALL_STATE(150)] = 1645,
  [SMALL_STATE(151)] = 1722,
  [SMALL_STATE(152)] = 1783,
  [SMALL_STATE(153)] = 1844,
  [SMALL_STATE(154)] = 1903,
  [SMALL_STATE(155)] = 1964,
  [SMALL_STATE(156)] = 2023,
  [SMALL_STATE(157)] = 2100,
  [SMALL_STATE(158)] = 2161,
  [SMALL_STATE(159)] = 2238,
  [SMALL_STATE(160)] = 2315,
  [SMALL_STATE(161)] = 2374,
  [SMALL_STATE(162)] = 2451,
  [SMALL_STATE(163)] = 2528,
  [SMALL_STATE(164)] = 2605,
  [SMALL_STATE(165)] = 2666,
  [SMALL_STATE(166)] = 2743,
  [SMALL_STATE(167)] = 2802,
  [SMALL_STATE(168)] = 2879,
  [SMALL_STATE(169)] = 2956,
  [SMALL_STATE(170)] = 3007,
  [SMALL_STATE(171)] = 3084,
  [SMALL_STATE(172)] = 3161,
  [SMALL_STATE(173)] = 3238,
  [SMALL_STATE(174)] = 3289,
  [SMALL_STATE(175)] = 3363,
  [SMALL_STATE(176)] = 3437,
  [SMALL_STATE(177)] = 3511,
  [SMALL_STATE(178)] = 3571,
  [SMALL_STATE(179)] = 3645,
  [SMALL_STATE(180)] = 3719,
  [SMALL_STATE(181)] = 3793,
  [SMALL_STATE(182)] = 3867,
  [SMALL_STATE(183)] = 3941,
  [SMALL_STATE(184)] = 4015,
  [SMALL_STATE(185)] = 4089,
  [SMALL_STATE(186)] = 4163,
  [SMALL_STATE(187)] = 4237,
  [SMALL_STATE(188)] = 4295,
  [SMALL_STATE(189)] = 4355,
  [SMALL_STATE(190)] = 4413,
  [SMALL_STATE(191)] = 4473,
  [SMALL_STATE(192)] = 4547,
  [SMALL_STATE(193)] = 4603,
  [SMALL_STATE(194)] = 4654,
  [SMALL_STATE(195)] = 4745,
  [SMALL_STATE(196)] = 4798,
  [SMALL_STATE(197)] = 4889,
  [SMALL_STATE(198)] = 4940,
  [SMALL_STATE(199)] = 4991,
  [SMALL_STATE(200)] = 5062,
  [SMALL_STATE(201)] = 5115,
  [SMALL_STATE(202)] = 5168,
  [SMALL_STATE(203)] = 5259,
  [SMALL_STATE(204)] = 5310,
  [SMALL_STATE(205)] = 5401,
  [SMALL_STATE(206)] = 5454,
  [SMALL_STATE(207)] = 5525,
  [SMALL_STATE(208)] = 5575,
  [SMALL_STATE(209)] = 5625,
  [SMALL_STATE(210)] = 5675,
  [SMALL_STATE(211)] = 5725,
  [SMALL_STATE(212)] = 5773,
  [SMALL_STATE(213)] = 5821,
  [SMALL_STATE(214)] = 5868,
  [SMALL_STATE(215)] = 5917,
  [SMALL_STATE(216)] = 5966,
  [SMALL_STATE(217)] = 6013,
  [SMALL_STATE(218)] = 6062,
  [SMALL_STATE(219)] = 6111,
  [SMALL_STATE(220)] = 6172,
  [SMALL_STATE(221)] = 6225,
  [SMALL_STATE(222)] = 6278,
  [SMALL_STATE(223)] = 6329,
  [SMALL_STATE(224)] = 6390,
  [SMALL_STATE(225)] = 6451,
  [SMALL_STATE(226)] = 6512,
  [SMALL_STATE(227)] = 6563,
  [SMALL_STATE(228)] = 6624,
  [SMALL_STATE(229)] = 6675,
  [SMALL_STATE(230)] = 6736,
  [SMALL_STATE(231)] = 6787,
  [SMALL_STATE(232)] = 6838,
  [SMALL_STATE(233)] = 6889,
  [SMALL_STATE(234)] = 6942,
  [SMALL_STATE(235)] = 6992,
  [SMALL_STATE(236)] = 7040,
  [SMALL_STATE(237)] = 7100,
  [SMALL_STATE(238)] = 7152,
  [SMALL_STATE(239)] = 7200,
  [SMALL_STATE(240)] = 7248,
  [SMALL_STATE(241)] = 7296,
  [SMALL_STATE(242)] = 7344,
  [SMALL_STATE(243)] = 7392,
  [SMALL_STATE(244)] = 7440,
  [SMALL_STATE(245)] = 7488,
  [SMALL_STATE(246)] = 7536,
  [SMALL_STATE(247)] = 7584,
  [SMALL_STATE(248)] = 7632,
  [SMALL_STATE(249)] = 7692,
  [SMALL_STATE(250)] = 7740,
  [SMALL_STATE(251)] = 7788,
  [SMALL_STATE(252)] = 7836,
  [SMALL_STATE(253)] = 7884,
  [SMALL_STATE(254)] = 7942,
  [SMALL_STATE(255)] = 7990,
  [SMALL_STATE(256)] = 8050,
  [SMALL_STATE(257)] = 8098,
  [SMALL_STATE(258)] = 8156,
  [SMALL_STATE(259)] = 8214,
  [SMALL_STATE(260)] = 8262,
  [SMALL_STATE(261)] = 8310,
  [SMALL_STATE(262)] = 8358,
  [SMALL_STATE(263)] = 8406,
  [SMALL_STATE(264)] = 8454,
  [SMALL_STATE(265)] = 8502,
  [SMALL_STATE(266)] = 8550,
  [SMALL_STATE(267)] = 8598,
  [SMALL_STATE(268)] = 8646,
  [SMALL_STATE(269)] = 8704,
  [SMALL_STATE(270)] = 8752,
  [SMALL_STATE(271)] = 8800,
  [SMALL_STATE(272)] = 8860,
  [SMALL_STATE(273)] = 8908,
  [SMALL_STATE(274)] = 8956,
  [SMALL_STATE(275)] = 9004,
  [SMALL_STATE(276)] = 9052,
  [SMALL_STATE(277)] = 9100,
  [SMALL_STATE(278)] = 9143,
  [SMALL_STATE(279)] = 9186,
  [SMALL_STATE(280)] = 9229,
  [SMALL_STATE(281)] = 9272,
  [SMALL_STATE(282)] = 9315,
  [SMALL_STATE(283)] = 9358,
  [SMALL_STATE(284)] = 9401,
  [SMALL_STATE(285)] = 9444,
  [SMALL_STATE(286)] = 9487,
  [SMALL_STATE(287)] = 9530,
  [SMALL_STATE(288)] = 9573,
  [SMALL_STATE(289)] = 9616,
  [SMALL_STATE(290)] = 9659,
  [SMALL_STATE(291)] = 9702,
  [SMALL_STATE(292)] = 9745,
  [SMALL_STATE(293)] = 9788,
  [SMALL_STATE(294)] = 9831,
  [SMALL_STATE(295)] = 9874,
  [SMALL_STATE(296)] = 9917,
  [SMALL_STATE(297)] = 9960,
  [SMALL_STATE(298)] = 10003,
  [SMALL_STATE(299)] = 10046,
  [SMALL_STATE(300)] = 10089,
  [SMALL_STATE(301)] = 10132,
  [SMALL_STATE(302)] = 10175,
  [SMALL_STATE(303)] = 10218,
  [SMALL_STATE(304)] = 10261,
  [SMALL_STATE(305)] = 10304,
  [SMALL_STATE(306)] = 10347,
  [SMALL_STATE(307)] = 10390,
  [SMALL_STATE(308)] = 10433,
  [SMALL_STATE(309)] = 10476,
  [SMALL_STATE(310)] = 10519,
  [SMALL_STATE(311)] = 10572,
  [SMALL_STATE(312)] = 10619,
  [SMALL_STATE(313)] = 10666,
  [SMALL_STATE(314)] = 10709,
  [SMALL_STATE(315)] = 10756,
  [SMALL_STATE(316)] = 10803,
  [SMALL_STATE(317)] = 10850,
  [SMALL_STATE(318)] = 10893,
  [SMALL_STATE(319)] = 10936,
  [SMALL_STATE(320)] = 10983,
  [SMALL_STATE(321)] = 11026,
  [SMALL_STATE(322)] = 11073,
  [SMALL_STATE(323)] = 11116,
  [SMALL_STATE(324)] = 11163,
  [SMALL_STATE(325)] = 11206,
  [SMALL_STATE(326)] = 11249,
  [SMALL_STATE(327)] = 11292,
  [SMALL_STATE(328)] = 11335,
  [SMALL_STATE(329)] = 11378,
  [SMALL_STATE(330)] = 11421,
  [SMALL_STATE(331)] = 11464,
  [SMALL_STATE(332)] = 11507,
  [SMALL_STATE(333)] = 11550,
  [SMALL_STATE(334)] = 11593,
  [SMALL_STATE(335)] = 11640,
  [SMALL_STATE(336)] = 11683,
  [SMALL_STATE(337)] = 11726,
  [SMALL_STATE(338)] = 11769,
  [SMALL_STATE(339)] = 11812,
  [SMALL_STATE(340)] = 11859,
  [SMALL_STATE(341)] = 11906,
  [SMALL_STATE(342)] = 11949,
  [SMALL_STATE(343)] = 11992,
  [SMALL_STATE(344)] = 12035,
  [SMALL_STATE(345)] = 12082,
  [SMALL_STATE(346)] = 12125,
  [SMALL_STATE(347)] = 12168,
  [SMALL_STATE(348)] = 12211,
  [SMALL_STATE(349)] = 12254,
  [SMALL_STATE(350)] = 12301,
  [SMALL_STATE(351)] = 12344,
  [SMALL_STATE(352)] = 12387,
  [SMALL_STATE(353)] = 12430,
  [SMALL_STATE(354)] = 12473,
  [SMALL_STATE(355)] = 12516,
  [SMALL_STATE(356)] = 12559,
  [SMALL_STATE(357)] = 12602,
  [SMALL_STATE(358)] = 12645,
  [SMALL_STATE(359)] = 12688,
  [SMALL_STATE(360)] = 12731,
  [SMALL_STATE(361)] = 12774,
  [SMALL_STATE(362)] = 12817,
  [SMALL_STATE(363)] = 12860,
  [SMALL_STATE(364)] = 12903,
  [SMALL_STATE(365)] = 12946,
  [SMALL_STATE(366)] = 12989,
  [SMALL_STATE(367)] = 13032,
  [SMALL_STATE(368)] = 13075,
  [SMALL_STATE(369)] = 13122,
  [SMALL_STATE(370)] = 13169,
  [SMALL_STATE(371)] = 13212,
  [SMALL_STATE(372)] = 13255,
  [SMALL_STATE(373)] = 13298,
  [SMALL_STATE(374)] = 13341,
  [SMALL_STATE(375)] = 13388,
  [SMALL_STATE(376)] = 13435,
  [SMALL_STATE(377)] = 13478,
  [SMALL_STATE(378)] = 13521,
  [SMALL_STATE(379)] = 13564,
  [SMALL_STATE(380)] = 13607,
  [SMALL_STATE(381)] = 13650,
  [SMALL_STATE(382)] = 13693,
  [SMALL_STATE(383)] = 13736,
  [SMALL_STATE(384)] = 13783,
  [SMALL_STATE(385)] = 13826,
  [SMALL_STATE(386)] = 13869,
  [SMALL_STATE(387)] = 13912,
  [SMALL_STATE(388)] = 13955,
  [SMALL_STATE(389)] = 13998,
  [SMALL_STATE(390)] = 14041,
  [SMALL_STATE(391)] = 14084,
  [SMALL_STATE(392)] = 14127,
  [SMALL_STATE(393)] = 14170,
  [SMALL_STATE(394)] = 14213,
  [SMALL_STATE(395)] = 14256,
  [SMALL_STATE(396)] = 14299,
  [SMALL_STATE(397)] = 14342,
  [SMALL_STATE(398)] = 14385,
  [SMALL_STATE(399)] = 14428,
  [SMALL_STATE(400)] = 14471,
  [SMALL_STATE(401)] = 14514,
  [SMALL_STATE(402)] = 14557,
  [SMALL_STATE(403)] = 14604,
  [SMALL_STATE(404)] = 14647,
  [SMALL_STATE(405)] = 14694,
  [SMALL_STATE(406)] = 14741,
  [SMALL_STATE(407)] = 14784,
  [SMALL_STATE(408)] = 14827,
  [SMALL_STATE(409)] = 14870,
  [SMALL_STATE(410)] = 14913,
  [SMALL_STATE(411)] = 14956,
  [SMALL_STATE(412)] = 14999,
  [SMALL_STATE(413)] = 15042,
  [SMALL_STATE(414)] = 15085,
  [SMALL_STATE(415)] = 15128,
  [SMALL_STATE(416)] = 15171,
  [SMALL_STATE(417)] = 15214,
  [SMALL_STATE(418)] = 15257,
  [SMALL_STATE(419)] = 15304,
  [SMALL_STATE(420)] = 15347,
  [SMALL_STATE(421)] = 15390,
  [SMALL_STATE(422)] = 15433,
  [SMALL_STATE(423)] = 15476,
  [SMALL_STATE(424)] = 15519,
  [SMALL_STATE(425)] = 15566,
  [SMALL_STATE(426)] = 15613,
  [SMALL_STATE(427)] = 15660,
  [SMALL_STATE(428)] = 15703,
  [SMALL_STATE(429)] = 15746,
  [SMALL_STATE(430)] = 15793,
  [SMALL_STATE(431)] = 15836,
  [SMALL_STATE(432)] = 15879,
  [SMALL_STATE(433)] = 15922,
  [SMALL_STATE(434)] = 15969,
  [SMALL_STATE(435)] = 16012,
  [SMALL_STATE(436)] = 16059,
  [SMALL_STATE(437)] = 16102,
  [SMALL_STATE(438)] = 16145,
  [SMALL_STATE(439)] = 16192,
  [SMALL_STATE(440)] = 16235,
  [SMALL_STATE(441)] = 16278,
  [SMALL_STATE(442)] = 16321,
  [SMALL_STATE(443)] = 16364,
  [SMALL_STATE(444)] = 16407,
  [SMALL_STATE(445)] = 16450,
  [SMALL_STATE(446)] = 16493,
  [SMALL_STATE(447)] = 16540,
  [SMALL_STATE(448)] = 16587,
  [SMALL_STATE(449)] = 16634,
  [SMALL_STATE(450)] = 16681,
  [SMALL_STATE(451)] = 16724,
  [SMALL_STATE(452)] = 16767,
  [SMALL_STATE(453)] = 16810,
  [SMALL_STATE(454)] = 16857,
  [SMALL_STATE(455)] = 16900,
  [SMALL_STATE(456)] = 16947,
  [SMALL_STATE(457)] = 16990,
  [SMALL_STATE(458)] = 17037,
  [SMALL_STATE(459)] = 17080,
  [SMALL_STATE(460)] = 17123,
  [SMALL_STATE(461)] = 17170,
  [SMALL_STATE(462)] = 17213,
  [SMALL_STATE(463)] = 17260,
  [SMALL_STATE(464)] = 17303,
  [SMALL_STATE(465)] = 17346,
  [SMALL_STATE(466)] = 17389,
  [SMALL_STATE(467)] = 17432,
  [SMALL_STATE(468)] = 17475,
  [SMALL_STATE(469)] = 17518,
  [SMALL_STATE(470)] = 17561,
  [SMALL_STATE(471)] = 17604,
  [SMALL_STATE(472)] = 17651,
  [SMALL_STATE(473)] = 17698,
  [SMALL_STATE(474)] = 17745,
  [SMALL_STATE(475)] = 17792,
  [SMALL_STATE(476)] = 17835,
  [SMALL_STATE(477)] = 17882,
  [SMALL_STATE(478)] = 17929,
  [SMALL_STATE(479)] = 17976,
  [SMALL_STATE(480)] = 18018,
  [SMALL_STATE(481)] = 18064,
  [SMALL_STATE(482)] = 18106,
  [SMALL_STATE(483)] = 18148,
  [SMALL_STATE(484)] = 18190,
  [SMALL_STATE(485)] = 18232,
  [SMALL_STATE(486)] = 18274,
  [SMALL_STATE(487)] = 18316,
  [SMALL_STATE(488)] = 18358,
  [SMALL_STATE(489)] = 18400,
  [SMALL_STATE(490)] = 18442,
  [SMALL_STATE(491)] = 18484,
  [SMALL_STATE(492)] = 18526,
  [SMALL_STATE(493)] = 18568,
  [SMALL_STATE(494)] = 18610,
  [SMALL_STATE(495)] = 18652,
  [SMALL_STATE(496)] = 18698,
  [SMALL_STATE(497)] = 18744,
  [SMALL_STATE(498)] = 18786,
  [SMALL_STATE(499)] = 18828,
  [SMALL_STATE(500)] = 18870,
  [SMALL_STATE(501)] = 18912,
  [SMALL_STATE(502)] = 18954,
  [SMALL_STATE(503)] = 19006,
  [SMALL_STATE(504)] = 19048,
  [SMALL_STATE(505)] = 19090,
  [SMALL_STATE(506)] = 19132,
  [SMALL_STATE(507)] = 19174,
  [SMALL_STATE(508)] = 19216,
  [SMALL_STATE(509)] = 19258,
  [SMALL_STATE(510)] = 19300,
  [SMALL_STATE(511)] = 19342,
  [SMALL_STATE(512)] = 19384,
  [SMALL_STATE(513)] = 19426,
  [SMALL_STATE(514)] = 19468,
  [SMALL_STATE(515)] = 19510,
  [SMALL_STATE(516)] = 19552,
  [SMALL_STATE(517)] = 19594,
  [SMALL_STATE(518)] = 19636,
  [SMALL_STATE(519)] = 19678,
  [SMALL_STATE(520)] = 19720,
  [SMALL_STATE(521)] = 19762,
  [SMALL_STATE(522)] = 19804,
  [SMALL_STATE(523)] = 19850,
  [SMALL_STATE(524)] = 19892,
  [SMALL_STATE(525)] = 19934,
  [SMALL_STATE(526)] = 19976,
  [SMALL_STATE(527)] = 20018,
  [SMALL_STATE(528)] = 20060,
  [SMALL_STATE(529)] = 20102,
  [SMALL_STATE(530)] = 20144,
  [SMALL_STATE(531)] = 20196,
  [SMALL_STATE(532)] = 20242,
  [SMALL_STATE(533)] = 20284,
  [SMALL_STATE(534)] = 20326,
  [SMALL_STATE(535)] = 20368,
  [SMALL_STATE(536)] = 20410,
  [SMALL_STATE(537)] = 20452,
  [SMALL_STATE(538)] = 20494,
  [SMALL_STATE(539)] = 20536,
  [SMALL_STATE(540)] = 20578,
  [SMALL_STATE(541)] = 20620,
  [SMALL_STATE(542)] = 20662,
  [SMALL_STATE(543)] = 20704,
  [SMALL_STATE(544)] = 20750,
  [SMALL_STATE(545)] = 20792,
  [SMALL_STATE(546)] = 20866,
  [SMALL_STATE(547)] = 20908,
  [SMALL_STATE(548)] = 20982,
  [SMALL_STATE(549)] = 21024,
  [SMALL_STATE(550)] = 21066,
  [SMALL_STATE(551)] = 21108,
  [SMALL_STATE(552)] = 21150,
  [SMALL_STATE(553)] = 21192,
  [SMALL_STATE(554)] = 21234,
  [SMALL_STATE(555)] = 21276,
  [SMALL_STATE(556)] = 21318,
  [SMALL_STATE(557)] = 21360,
  [SMALL_STATE(558)] = 21402,
  [SMALL_STATE(559)] = 21444,
  [SMALL_STATE(560)] = 21486,
  [SMALL_STATE(561)] = 21528,
  [SMALL_STATE(562)] = 21570,
  [SMALL_STATE(563)] = 21612,
  [SMALL_STATE(564)] = 21654,
  [SMALL_STATE(565)] = 21696,
  [SMALL_STATE(566)] = 21738,
  [SMALL_STATE(567)] = 21780,
  [SMALL_STATE(568)] = 21822,
  [SMALL_STATE(569)] = 21864,
  [SMALL_STATE(570)] = 21906,
  [SMALL_STATE(571)] = 21948,
  [SMALL_STATE(572)] = 22022,
  [SMALL_STATE(573)] = 22064,
  [SMALL_STATE(574)] = 22110,
  [SMALL_STATE(575)] = 22152,
  [SMALL_STATE(576)] = 22194,
  [SMALL_STATE(577)] = 22240,
  [SMALL_STATE(578)] = 22282,
  [SMALL_STATE(579)] = 22324,
  [SMALL_STATE(580)] = 22366,
  [SMALL_STATE(581)] = 22408,
  [SMALL_STATE(582)] = 22450,
  [SMALL_STATE(583)] = 22492,
  [SMALL_STATE(584)] = 22566,
  [SMALL_STATE(585)] = 22612,
  [SMALL_STATE(586)] = 22654,
  [SMALL_STATE(587)] = 22696,
  [SMALL_STATE(588)] = 22738,
  [SMALL_STATE(589)] = 22780,
  [SMALL_STATE(590)] = 22822,
  [SMALL_STATE(591)] = 22864,
  [SMALL_STATE(592)] = 22906,
  [SMALL_STATE(593)] = 22952,
  [SMALL_STATE(594)] = 22994,
  [SMALL_STATE(595)] = 23036,
  [SMALL_STATE(596)] = 23078,
  [SMALL_STATE(597)] = 23120,
  [SMALL_STATE(598)] = 23162,
  [SMALL_STATE(599)] = 23204,
  [SMALL_STATE(600)] = 23246,
  [SMALL_STATE(601)] = 23288,
  [SMALL_STATE(602)] = 23330,
  [SMALL_STATE(603)] = 23372,
  [SMALL_STATE(604)] = 23414,
  [SMALL_STATE(605)] = 23456,
  [SMALL_STATE(606)] = 23498,
  [SMALL_STATE(607)] = 23540,
  [SMALL_STATE(608)] = 23582,
  [SMALL_STATE(609)] = 23624,
  [SMALL_STATE(610)] = 23666,
  [SMALL_STATE(611)] = 23708,
  [SMALL_STATE(612)] = 23750,
  [SMALL_STATE(613)] = 23792,
  [SMALL_STATE(614)] = 23834,
  [SMALL_STATE(615)] = 23876,
  [SMALL_STATE(616)] = 23918,
  [SMALL_STATE(617)] = 23960,
  [SMALL_STATE(618)] = 24002,
  [SMALL_STATE(619)] = 24044,
  [SMALL_STATE(620)] = 24086,
  [SMALL_STATE(621)] = 24128,
  [SMALL_STATE(622)] = 24170,
  [SMALL_STATE(623)] = 24212,
  [SMALL_STATE(624)] = 24254,
  [SMALL_STATE(625)] = 24296,
  [SMALL_STATE(626)] = 24338,
  [SMALL_STATE(627)] = 24380,
  [SMALL_STATE(628)] = 24422,
  [SMALL_STATE(629)] = 24464,
  [SMALL_STATE(630)] = 24506,
  [SMALL_STATE(631)] = 24548,
  [SMALL_STATE(632)] = 24590,
  [SMALL_STATE(633)] = 24632,
  [SMALL_STATE(634)] = 24674,
  [SMALL_STATE(635)] = 24716,
  [SMALL_STATE(636)] = 24758,
  [SMALL_STATE(637)] = 24800,
  [SMALL_STATE(638)] = 24842,
  [SMALL_STATE(639)] = 24888,
  [SMALL_STATE(640)] = 24930,
  [SMALL_STATE(641)] = 24972,
  [SMALL_STATE(642)] = 25014,
  [SMALL_STATE(643)] = 25056,
  [SMALL_STATE(644)] = 25098,
  [SMALL_STATE(645)] = 25140,
  [SMALL_STATE(646)] = 25182,
  [SMALL_STATE(647)] = 25224,
  [SMALL_STATE(648)] = 25266,
  [SMALL_STATE(649)] = 25308,
  [SMALL_STATE(650)] = 25350,
  [SMALL_STATE(651)] = 25392,
  [SMALL_STATE(652)] = 25434,
  [SMALL_STATE(653)] = 25476,
  [SMALL_STATE(654)] = 25518,
  [SMALL_STATE(655)] = 25560,
  [SMALL_STATE(656)] = 25602,
  [SMALL_STATE(657)] = 25644,
  [SMALL_STATE(658)] = 25686,
  [SMALL_STATE(659)] = 25728,
  [SMALL_STATE(660)] = 25770,
  [SMALL_STATE(661)] = 25812,
  [SMALL_STATE(662)] = 25854,
  [SMALL_STATE(663)] = 25896,
  [SMALL_STATE(664)] = 25938,
  [SMALL_STATE(665)] = 25980,
  [SMALL_STATE(666)] = 26022,
  [SMALL_STATE(667)] = 26064,
  [SMALL_STATE(668)] = 26106,
  [SMALL_STATE(669)] = 26148,
  [SMALL_STATE(670)] = 26194,
  [SMALL_STATE(671)] = 26236,
  [SMALL_STATE(672)] = 26278,
  [SMALL_STATE(673)] = 26320,
  [SMALL_STATE(674)] = 26362,
  [SMALL_STATE(675)] = 26404,
  [SMALL_STATE(676)] = 26446,
  [SMALL_STATE(677)] = 26488,
  [SMALL_STATE(678)] = 26529,
  [SMALL_STATE(679)] = 26570,
  [SMALL_STATE(680)] = 26611,
  [SMALL_STATE(681)] = 26652,
  [SMALL_STATE(682)] = 26693,
  [SMALL_STATE(683)] = 26734,
  [SMALL_STATE(684)] = 26775,
  [SMALL_STATE(685)] = 26816,
  [SMALL_STATE(686)] = 26857,
  [SMALL_STATE(687)] = 26898,
  [SMALL_STATE(688)] = 26939,
  [SMALL_STATE(689)] = 26980,
  [SMALL_STATE(690)] = 27021,
  [SMALL_STATE(691)] = 27062,
  [SMALL_STATE(692)] = 27103,
  [SMALL_STATE(693)] = 27152,
  [SMALL_STATE(694)] = 27204,
  [SMALL_STATE(695)] = 27268,
  [SMALL_STATE(696)] = 27332,
  [SMALL_STATE(697)] = 27396,
  [SMALL_STATE(698)] = 27460,
  [SMALL_STATE(699)] = 27514,
  [SMALL_STATE(700)] = 27578,
  [SMALL_STATE(701)] = 27642,
  [SMALL_STATE(702)] = 27694,
  [SMALL_STATE(703)] = 27746,
  [SMALL_STATE(704)] = 27811,
  [SMALL_STATE(705)] = 27876,
  [SMALL_STATE(706)] = 27941,
  [SMALL_STATE(707)] = 28006,
  [SMALL_STATE(708)] = 28071,
  [SMALL_STATE(709)] = 28136,
  [SMALL_STATE(710)] = 28201,
  [SMALL_STATE(711)] = 28266,
  [SMALL_STATE(712)] = 28331,
  [SMALL_STATE(713)] = 28396,
  [SMALL_STATE(714)] = 28461,
  [SMALL_STATE(715)] = 28526,
  [SMALL_STATE(716)] = 28591,
  [SMALL_STATE(717)] = 28656,
  [SMALL_STATE(718)] = 28721,
  [SMALL_STATE(719)] = 28786,
  [SMALL_STATE(720)] = 28851,
  [SMALL_STATE(721)] = 28916,
  [SMALL_STATE(722)] = 28981,
  [SMALL_STATE(723)] = 29046,
  [SMALL_STATE(724)] = 29111,
  [SMALL_STATE(725)] = 29176,
  [SMALL_STATE(726)] = 29241,
  [SMALL_STATE(727)] = 29306,
  [SMALL_STATE(728)] = 29371,
  [SMALL_STATE(729)] = 29436,
  [SMALL_STATE(730)] = 29501,
  [SMALL_STATE(731)] = 29566,
  [SMALL_STATE(732)] = 29631,
  [SMALL_STATE(733)] = 29696,
  [SMALL_STATE(734)] = 29761,
  [SMALL_STATE(735)] = 29826,
  [SMALL_STATE(736)] = 29891,
  [SMALL_STATE(737)] = 29956,
  [SMALL_STATE(738)] = 30021,
  [SMALL_STATE(739)] = 30086,
  [SMALL_STATE(740)] = 30151,
  [SMALL_STATE(741)] = 30216,
  [SMALL_STATE(742)] = 30281,
  [SMALL_STATE(743)] = 30346,
  [SMALL_STATE(744)] = 30411,
  [SMALL_STATE(745)] = 30476,
  [SMALL_STATE(746)] = 30541,
  [SMALL_STATE(747)] = 30606,
  [SMALL_STATE(748)] = 30671,
  [SMALL_STATE(749)] = 30736,
  [SMALL_STATE(750)] = 30801,
  [SMALL_STATE(751)] = 30866,
  [SMALL_STATE(752)] = 30931,
  [SMALL_STATE(753)] = 30996,
  [SMALL_STATE(754)] = 31061,
  [SMALL_STATE(755)] = 31126,
  [SMALL_STATE(756)] = 31191,
  [SMALL_STATE(757)] = 31256,
  [SMALL_STATE(758)] = 31321,
  [SMALL_STATE(759)] = 31386,
  [SMALL_STATE(760)] = 31451,
  [SMALL_STATE(761)] = 31516,
  [SMALL_STATE(762)] = 31581,
  [SMALL_STATE(763)] = 31646,
  [SMALL_STATE(764)] = 31711,
  [SMALL_STATE(765)] = 31776,
  [SMALL_STATE(766)] = 31841,
  [SMALL_STATE(767)] = 31906,
  [SMALL_STATE(768)] = 31971,
  [SMALL_STATE(769)] = 32036,
  [SMALL_STATE(770)] = 32101,
  [SMALL_STATE(771)] = 32166,
  [SMALL_STATE(772)] = 32231,
  [SMALL_STATE(773)] = 32296,
  [SMALL_STATE(774)] = 32361,
  [SMALL_STATE(775)] = 32426,
  [SMALL_STATE(776)] = 32491,
  [SMALL_STATE(777)] = 32556,
  [SMALL_STATE(778)] = 32621,
  [SMALL_STATE(779)] = 32686,
  [SMALL_STATE(780)] = 32751,
  [SMALL_STATE(781)] = 32816,
  [SMALL_STATE(782)] = 32881,
  [SMALL_STATE(783)] = 32946,
  [SMALL_STATE(784)] = 33011,
  [SMALL_STATE(785)] = 33076,
  [SMALL_STATE(786)] = 33141,
  [SMALL_STATE(787)] = 33206,
  [SMALL_STATE(788)] = 33271,
  [SMALL_STATE(789)] = 33336,
  [SMALL_STATE(790)] = 33401,
  [SMALL_STATE(791)] = 33466,
  [SMALL_STATE(792)] = 33531,
  [SMALL_STATE(793)] = 33596,
  [SMALL_STATE(794)] = 33661,
  [SMALL_STATE(795)] = 33726,
  [SMALL_STATE(796)] = 33791,
  [SMALL_STATE(797)] = 33856,
  [SMALL_STATE(798)] = 33921,
  [SMALL_STATE(799)] = 33986,
  [SMALL_STATE(800)] = 34051,
  [SMALL_STATE(801)] = 34116,
  [SMALL_STATE(802)] = 34181,
  [SMALL_STATE(803)] = 34246,
  [SMALL_STATE(804)] = 34311,
  [SMALL_STATE(805)] = 34376,
  [SMALL_STATE(806)] = 34441,
  [SMALL_STATE(807)] = 34506,
  [SMALL_STATE(808)] = 34571,
  [SMALL_STATE(809)] = 34636,
  [SMALL_STATE(810)] = 34701,
  [SMALL_STATE(811)] = 34766,
  [SMALL_STATE(812)] = 34831,
  [SMALL_STATE(813)] = 34896,
  [SMALL_STATE(814)] = 34961,
  [SMALL_STATE(815)] = 35026,
  [SMALL_STATE(816)] = 35091,
  [SMALL_STATE(817)] = 35156,
  [SMALL_STATE(818)] = 35221,
  [SMALL_STATE(819)] = 35286,
  [SMALL_STATE(820)] = 35351,
  [SMALL_STATE(821)] = 35416,
  [SMALL_STATE(822)] = 35481,
  [SMALL_STATE(823)] = 35546,
  [SMALL_STATE(824)] = 35611,
  [SMALL_STATE(825)] = 35676,
  [SMALL_STATE(826)] = 35741,
  [SMALL_STATE(827)] = 35806,
  [SMALL_STATE(828)] = 35871,
  [SMALL_STATE(829)] = 35936,
  [SMALL_STATE(830)] = 36001,
  [SMALL_STATE(831)] = 36066,
  [SMALL_STATE(832)] = 36131,
  [SMALL_STATE(833)] = 36196,
  [SMALL_STATE(834)] = 36261,
  [SMALL_STATE(835)] = 36326,
  [SMALL_STATE(836)] = 36391,
  [SMALL_STATE(837)] = 36456,
  [SMALL_STATE(838)] = 36521,
  [SMALL_STATE(839)] = 36586,
  [SMALL_STATE(840)] = 36651,
  [SMALL_STATE(841)] = 36716,
  [SMALL_STATE(842)] = 36781,
  [SMALL_STATE(843)] = 36846,
  [SMALL_STATE(844)] = 36911,
  [SMALL_STATE(845)] = 36976,
  [SMALL_STATE(846)] = 37041,
  [SMALL_STATE(847)] = 37106,
  [SMALL_STATE(848)] = 37171,
  [SMALL_STATE(849)] = 37236,
  [SMALL_STATE(850)] = 37301,
  [SMALL_STATE(851)] = 37366,
  [SMALL_STATE(852)] = 37431,
  [SMALL_STATE(853)] = 37496,
  [SMALL_STATE(854)] = 37561,
  [SMALL_STATE(855)] = 37626,
  [SMALL_STATE(856)] = 37691,
  [SMALL_STATE(857)] = 37756,
  [SMALL_STATE(858)] = 37821,
  [SMALL_STATE(859)] = 37886,
  [SMALL_STATE(860)] = 37951,
  [SMALL_STATE(861)] = 38016,
  [SMALL_STATE(862)] = 38081,
  [SMALL_STATE(863)] = 38146,
  [SMALL_STATE(864)] = 38211,
  [SMALL_STATE(865)] = 38276,
  [SMALL_STATE(866)] = 38341,
  [SMALL_STATE(867)] = 38406,
  [SMALL_STATE(868)] = 38471,
  [SMALL_STATE(869)] = 38536,
  [SMALL_STATE(870)] = 38601,
  [SMALL_STATE(871)] = 38666,
  [SMALL_STATE(872)] = 38731,
  [SMALL_STATE(873)] = 38796,
  [SMALL_STATE(874)] = 38861,
  [SMALL_STATE(875)] = 38926,
  [SMALL_STATE(876)] = 38991,
  [SMALL_STATE(877)] = 39056,
  [SMALL_STATE(878)] = 39121,
  [SMALL_STATE(879)] = 39186,
  [SMALL_STATE(880)] = 39251,
  [SMALL_STATE(881)] = 39316,
  [SMALL_STATE(882)] = 39381,
  [SMALL_STATE(883)] = 39446,
  [SMALL_STATE(884)] = 39511,
  [SMALL_STATE(885)] = 39576,
  [SMALL_STATE(886)] = 39641,
  [SMALL_STATE(887)] = 39706,
  [SMALL_STATE(888)] = 39771,
  [SMALL_STATE(889)] = 39836,
  [SMALL_STATE(890)] = 39901,
  [SMALL_STATE(891)] = 39966,
  [SMALL_STATE(892)] = 40031,
  [SMALL_STATE(893)] = 40096,
  [SMALL_STATE(894)] = 40161,
  [SMALL_STATE(895)] = 40226,
  [SMALL_STATE(896)] = 40291,
  [SMALL_STATE(897)] = 40356,
  [SMALL_STATE(898)] = 40421,
  [SMALL_STATE(899)] = 40486,
  [SMALL_STATE(900)] = 40551,
  [SMALL_STATE(901)] = 40616,
  [SMALL_STATE(902)] = 40681,
  [SMALL_STATE(903)] = 40746,
  [SMALL_STATE(904)] = 40811,
  [SMALL_STATE(905)] = 40876,
  [SMALL_STATE(906)] = 40941,
  [SMALL_STATE(907)] = 41006,
  [SMALL_STATE(908)] = 41071,
  [SMALL_STATE(909)] = 41136,
  [SMALL_STATE(910)] = 41201,
  [SMALL_STATE(911)] = 41266,
  [SMALL_STATE(912)] = 41331,
  [SMALL_STATE(913)] = 41396,
  [SMALL_STATE(914)] = 41461,
  [SMALL_STATE(915)] = 41526,
  [SMALL_STATE(916)] = 41591,
  [SMALL_STATE(917)] = 41656,
  [SMALL_STATE(918)] = 41721,
  [SMALL_STATE(919)] = 41786,
  [SMALL_STATE(920)] = 41851,
  [SMALL_STATE(921)] = 41916,
  [SMALL_STATE(922)] = 41981,
  [SMALL_STATE(923)] = 42046,
  [SMALL_STATE(924)] = 42111,
  [SMALL_STATE(925)] = 42173,
  [SMALL_STATE(926)] = 42235,
  [SMALL_STATE(927)] = 42297,
  [SMALL_STATE(928)] = 42359,
  [SMALL_STATE(929)] = 42421,
  [SMALL_STATE(930)] = 42483,
  [SMALL_STATE(931)] = 42545,
  [SMALL_STATE(932)] = 42607,
  [SMALL_STATE(933)] = 42669,
  [SMALL_STATE(934)] = 42731,
  [SMALL_STATE(935)] = 42793,
  [SMALL_STATE(936)] = 42855,
  [SMALL_STATE(937)] = 42917,
  [SMALL_STATE(938)] = 42979,
  [SMALL_STATE(939)] = 43041,
  [SMALL_STATE(940)] = 43103,
  [SMALL_STATE(941)] = 43165,
  [SMALL_STATE(942)] = 43227,
  [SMALL_STATE(943)] = 43289,
  [SMALL_STATE(944)] = 43351,
  [SMALL_STATE(945)] = 43413,
  [SMALL_STATE(946)] = 43475,
  [SMALL_STATE(947)] = 43537,
  [SMALL_STATE(948)] = 43599,
  [SMALL_STATE(949)] = 43661,
  [SMALL_STATE(950)] = 43723,
  [SMALL_STATE(951)] = 43785,
  [SMALL_STATE(952)] = 43847,
  [SMALL_STATE(953)] = 43909,
  [SMALL_STATE(954)] = 43971,
  [SMALL_STATE(955)] = 44033,
  [SMALL_STATE(956)] = 44095,
  [SMALL_STATE(957)] = 44157,
  [SMALL_STATE(958)] = 44219,
  [SMALL_STATE(959)] = 44281,
  [SMALL_STATE(960)] = 44343,
  [SMALL_STATE(961)] = 44405,
  [SMALL_STATE(962)] = 44467,
  [SMALL_STATE(963)] = 44529,
  [SMALL_STATE(964)] = 44591,
  [SMALL_STATE(965)] = 44653,
  [SMALL_STATE(966)] = 44715,
  [SMALL_STATE(967)] = 44777,
  [SMALL_STATE(968)] = 44839,
  [SMALL_STATE(969)] = 44901,
  [SMALL_STATE(970)] = 44963,
  [SMALL_STATE(971)] = 45025,
  [SMALL_STATE(972)] = 45087,
  [SMALL_STATE(973)] = 45149,
  [SMALL_STATE(974)] = 45211,
  [SMALL_STATE(975)] = 45273,
  [SMALL_STATE(976)] = 45335,
  [SMALL_STATE(977)] = 45397,
  [SMALL_STATE(978)] = 45459,
  [SMALL_STATE(979)] = 45521,
  [SMALL_STATE(980)] = 45583,
  [SMALL_STATE(981)] = 45645,
  [SMALL_STATE(982)] = 45707,
  [SMALL_STATE(983)] = 45769,
  [SMALL_STATE(984)] = 45831,
  [SMALL_STATE(985)] = 45893,
  [SMALL_STATE(986)] = 45955,
  [SMALL_STATE(987)] = 46017,
  [SMALL_STATE(988)] = 46079,
  [SMALL_STATE(989)] = 46141,
  [SMALL_STATE(990)] = 46203,
  [SMALL_STATE(991)] = 46265,
  [SMALL_STATE(992)] = 46327,
  [SMALL_STATE(993)] = 46389,
  [SMALL_STATE(994)] = 46451,
  [SMALL_STATE(995)] = 46513,
  [SMALL_STATE(996)] = 46575,
  [SMALL_STATE(997)] = 46637,
  [SMALL_STATE(998)] = 46699,
  [SMALL_STATE(999)] = 46761,
  [SMALL_STATE(1000)] = 46823,
  [SMALL_STATE(1001)] = 46885,
  [SMALL_STATE(1002)] = 46947,
  [SMALL_STATE(1003)] = 47009,
  [SMALL_STATE(1004)] = 47071,
  [SMALL_STATE(1005)] = 47133,
  [SMALL_STATE(1006)] = 47195,
  [SMALL_STATE(1007)] = 47257,
  [SMALL_STATE(1008)] = 47319,
  [SMALL_STATE(1009)] = 47381,
  [SMALL_STATE(1010)] = 47443,
  [SMALL_STATE(1011)] = 47505,
  [SMALL_STATE(1012)] = 47567,
  [SMALL_STATE(1013)] = 47629,
  [SMALL_STATE(1014)] = 47691,
  [SMALL_STATE(1015)] = 47753,
  [SMALL_STATE(1016)] = 47815,
  [SMALL_STATE(1017)] = 47877,
  [SMALL_STATE(1018)] = 47939,
  [SMALL_STATE(1019)] = 48001,
  [SMALL_STATE(1020)] = 48063,
  [SMALL_STATE(1021)] = 48125,
  [SMALL_STATE(1022)] = 48187,
  [SMALL_STATE(1023)] = 48249,
  [SMALL_STATE(1024)] = 48311,
  [SMALL_STATE(1025)] = 48373,
  [SMALL_STATE(1026)] = 48435,
  [SMALL_STATE(1027)] = 48497,
  [SMALL_STATE(1028)] = 48559,
  [SMALL_STATE(1029)] = 48621,
  [SMALL_STATE(1030)] = 48683,
  [SMALL_STATE(1031)] = 48745,
  [SMALL_STATE(1032)] = 48807,
  [SMALL_STATE(1033)] = 48869,
  [SMALL_STATE(1034)] = 48931,
  [SMALL_STATE(1035)] = 48993,
  [SMALL_STATE(1036)] = 49055,
  [SMALL_STATE(1037)] = 49117,
  [SMALL_STATE(1038)] = 49179,
  [SMALL_STATE(1039)] = 49241,
  [SMALL_STATE(1040)] = 49303,
  [SMALL_STATE(1041)] = 49365,
  [SMALL_STATE(1042)] = 49427,
  [SMALL_STATE(1043)] = 49489,
  [SMALL_STATE(1044)] = 49551,
  [SMALL_STATE(1045)] = 49613,
  [SMALL_STATE(1046)] = 49675,
  [SMALL_STATE(1047)] = 49737,
  [SMALL_STATE(1048)] = 49799,
  [SMALL_STATE(1049)] = 49861,
  [SMALL_STATE(1050)] = 49923,
  [SMALL_STATE(1051)] = 49985,
  [SMALL_STATE(1052)] = 50047,
  [SMALL_STATE(1053)] = 50109,
  [SMALL_STATE(1054)] = 50171,
  [SMALL_STATE(1055)] = 50233,
  [SMALL_STATE(1056)] = 50295,
  [SMALL_STATE(1057)] = 50357,
  [SMALL_STATE(1058)] = 50419,
  [SMALL_STATE(1059)] = 50481,
  [SMALL_STATE(1060)] = 50543,
  [SMALL_STATE(1061)] = 50605,
  [SMALL_STATE(1062)] = 50667,
  [SMALL_STATE(1063)] = 50729,
  [SMALL_STATE(1064)] = 50791,
  [SMALL_STATE(1065)] = 50853,
  [SMALL_STATE(1066)] = 50915,
  [SMALL_STATE(1067)] = 50977,
  [SMALL_STATE(1068)] = 51039,
  [SMALL_STATE(1069)] = 51101,
  [SMALL_STATE(1070)] = 51163,
  [SMALL_STATE(1071)] = 51225,
  [SMALL_STATE(1072)] = 51287,
  [SMALL_STATE(1073)] = 51349,
  [SMALL_STATE(1074)] = 51411,
  [SMALL_STATE(1075)] = 51473,
  [SMALL_STATE(1076)] = 51535,
  [SMALL_STATE(1077)] = 51597,
  [SMALL_STATE(1078)] = 51659,
  [SMALL_STATE(1079)] = 51721,
  [SMALL_STATE(1080)] = 51783,
  [SMALL_STATE(1081)] = 51845,
  [SMALL_STATE(1082)] = 51907,
  [SMALL_STATE(1083)] = 51969,
  [SMALL_STATE(1084)] = 52031,
  [SMALL_STATE(1085)] = 52093,
  [SMALL_STATE(1086)] = 52155,
  [SMALL_STATE(1087)] = 52217,
  [SMALL_STATE(1088)] = 52279,
  [SMALL_STATE(1089)] = 52341,
  [SMALL_STATE(1090)] = 52403,
  [SMALL_STATE(1091)] = 52465,
  [SMALL_STATE(1092)] = 52527,
  [SMALL_STATE(1093)] = 52589,
  [SMALL_STATE(1094)] = 52651,
  [SMALL_STATE(1095)] = 52713,
  [SMALL_STATE(1096)] = 52775,
  [SMALL_STATE(1097)] = 52837,
  [SMALL_STATE(1098)] = 52899,
  [SMALL_STATE(1099)] = 52961,
  [SMALL_STATE(1100)] = 53023,
  [SMALL_STATE(1101)] = 53085,
  [SMALL_STATE(1102)] = 53147,
  [SMALL_STATE(1103)] = 53209,
  [SMALL_STATE(1104)] = 53271,
  [SMALL_STATE(1105)] = 53333,
  [SMALL_STATE(1106)] = 53395,
  [SMALL_STATE(1107)] = 53457,
  [SMALL_STATE(1108)] = 53519,
  [SMALL_STATE(1109)] = 53581,
  [SMALL_STATE(1110)] = 53643,
  [SMALL_STATE(1111)] = 53705,
  [SMALL_STATE(1112)] = 53767,
  [SMALL_STATE(1113)] = 53829,
  [SMALL_STATE(1114)] = 53891,
  [SMALL_STATE(1115)] = 53953,
  [SMALL_STATE(1116)] = 54015,
  [SMALL_STATE(1117)] = 54077,
  [SMALL_STATE(1118)] = 54139,
  [SMALL_STATE(1119)] = 54201,
  [SMALL_STATE(1120)] = 54263,
  [SMALL_STATE(1121)] = 54325,
  [SMALL_STATE(1122)] = 54387,
  [SMALL_STATE(1123)] = 54449,
  [SMALL_STATE(1124)] = 54511,
  [SMALL_STATE(1125)] = 54573,
  [SMALL_STATE(1126)] = 54635,
  [SMALL_STATE(1127)] = 54697,
  [SMALL_STATE(1128)] = 54759,
  [SMALL_STATE(1129)] = 54821,
  [SMALL_STATE(1130)] = 54883,
  [SMALL_STATE(1131)] = 54945,
  [SMALL_STATE(1132)] = 55007,
  [SMALL_STATE(1133)] = 55069,
  [SMALL_STATE(1134)] = 55131,
  [SMALL_STATE(1135)] = 55193,
  [SMALL_STATE(1136)] = 55255,
  [SMALL_STATE(1137)] = 55317,
  [SMALL_STATE(1138)] = 55379,
  [SMALL_STATE(1139)] = 55441,
  [SMALL_STATE(1140)] = 55503,
  [SMALL_STATE(1141)] = 55565,
  [SMALL_STATE(1142)] = 55627,
  [SMALL_STATE(1143)] = 55689,
  [SMALL_STATE(1144)] = 55751,
  [SMALL_STATE(1145)] = 55813,
  [SMALL_STATE(1146)] = 55875,
  [SMALL_STATE(1147)] = 55937,
  [SMALL_STATE(1148)] = 55999,
  [SMALL_STATE(1149)] = 56061,
  [SMALL_STATE(1150)] = 56123,
  [SMALL_STATE(1151)] = 56185,
  [SMALL_STATE(1152)] = 56247,
  [SMALL_STATE(1153)] = 56309,
  [SMALL_STATE(1154)] = 56371,
  [SMALL_STATE(1155)] = 56433,
  [SMALL_STATE(1156)] = 56495,
  [SMALL_STATE(1157)] = 56557,
  [SMALL_STATE(1158)] = 56619,
  [SMALL_STATE(1159)] = 56681,
  [SMALL_STATE(1160)] = 56743,
  [SMALL_STATE(1161)] = 56805,
  [SMALL_STATE(1162)] = 56867,
  [SMALL_STATE(1163)] = 56929,
  [SMALL_STATE(1164)] = 56991,
  [SMALL_STATE(1165)] = 57053,
  [SMALL_STATE(1166)] = 57115,
  [SMALL_STATE(1167)] = 57177,
  [SMALL_STATE(1168)] = 57239,
  [SMALL_STATE(1169)] = 57301,
  [SMALL_STATE(1170)] = 57363,
  [SMALL_STATE(1171)] = 57425,
  [SMALL_STATE(1172)] = 57487,
  [SMALL_STATE(1173)] = 57549,
  [SMALL_STATE(1174)] = 57611,
  [SMALL_STATE(1175)] = 57673,
  [SMALL_STATE(1176)] = 57735,
  [SMALL_STATE(1177)] = 57797,
  [SMALL_STATE(1178)] = 57859,
  [SMALL_STATE(1179)] = 57921,
  [SMALL_STATE(1180)] = 57983,
  [SMALL_STATE(1181)] = 58045,
  [SMALL_STATE(1182)] = 58107,
  [SMALL_STATE(1183)] = 58169,
  [SMALL_STATE(1184)] = 58231,
  [SMALL_STATE(1185)] = 58293,
  [SMALL_STATE(1186)] = 58355,
  [SMALL_STATE(1187)] = 58417,
  [SMALL_STATE(1188)] = 58479,
  [SMALL_STATE(1189)] = 58541,
  [SMALL_STATE(1190)] = 58603,
  [SMALL_STATE(1191)] = 58665,
  [SMALL_STATE(1192)] = 58727,
  [SMALL_STATE(1193)] = 58789,
  [SMALL_STATE(1194)] = 58851,
  [SMALL_STATE(1195)] = 58913,
  [SMALL_STATE(1196)] = 58975,
  [SMALL_STATE(1197)] = 59037,
  [SMALL_STATE(1198)] = 59099,
  [SMALL_STATE(1199)] = 59161,
  [SMALL_STATE(1200)] = 59223,
  [SMALL_STATE(1201)] = 59285,
  [SMALL_STATE(1202)] = 59347,
  [SMALL_STATE(1203)] = 59409,
  [SMALL_STATE(1204)] = 59471,
  [SMALL_STATE(1205)] = 59533,
  [SMALL_STATE(1206)] = 59595,
  [SMALL_STATE(1207)] = 59657,
  [SMALL_STATE(1208)] = 59719,
  [SMALL_STATE(1209)] = 59781,
  [SMALL_STATE(1210)] = 59843,
  [SMALL_STATE(1211)] = 59905,
  [SMALL_STATE(1212)] = 59967,
  [SMALL_STATE(1213)] = 60029,
  [SMALL_STATE(1214)] = 60091,
  [SMALL_STATE(1215)] = 60153,
  [SMALL_STATE(1216)] = 60215,
  [SMALL_STATE(1217)] = 60277,
  [SMALL_STATE(1218)] = 60339,
  [SMALL_STATE(1219)] = 60401,
  [SMALL_STATE(1220)] = 60463,
  [SMALL_STATE(1221)] = 60525,
  [SMALL_STATE(1222)] = 60587,
  [SMALL_STATE(1223)] = 60649,
  [SMALL_STATE(1224)] = 60711,
  [SMALL_STATE(1225)] = 60773,
  [SMALL_STATE(1226)] = 60835,
  [SMALL_STATE(1227)] = 60897,
  [SMALL_STATE(1228)] = 60959,
  [SMALL_STATE(1229)] = 61021,
  [SMALL_STATE(1230)] = 61083,
  [SMALL_STATE(1231)] = 61145,
  [SMALL_STATE(1232)] = 61207,
  [SMALL_STATE(1233)] = 61269,
  [SMALL_STATE(1234)] = 61331,
  [SMALL_STATE(1235)] = 61393,
  [SMALL_STATE(1236)] = 61455,
  [SMALL_STATE(1237)] = 61517,
  [SMALL_STATE(1238)] = 61579,
  [SMALL_STATE(1239)] = 61641,
  [SMALL_STATE(1240)] = 61703,
  [SMALL_STATE(1241)] = 61765,
  [SMALL_STATE(1242)] = 61827,
  [SMALL_STATE(1243)] = 61889,
  [SMALL_STATE(1244)] = 61951,
  [SMALL_STATE(1245)] = 62013,
  [SMALL_STATE(1246)] = 62075,
  [SMALL_STATE(1247)] = 62137,
  [SMALL_STATE(1248)] = 62199,
  [SMALL_STATE(1249)] = 62261,
  [SMALL_STATE(1250)] = 62323,
  [SMALL_STATE(1251)] = 62385,
  [SMALL_STATE(1252)] = 62447,
  [SMALL_STATE(1253)] = 62509,
  [SMALL_STATE(1254)] = 62571,
  [SMALL_STATE(1255)] = 62633,
  [SMALL_STATE(1256)] = 62695,
  [SMALL_STATE(1257)] = 62757,
  [SMALL_STATE(1258)] = 62819,
  [SMALL_STATE(1259)] = 62881,
  [SMALL_STATE(1260)] = 62943,
  [SMALL_STATE(1261)] = 63005,
  [SMALL_STATE(1262)] = 63067,
  [SMALL_STATE(1263)] = 63129,
  [SMALL_STATE(1264)] = 63191,
  [SMALL_STATE(1265)] = 63253,
  [SMALL_STATE(1266)] = 63315,
  [SMALL_STATE(1267)] = 63377,
  [SMALL_STATE(1268)] = 63439,
  [SMALL_STATE(1269)] = 63501,
  [SMALL_STATE(1270)] = 63563,
  [SMALL_STATE(1271)] = 63625,
  [SMALL_STATE(1272)] = 63687,
  [SMALL_STATE(1273)] = 63749,
  [SMALL_STATE(1274)] = 63811,
  [SMALL_STATE(1275)] = 63873,
  [SMALL_STATE(1276)] = 63935,
  [SMALL_STATE(1277)] = 63997,
  [SMALL_STATE(1278)] = 64059,
  [SMALL_STATE(1279)] = 64121,
  [SMALL_STATE(1280)] = 64183,
  [SMALL_STATE(1281)] = 64245,
  [SMALL_STATE(1282)] = 64307,
  [SMALL_STATE(1283)] = 64369,
  [SMALL_STATE(1284)] = 64431,
  [SMALL_STATE(1285)] = 64493,
  [SMALL_STATE(1286)] = 64555,
  [SMALL_STATE(1287)] = 64617,
  [SMALL_STATE(1288)] = 64679,
  [SMALL_STATE(1289)] = 64741,
  [SMALL_STATE(1290)] = 64803,
  [SMALL_STATE(1291)] = 64865,
  [SMALL_STATE(1292)] = 64927,
  [SMALL_STATE(1293)] = 64989,
  [SMALL_STATE(1294)] = 65051,
  [SMALL_STATE(1295)] = 65113,
  [SMALL_STATE(1296)] = 65175,
  [SMALL_STATE(1297)] = 65237,
  [SMALL_STATE(1298)] = 65299,
  [SMALL_STATE(1299)] = 65361,
  [SMALL_STATE(1300)] = 65423,
  [SMALL_STATE(1301)] = 65485,
  [SMALL_STATE(1302)] = 65547,
  [SMALL_STATE(1303)] = 65609,
  [SMALL_STATE(1304)] = 65671,
  [SMALL_STATE(1305)] = 65733,
  [SMALL_STATE(1306)] = 65795,
  [SMALL_STATE(1307)] = 65857,
  [SMALL_STATE(1308)] = 65919,
  [SMALL_STATE(1309)] = 65981,
  [SMALL_STATE(1310)] = 66043,
  [SMALL_STATE(1311)] = 66105,
  [SMALL_STATE(1312)] = 66167,
  [SMALL_STATE(1313)] = 66229,
  [SMALL_STATE(1314)] = 66291,
  [SMALL_STATE(1315)] = 66353,
  [SMALL_STATE(1316)] = 66415,
  [SMALL_STATE(1317)] = 66477,
  [SMALL_STATE(1318)] = 66539,
  [SMALL_STATE(1319)] = 66601,
  [SMALL_STATE(1320)] = 66648,
  [SMALL_STATE(1321)] = 66692,
  [SMALL_STATE(1322)] = 66728,
  [SMALL_STATE(1323)] = 66772,
  [SMALL_STATE(1324)] = 66821,
  [SMALL_STATE(1325)] = 66858,
  [SMALL_STATE(1326)] = 66895,
  [SMALL_STATE(1327)] = 66932,
  [SMALL_STATE(1328)] = 66969,
  [SMALL_STATE(1329)] = 67004,
  [SMALL_STATE(1330)] = 67047,
  [SMALL_STATE(1331)] = 67096,
  [SMALL_STATE(1332)] = 67145,
  [SMALL_STATE(1333)] = 67188,
  [SMALL_STATE(1334)] = 67231,
  [SMALL_STATE(1335)] = 67280,
  [SMALL_STATE(1336)] = 67325,
  [SMALL_STATE(1337)] = 67374,
  [SMALL_STATE(1338)] = 67423,
  [SMALL_STATE(1339)] = 67460,
  [SMALL_STATE(1340)] = 67497,
  [SMALL_STATE(1341)] = 67532,
  [SMALL_STATE(1342)] = 67569,
  [SMALL_STATE(1343)] = 67604,
  [SMALL_STATE(1344)] = 67653,
  [SMALL_STATE(1345)] = 67696,
  [SMALL_STATE(1346)] = 67733,
  [SMALL_STATE(1347)] = 67770,
  [SMALL_STATE(1348)] = 67819,
  [SMALL_STATE(1349)] = 67862,
  [SMALL_STATE(1350)] = 67899,
  [SMALL_STATE(1351)] = 67931,
  [SMALL_STATE(1352)] = 67967,
  [SMALL_STATE(1353)] = 67999,
  [SMALL_STATE(1354)] = 68031,
  [SMALL_STATE(1355)] = 68067,
  [SMALL_STATE(1356)] = 68099,
  [SMALL_STATE(1357)] = 68153,
  [SMALL_STATE(1358)] = 68189,
  [SMALL_STATE(1359)] = 68237,
  [SMALL_STATE(1360)] = 68273,
  [SMALL_STATE(1361)] = 68309,
  [SMALL_STATE(1362)] = 68363,
  [SMALL_STATE(1363)] = 68409,
  [SMALL_STATE(1364)] = 68441,
  [SMALL_STATE(1365)] = 68473,
  [SMALL_STATE(1366)] = 68505,
  [SMALL_STATE(1367)] = 68537,
  [SMALL_STATE(1368)] = 68571,
  [SMALL_STATE(1369)] = 68603,
  [SMALL_STATE(1370)] = 68635,
  [SMALL_STATE(1371)] = 68667,
  [SMALL_STATE(1372)] = 68703,
  [SMALL_STATE(1373)] = 68757,
  [SMALL_STATE(1374)] = 68793,
  [SMALL_STATE(1375)] = 68825,
  [SMALL_STATE(1376)] = 68857,
  [SMALL_STATE(1377)] = 68893,
  [SMALL_STATE(1378)] = 68925,
  [SMALL_STATE(1379)] = 68957,
  [SMALL_STATE(1380)] = 68989,
  [SMALL_STATE(1381)] = 69025,
  [SMALL_STATE(1382)] = 69059,
  [SMALL_STATE(1383)] = 69093,
  [SMALL_STATE(1384)] = 69125,
  [SMALL_STATE(1385)] = 69157,
  [SMALL_STATE(1386)] = 69189,
  [SMALL_STATE(1387)] = 69225,
  [SMALL_STATE(1388)] = 69271,
  [SMALL_STATE(1389)] = 69317,
  [SMALL_STATE(1390)] = 69351,
  [SMALL_STATE(1391)] = 69399,
  [SMALL_STATE(1392)] = 69431,
  [SMALL_STATE(1393)] = 69463,
  [SMALL_STATE(1394)] = 69509,
  [SMALL_STATE(1395)] = 69543,
  [SMALL_STATE(1396)] = 69575,
  [SMALL_STATE(1397)] = 69607,
  [SMALL_STATE(1398)] = 69639,
  [SMALL_STATE(1399)] = 69675,
  [SMALL_STATE(1400)] = 69707,
  [SMALL_STATE(1401)] = 69739,
  [SMALL_STATE(1402)] = 69771,
  [SMALL_STATE(1403)] = 69802,
  [SMALL_STATE(1404)] = 69859,
  [SMALL_STATE(1405)] = 69890,
  [SMALL_STATE(1406)] = 69925,
  [SMALL_STATE(1407)] = 69956,
  [SMALL_STATE(1408)] = 69987,
  [SMALL_STATE(1409)] = 70018,
  [SMALL_STATE(1410)] = 70075,
  [SMALL_STATE(1411)] = 70132,
  [SMALL_STATE(1412)] = 70167,
  [SMALL_STATE(1413)] = 70202,
  [SMALL_STATE(1414)] = 70233,
  [SMALL_STATE(1415)] = 70264,
  [SMALL_STATE(1416)] = 70295,
  [SMALL_STATE(1417)] = 70352,
  [SMALL_STATE(1418)] = 70409,
  [SMALL_STATE(1419)] = 70440,
  [SMALL_STATE(1420)] = 70471,
  [SMALL_STATE(1421)] = 70502,
  [SMALL_STATE(1422)] = 70533,
  [SMALL_STATE(1423)] = 70564,
  [SMALL_STATE(1424)] = 70595,
  [SMALL_STATE(1425)] = 70626,
  [SMALL_STATE(1426)] = 70657,
  [SMALL_STATE(1427)] = 70688,
  [SMALL_STATE(1428)] = 70719,
  [SMALL_STATE(1429)] = 70750,
  [SMALL_STATE(1430)] = 70781,
  [SMALL_STATE(1431)] = 70812,
  [SMALL_STATE(1432)] = 70843,
  [SMALL_STATE(1433)] = 70874,
  [SMALL_STATE(1434)] = 70905,
  [SMALL_STATE(1435)] = 70936,
  [SMALL_STATE(1436)] = 70967,
  [SMALL_STATE(1437)] = 71002,
  [SMALL_STATE(1438)] = 71033,
  [SMALL_STATE(1439)] = 71064,
  [SMALL_STATE(1440)] = 71095,
  [SMALL_STATE(1441)] = 71126,
  [SMALL_STATE(1442)] = 71157,
  [SMALL_STATE(1443)] = 71188,
  [SMALL_STATE(1444)] = 71219,
  [SMALL_STATE(1445)] = 71250,
  [SMALL_STATE(1446)] = 71281,
  [SMALL_STATE(1447)] = 71316,
  [SMALL_STATE(1448)] = 71347,
  [SMALL_STATE(1449)] = 71378,
  [SMALL_STATE(1450)] = 71407,
  [SMALL_STATE(1451)] = 71442,
  [SMALL_STATE(1452)] = 71473,
  [SMALL_STATE(1453)] = 71504,
  [SMALL_STATE(1454)] = 71539,
  [SMALL_STATE(1455)] = 71570,
  [SMALL_STATE(1456)] = 71601,
  [SMALL_STATE(1457)] = 71632,
  [SMALL_STATE(1458)] = 71663,
  [SMALL_STATE(1459)] = 71694,
  [SMALL_STATE(1460)] = 71729,
  [SMALL_STATE(1461)] = 71760,
  [SMALL_STATE(1462)] = 71791,
  [SMALL_STATE(1463)] = 71822,
  [SMALL_STATE(1464)] = 71853,
  [SMALL_STATE(1465)] = 71884,
  [SMALL_STATE(1466)] = 71915,
  [SMALL_STATE(1467)] = 71946,
  [SMALL_STATE(1468)] = 71981,
  [SMALL_STATE(1469)] = 72012,
  [SMALL_STATE(1470)] = 72043,
  [SMALL_STATE(1471)] = 72074,
  [SMALL_STATE(1472)] = 72105,
  [SMALL_STATE(1473)] = 72136,
  [SMALL_STATE(1474)] = 72167,
  [SMALL_STATE(1475)] = 72198,
  [SMALL_STATE(1476)] = 72229,
  [SMALL_STATE(1477)] = 72260,
  [SMALL_STATE(1478)] = 72291,
  [SMALL_STATE(1479)] = 72322,
  [SMALL_STATE(1480)] = 72353,
  [SMALL_STATE(1481)] = 72384,
  [SMALL_STATE(1482)] = 72415,
  [SMALL_STATE(1483)] = 72446,
  [SMALL_STATE(1484)] = 72477,
  [SMALL_STATE(1485)] = 72508,
  [SMALL_STATE(1486)] = 72539,
  [SMALL_STATE(1487)] = 72570,
  [SMALL_STATE(1488)] = 72605,
  [SMALL_STATE(1489)] = 72636,
  [SMALL_STATE(1490)] = 72667,
  [SMALL_STATE(1491)] = 72702,
  [SMALL_STATE(1492)] = 72733,
  [SMALL_STATE(1493)] = 72764,
  [SMALL_STATE(1494)] = 72795,
  [SMALL_STATE(1495)] = 72830,
  [SMALL_STATE(1496)] = 72861,
  [SMALL_STATE(1497)] = 72892,
  [SMALL_STATE(1498)] = 72923,
  [SMALL_STATE(1499)] = 72958,
  [SMALL_STATE(1500)] = 72989,
  [SMALL_STATE(1501)] = 73024,
  [SMALL_STATE(1502)] = 73055,
  [SMALL_STATE(1503)] = 73090,
  [SMALL_STATE(1504)] = 73121,
  [SMALL_STATE(1505)] = 73152,
  [SMALL_STATE(1506)] = 73187,
  [SMALL_STATE(1507)] = 73222,
  [SMALL_STATE(1508)] = 73253,
  [SMALL_STATE(1509)] = 73284,
  [SMALL_STATE(1510)] = 73341,
  [SMALL_STATE(1511)] = 73372,
  [SMALL_STATE(1512)] = 73403,
  [SMALL_STATE(1513)] = 73460,
  [SMALL_STATE(1514)] = 73491,
  [SMALL_STATE(1515)] = 73522,
  [SMALL_STATE(1516)] = 73553,
  [SMALL_STATE(1517)] = 73584,
  [SMALL_STATE(1518)] = 73615,
  [SMALL_STATE(1519)] = 73646,
  [SMALL_STATE(1520)] = 73677,
  [SMALL_STATE(1521)] = 73712,
  [SMALL_STATE(1522)] = 73743,
  [SMALL_STATE(1523)] = 73778,
  [SMALL_STATE(1524)] = 73809,
  [SMALL_STATE(1525)] = 73840,
  [SMALL_STATE(1526)] = 73875,
  [SMALL_STATE(1527)] = 73906,
  [SMALL_STATE(1528)] = 73941,
  [SMALL_STATE(1529)] = 73998,
  [SMALL_STATE(1530)] = 74028,
  [SMALL_STATE(1531)] = 74058,
  [SMALL_STATE(1532)] = 74088,
  [SMALL_STATE(1533)] = 74118,
  [SMALL_STATE(1534)] = 74150,
  [SMALL_STATE(1535)] = 74180,
  [SMALL_STATE(1536)] = 74232,
  [SMALL_STATE(1537)] = 74262,
  [SMALL_STATE(1538)] = 74294,
  [SMALL_STATE(1539)] = 74330,
  [SMALL_STATE(1540)] = 74362,
  [SMALL_STATE(1541)] = 74392,
  [SMALL_STATE(1542)] = 74444,
  [SMALL_STATE(1543)] = 74476,
  [SMALL_STATE(1544)] = 74506,
  [SMALL_STATE(1545)] = 74538,
  [SMALL_STATE(1546)] = 74568,
  [SMALL_STATE(1547)] = 74598,
  [SMALL_STATE(1548)] = 74628,
  [SMALL_STATE(1549)] = 74680,
  [SMALL_STATE(1550)] = 74710,
  [SMALL_STATE(1551)] = 74740,
  [SMALL_STATE(1552)] = 74772,
  [SMALL_STATE(1553)] = 74806,
  [SMALL_STATE(1554)] = 74836,
  [SMALL_STATE(1555)] = 74870,
  [SMALL_STATE(1556)] = 74900,
  [SMALL_STATE(1557)] = 74930,
  [SMALL_STATE(1558)] = 74964,
  [SMALL_STATE(1559)] = 74994,
  [SMALL_STATE(1560)] = 75024,
  [SMALL_STATE(1561)] = 75060,
  [SMALL_STATE(1562)] = 75090,
  [SMALL_STATE(1563)] = 75122,
  [SMALL_STATE(1564)] = 75152,
  [SMALL_STATE(1565)] = 75186,
  [SMALL_STATE(1566)] = 75238,
  [SMALL_STATE(1567)] = 75268,
  [SMALL_STATE(1568)] = 75302,
  [SMALL_STATE(1569)] = 75354,
  [SMALL_STATE(1570)] = 75384,
  [SMALL_STATE(1571)] = 75420,
  [SMALL_STATE(1572)] = 75450,
  [SMALL_STATE(1573)] = 75502,
  [SMALL_STATE(1574)] = 75554,
  [SMALL_STATE(1575)] = 75584,
  [SMALL_STATE(1576)] = 75616,
  [SMALL_STATE(1577)] = 75652,
  [SMALL_STATE(1578)] = 75682,
  [SMALL_STATE(1579)] = 75734,
  [SMALL_STATE(1580)] = 75786,
  [SMALL_STATE(1581)] = 75818,
  [SMALL_STATE(1582)] = 75848,
  [SMALL_STATE(1583)] = 75878,
  [SMALL_STATE(1584)] = 75908,
  [SMALL_STATE(1585)] = 75940,
  [SMALL_STATE(1586)] = 75972,
  [SMALL_STATE(1587)] = 76024,
  [SMALL_STATE(1588)] = 76054,
  [SMALL_STATE(1589)] = 76088,
  [SMALL_STATE(1590)] = 76118,
  [SMALL_STATE(1591)] = 76146,
  [SMALL_STATE(1592)] = 76176,
  [SMALL_STATE(1593)] = 76208,
  [SMALL_STATE(1594)] = 76240,
  [SMALL_STATE(1595)] = 76270,
  [SMALL_STATE(1596)] = 76322,
  [SMALL_STATE(1597)] = 76354,
  [SMALL_STATE(1598)] = 76406,
  [SMALL_STATE(1599)] = 76436,
  [SMALL_STATE(1600)] = 76464,
  [SMALL_STATE(1601)] = 76496,
  [SMALL_STATE(1602)] = 76528,
  [SMALL_STATE(1603)] = 76558,
  [SMALL_STATE(1604)] = 76590,
  [SMALL_STATE(1605)] = 76620,
  [SMALL_STATE(1606)] = 76654,
  [SMALL_STATE(1607)] = 76684,
  [SMALL_STATE(1608)] = 76736,
  [SMALL_STATE(1609)] = 76766,
  [SMALL_STATE(1610)] = 76796,
  [SMALL_STATE(1611)] = 76826,
  [SMALL_STATE(1612)] = 76858,
  [SMALL_STATE(1613)] = 76888,
  [SMALL_STATE(1614)] = 76918,
  [SMALL_STATE(1615)] = 76950,
  [SMALL_STATE(1616)] = 76982,
  [SMALL_STATE(1617)] = 77014,
  [SMALL_STATE(1618)] = 77050,
  [SMALL_STATE(1619)] = 77080,
  [SMALL_STATE(1620)] = 77110,
  [SMALL_STATE(1621)] = 77140,
  [SMALL_STATE(1622)] = 77170,
  [SMALL_STATE(1623)] = 77200,
  [SMALL_STATE(1624)] = 77230,
  [SMALL_STATE(1625)] = 77262,
  [SMALL_STATE(1626)] = 77292,
  [SMALL_STATE(1627)] = 77322,
  [SMALL_STATE(1628)] = 77374,
  [SMALL_STATE(1629)] = 77402,
  [SMALL_STATE(1630)] = 77432,
  [SMALL_STATE(1631)] = 77462,
  [SMALL_STATE(1632)] = 77494,
  [SMALL_STATE(1633)] = 77528,
  [SMALL_STATE(1634)] = 77558,
  [SMALL_STATE(1635)] = 77590,
  [SMALL_STATE(1636)] = 77620,
  [SMALL_STATE(1637)] = 77648,
  [SMALL_STATE(1638)] = 77680,
  [SMALL_STATE(1639)] = 77708,
  [SMALL_STATE(1640)] = 77760,
  [SMALL_STATE(1641)] = 77792,
  [SMALL_STATE(1642)] = 77828,
  [SMALL_STATE(1643)] = 77858,
  [SMALL_STATE(1644)] = 77900,
  [SMALL_STATE(1645)] = 77930,
  [SMALL_STATE(1646)] = 77966,
  [SMALL_STATE(1647)] = 77996,
  [SMALL_STATE(1648)] = 78025,
  [SMALL_STATE(1649)] = 78054,
  [SMALL_STATE(1650)] = 78083,
  [SMALL_STATE(1651)] = 78112,
  [SMALL_STATE(1652)] = 78141,
  [SMALL_STATE(1653)] = 78170,
  [SMALL_STATE(1654)] = 78219,
  [SMALL_STATE(1655)] = 78248,
  [SMALL_STATE(1656)] = 78297,
  [SMALL_STATE(1657)] = 78326,
  [SMALL_STATE(1658)] = 78359,
  [SMALL_STATE(1659)] = 78392,
  [SMALL_STATE(1660)] = 78423,
  [SMALL_STATE(1661)] = 78452,
  [SMALL_STATE(1662)] = 78501,
  [SMALL_STATE(1663)] = 78530,
  [SMALL_STATE(1664)] = 78559,
  [SMALL_STATE(1665)] = 78588,
  [SMALL_STATE(1666)] = 78617,
  [SMALL_STATE(1667)] = 78646,
  [SMALL_STATE(1668)] = 78679,
  [SMALL_STATE(1669)] = 78728,
  [SMALL_STATE(1670)] = 78757,
  [SMALL_STATE(1671)] = 78786,
  [SMALL_STATE(1672)] = 78819,
  [SMALL_STATE(1673)] = 78848,
  [SMALL_STATE(1674)] = 78877,
  [SMALL_STATE(1675)] = 78906,
  [SMALL_STATE(1676)] = 78937,
  [SMALL_STATE(1677)] = 78970,
  [SMALL_STATE(1678)] = 79001,
  [SMALL_STATE(1679)] = 79050,
  [SMALL_STATE(1680)] = 79083,
  [SMALL_STATE(1681)] = 79112,
  [SMALL_STATE(1682)] = 79141,
  [SMALL_STATE(1683)] = 79174,
  [SMALL_STATE(1684)] = 79203,
  [SMALL_STATE(1685)] = 79232,
  [SMALL_STATE(1686)] = 79265,
  [SMALL_STATE(1687)] = 79294,
  [SMALL_STATE(1688)] = 79327,
  [SMALL_STATE(1689)] = 79356,
  [SMALL_STATE(1690)] = 79389,
  [SMALL_STATE(1691)] = 79418,
  [SMALL_STATE(1692)] = 79447,
  [SMALL_STATE(1693)] = 79476,
  [SMALL_STATE(1694)] = 79525,
  [SMALL_STATE(1695)] = 79554,
  [SMALL_STATE(1696)] = 79583,
  [SMALL_STATE(1697)] = 79612,
  [SMALL_STATE(1698)] = 79641,
  [SMALL_STATE(1699)] = 79670,
  [SMALL_STATE(1700)] = 79699,
  [SMALL_STATE(1701)] = 79728,
  [SMALL_STATE(1702)] = 79757,
  [SMALL_STATE(1703)] = 79786,
  [SMALL_STATE(1704)] = 79815,
  [SMALL_STATE(1705)] = 79844,
  [SMALL_STATE(1706)] = 79873,
  [SMALL_STATE(1707)] = 79902,
  [SMALL_STATE(1708)] = 79931,
  [SMALL_STATE(1709)] = 79960,
  [SMALL_STATE(1710)] = 79989,
  [SMALL_STATE(1711)] = 80018,
  [SMALL_STATE(1712)] = 80047,
  [SMALL_STATE(1713)] = 80076,
  [SMALL_STATE(1714)] = 80105,
  [SMALL_STATE(1715)] = 80154,
  [SMALL_STATE(1716)] = 80203,
  [SMALL_STATE(1717)] = 80252,
  [SMALL_STATE(1718)] = 80281,
  [SMALL_STATE(1719)] = 80314,
  [SMALL_STATE(1720)] = 80343,
  [SMALL_STATE(1721)] = 80372,
  [SMALL_STATE(1722)] = 80401,
  [SMALL_STATE(1723)] = 80434,
  [SMALL_STATE(1724)] = 80463,
  [SMALL_STATE(1725)] = 80492,
  [SMALL_STATE(1726)] = 80541,
  [SMALL_STATE(1727)] = 80570,
  [SMALL_STATE(1728)] = 80599,
  [SMALL_STATE(1729)] = 80628,
  [SMALL_STATE(1730)] = 80657,
  [SMALL_STATE(1731)] = 80686,
  [SMALL_STATE(1732)] = 80715,
  [SMALL_STATE(1733)] = 80744,
  [SMALL_STATE(1734)] = 80773,
  [SMALL_STATE(1735)] = 80802,
  [SMALL_STATE(1736)] = 80831,
  [SMALL_STATE(1737)] = 80880,
  [SMALL_STATE(1738)] = 80909,
  [SMALL_STATE(1739)] = 80938,
  [SMALL_STATE(1740)] = 80967,
  [SMALL_STATE(1741)] = 80998,
  [SMALL_STATE(1742)] = 81047,
  [SMALL_STATE(1743)] = 81076,
  [SMALL_STATE(1744)] = 81105,
  [SMALL_STATE(1745)] = 81138,
  [SMALL_STATE(1746)] = 81167,
  [SMALL_STATE(1747)] = 81196,
  [SMALL_STATE(1748)] = 81225,
  [SMALL_STATE(1749)] = 81254,
  [SMALL_STATE(1750)] = 81287,
  [SMALL_STATE(1751)] = 81316,
  [SMALL_STATE(1752)] = 81345,
  [SMALL_STATE(1753)] = 81394,
  [SMALL_STATE(1754)] = 81423,
  [SMALL_STATE(1755)] = 81452,
  [SMALL_STATE(1756)] = 81481,
  [SMALL_STATE(1757)] = 81510,
  [SMALL_STATE(1758)] = 81559,
  [SMALL_STATE(1759)] = 81588,
  [SMALL_STATE(1760)] = 81637,
  [SMALL_STATE(1761)] = 81666,
  [SMALL_STATE(1762)] = 81715,
  [SMALL_STATE(1763)] = 81743,
  [SMALL_STATE(1764)] = 81791,
  [SMALL_STATE(1765)] = 81839,
  [SMALL_STATE(1766)] = 81887,
  [SMALL_STATE(1767)] = 81935,
  [SMALL_STATE(1768)] = 81983,
  [SMALL_STATE(1769)] = 82031,
  [SMALL_STATE(1770)] = 82059,
  [SMALL_STATE(1771)] = 82107,
  [SMALL_STATE(1772)] = 82153,
  [SMALL_STATE(1773)] = 82201,
  [SMALL_STATE(1774)] = 82229,
  [SMALL_STATE(1775)] = 82277,
  [SMALL_STATE(1776)] = 82325,
  [SMALL_STATE(1777)] = 82353,
  [SMALL_STATE(1778)] = 82401,
  [SMALL_STATE(1779)] = 82449,
  [SMALL_STATE(1780)] = 82485,
  [SMALL_STATE(1781)] = 82533,
  [SMALL_STATE(1782)] = 82561,
  [SMALL_STATE(1783)] = 82609,
  [SMALL_STATE(1784)] = 82657,
  [SMALL_STATE(1785)] = 82705,
  [SMALL_STATE(1786)] = 82733,
  [SMALL_STATE(1787)] = 82761,
  [SMALL_STATE(1788)] = 82789,
  [SMALL_STATE(1789)] = 82817,
  [SMALL_STATE(1790)] = 82845,
  [SMALL_STATE(1791)] = 82893,
  [SMALL_STATE(1792)] = 82921,
  [SMALL_STATE(1793)] = 82949,
  [SMALL_STATE(1794)] = 82977,
  [SMALL_STATE(1795)] = 83005,
  [SMALL_STATE(1796)] = 83033,
  [SMALL_STATE(1797)] = 83081,
  [SMALL_STATE(1798)] = 83109,
  [SMALL_STATE(1799)] = 83137,
  [SMALL_STATE(1800)] = 83165,
  [SMALL_STATE(1801)] = 83213,
  [SMALL_STATE(1802)] = 83261,
  [SMALL_STATE(1803)] = 83309,
  [SMALL_STATE(1804)] = 83357,
  [SMALL_STATE(1805)] = 83385,
  [SMALL_STATE(1806)] = 83433,
  [SMALL_STATE(1807)] = 83481,
  [SMALL_STATE(1808)] = 83509,
  [SMALL_STATE(1809)] = 83557,
  [SMALL_STATE(1810)] = 83605,
  [SMALL_STATE(1811)] = 83653,
  [SMALL_STATE(1812)] = 83701,
  [SMALL_STATE(1813)] = 83749,
  [SMALL_STATE(1814)] = 83797,
  [SMALL_STATE(1815)] = 83829,
  [SMALL_STATE(1816)] = 83877,
  [SMALL_STATE(1817)] = 83905,
  [SMALL_STATE(1818)] = 83933,
  [SMALL_STATE(1819)] = 83981,
  [SMALL_STATE(1820)] = 84029,
  [SMALL_STATE(1821)] = 84057,
  [SMALL_STATE(1822)] = 84105,
  [SMALL_STATE(1823)] = 84153,
  [SMALL_STATE(1824)] = 84181,
  [SMALL_STATE(1825)] = 84229,
  [SMALL_STATE(1826)] = 84257,
  [SMALL_STATE(1827)] = 84285,
  [SMALL_STATE(1828)] = 84313,
  [SMALL_STATE(1829)] = 84341,
  [SMALL_STATE(1830)] = 84369,
  [SMALL_STATE(1831)] = 84397,
  [SMALL_STATE(1832)] = 84425,
  [SMALL_STATE(1833)] = 84473,
  [SMALL_STATE(1834)] = 84521,
  [SMALL_STATE(1835)] = 84569,
  [SMALL_STATE(1836)] = 84597,
  [SMALL_STATE(1837)] = 84625,
  [SMALL_STATE(1838)] = 84673,
  [SMALL_STATE(1839)] = 84701,
  [SMALL_STATE(1840)] = 84729,
  [SMALL_STATE(1841)] = 84757,
  [SMALL_STATE(1842)] = 84785,
  [SMALL_STATE(1843)] = 84813,
  [SMALL_STATE(1844)] = 84841,
  [SMALL_STATE(1845)] = 84889,
  [SMALL_STATE(1846)] = 84937,
  [SMALL_STATE(1847)] = 84965,
  [SMALL_STATE(1848)] = 85013,
  [SMALL_STATE(1849)] = 85041,
  [SMALL_STATE(1850)] = 85069,
  [SMALL_STATE(1851)] = 85097,
  [SMALL_STATE(1852)] = 85145,
  [SMALL_STATE(1853)] = 85173,
  [SMALL_STATE(1854)] = 85201,
  [SMALL_STATE(1855)] = 85229,
  [SMALL_STATE(1856)] = 85277,
  [SMALL_STATE(1857)] = 85305,
  [SMALL_STATE(1858)] = 85353,
  [SMALL_STATE(1859)] = 85381,
  [SMALL_STATE(1860)] = 85409,
  [SMALL_STATE(1861)] = 85441,
  [SMALL_STATE(1862)] = 85489,
  [SMALL_STATE(1863)] = 85537,
  [SMALL_STATE(1864)] = 85585,
  [SMALL_STATE(1865)] = 85613,
  [SMALL_STATE(1866)] = 85661,
  [SMALL_STATE(1867)] = 85709,
  [SMALL_STATE(1868)] = 85757,
  [SMALL_STATE(1869)] = 85785,
  [SMALL_STATE(1870)] = 85813,
  [SMALL_STATE(1871)] = 85861,
  [SMALL_STATE(1872)] = 85909,
  [SMALL_STATE(1873)] = 85937,
  [SMALL_STATE(1874)] = 85965,
  [SMALL_STATE(1875)] = 86011,
  [SMALL_STATE(1876)] = 86059,
  [SMALL_STATE(1877)] = 86087,
  [SMALL_STATE(1878)] = 86115,
  [SMALL_STATE(1879)] = 86143,
  [SMALL_STATE(1880)] = 86171,
  [SMALL_STATE(1881)] = 86198,
  [SMALL_STATE(1882)] = 86243,
  [SMALL_STATE(1883)] = 86278,
  [SMALL_STATE(1884)] = 86323,
  [SMALL_STATE(1885)] = 86358,
  [SMALL_STATE(1886)] = 86385,
  [SMALL_STATE(1887)] = 86420,
  [SMALL_STATE(1888)] = 86455,
  [SMALL_STATE(1889)] = 86500,
  [SMALL_STATE(1890)] = 86545,
  [SMALL_STATE(1891)] = 86572,
  [SMALL_STATE(1892)] = 86607,
  [SMALL_STATE(1893)] = 86642,
  [SMALL_STATE(1894)] = 86677,
  [SMALL_STATE(1895)] = 86704,
  [SMALL_STATE(1896)] = 86739,
  [SMALL_STATE(1897)] = 86774,
  [SMALL_STATE(1898)] = 86801,
  [SMALL_STATE(1899)] = 86836,
  [SMALL_STATE(1900)] = 86863,
  [SMALL_STATE(1901)] = 86890,
  [SMALL_STATE(1902)] = 86925,
  [SMALL_STATE(1903)] = 86970,
  [SMALL_STATE(1904)] = 86997,
  [SMALL_STATE(1905)] = 87032,
  [SMALL_STATE(1906)] = 87059,
  [SMALL_STATE(1907)] = 87094,
  [SMALL_STATE(1908)] = 87139,
  [SMALL_STATE(1909)] = 87184,
  [SMALL_STATE(1910)] = 87229,
  [SMALL_STATE(1911)] = 87264,
  [SMALL_STATE(1912)] = 87309,
  [SMALL_STATE(1913)] = 87344,
  [SMALL_STATE(1914)] = 87389,
  [SMALL_STATE(1915)] = 87434,
  [SMALL_STATE(1916)] = 87469,
  [SMALL_STATE(1917)] = 87504,
  [SMALL_STATE(1918)] = 87539,
  [SMALL_STATE(1919)] = 87574,
  [SMALL_STATE(1920)] = 87609,
  [SMALL_STATE(1921)] = 87644,
  [SMALL_STATE(1922)] = 87679,
  [SMALL_STATE(1923)] = 87724,
  [SMALL_STATE(1924)] = 87759,
  [SMALL_STATE(1925)] = 87804,
  [SMALL_STATE(1926)] = 87849,
  [SMALL_STATE(1927)] = 87876,
  [SMALL_STATE(1928)] = 87911,
  [SMALL_STATE(1929)] = 87946,
  [SMALL_STATE(1930)] = 87981,
  [SMALL_STATE(1931)] = 88026,
  [SMALL_STATE(1932)] = 88053,
  [SMALL_STATE(1933)] = 88098,
  [SMALL_STATE(1934)] = 88140,
  [SMALL_STATE(1935)] = 88176,
  [SMALL_STATE(1936)] = 88218,
  [SMALL_STATE(1937)] = 88247,
  [SMALL_STATE(1938)] = 88284,
  [SMALL_STATE(1939)] = 88321,
  [SMALL_STATE(1940)] = 88358,
  [SMALL_STATE(1941)] = 88395,
  [SMALL_STATE(1942)] = 88432,
  [SMALL_STATE(1943)] = 88469,
  [SMALL_STATE(1944)] = 88506,
  [SMALL_STATE(1945)] = 88543,
  [SMALL_STATE(1946)] = 88580,
  [SMALL_STATE(1947)] = 88617,
  [SMALL_STATE(1948)] = 88654,
  [SMALL_STATE(1949)] = 88691,
  [SMALL_STATE(1950)] = 88728,
  [SMALL_STATE(1951)] = 88765,
  [SMALL_STATE(1952)] = 88802,
  [SMALL_STATE(1953)] = 88839,
  [SMALL_STATE(1954)] = 88876,
  [SMALL_STATE(1955)] = 88913,
  [SMALL_STATE(1956)] = 88950,
  [SMALL_STATE(1957)] = 88987,
  [SMALL_STATE(1958)] = 89024,
  [SMALL_STATE(1959)] = 89061,
  [SMALL_STATE(1960)] = 89098,
  [SMALL_STATE(1961)] = 89135,
  [SMALL_STATE(1962)] = 89172,
  [SMALL_STATE(1963)] = 89209,
  [SMALL_STATE(1964)] = 89246,
  [SMALL_STATE(1965)] = 89283,
  [SMALL_STATE(1966)] = 89320,
  [SMALL_STATE(1967)] = 89357,
  [SMALL_STATE(1968)] = 89394,
  [SMALL_STATE(1969)] = 89431,
  [SMALL_STATE(1970)] = 89468,
  [SMALL_STATE(1971)] = 89505,
  [SMALL_STATE(1972)] = 89542,
  [SMALL_STATE(1973)] = 89579,
  [SMALL_STATE(1974)] = 89616,
  [SMALL_STATE(1975)] = 89653,
  [SMALL_STATE(1976)] = 89682,
  [SMALL_STATE(1977)] = 89719,
  [SMALL_STATE(1978)] = 89756,
  [SMALL_STATE(1979)] = 89785,
  [SMALL_STATE(1980)] = 89822,
  [SMALL_STATE(1981)] = 89851,
  [SMALL_STATE(1982)] = 89888,
  [SMALL_STATE(1983)] = 89925,
  [SMALL_STATE(1984)] = 89962,
  [SMALL_STATE(1985)] = 89999,
  [SMALL_STATE(1986)] = 90036,
  [SMALL_STATE(1987)] = 90073,
  [SMALL_STATE(1988)] = 90110,
  [SMALL_STATE(1989)] = 90147,
  [SMALL_STATE(1990)] = 90184,
  [SMALL_STATE(1991)] = 90221,
  [SMALL_STATE(1992)] = 90245,
  [SMALL_STATE(1993)] = 90269,
  [SMALL_STATE(1994)] = 90293,
  [SMALL_STATE(1995)] = 90321,
  [SMALL_STATE(1996)] = 90345,
  [SMALL_STATE(1997)] = 90369,
  [SMALL_STATE(1998)] = 90393,
  [SMALL_STATE(1999)] = 90417,
  [SMALL_STATE(2000)] = 90441,
  [SMALL_STATE(2001)] = 90465,
  [SMALL_STATE(2002)] = 90489,
  [SMALL_STATE(2003)] = 90517,
  [SMALL_STATE(2004)] = 90541,
  [SMALL_STATE(2005)] = 90565,
  [SMALL_STATE(2006)] = 90589,
  [SMALL_STATE(2007)] = 90613,
  [SMALL_STATE(2008)] = 90637,
  [SMALL_STATE(2009)] = 90661,
  [SMALL_STATE(2010)] = 90685,
  [SMALL_STATE(2011)] = 90709,
  [SMALL_STATE(2012)] = 90733,
  [SMALL_STATE(2013)] = 90757,
  [SMALL_STATE(2014)] = 90781,
  [SMALL_STATE(2015)] = 90805,
  [SMALL_STATE(2016)] = 90829,
  [SMALL_STATE(2017)] = 90853,
  [SMALL_STATE(2018)] = 90877,
  [SMALL_STATE(2019)] = 90901,
  [SMALL_STATE(2020)] = 90934,
  [SMALL_STATE(2021)] = 90957,
  [SMALL_STATE(2022)] = 90990,
  [SMALL_STATE(2023)] = 91016,
  [SMALL_STATE(2024)] = 91042,
  [SMALL_STATE(2025)] = 91068,
  [SMALL_STATE(2026)] = 91100,
  [SMALL_STATE(2027)] = 91126,
  [SMALL_STATE(2028)] = 91157,
  [SMALL_STATE(2029)] = 91188,
  [SMALL_STATE(2030)] = 91219,
  [SMALL_STATE(2031)] = 91248,
  [SMALL_STATE(2032)] = 91269,
  [SMALL_STATE(2033)] = 91298,
  [SMALL_STATE(2034)] = 91319,
  [SMALL_STATE(2035)] = 91350,
  [SMALL_STATE(2036)] = 91381,
  [SMALL_STATE(2037)] = 91410,
  [SMALL_STATE(2038)] = 91431,
  [SMALL_STATE(2039)] = 91452,
  [SMALL_STATE(2040)] = 91473,
  [SMALL_STATE(2041)] = 91494,
  [SMALL_STATE(2042)] = 91515,
  [SMALL_STATE(2043)] = 91546,
  [SMALL_STATE(2044)] = 91577,
  [SMALL_STATE(2045)] = 91606,
  [SMALL_STATE(2046)] = 91627,
  [SMALL_STATE(2047)] = 91648,
  [SMALL_STATE(2048)] = 91669,
  [SMALL_STATE(2049)] = 91690,
  [SMALL_STATE(2050)] = 91711,
  [SMALL_STATE(2051)] = 91740,
  [SMALL_STATE(2052)] = 91771,
  [SMALL_STATE(2053)] = 91802,
  [SMALL_STATE(2054)] = 91833,
  [SMALL_STATE(2055)] = 91862,
  [SMALL_STATE(2056)] = 91893,
  [SMALL_STATE(2057)] = 91922,
  [SMALL_STATE(2058)] = 91951,
  [SMALL_STATE(2059)] = 91980,
  [SMALL_STATE(2060)] = 92011,
  [SMALL_STATE(2061)] = 92040,
  [SMALL_STATE(2062)] = 92061,
  [SMALL_STATE(2063)] = 92092,
  [SMALL_STATE(2064)] = 92123,
  [SMALL_STATE(2065)] = 92152,
  [SMALL_STATE(2066)] = 92181,
  [SMALL_STATE(2067)] = 92212,
  [SMALL_STATE(2068)] = 92243,
  [SMALL_STATE(2069)] = 92274,
  [SMALL_STATE(2070)] = 92303,
  [SMALL_STATE(2071)] = 92332,
  [SMALL_STATE(2072)] = 92363,
  [SMALL_STATE(2073)] = 92392,
  [SMALL_STATE(2074)] = 92413,
  [SMALL_STATE(2075)] = 92434,
  [SMALL_STATE(2076)] = 92455,
  [SMALL_STATE(2077)] = 92476,
  [SMALL_STATE(2078)] = 92497,
  [SMALL_STATE(2079)] = 92528,
  [SMALL_STATE(2080)] = 92559,
  [SMALL_STATE(2081)] = 92580,
  [SMALL_STATE(2082)] = 92601,
  [SMALL_STATE(2083)] = 92622,
  [SMALL_STATE(2084)] = 92651,
  [SMALL_STATE(2085)] = 92676,
  [SMALL_STATE(2086)] = 92707,
  [SMALL_STATE(2087)] = 92736,
  [SMALL_STATE(2088)] = 92757,
  [SMALL_STATE(2089)] = 92778,
  [SMALL_STATE(2090)] = 92807,
  [SMALL_STATE(2091)] = 92836,
  [SMALL_STATE(2092)] = 92867,
  [SMALL_STATE(2093)] = 92896,
  [SMALL_STATE(2094)] = 92925,
  [SMALL_STATE(2095)] = 92954,
  [SMALL_STATE(2096)] = 92979,
  [SMALL_STATE(2097)] = 93000,
  [SMALL_STATE(2098)] = 93031,
  [SMALL_STATE(2099)] = 93062,
  [SMALL_STATE(2100)] = 93093,
  [SMALL_STATE(2101)] = 93124,
  [SMALL_STATE(2102)] = 93153,
  [SMALL_STATE(2103)] = 93182,
  [SMALL_STATE(2104)] = 93203,
  [SMALL_STATE(2105)] = 93224,
  [SMALL_STATE(2106)] = 93248,
  [SMALL_STATE(2107)] = 93272,
  [SMALL_STATE(2108)] = 93296,
  [SMALL_STATE(2109)] = 93320,
  [SMALL_STATE(2110)] = 93344,
  [SMALL_STATE(2111)] = 93368,
  [SMALL_STATE(2112)] = 93392,
  [SMALL_STATE(2113)] = 93416,
  [SMALL_STATE(2114)] = 93440,
  [SMALL_STATE(2115)] = 93460,
  [SMALL_STATE(2116)] = 93484,
  [SMALL_STATE(2117)] = 93506,
  [SMALL_STATE(2118)] = 93530,
  [SMALL_STATE(2119)] = 93554,
  [SMALL_STATE(2120)] = 93578,
  [SMALL_STATE(2121)] = 93602,
  [SMALL_STATE(2122)] = 93626,
  [SMALL_STATE(2123)] = 93650,
  [SMALL_STATE(2124)] = 93672,
  [SMALL_STATE(2125)] = 93694,
  [SMALL_STATE(2126)] = 93718,
  [SMALL_STATE(2127)] = 93742,
  [SMALL_STATE(2128)] = 93766,
  [SMALL_STATE(2129)] = 93790,
  [SMALL_STATE(2130)] = 93814,
  [SMALL_STATE(2131)] = 93838,
  [SMALL_STATE(2132)] = 93862,
  [SMALL_STATE(2133)] = 93886,
  [SMALL_STATE(2134)] = 93910,
  [SMALL_STATE(2135)] = 93934,
  [SMALL_STATE(2136)] = 93958,
  [SMALL_STATE(2137)] = 93982,
  [SMALL_STATE(2138)] = 94006,
  [SMALL_STATE(2139)] = 94030,
  [SMALL_STATE(2140)] = 94054,
  [SMALL_STATE(2141)] = 94078,
  [SMALL_STATE(2142)] = 94100,
  [SMALL_STATE(2143)] = 94124,
  [SMALL_STATE(2144)] = 94148,
  [SMALL_STATE(2145)] = 94172,
  [SMALL_STATE(2146)] = 94196,
  [SMALL_STATE(2147)] = 94218,
  [SMALL_STATE(2148)] = 94242,
  [SMALL_STATE(2149)] = 94266,
  [SMALL_STATE(2150)] = 94290,
  [SMALL_STATE(2151)] = 94314,
  [SMALL_STATE(2152)] = 94338,
  [SMALL_STATE(2153)] = 94362,
  [SMALL_STATE(2154)] = 94386,
  [SMALL_STATE(2155)] = 94410,
  [SMALL_STATE(2156)] = 94434,
  [SMALL_STATE(2157)] = 94456,
  [SMALL_STATE(2158)] = 94480,
  [SMALL_STATE(2159)] = 94504,
  [SMALL_STATE(2160)] = 94528,
  [SMALL_STATE(2161)] = 94555,
  [SMALL_STATE(2162)] = 94582,
  [SMALL_STATE(2163)] = 94609,
  [SMALL_STATE(2164)] = 94636,
  [SMALL_STATE(2165)] = 94663,
  [SMALL_STATE(2166)] = 94690,
  [SMALL_STATE(2167)] = 94711,
  [SMALL_STATE(2168)] = 94738,
  [SMALL_STATE(2169)] = 94765,
  [SMALL_STATE(2170)] = 94792,
  [SMALL_STATE(2171)] = 94811,
  [SMALL_STATE(2172)] = 94838,
  [SMALL_STATE(2173)] = 94865,
  [SMALL_STATE(2174)] = 94892,
  [SMALL_STATE(2175)] = 94919,
  [SMALL_STATE(2176)] = 94938,
  [SMALL_STATE(2177)] = 94957,
  [SMALL_STATE(2178)] = 94984,
  [SMALL_STATE(2179)] = 95011,
  [SMALL_STATE(2180)] = 95038,
  [SMALL_STATE(2181)] = 95065,
  [SMALL_STATE(2182)] = 95092,
  [SMALL_STATE(2183)] = 95119,
  [SMALL_STATE(2184)] = 95146,
  [SMALL_STATE(2185)] = 95165,
  [SMALL_STATE(2186)] = 95192,
  [SMALL_STATE(2187)] = 95219,
  [SMALL_STATE(2188)] = 95246,
  [SMALL_STATE(2189)] = 95265,
  [SMALL_STATE(2190)] = 95292,
  [SMALL_STATE(2191)] = 95319,
  [SMALL_STATE(2192)] = 95338,
  [SMALL_STATE(2193)] = 95365,
  [SMALL_STATE(2194)] = 95395,
  [SMALL_STATE(2195)] = 95425,
  [SMALL_STATE(2196)] = 95455,
  [SMALL_STATE(2197)] = 95485,
  [SMALL_STATE(2198)] = 95515,
  [SMALL_STATE(2199)] = 95545,
  [SMALL_STATE(2200)] = 95575,
  [SMALL_STATE(2201)] = 95605,
  [SMALL_STATE(2202)] = 95635,
  [SMALL_STATE(2203)] = 95665,
  [SMALL_STATE(2204)] = 95695,
  [SMALL_STATE(2205)] = 95725,
  [SMALL_STATE(2206)] = 95755,
  [SMALL_STATE(2207)] = 95785,
  [SMALL_STATE(2208)] = 95815,
  [SMALL_STATE(2209)] = 95845,
  [SMALL_STATE(2210)] = 95875,
  [SMALL_STATE(2211)] = 95905,
  [SMALL_STATE(2212)] = 95935,
  [SMALL_STATE(2213)] = 95965,
  [SMALL_STATE(2214)] = 95995,
  [SMALL_STATE(2215)] = 96025,
  [SMALL_STATE(2216)] = 96055,
  [SMALL_STATE(2217)] = 96085,
  [SMALL_STATE(2218)] = 96115,
  [SMALL_STATE(2219)] = 96145,
  [SMALL_STATE(2220)] = 96175,
  [SMALL_STATE(2221)] = 96205,
  [SMALL_STATE(2222)] = 96235,
  [SMALL_STATE(2223)] = 96265,
  [SMALL_STATE(2224)] = 96295,
  [SMALL_STATE(2225)] = 96325,
  [SMALL_STATE(2226)] = 96355,
  [SMALL_STATE(2227)] = 96385,
  [SMALL_STATE(2228)] = 96413,
  [SMALL_STATE(2229)] = 96443,
  [SMALL_STATE(2230)] = 96473,
  [SMALL_STATE(2231)] = 96503,
  [SMALL_STATE(2232)] = 96533,
  [SMALL_STATE(2233)] = 96561,
  [SMALL_STATE(2234)] = 96581,
  [SMALL_STATE(2235)] = 96611,
  [SMALL_STATE(2236)] = 96641,
  [SMALL_STATE(2237)] = 96671,
  [SMALL_STATE(2238)] = 96699,
  [SMALL_STATE(2239)] = 96727,
  [SMALL_STATE(2240)] = 96757,
  [SMALL_STATE(2241)] = 96787,
  [SMALL_STATE(2242)] = 96817,
  [SMALL_STATE(2243)] = 96847,
  [SMALL_STATE(2244)] = 96877,
  [SMALL_STATE(2245)] = 96905,
  [SMALL_STATE(2246)] = 96935,
  [SMALL_STATE(2247)] = 96965,
  [SMALL_STATE(2248)] = 96995,
  [SMALL_STATE(2249)] = 97011,
  [SMALL_STATE(2250)] = 97027,
  [SMALL_STATE(2251)] = 97051,
  [SMALL_STATE(2252)] = 97075,
  [SMALL_STATE(2253)] = 97099,
  [SMALL_STATE(2254)] = 97123,
  [SMALL_STATE(2255)] = 97139,
  [SMALL_STATE(2256)] = 97163,
  [SMALL_STATE(2257)] = 97183,
  [SMALL_STATE(2258)] = 97199,
  [SMALL_STATE(2259)] = 97223,
  [SMALL_STATE(2260)] = 97238,
  [SMALL_STATE(2261)] = 97259,
  [SMALL_STATE(2262)] = 97278,
  [SMALL_STATE(2263)] = 97293,
  [SMALL_STATE(2264)] = 97308,
  [SMALL_STATE(2265)] = 97323,
  [SMALL_STATE(2266)] = 97338,
  [SMALL_STATE(2267)] = 97353,
  [SMALL_STATE(2268)] = 97368,
  [SMALL_STATE(2269)] = 97383,
  [SMALL_STATE(2270)] = 97398,
  [SMALL_STATE(2271)] = 97419,
  [SMALL_STATE(2272)] = 97440,
  [SMALL_STATE(2273)] = 97455,
  [SMALL_STATE(2274)] = 97474,
  [SMALL_STATE(2275)] = 97489,
  [SMALL_STATE(2276)] = 97510,
  [SMALL_STATE(2277)] = 97525,
  [SMALL_STATE(2278)] = 97540,
  [SMALL_STATE(2279)] = 97555,
  [SMALL_STATE(2280)] = 97570,
  [SMALL_STATE(2281)] = 97585,
  [SMALL_STATE(2282)] = 97604,
  [SMALL_STATE(2283)] = 97619,
  [SMALL_STATE(2284)] = 97634,
  [SMALL_STATE(2285)] = 97649,
  [SMALL_STATE(2286)] = 97664,
  [SMALL_STATE(2287)] = 97679,
  [SMALL_STATE(2288)] = 97694,
  [SMALL_STATE(2289)] = 97709,
  [SMALL_STATE(2290)] = 97724,
  [SMALL_STATE(2291)] = 97739,
  [SMALL_STATE(2292)] = 97759,
  [SMALL_STATE(2293)] = 97773,
  [SMALL_STATE(2294)] = 97787,
  [SMALL_STATE(2295)] = 97801,
  [SMALL_STATE(2296)] = 97815,
  [SMALL_STATE(2297)] = 97829,
  [SMALL_STATE(2298)] = 97843,
  [SMALL_STATE(2299)] = 97857,
  [SMALL_STATE(2300)] = 97869,
  [SMALL_STATE(2301)] = 97883,
  [SMALL_STATE(2302)] = 97897,
  [SMALL_STATE(2303)] = 97911,
  [SMALL_STATE(2304)] = 97931,
  [SMALL_STATE(2305)] = 97943,
  [SMALL_STATE(2306)] = 97957,
  [SMALL_STATE(2307)] = 97971,
  [SMALL_STATE(2308)] = 97985,
  [SMALL_STATE(2309)] = 97999,
  [SMALL_STATE(2310)] = 98013,
  [SMALL_STATE(2311)] = 98027,
  [SMALL_STATE(2312)] = 98041,
  [SMALL_STATE(2313)] = 98061,
  [SMALL_STATE(2314)] = 98075,
  [SMALL_STATE(2315)] = 98089,
  [SMALL_STATE(2316)] = 98103,
  [SMALL_STATE(2317)] = 98117,
  [SMALL_STATE(2318)] = 98131,
  [SMALL_STATE(2319)] = 98145,
  [SMALL_STATE(2320)] = 98159,
  [SMALL_STATE(2321)] = 98173,
  [SMALL_STATE(2322)] = 98187,
  [SMALL_STATE(2323)] = 98201,
  [SMALL_STATE(2324)] = 98215,
  [SMALL_STATE(2325)] = 98229,
  [SMALL_STATE(2326)] = 98243,
  [SMALL_STATE(2327)] = 98257,
  [SMALL_STATE(2328)] = 98271,
  [SMALL_STATE(2329)] = 98285,
  [SMALL_STATE(2330)] = 98299,
  [SMALL_STATE(2331)] = 98313,
  [SMALL_STATE(2332)] = 98327,
  [SMALL_STATE(2333)] = 98341,
  [SMALL_STATE(2334)] = 98355,
  [SMALL_STATE(2335)] = 98369,
  [SMALL_STATE(2336)] = 98383,
  [SMALL_STATE(2337)] = 98397,
  [SMALL_STATE(2338)] = 98411,
  [SMALL_STATE(2339)] = 98431,
  [SMALL_STATE(2340)] = 98445,
  [SMALL_STATE(2341)] = 98459,
  [SMALL_STATE(2342)] = 98473,
  [SMALL_STATE(2343)] = 98487,
  [SMALL_STATE(2344)] = 98501,
  [SMALL_STATE(2345)] = 98516,
  [SMALL_STATE(2346)] = 98531,
  [SMALL_STATE(2347)] = 98548,
  [SMALL_STATE(2348)] = 98565,
  [SMALL_STATE(2349)] = 98578,
  [SMALL_STATE(2350)] = 98595,
  [SMALL_STATE(2351)] = 98610,
  [SMALL_STATE(2352)] = 98625,
  [SMALL_STATE(2353)] = 98642,
  [SMALL_STATE(2354)] = 98657,
  [SMALL_STATE(2355)] = 98674,
  [SMALL_STATE(2356)] = 98691,
  [SMALL_STATE(2357)] = 98708,
  [SMALL_STATE(2358)] = 98723,
  [SMALL_STATE(2359)] = 98738,
  [SMALL_STATE(2360)] = 98751,
  [SMALL_STATE(2361)] = 98768,
  [SMALL_STATE(2362)] = 98787,
  [SMALL_STATE(2363)] = 98804,
  [SMALL_STATE(2364)] = 98819,
  [SMALL_STATE(2365)] = 98834,
  [SMALL_STATE(2366)] = 98851,
  [SMALL_STATE(2367)] = 98864,
  [SMALL_STATE(2368)] = 98881,
  [SMALL_STATE(2369)] = 98896,
  [SMALL_STATE(2370)] = 98913,
  [SMALL_STATE(2371)] = 98930,
  [SMALL_STATE(2372)] = 98945,
  [SMALL_STATE(2373)] = 98964,
  [SMALL_STATE(2374)] = 98979,
  [SMALL_STATE(2375)] = 98994,
  [SMALL_STATE(2376)] = 99011,
  [SMALL_STATE(2377)] = 99030,
  [SMALL_STATE(2378)] = 99047,
  [SMALL_STATE(2379)] = 99062,
  [SMALL_STATE(2380)] = 99079,
  [SMALL_STATE(2381)] = 99098,
  [SMALL_STATE(2382)] = 99112,
  [SMALL_STATE(2383)] = 99124,
  [SMALL_STATE(2384)] = 99136,
  [SMALL_STATE(2385)] = 99150,
  [SMALL_STATE(2386)] = 99164,
  [SMALL_STATE(2387)] = 99176,
  [SMALL_STATE(2388)] = 99190,
  [SMALL_STATE(2389)] = 99204,
  [SMALL_STATE(2390)] = 99218,
  [SMALL_STATE(2391)] = 99234,
  [SMALL_STATE(2392)] = 99248,
  [SMALL_STATE(2393)] = 99264,
  [SMALL_STATE(2394)] = 99278,
  [SMALL_STATE(2395)] = 99292,
  [SMALL_STATE(2396)] = 99306,
  [SMALL_STATE(2397)] = 99318,
  [SMALL_STATE(2398)] = 99332,
  [SMALL_STATE(2399)] = 99348,
  [SMALL_STATE(2400)] = 99362,
  [SMALL_STATE(2401)] = 99376,
  [SMALL_STATE(2402)] = 99390,
  [SMALL_STATE(2403)] = 99402,
  [SMALL_STATE(2404)] = 99414,
  [SMALL_STATE(2405)] = 99428,
  [SMALL_STATE(2406)] = 99442,
  [SMALL_STATE(2407)] = 99454,
  [SMALL_STATE(2408)] = 99468,
  [SMALL_STATE(2409)] = 99480,
  [SMALL_STATE(2410)] = 99492,
  [SMALL_STATE(2411)] = 99506,
  [SMALL_STATE(2412)] = 99520,
  [SMALL_STATE(2413)] = 99532,
  [SMALL_STATE(2414)] = 99546,
  [SMALL_STATE(2415)] = 99560,
  [SMALL_STATE(2416)] = 99574,
  [SMALL_STATE(2417)] = 99586,
  [SMALL_STATE(2418)] = 99600,
  [SMALL_STATE(2419)] = 99613,
  [SMALL_STATE(2420)] = 99626,
  [SMALL_STATE(2421)] = 99639,
  [SMALL_STATE(2422)] = 99652,
  [SMALL_STATE(2423)] = 99665,
  [SMALL_STATE(2424)] = 99678,
  [SMALL_STATE(2425)] = 99691,
  [SMALL_STATE(2426)] = 99704,
  [SMALL_STATE(2427)] = 99717,
  [SMALL_STATE(2428)] = 99730,
  [SMALL_STATE(2429)] = 99743,
  [SMALL_STATE(2430)] = 99756,
  [SMALL_STATE(2431)] = 99769,
  [SMALL_STATE(2432)] = 99782,
  [SMALL_STATE(2433)] = 99795,
  [SMALL_STATE(2434)] = 99808,
  [SMALL_STATE(2435)] = 99821,
  [SMALL_STATE(2436)] = 99834,
  [SMALL_STATE(2437)] = 99847,
  [SMALL_STATE(2438)] = 99860,
  [SMALL_STATE(2439)] = 99873,
  [SMALL_STATE(2440)] = 99886,
  [SMALL_STATE(2441)] = 99899,
  [SMALL_STATE(2442)] = 99912,
  [SMALL_STATE(2443)] = 99925,
  [SMALL_STATE(2444)] = 99938,
  [SMALL_STATE(2445)] = 99949,
  [SMALL_STATE(2446)] = 99962,
  [SMALL_STATE(2447)] = 99975,
  [SMALL_STATE(2448)] = 99988,
  [SMALL_STATE(2449)] = 100001,
  [SMALL_STATE(2450)] = 100014,
  [SMALL_STATE(2451)] = 100025,
  [SMALL_STATE(2452)] = 100038,
  [SMALL_STATE(2453)] = 100051,
  [SMALL_STATE(2454)] = 100062,
  [SMALL_STATE(2455)] = 100075,
  [SMALL_STATE(2456)] = 100088,
  [SMALL_STATE(2457)] = 100101,
  [SMALL_STATE(2458)] = 100114,
  [SMALL_STATE(2459)] = 100127,
  [SMALL_STATE(2460)] = 100140,
  [SMALL_STATE(2461)] = 100153,
  [SMALL_STATE(2462)] = 100166,
  [SMALL_STATE(2463)] = 100179,
  [SMALL_STATE(2464)] = 100192,
  [SMALL_STATE(2465)] = 100205,
  [SMALL_STATE(2466)] = 100218,
  [SMALL_STATE(2467)] = 100231,
  [SMALL_STATE(2468)] = 100242,
  [SMALL_STATE(2469)] = 100255,
  [SMALL_STATE(2470)] = 100268,
  [SMALL_STATE(2471)] = 100281,
  [SMALL_STATE(2472)] = 100294,
  [SMALL_STATE(2473)] = 100305,
  [SMALL_STATE(2474)] = 100318,
  [SMALL_STATE(2475)] = 100331,
  [SMALL_STATE(2476)] = 100344,
  [SMALL_STATE(2477)] = 100357,
  [SMALL_STATE(2478)] = 100370,
  [SMALL_STATE(2479)] = 100383,
  [SMALL_STATE(2480)] = 100394,
  [SMALL_STATE(2481)] = 100407,
  [SMALL_STATE(2482)] = 100420,
  [SMALL_STATE(2483)] = 100433,
  [SMALL_STATE(2484)] = 100446,
  [SMALL_STATE(2485)] = 100459,
  [SMALL_STATE(2486)] = 100472,
  [SMALL_STATE(2487)] = 100483,
  [SMALL_STATE(2488)] = 100494,
  [SMALL_STATE(2489)] = 100507,
  [SMALL_STATE(2490)] = 100520,
  [SMALL_STATE(2491)] = 100533,
  [SMALL_STATE(2492)] = 100546,
  [SMALL_STATE(2493)] = 100559,
  [SMALL_STATE(2494)] = 100572,
  [SMALL_STATE(2495)] = 100583,
  [SMALL_STATE(2496)] = 100596,
  [SMALL_STATE(2497)] = 100609,
  [SMALL_STATE(2498)] = 100622,
  [SMALL_STATE(2499)] = 100635,
  [SMALL_STATE(2500)] = 100648,
  [SMALL_STATE(2501)] = 100661,
  [SMALL_STATE(2502)] = 100674,
  [SMALL_STATE(2503)] = 100687,
  [SMALL_STATE(2504)] = 100700,
  [SMALL_STATE(2505)] = 100713,
  [SMALL_STATE(2506)] = 100726,
  [SMALL_STATE(2507)] = 100739,
  [SMALL_STATE(2508)] = 100752,
  [SMALL_STATE(2509)] = 100765,
  [SMALL_STATE(2510)] = 100778,
  [SMALL_STATE(2511)] = 100791,
  [SMALL_STATE(2512)] = 100804,
  [SMALL_STATE(2513)] = 100817,
  [SMALL_STATE(2514)] = 100830,
  [SMALL_STATE(2515)] = 100843,
  [SMALL_STATE(2516)] = 100856,
  [SMALL_STATE(2517)] = 100867,
  [SMALL_STATE(2518)] = 100880,
  [SMALL_STATE(2519)] = 100893,
  [SMALL_STATE(2520)] = 100906,
  [SMALL_STATE(2521)] = 100919,
  [SMALL_STATE(2522)] = 100932,
  [SMALL_STATE(2523)] = 100945,
  [SMALL_STATE(2524)] = 100956,
  [SMALL_STATE(2525)] = 100969,
  [SMALL_STATE(2526)] = 100982,
  [SMALL_STATE(2527)] = 100995,
  [SMALL_STATE(2528)] = 101008,
  [SMALL_STATE(2529)] = 101021,
  [SMALL_STATE(2530)] = 101034,
  [SMALL_STATE(2531)] = 101047,
  [SMALL_STATE(2532)] = 101060,
  [SMALL_STATE(2533)] = 101071,
  [SMALL_STATE(2534)] = 101084,
  [SMALL_STATE(2535)] = 101097,
  [SMALL_STATE(2536)] = 101110,
  [SMALL_STATE(2537)] = 101123,
  [SMALL_STATE(2538)] = 101136,
  [SMALL_STATE(2539)] = 101149,
  [SMALL_STATE(2540)] = 101162,
  [SMALL_STATE(2541)] = 101175,
  [SMALL_STATE(2542)] = 101188,
  [SMALL_STATE(2543)] = 101201,
  [SMALL_STATE(2544)] = 101214,
  [SMALL_STATE(2545)] = 101227,
  [SMALL_STATE(2546)] = 101240,
  [SMALL_STATE(2547)] = 101253,
  [SMALL_STATE(2548)] = 101261,
  [SMALL_STATE(2549)] = 101271,
  [SMALL_STATE(2550)] = 101281,
  [SMALL_STATE(2551)] = 101289,
  [SMALL_STATE(2552)] = 101299,
  [SMALL_STATE(2553)] = 101309,
  [SMALL_STATE(2554)] = 101319,
  [SMALL_STATE(2555)] = 101329,
  [SMALL_STATE(2556)] = 101339,
  [SMALL_STATE(2557)] = 101349,
  [SMALL_STATE(2558)] = 101359,
  [SMALL_STATE(2559)] = 101367,
  [SMALL_STATE(2560)] = 101375,
  [SMALL_STATE(2561)] = 101385,
  [SMALL_STATE(2562)] = 101395,
  [SMALL_STATE(2563)] = 101405,
  [SMALL_STATE(2564)] = 101415,
  [SMALL_STATE(2565)] = 101423,
  [SMALL_STATE(2566)] = 101433,
  [SMALL_STATE(2567)] = 101443,
  [SMALL_STATE(2568)] = 101453,
  [SMALL_STATE(2569)] = 101461,
  [SMALL_STATE(2570)] = 101471,
  [SMALL_STATE(2571)] = 101481,
  [SMALL_STATE(2572)] = 101491,
  [SMALL_STATE(2573)] = 101499,
  [SMALL_STATE(2574)] = 101509,
  [SMALL_STATE(2575)] = 101519,
  [SMALL_STATE(2576)] = 101529,
  [SMALL_STATE(2577)] = 101539,
  [SMALL_STATE(2578)] = 101549,
  [SMALL_STATE(2579)] = 101559,
  [SMALL_STATE(2580)] = 101567,
  [SMALL_STATE(2581)] = 101577,
  [SMALL_STATE(2582)] = 101587,
  [SMALL_STATE(2583)] = 101597,
  [SMALL_STATE(2584)] = 101605,
  [SMALL_STATE(2585)] = 101615,
  [SMALL_STATE(2586)] = 101625,
  [SMALL_STATE(2587)] = 101635,
  [SMALL_STATE(2588)] = 101645,
  [SMALL_STATE(2589)] = 101655,
  [SMALL_STATE(2590)] = 101663,
  [SMALL_STATE(2591)] = 101673,
  [SMALL_STATE(2592)] = 101683,
  [SMALL_STATE(2593)] = 101693,
  [SMALL_STATE(2594)] = 101703,
  [SMALL_STATE(2595)] = 101713,
  [SMALL_STATE(2596)] = 101723,
  [SMALL_STATE(2597)] = 101733,
  [SMALL_STATE(2598)] = 101743,
  [SMALL_STATE(2599)] = 101751,
  [SMALL_STATE(2600)] = 101761,
  [SMALL_STATE(2601)] = 101769,
  [SMALL_STATE(2602)] = 101777,
  [SMALL_STATE(2603)] = 101785,
  [SMALL_STATE(2604)] = 101795,
  [SMALL_STATE(2605)] = 101805,
  [SMALL_STATE(2606)] = 101813,
  [SMALL_STATE(2607)] = 101821,
  [SMALL_STATE(2608)] = 101831,
  [SMALL_STATE(2609)] = 101839,
  [SMALL_STATE(2610)] = 101847,
  [SMALL_STATE(2611)] = 101855,
  [SMALL_STATE(2612)] = 101865,
  [SMALL_STATE(2613)] = 101873,
  [SMALL_STATE(2614)] = 101883,
  [SMALL_STATE(2615)] = 101893,
  [SMALL_STATE(2616)] = 101901,
  [SMALL_STATE(2617)] = 101911,
  [SMALL_STATE(2618)] = 101921,
  [SMALL_STATE(2619)] = 101929,
  [SMALL_STATE(2620)] = 101937,
  [SMALL_STATE(2621)] = 101945,
  [SMALL_STATE(2622)] = 101953,
  [SMALL_STATE(2623)] = 101963,
  [SMALL_STATE(2624)] = 101971,
  [SMALL_STATE(2625)] = 101979,
  [SMALL_STATE(2626)] = 101987,
  [SMALL_STATE(2627)] = 101997,
  [SMALL_STATE(2628)] = 102005,
  [SMALL_STATE(2629)] = 102013,
  [SMALL_STATE(2630)] = 102023,
  [SMALL_STATE(2631)] = 102031,
  [SMALL_STATE(2632)] = 102041,
  [SMALL_STATE(2633)] = 102049,
  [SMALL_STATE(2634)] = 102059,
  [SMALL_STATE(2635)] = 102069,
  [SMALL_STATE(2636)] = 102079,
  [SMALL_STATE(2637)] = 102089,
  [SMALL_STATE(2638)] = 102099,
  [SMALL_STATE(2639)] = 102109,
  [SMALL_STATE(2640)] = 102119,
  [SMALL_STATE(2641)] = 102129,
  [SMALL_STATE(2642)] = 102137,
  [SMALL_STATE(2643)] = 102147,
  [SMALL_STATE(2644)] = 102157,
  [SMALL_STATE(2645)] = 102165,
  [SMALL_STATE(2646)] = 102175,
  [SMALL_STATE(2647)] = 102183,
  [SMALL_STATE(2648)] = 102193,
  [SMALL_STATE(2649)] = 102201,
  [SMALL_STATE(2650)] = 102211,
  [SMALL_STATE(2651)] = 102219,
  [SMALL_STATE(2652)] = 102227,
  [SMALL_STATE(2653)] = 102235,
  [SMALL_STATE(2654)] = 102242,
  [SMALL_STATE(2655)] = 102249,
  [SMALL_STATE(2656)] = 102256,
  [SMALL_STATE(2657)] = 102263,
  [SMALL_STATE(2658)] = 102270,
  [SMALL_STATE(2659)] = 102277,
  [SMALL_STATE(2660)] = 102284,
  [SMALL_STATE(2661)] = 102291,
  [SMALL_STATE(2662)] = 102298,
  [SMALL_STATE(2663)] = 102305,
  [SMALL_STATE(2664)] = 102312,
  [SMALL_STATE(2665)] = 102319,
  [SMALL_STATE(2666)] = 102326,
  [SMALL_STATE(2667)] = 102333,
  [SMALL_STATE(2668)] = 102340,
  [SMALL_STATE(2669)] = 102347,
  [SMALL_STATE(2670)] = 102354,
  [SMALL_STATE(2671)] = 102361,
  [SMALL_STATE(2672)] = 102368,
  [SMALL_STATE(2673)] = 102375,
  [SMALL_STATE(2674)] = 102382,
  [SMALL_STATE(2675)] = 102389,
  [SMALL_STATE(2676)] = 102396,
  [SMALL_STATE(2677)] = 102403,
  [SMALL_STATE(2678)] = 102410,
  [SMALL_STATE(2679)] = 102417,
  [SMALL_STATE(2680)] = 102424,
  [SMALL_STATE(2681)] = 102431,
  [SMALL_STATE(2682)] = 102438,
  [SMALL_STATE(2683)] = 102445,
  [SMALL_STATE(2684)] = 102452,
  [SMALL_STATE(2685)] = 102459,
  [SMALL_STATE(2686)] = 102466,
  [SMALL_STATE(2687)] = 102473,
  [SMALL_STATE(2688)] = 102480,
  [SMALL_STATE(2689)] = 102487,
  [SMALL_STATE(2690)] = 102494,
  [SMALL_STATE(2691)] = 102501,
  [SMALL_STATE(2692)] = 102508,
  [SMALL_STATE(2693)] = 102515,
  [SMALL_STATE(2694)] = 102522,
  [SMALL_STATE(2695)] = 102529,
  [SMALL_STATE(2696)] = 102536,
  [SMALL_STATE(2697)] = 102543,
  [SMALL_STATE(2698)] = 102550,
  [SMALL_STATE(2699)] = 102557,
  [SMALL_STATE(2700)] = 102564,
  [SMALL_STATE(2701)] = 102571,
  [SMALL_STATE(2702)] = 102578,
  [SMALL_STATE(2703)] = 102585,
  [SMALL_STATE(2704)] = 102592,
  [SMALL_STATE(2705)] = 102599,
  [SMALL_STATE(2706)] = 102606,
  [SMALL_STATE(2707)] = 102613,
  [SMALL_STATE(2708)] = 102620,
  [SMALL_STATE(2709)] = 102627,
  [SMALL_STATE(2710)] = 102634,
  [SMALL_STATE(2711)] = 102641,
  [SMALL_STATE(2712)] = 102648,
  [SMALL_STATE(2713)] = 102655,
  [SMALL_STATE(2714)] = 102662,
  [SMALL_STATE(2715)] = 102669,
  [SMALL_STATE(2716)] = 102676,
  [SMALL_STATE(2717)] = 102683,
  [SMALL_STATE(2718)] = 102690,
  [SMALL_STATE(2719)] = 102697,
  [SMALL_STATE(2720)] = 102704,
  [SMALL_STATE(2721)] = 102711,
  [SMALL_STATE(2722)] = 102718,
  [SMALL_STATE(2723)] = 102725,
  [SMALL_STATE(2724)] = 102732,
  [SMALL_STATE(2725)] = 102739,
  [SMALL_STATE(2726)] = 102746,
  [SMALL_STATE(2727)] = 102753,
  [SMALL_STATE(2728)] = 102760,
  [SMALL_STATE(2729)] = 102767,
  [SMALL_STATE(2730)] = 102774,
  [SMALL_STATE(2731)] = 102781,
  [SMALL_STATE(2732)] = 102788,
  [SMALL_STATE(2733)] = 102795,
  [SMALL_STATE(2734)] = 102802,
  [SMALL_STATE(2735)] = 102809,
  [SMALL_STATE(2736)] = 102816,
  [SMALL_STATE(2737)] = 102823,
  [SMALL_STATE(2738)] = 102830,
  [SMALL_STATE(2739)] = 102837,
  [SMALL_STATE(2740)] = 102844,
  [SMALL_STATE(2741)] = 102851,
  [SMALL_STATE(2742)] = 102858,
  [SMALL_STATE(2743)] = 102865,
  [SMALL_STATE(2744)] = 102872,
  [SMALL_STATE(2745)] = 102879,
  [SMALL_STATE(2746)] = 102886,
  [SMALL_STATE(2747)] = 102893,
  [SMALL_STATE(2748)] = 102900,
  [SMALL_STATE(2749)] = 102907,
  [SMALL_STATE(2750)] = 102914,
  [SMALL_STATE(2751)] = 102921,
  [SMALL_STATE(2752)] = 102928,
  [SMALL_STATE(2753)] = 102935,
  [SMALL_STATE(2754)] = 102942,
  [SMALL_STATE(2755)] = 102949,
  [SMALL_STATE(2756)] = 102956,
  [SMALL_STATE(2757)] = 102963,
  [SMALL_STATE(2758)] = 102970,
  [SMALL_STATE(2759)] = 102977,
  [SMALL_STATE(2760)] = 102984,
  [SMALL_STATE(2761)] = 102991,
  [SMALL_STATE(2762)] = 102998,
  [SMALL_STATE(2763)] = 103005,
  [SMALL_STATE(2764)] = 103012,
  [SMALL_STATE(2765)] = 103019,
  [SMALL_STATE(2766)] = 103026,
  [SMALL_STATE(2767)] = 103033,
  [SMALL_STATE(2768)] = 103040,
  [SMALL_STATE(2769)] = 103047,
  [SMALL_STATE(2770)] = 103054,
  [SMALL_STATE(2771)] = 103061,
  [SMALL_STATE(2772)] = 103068,
  [SMALL_STATE(2773)] = 103075,
  [SMALL_STATE(2774)] = 103082,
  [SMALL_STATE(2775)] = 103089,
  [SMALL_STATE(2776)] = 103096,
  [SMALL_STATE(2777)] = 103103,
  [SMALL_STATE(2778)] = 103110,
  [SMALL_STATE(2779)] = 103117,
  [SMALL_STATE(2780)] = 103124,
  [SMALL_STATE(2781)] = 103131,
  [SMALL_STATE(2782)] = 103138,
  [SMALL_STATE(2783)] = 103145,
  [SMALL_STATE(2784)] = 103152,
  [SMALL_STATE(2785)] = 103159,
  [SMALL_STATE(2786)] = 103166,
  [SMALL_STATE(2787)] = 103173,
  [SMALL_STATE(2788)] = 103180,
  [SMALL_STATE(2789)] = 103187,
  [SMALL_STATE(2790)] = 103194,
  [SMALL_STATE(2791)] = 103201,
  [SMALL_STATE(2792)] = 103208,
  [SMALL_STATE(2793)] = 103215,
  [SMALL_STATE(2794)] = 103222,
  [SMALL_STATE(2795)] = 103229,
  [SMALL_STATE(2796)] = 103236,
  [SMALL_STATE(2797)] = 103243,
  [SMALL_STATE(2798)] = 103250,
  [SMALL_STATE(2799)] = 103257,
  [SMALL_STATE(2800)] = 103264,
  [SMALL_STATE(2801)] = 103271,
  [SMALL_STATE(2802)] = 103278,
  [SMALL_STATE(2803)] = 103285,
  [SMALL_STATE(2804)] = 103292,
  [SMALL_STATE(2805)] = 103299,
  [SMALL_STATE(2806)] = 103306,
  [SMALL_STATE(2807)] = 103313,
  [SMALL_STATE(2808)] = 103320,
  [SMALL_STATE(2809)] = 103327,
  [SMALL_STATE(2810)] = 103334,
  [SMALL_STATE(2811)] = 103341,
  [SMALL_STATE(2812)] = 103348,
  [SMALL_STATE(2813)] = 103355,
  [SMALL_STATE(2814)] = 103362,
  [SMALL_STATE(2815)] = 103369,
  [SMALL_STATE(2816)] = 103376,
  [SMALL_STATE(2817)] = 103383,
  [SMALL_STATE(2818)] = 103390,
  [SMALL_STATE(2819)] = 103397,
  [SMALL_STATE(2820)] = 103404,
  [SMALL_STATE(2821)] = 103411,
  [SMALL_STATE(2822)] = 103418,
  [SMALL_STATE(2823)] = 103425,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(231),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2645),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(957),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(111),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 2),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(117),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1902),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2672),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(50),
  [145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(100),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(194),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(956),
  [154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(955),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(129),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(186),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1881),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1881),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2069),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(263),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2215),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(242),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2068),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(73),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(74),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(78),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2254),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2450),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 36),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 37),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 43),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 45),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 2),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(231),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2645),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(957),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(111),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(117),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1902),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2672),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(50),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(100),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(194),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(956),
  [318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(955),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(129),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(186),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1881),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1881),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2069),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(263),
  [339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2215),
  [342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(242),
  [345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2068),
  [348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(73),
  [351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(74),
  [354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(78),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2254),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2450),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(244),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2092),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(272),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2195),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2051),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(21),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(67),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(30),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(130),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2494),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(256),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2093),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(265),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2214),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2099),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(94),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(96),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(99),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(133),
  [480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2453),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(270),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2083),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(267),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2239),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2052),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(79),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(77),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(80),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(136),
  [532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2472),
  [535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 1),
  [581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 1),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 21),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 21),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 8),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 8),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(276),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1763),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2065),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(252),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2201),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2027),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(29),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(28),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(39),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(273),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1783),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2069),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(263),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2215),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2068),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(73),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(74),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(78),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 10),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 10),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(266),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1765),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2070),
  [742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(274),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2230),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2079),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(24),
  [754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(25),
  [757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(26),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 4),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 4),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(368),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2090),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(462),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2209),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2042),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(34),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(32),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(23),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(178),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(471),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2030),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(438),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2222),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2035),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(101),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(102),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(104),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(180),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(426),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2050),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(319),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2242),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2091),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(72),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(71),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(75),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(183),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 4),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 4),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 5),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 4),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 4),
  [947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 5),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1972),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [1060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1961),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [1073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1941),
  [1076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [1100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1963),
  [1103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1950),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1947),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_expansion, 2),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_expansion, 2),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [1215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1958),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(649),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 2),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 2),
  [1259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(622),
  [1262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1977),
  [1265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(613),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(555),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1968),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [1304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(626),
  [1307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1986),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [1312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1949),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1955),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [1322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(578),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(685),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(679),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(686),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [1344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(687),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(677),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(689),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [3341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1658),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1084),
  [3349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2089),
  [3352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1657),
  [3355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2196),
  [3358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1658),
  [3361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1084),
  [3364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2100),
  [3367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(63),
  [3370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(62),
  [3373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(70),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [3396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1922),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2770),
  [3788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1925),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2248),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [3830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2),
  [3832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1881),
  [3835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1881),
  [3838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2),
  [3840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2254),
  [3843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2444),
  [3846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1363),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1907),
  [3858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2720),
  [3861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1913),
  [3864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2249),
  [3867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1911),
  [3870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1914),
  [3873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2257),
  [3876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1990),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1980),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2054),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1975),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2216),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2029),
  [3906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(52),
  [3909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(51),
  [3912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(53),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [3919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1985),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [3940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1449),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1969),
  [3954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 2),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [3962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [3964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [3968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [3980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [3982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1550),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [3987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [3991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [3995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [4001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1937),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [4044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [4046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [4060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [4070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 2),
  [4078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 2),
  [4080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1938),
  [4083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [4085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [4089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [4105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [4119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [4121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1635),
  [4124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [4126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [4128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [4138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [4140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 56),
  [4150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 56),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 55),
  [4154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 55),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [4162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [4164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [4166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [4168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1746),
  [4227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1739),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [4288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1966),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [4423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [4425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2022),
  [4428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2072),
  [4431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2024),
  [4434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2229),
  [4437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2053),
  [4440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(55),
  [4443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(54),
  [4446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(56),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [4467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [4503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1839),
  [4506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1945),
  [4509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1982),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2380),
  [4535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2102),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2351),
  [4541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2203),
  [4544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2078),
  [4547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(83),
  [4550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(81),
  [4553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(86),
  [4556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [4560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1773),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [4569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [4575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [4639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1905),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [5030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1971),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [5035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [5049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [5055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2020),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [5070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1981),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [5447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2114),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [5524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 45),
  [5526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 45),
  [5528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 45),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [5542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 43),
  [5544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 43),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 43),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [5552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 37),
  [5588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [5590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 37),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [5600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 37),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 37),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 37),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [5624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 36),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [5646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [5662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [5830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [5898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2166),
  [5901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [5903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2276),
  [5906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2043),
  [5909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(98),
  [5912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(97),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [5927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [5929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [5931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [5933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [5935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [5941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [5953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [5955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [5967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [5981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [5983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [5985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [5987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [6023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [6025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [6027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [6029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [6031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2233),
  [6034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2097),
  [6037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(38),
  [6040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(33),
  [6043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2244),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [6052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [6082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [6084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [6088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [6090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 2),
  [6092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [6094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 1),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [6110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1962),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [6115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [6119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [6123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3),
  [6125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 3),
  [6127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2315),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [6140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [6164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [6166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(115),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [6235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [6249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 30),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 29),
  [6257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2487),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [6372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1964),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [6417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2575),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [6422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1908),
  [6425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 44),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [6497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [6539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 43),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [6597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminated_statement, 2),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [6729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [6731] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
